zenon Analyzer

zenon Analyzer

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The zenon Analyzer offers near management and controlling views of all online and offline available data via system-spanning analyses. It summarizes tasks which were separated until now and it eliminates friction losses which emerge due to parallel set-ups, maintenance and the coordination of different IT systems. The zenon Analyzer:

  • condenses and accounts data from different sources in different formats
  • compares them to one another
  • display the results in graphical form as report

tutorial License information

The zenon Analyzer must be licensed. For further details see chapter Licensing

Screenshots - Expanding

attention Attention

Only 64-bit operating systems are supported from Version 2.0 onwards.

Overview

When using the zenon Analyzer, the production process is not interrupted. The zenon Analyzer can be implemented in an existing production system without the need to reconfigure the system. At data collection and report creation the production system continues to run smoothly. The existing infrastructure is embedded in the reporting of the zenon Analyzer independent of the manufacturers.

For accessing the evaluation all you need is a standard Microsoft browser. You do not have to install, adapt or maintain any additional software. You can embed evaluations without any additionally components or plug-ins in the intranet of a company. Default reports are already shipped with the zenon Analyzer. At any time you can create, save and distribute your own evaluations. To create reports from process level, you must install a Connector Container on the respective Runtime computers. This installation does not affect the running system.

info Information

The zenon Analyzer uses components from Microsoft Reporting Service.

You can find detailed guides for the Microsoft Reporting Services on the Microsoft homepage:

  • German
  • English
  • French
  • Italian

Overview of the help of the zenon Analyzer

In the help of the zenon Analyzer you can find information about:

  • Basics about architecture, data structure and data preparation
  • Installation of the modules of the zenon Analyzer
  • Rights management
  • Configuration and operation of site, folders and Reports
  • ZAMS - zenon Analyzer Management Studio: Create and administer reports, administer users, administer servers
  • Manual Data Editor: Used for the editing of the tables for price and standard values in a zenon Analyzer metadata database.
  • Supplied report templates: Documentation for the report templates supplied with the zenon Analyzer.
  • Example project

info Information

For the engineering of individual reports, please refer to the respective manual. You will receive this manual after completing the corresponding training at COPA-DATA. For information and training and the manual for developers, please contact sales@copadata.com by email.

Noch in diesem Kapitel

Basics

Installation

Data preparation

Analyzer Wizards

Rights management

Analyzer Manager: Configuration and operation

Reports

ZAMS - zenon Analyzer Management Studio

Metadata database editors

Supplied report templates

Example zenon


Basics

zenon Analyzer -> Basics

The zenon Analyzer uses data from different, independent and not cross-linked systems. Data from heterogeneous environments are joined and evaluated.

The zenon Analyzer:

  1. acquires data
  2. compresses data
  3. manages meta data such as equipment structure
  4. manages templates
  5. manages access rights and authorizations
  6. calculates evaluations
  7. distributes evaluations to Clients

General requirements

zenon Analyzer needs for:

  • the creation and management of reports:
    • An SQL Server 2012 database and
    • the SQL Server 2012 reporting services
  • the display of reports: standard browser

A good knowledge of SQL and MS Report Builder 3.0 is required in order for you to create your own reports.

For details about the technical requirements see chapter Technology.

Hardware and software requirements

Hardware

Analyzer Server:

Parameters | Recommended | Minimum
CPU | Quad-Core Server CPU (maximum 16 cores/4 sockets) | Quad-core
RAM | 12 GB or more | 8 GB
Free memory | 200 GB | 10 GB

Engineering computer:

Parameters | Recommended | Minimum
CPU | Dual core | Pentium IV
RAM | 4 GB | 1 GB
Free memory | 200GB | 2 GB
Monitor (pixels) | 1920 x 1080 | 1024 x 768

Software

Analyzer Server:

A 64-bit operating system is required for the database server. The following are supported:

  • Windows Server 2012 SP0 64-Bit
  • Windows Server 2008 R2 SP1 64-Bit
  • Windows Server 2008 SP2 64-Bit
  • Windows 8 Professional 64-Bit
  • Windows 8 64-Bit
  • Windows 7 SP1 64-Bit Ultimate
  • Windows 7 SP1 64-Bit Enterprise
  • Windows 7 SP1 64-Bit Professional

Engineering computer:

  • Windows Server 2012 SP0
  • Windows Server 2008 R2 SP1 family
  • Windows Server 2008 SP2 family
  • Windows 8 family
  • Windows 7 SP1 family
  • Windows Vista SP2 family

Web browser:

  • Internet Explorer 11 (compatibility view only)
  • Internet Explorer 10 (compatibility view only)
  • Internet Explorer 9 (normal view only)
  • Internet Explorer 8 (normal view only)

Recommended HMI/SCADA system:

  • zenon 7.0 or higher

Data preparation

The data preparation is done in several levels. With this data from different sources and formats can be evaluated universally and maintained easily.

Data structures

The data origin either from static project data or from dynamic user data. For details see chapter Data structure.

Data collection

The zenon Analyzer accesses data non-invasively via connectors. Source systems need not be reconfigured. The existing infrastructure is embedded in the reporting of the zenon Analyzer independent of the manufacturers. For systems other than zenon 6.x, only a connector container is installed. This installation does not interfere in the Runtime system and does not interrupt the process.

Noch in diesem Kapitel

Technology

Architecture

Time formats

Prerequisites


Technology

zenon Analyzer -> Basics -> Technology

In this section you learn about the technically needed requirements for

  • Server
  • Client
  • Data sources
  • Development station

and the supported standards for

  • Interfaces

Server

SQL Server 2012 Database

In the database there are the meta data and possibly also user data saved in SQL. For the query, stored procedures (Level 2) are executed. They again revert to user defined functions for data acquisition and data abstraction. If needed, they load the connector stub which requests the user data from the target system online. In addition there are the user defined functions which provide auxiliary functions for the evaluation.

SQL Server 2012 Reporting Services

The reporting services run as web application and as web server provide the Clients with all reports for displaying in the web browser. In addition, the parameters for the data source, reports, etc. are set using the Analyzer Manager web front end.

The path to the Analyzer Manager is: http://[computer name]/Reports_za2.

Reporting license service (zrsLicSrv)

The reporting license service checks the CodeMeter dongle and the license available at the Server and forwards the licensing information to all involved components. It also has the list of all Client leases.

Client

Web browser

To display reports from the Server, you only need a web browser at the Client.

info Information

The zenon Analyzer was designed and tested for and with Microsoft Internet Explorer version 8 and higher.

Attention: The compatibility view in Internet Explorer 8 and 9 must be deactivated for the correct display of reports. The compatibility view must be activated for later versions of Internet Explorer.

Data source

Connector container

On all computers which can server as data source, the connector container together with its different connectors must be installed and started. The TCP port of the connector container must be reachable from outside.

Development station

Analyzer Export Wizard

The Analyzer Export Wizard is integrated in the zenon Editor and is used to import the metadata to the SQL Server 2012 database. The wizard offers full support for zenon 7.xx. Older versions of the zenon Editor are not supported.

Interfaces

The zenon Analyzer supports the following interfaces:

  • zenon Runtime 5.50, 6.x, 7.x
  • SQL


Architecture

zenon Analyzer -> Basics -> Architecture

The zenon Analyzer links data from different, heterogeneous sources to valid reports in real time. The reports react dynamically to data base changes.

Communication from process point of view

Communication from data point of view

zenon Analyzer

The zenon Analyzer consists of:

  • Data sources
  • Connectors to the data sources
  • Container for connectors and data harmonization
  • Data filing
  • Report Builder with filter and calculations
  • zenon Analyzer Management Studio for creating and administering reports
  • Web Server
  • User interface at the Client for calling up and managing reports at the Client

Processes

Reports are configured and published by administrators or users.

Reports can also be created by the administrator using Microsoft Report Builder 3.0. Prerequisite is a wide knowledge in SQL. For information about MS Report Builder refer to the corresponding help of the Microsoft Report Builder. End-users call up reports via the interface of their Client.

Data required for the report is collected via connectors and harmonized before use. With this, reports are also meaningful for different sources, time zones, etc.


Time formats

zenon Analyzer -> Basics -> Time formats

Three time formats are used:

  • Local time: is used in reports
  • UTC: is used in abstracted historical and current values and in database tables
  • Unix time: is used in SQL tables

Local Time

Queries in the report and the display of results is done in local time.

UTC

Abstracted historical and current values are stated in UTC. For the display in the reports it is converted to local time.

UTC means Coordinated Universal Time. The time unit is second. UTC is the uniform basis for the international time determination and is made available to the public via time senders and other time services. Dependent on the time zone certain time periods must be added or subtracted to or from UTC. This time period can vary one hour because of the day light saving time.
Example:

Country | Local time
Alaska | UTC -9
Australia, Queensland | UTC +10
Bulgaria | UTC +2
United Kingdom | UTC
Korea | UTC +9
Central Europe (CET) | UTC +1
Central Europe (CET) Day Light Saving Time | UTC +2
Saudi Arabia | UTC +3
USA East coast | UTC -5
United Arabic Emirates | UTC +4

Consequences to the configuration

Engineered date and time mean different date and time depending on the execution location of the Runtime.

For example: In the Editor you engineer in the PFS for the execution of a function in time zone UTC +1 the local time 14:00 o' clock. After transferring the files to a Runtime in tiem zone UTC +10, the function is carried out at 23:00 o' clock. Unix time

In the SQL databases Unix time is used, e.g..:

  • evacuated archives
  • exported archives
  • exported alarms
  • exported CEL

Process

  • Query in reports are dispalyed in local time.
  • The hand over from report to the table valued user defined functions is done in UTC.
  • Query to SQL are converted to Unix time.
  • Results are converted to UTC and displayed in the report as local time.


Prerequisites

zenon Analyzer -> Basics -> Prerequisites

The following prerequisites are applicable for work with the zenon Analyzer:

Analyzer server hardware and software

Hardware

Analyzer Server:

Parameters | Recommended | Minimum
CPU | Quad-Core Server CPU (maximum 16 cores/4 sockets) | Quad-core
RAM | 12 GB or more | 8 GB
Free memory | 200 GB | 10 GB

Engineering computer:

Parameters | Recommended | Minimum
CPU | Dual core | Pentium IV
RAM | 4 GB | 1 GB
Free memory | 200GB | 2 GB
Monitor (pixels) | 1920 x 1080 | 1024 x 768

Software

Analyzer Server:

A 64-bit operating system is required for the database server. The following are supported:

  • Windows Server 2012 SP0 64-Bit
  • Windows Server 2008 R2 SP1 64-Bit
  • Windows Server 2008 SP2 64-Bit
  • Windows 8 Professional 64-Bit
  • Windows 8 64-Bit
  • Windows 7 SP1 64-Bit Ultimate
  • Windows 7 SP1 64-Bit Enterprise
  • Windows 7 SP1 64-Bit Professional

Engineering computer:

  • Windows Server 2012 SP0
  • Windows Server 2008 R2 SP1 family
  • Windows Server 2008 SP2 family
  • Windows 8 family
  • Windows 7 SP1 family
  • Windows Vista SP2 family

Web browser:

  • Internet Explorer 11 (compatibility view only)
  • Internet Explorer 10 (compatibility view only)
  • Internet Explorer 9 (normal view only)
  • Internet Explorer 8 (normal view only)

Recommended HMI/SCADA system:

  • zenon 7.0 or higher

Connectors

The following applies for connectors:

  • Timeout: 5 minutes (independent of report timeout)
  • Variables: Only variables that are listed in metadata are requested
  • String variable: maximum of 4000 characters

The performance of a connector depends on the:

  • Performance of the Analyzer server
  • Performance of the Runtime server
  • Load of the Runtime servers (connector runs with low priority)
  • Network performance and network load

Projects and filters

Reports on several projects can be created, except when using filters for shifts or lots. In this case, reports are limited to one project.

attention Attention

Only archive data with variables from its own project can be evaluated.

This means: For example, in an integration project, if a variable from a subproject is archived in an archive, then zenon Analyzer cannot access this variable.

Schedules

  • Days per month are limited to 1 - 28 (corresponds to February in non-leap years)
  • The "Month end" event is not available

Analyzer Export Wizard

The Analyzer Export Wizard works with zenon from version 7.00 SP0.


Installation

zenon Analyzer -> Installation

The installation of zenon Analyzer consists of up to four steps:

  • zenon Analyzer: central SQL server
  • zenon Analyzer Management Studio: Tool for the administration of zenon Analyzer and to create reports. It must be installed on the engineering computer:
  • Connector: Connector for Runtime. This is installed on the Runtime computer.
    The TCP port of the connector container must be accessible from outside. This installation does not interfere in the Runtime system and does not interrupt the process.
  • Wizard: Analyzer Export Wizard provides data from zenon for the zenon Analyzer database. It must be installed on the engineering computer.

You can find the hardware and software requirements in the Prerequisites chapter.

Note for Remote installation: For remote installations and virtual installations, copy the content of the DVD to a temporary folder on the computer and start the setup

attention Attention

Ensure that you have the appropriate licenses

Carrying out the installation

To install zenon Analyzer components:

  1. Put the DVD in the DVD drive.
    If Autorun does not automatically start the setup, use the file named start.exe.
  2. Select the desired language from the drop-down list
  3. Accept the license agreements
  4. Click on the Next button
  5. Select the desired component
  6. Click on the Next button
  7. the installation is started.
  8. follow the instructions of the installation wizard

Start window

Screenshots - Expanding

Parameters

Description

Drop-down list "Language"

Selection of the language for the installation. Available are:

  • German
  • English
  • French
  • Italian
  • Spanish

License agreements

License agreement with conditions of use for zenon Analyzer. For installation, the requirements must be accepted by clicking on the I accept the conditions of the license agreement checkbox.

Next

Switches to the next step of the installation. Only active if the license agreements have been accepted.

Module selection

Screenshots - Expanding

Parameters

Description

Module selection

Selection of the components to be installed by activating the corresponding checkbox.

  • zenon Analyzer:
    Central SQL server.
    Requirements: 64-bit operating systems
  • DEMO:
    Example database
    Requirements: 64-bit operating system
  • zenon Analyzer Management Studio:
    Tool to create and administer sever connections and reports.
    Pre-requisite: 32-bit or 64-bit operating system.
  • Connector:
    Connectors for Runtime and SQL.
    Prerequisite: 32-bit or 64-bit operating system.
  • Wizard:
    Analyzer Export Wizard provides data from zenon for the zenon Analyzer tables.
    Pre-requisite: zenon 7 Editor or later must be present on the system.

Next

Starts the installation. Only active if modules are selected for installation.

Symbols module selection

Symbol | Meaning
General Analyzer Schema Graphics Template | Installation can be carried out
General Analyzer Schema Graphics Template | Installation not possible

Update of previous versions

If components from previous version are discovered during installation, you are asked if you want to update these.

Screenshots - Expanding

Parameters | Description
Update list | Shows the components that are to be updated during the installation. No individual components can be selected. If no update is carried out, the current zenon Analyzer cannot be installed. The installation can be canceled by closing the window.
Start | Starts the uninstallation of existing components and then installs the selected zenon Analyzer module.

Installation progress

Screenshots - Expanding

The course of installation is shown in its own window with symbols:

Symbol | Meaning
General Analyzer Schema Graphics Template | Not yet installed
General Analyzer Schema Graphics Template | Is currently being installed
General Analyzer Schema Graphics Template | Installation OK
General Analyzer Schema Graphics Template | Installation failed

After successful installation of all desired components, end the installation wizard by clicking on the End button.

Screenshots - Expanding

Installation on the Client

On the Client, all you need is the current Microsoft Internet Explorer. The language that is set in Internet Explorer determines the language for the Analyzer Manager. The language for zenon Analyzer Management Studio is specified in the ZAMS options.

Noch in diesem Kapitel

Licensing

Uninstallation of zenon Analyzer version 1.6 and 2.0


Licensing

zenon Analyzer -> Installation -> Licensing

In order to license the zenon Analyzer a CodeMeter dongle is a prerequisite.

Without a valid license:

  • no external access via the default access site is possible
  • no connector functionality is available

The license data is entered either via the zenon Analyzer Management Studio or the zenon licensing.

Note: A new zenon Analyzer license is only accepted if you have enough client licenses for all users with a dedicated license.

ZAMS - zenon Analyzer Management Studio

To enter new license data:

  1. Select, in the Analyzer Server menu or in the Display license dialog, the Enter new license command
  2. the drop-down list with the license information is opened
  3. enter serial number and activation number
  4. Click on Check new license
  5. If the result is positive, click on OK to activate the license

Enter dialog license

Screenshots - Expanding

Parameters

Description

Serial Number

Entry of the serial number.

Activation key

Entry of the activation key.

Test new license

Clicking on this button tests inputs before they are written to the license server, to see if:

  • License data entered has the correct syntax
  • a license can be occupied on a CodeMeter dongle with the data entered
  • The activation key corresponds with the serial number

In order for the test to be started, both serial number and activation key must have been entered.

Test result

Displays the test result of Test new license.

OK

Writes the license entered to the license service on the Analyzer server and closes the dialog. The result of writing the license is displayed in the output window.

In order for the license data to be written, both serial number and activation key must have been entered.

Cancel

Closes the dialog without writing data to the license service.

attention Attention

If incorrect license data is entered, the access to the Analyzer server is blocked for all clients. Always check the new license data by clicking on the Test new license button before you set the license by clicking on OK.

zenon licensing.

  1. open Start -> All programs -> COPA-DATA -> Licensing 7.00
  2. the dialog for entering license data opens
    • select Analyzer
  3. enter the serial number and the activation number

    You find the data for this:

    • on your license certificate
    • On the license sticker
    • in the license file License.txt

      Path Vista/7: %Public%\Public Documents\zenon_Projects\

      Directory XP: C:\Documents and Settings\All Users\Application Data\COPA-DATA\zenon710

    Note: Pay attention to capital letters and small letters when entering the data!

  4. After zenon Analyzer is restarted, use zenon Analyzer with the license entered

Note: Licenses can be checked and set using ZAMS.

Licensing dialog

Parameters | Description
Editor/Runtime | Active: License is valid for the zenon Editor and/or the zenon Runtime.
Web Server | Active: License valid for zenon Web Server.
Analyzer | Active: License valid for the zenon Analyzer.
Serial Number | License serial number. If there is already a license available, its license number is displayed here.
Activation number: | License activation number. If there is already a license available, its activasion number is displayed here.
OK | Import data and start zenon with this license when it is next started.
Cancel | Discard entries and use zenon with the previous license or no license.
Request soft license | Opens the dialog to request a soft license.

Entry in zenAnalyzer.ini

The license information are saved in file zenAnalyzer.ini in the zenon system folder.

  • Section [DEFAULT])
    • Entry SERIAL7=
    • Entry ACTIVATIONKEY7=

The CodeMeter check and management of simultaneous access is done via service zrsLicSrv .

For details about licensing and the CodeMeter dongle, see the Licensing manual, CodeMeter chapter.


Uninstallation of zenon Analyzer version 1.6 and 2.0

zenon Analyzer -> Installation -> Uninstallation of zenon Analyzer version 1.6 and 2.0

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

General recommendations

  • Test installations: These are best installed in a virtual environment.
  • Prerequisites: Can also be required by other programs. Only uninstall these if you are sure that they are no longer needed.
  • LOG files: Can be deleted in principle.
  • Registry: Changes to entries should only be made by qualified people.

Uninstallation

Depending on the components installed, the uninstallation processes are different for:

  • zenon Analyzer 1.6
  • zenon Analyzer 2.0

Noch in diesem Kapitel

Uninstallation of zenon Analyzer 1.6

Uninstallation of zenon Analyzer 2.0


Uninstallation of zenon Analyzer 1.6

zenon Analyzer -> Installation -> Uninstallation of zenon Analyzer version 1.6 and 2.0 -> Uninstallation of zenon Analyzer 1.6

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Installed components

The installation of zenon Analyzer 1.6 consists of the prerequisites and four main categories.

Prerequisites

  • Microsoft Visual C++ 2010 Redistributable Package (x86)

Categories

  • Analyzer (Server)
  • Analyzer Connector
  • Analyzer Wizard (can only be installed if the zenon 6.51 Editor is already present)
  • Analyzer Assistant

Uninstallation

Analyzer (Server)

  • Uninstall: Control Panel -> Programs and Features -> zenon Analyzer
  • Uninstall: Control Panel -> Programs and Features -> zenon Analyzer: License
  • Delete folder: C:\ProgramData\COPA-DATA\zenonAnalyzer

Analyzer Connector

  • Uninstall: Control Panel -> Programs and Features -> zenon Analyzer: Connectors
  • Delete folder: C:\Program Files (x86)\Common Files\COPA-DATA\Connectors
  • Delete the registry entry:
    [HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Run]
    COPA-DATA Connector=C:\Program Files (x86)\COPA-DATA\zenon Analyzer\zrsConnector.exe

Analyzer Export Wizard

  • Uninstall: Control Panel -> Programs and Features -> zenon Analyzer: Export Wizard
  • Delete folder: C:\ProgramData\COPA-DATA\zenon651\WizardsVSTA\ZRS_MetadataExport
  • Configure the file C:\ProgramData\COPA-DATA\zenon651\WizardsVSTA\wizards.ini:

    [DEFAULT]
    COUNT=x -> decrement to x-1
    [WIZARD_X] -> delete complete entry with all sub-lines

Analyzer Assistant

  • Uninstall: Control Panel -> Programs and Features -> zenon Analyzer: Report_Assistant
  • Delete folder: C:\Program Files (x86)\COPA-DATA\zenon Analyzer


Uninstallation of zenon Analyzer 2.0

zenon Analyzer -> Installation -> Uninstallation of zenon Analyzer version 1.6 and 2.0 -> Uninstallation of zenon Analyzer 2.0

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Installed components

The installation of zenon Analyzer 2.0 consists of four main categories:

  • Analyzer (Server)
    • Demo projects
  • ZAMS (zenon Analyzer Management Studio)
  • Analyzer Connector
  • Analyzer Wizard

Uninstallation

Analyzer (server)/demo projects

  • Uninstall: Control Panel -> Programs and Features -> zenon Analyzer: Server
  • Uninstall: Control Panel -> Programs and Features -> zenon Analyzer: License
  • Uninstall: Control Panel -> Programs and Features -> zenon Analyzer: Demo
  • Delete folder: C:\ProgramData\COPA-DATA\zenonAnalyzer
  • Delete the registry entry:
    HKEY_LOCAL_MACHINE\SOFTWARE\COPA-DATA\zenonAnalyzer

zenon Analyzer Management Studio (ZAMS)

  • Uninstall: Control Panel -> Programs and Features -> zenon Analyzer: Management Studio
  • Delete folder: C:\ProgramData\COPA-DATA\zenonAnalyzer
  • Delete the registry entry:
    HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\COPA-DATA\zenonAnalyzer

Analyzer Connector

  • Uninstall: Control Panel -> Programs and Features -> zenon Analyzer: Connectors
  • Delete folder: C:\Program Files (x86)\Common Files\COPA-DATA\Connectors
  • Delete the registry entry:
    [HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Run]
    COPA-DATA Connector=C:\Program Files (x86)\COPA-DATA\zenon Analyzer\zrsConnector.exe

Analyzer Export Wizard

  • Uninstall: Control Panel -> Programs and Features -> zenon Analyzer: Export_Wizard
  • Delete folder: C:\ProgramData\COPA-DATA\zenon700\WizardsVSTA\Wizard_Analyzer_Export
  • Configure the file C:\ProgramData\COPA-DATA\zenon700\WizardsVSTA\wizards.ini:

    [DEFAULT]

    COUNT=x -> decrement to x-1

    [WIZARD_X] -> delete complete entry with all sub-lines


Data preparation

zenon Analyzer -> Data preparation

The data is prepared in several levels. With this data from different sources and formats can be evaluated universally and maintained easily.

  • Level 1: Data abstraction
    On the lowest level the data abstraction or data unification is done. It makes sure that the source data are always available in the same format and in the same type for the actual evaluation algorithm.
  • Level 2: Compression and calculation
    A level above the actual compression and calculation is done to create the data which should then be displayed in the report. This level is already independent of the data origin and therefore universal.
  • Level 3: Report
    The output data of the second level are then displayed graphically in the report as third level. The display in the report in turn is independent of the algorithms necessary for the calculation on the second level. This means that no calculation and no compression is carried out in the report, which exceed the mere display (e.g. formating of local times or similar).

Noch in diesem Kapitel

Level 1: Data abstraction

Level 2: Compression and calculation

Level 3: Report


Level 1: Data abstraction

zenon Analyzer -> Data preparation -> Level 1: Data abstraction

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

At data abstraction there are two different categories of data:

  1. Engineering data

    They normally remain the same during the Runtime and are called meta data there.
    The metadata is abstracted or harmonized by the import wizard during import into the database. Regardless of their origin they are available in the format in which they are defined in chapter data structure.

  2. Runtime data
    The actual Runtime data are those data which are generally used as the base for all evaluations. They are called user data there.

    Runtime data is tapped via connectors. COPA-DATA provides a Runtime connector and SQL connector with zenon Analyzer. Individual additions can be integrated into the connectors by agreement with COPA-DATA.


Level 2: Compression and calculation

zenon Analyzer -> Data preparation -> Level 2: Compression and calculation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

All sorts of compression and calculation of the user data prepared in level 1 is carried out in the Stored Procedures. If necessary, filter criteria are handed over to them via parameters.

The stored procedures are independent of the format of the user data and of the visual display of the result. They contain only the calculation algorithms and the filter methods with regards to the meta data.

So far as it is technical feasible, they are also independent of specific presumptions concerning the meta data; i.e. independent of specific variable names. If this is not possible, the allocation to these fixed meta data parts is implemented as an obvious block at the beginning of the stored procedures in order to separate project-specific and universal evaluation part.


Level 3: Report

zenon Analyzer -> Data preparation -> Level 3: Report

The result data generated in level 2 are formatted graphically in an SQL Server 2012 Reporting Services report. There is no calculation in the report itself. Also a direct access to database tables is never done but only to the stored procedures from level 2. With this the reports are:

  • completely independent of the database structure
  • universal and
  • interchangeable


Analyzer Wizards

zenon Analyzer -> Analyzer Wizards

The zenon Analyzer has wizards that support correct setting of parameters for the SCADA system and the export of data from the SCADA system. The zenon SCADA system is currently supported.

Wizards:

  • Parameterization Wizard: Helps you prepare a zenon project for the processing of variable information in zenon Analyzer.
  • The Analyzer Export Wizard supports the export of metadata from zenon from version 7.00 SP0 for the zenon Analyzer.

The wizards must be selected in the module selection during the installation of zenon Analyzer.

Noch in diesem Kapitel

Parameterization Wizard

Analyzer Export Wizard


Parameterization Wizard

zenon Analyzer -> Analyzer Wizards -> Parameterization Wizard

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The Parameterization Wizard helps you prepare a zenon project for the processing of variable information in the zenon Analyzer.

Note: The wizard is only available in English.

The Parameterization Wizard helps you, when engineering projects in zenon, to configure:

  • Meanings (Meaning)
  • Waterfall charts (Waterfall)

Screenshots - Expanding

Noch in diesem Kapitel

Install and call up wizard

Start window

Configuration


Install and call up wizard

zenon Analyzer -> Analyzer Wizards -> Parameterization Wizard -> Install and call up wizard

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The wizard is automatically installed together with zenon.

If a manual installation is necessary:

  1. Open the workspace in zenon
  2. select Update wizards command in the File menu
  3. in area Additional folders for VSTA Wizards click on button ...
  4. navigate to the installation medium in the file browser
  5. There, select the folder [Installation medium]\Setup\Wizard\zenon7.10\WizardsVSTA
  6. Select wizards.ini
  7. Start the update
  8. the wizard was added to the folder of the wizards and can be started

Note: If the wizard is not displayed, add the following reference to the workspace add-in: system.core

Calling up the wizard

For wizards to be displayed, the settings for VBA and/or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

To start the wizard:

  1. in zenon open menu File
    or press the shortcut Alt+F12
  2. select the entry Wizards...
  3. the selection dialog is opened
  4. navigate to the Analyzer node
  5. Select the Parameterization Wizard

    Screenshots - Expanding

  6. Start the wizard by clicking on OK


Start window

zenon Analyzer -> Analyzer Wizards -> Parameterization Wizard -> Start window

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

When opening the wizard, you receive an overview that lists and explains all objects that can be configured. Configuration starts with the Settings tab.

Screenshots - Expanding

Meaning

zenon variables often receive technically-orientated names in the project. This naming is often not meaningful enough for display in a zenon Analyzer report. The variables can be given a unique name for display in the zenon Analyzer report. This name is saved with a special prefix in the resource label of the variable. After import into zenon Analyzer, this name is used for reports without the existing variable name needing to be changed.

The prefix for the meanings is created by the wizard automatically.
Syntax: ME=Station_1,Station_2;

  • ME=: Identifies it as a meaning entry
  • Station_X: Meaning name. Other names can also be entered. The separator is a comma (,).
  • ;: End of entry.

Waterfall

Some zenon Analyzer reports can display a waterfall diagram using zenon variables. To do this, information on the appearance of the diagram must already be present in the resource label of the selected variable. The structure and appearance of a waterfall diagram can be defined with a wizard. The waterfall information is saved in the resource label of the variable with a special prefix and is available after import of the metadata in the zenon Analyzer database for the display of reports.

The prefix for the waterfall definition is automatically created by the wizard..
Syntax: WF=Name,0,0,#FFFF00;

  • WF=: Identifies it as a waterfall definition.
  • Name: Name of the waterfall diagram.
  • 0: Index of the row.
  • 0: Index of the column.
  • #FFFF00: Color of waterfall bar.
  • ;: End of entry.

Navigation

Click on the button with the arrow to navigate through the configuration of the export.


Configuration

zenon Analyzer -> Analyzer Wizards -> Parameterization Wizard -> Configuration

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The Parameterization Wizard is configured with the following tabs:

  • Settings: Loading the data from the projects.
    Only once the data to be loaded is selected are other tabs available for meanings and/or waterfall diagrams.
    • Meaning filter: Filter settings for meanings.
    • Meaning: Selection and assignment of the meanings.
    • Waterfall filter: Filter settings for waterfall.
    • Waterfall: Selection of variables for waterfall diagram.
  • Finish: Acceptance of configuration and configuration by the wizard.

Screenshots - Expanding

Noch in diesem Kapitel

Navigation

Settings

Meaning filter

Meaning

Waterfall filter

Waterfall

Finish


Navigation

zenon Analyzer -> Analyzer Wizards -> Parameterization Wizard -> Configuration -> Navigation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Navigation through the tabs is carried out by means of the navigation bar in the lower area of the wizard window:

General Analyzer Schema Graphics Template

Button | Description
Column left | Goes back one tab in the wizard process.
Column right | Goes forward one tab in the wizard process.
Finish | Writes all changes to the zenon variable in the Editor and closes the wizard.
Cancel | Ends the wizard without making changes.

Individual tabs can also be selected by clicking directly on the title of the tab.


Settings

zenon Analyzer -> Analyzer Wizards -> Parameterization Wizard -> Configuration -> Settings

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Selection and loading of the tabs to be configured.

Screenshots - Expanding

Parameters | Description
Settings | Setting for which tabs are to be loaded.
Load every project of this workspace into the memory | Active: Projects from the workspace that are not in the memory are loaded. Once the wizard has been ended or once the Finish action has been executed, these are removed.
Define Meanings | Active: The Meaning filter and Meaning tabs are loaded.
Define Waterfall | Active: The Waterfall filter and Waterfall tabs are loaded.
Load data | Clicking on the button searches through the variables of all projects loaded in the workspace and loads the required information for the filter and editing the variables. The corresponding tabs are displayed in the wizard. A progress bar is displayed during the loading process.

After loading, all tabs are available for configuration.

Screenshots - Expanding


Meaning filter

zenon Analyzer -> Analyzer Wizards -> Parameterization Wizard -> Configuration -> Meaning filter

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The variables to be edited are pre-filtered with this tab. If an object is not selected in any group, all variables are available in the Meaning tab.

Screenshots - Expanding

Parameters | Description
List of equipment groups | Filtering for individual models by activating the respective checkboxes. No selection: Variables of all equipment models are selected.
List of projects | Filtering for individual checkboxes by activating the respective checkboxes. No selection: Variables of all projects are selected.
List of archives | Filtering for individual archives by activating the respective checkboxes. No selection: Variables of all archives are selected.


Meaning

zenon Analyzer -> Analyzer Wizards -> Parameterization Wizard -> Configuration -> Meaning

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The meanings of the variables are edited in this tab. Variables can be selected and given new meanings, and existing meanings can be removed.

Screenshots - Expanding

Parameters

Description

Search meaning

Input of a search term lists all variables with their corresponding meanings.

The list is immediately updated with the entry of a character. Placeholders cannot be used.

List of variables

List of the variables available after filtering.

Selection of variables for editing: Activation of the checkbox before the variables.

Existing meanings of the variables are shown in the Meanings column. In doing so, only meanings are displayed. Other entries or entries for the waterfall chart are hidden or ignored when editing.

The variables can be sorted by clicking on a column label.

Select all

Clicking this selects all variables for editing.

Deselect all

Clicking this deselects all variables.

Display statistics

Display how many variables:

  • Are present in the list
  • Have been selected
  • Have been changed

Reset

Resets all changes that have been made by clicking on Update meaning.

Note: Changes are only accepted finally after clicking on Finish.

Add new meanings

Allows meanings to be added to variables.

New meanings are entered in the input field, added to the list and assigned to the selected variables using the Update meaning buttons.

Input field

Entry of a new meaning.

Maximum length: 50 characters

List of meanings

Lists all meanings that have been created.

Add to list

Adds entry from text field to the list of meanings.

Remove from list

Deletes selected entry from the List of meanings.

Remove all

Deletes all entries from the List of meanings.

Update meaning

Clicking this assigns all entries in the List of meanings a new meaning. The meanings to be added are displayed in the Meanings (preview) column; the row with the variables has a green background.

Remove existing meanings

Allows meanings to be removed from variables.

If a variable is selected, all assigned meanings are displayed in the List of meanings. Meanings that are to be retained are deleted from the list by clicking on the Remove from list button. Clicking on the Update meaning buttons removes the meanings from the selected variables.

List of meanings

Lists all of the meanings assigned to the selected variables.

Remove from list

Deletes selected entry from the List of meanings.

Remove all

Deletes all entries from the List of meanings.

Update meaning

Clicking this removes all entries in the List of meanings from the selected variables. The row with the variables has a red background.

Attention: Changes and new entries are only written to the zenon variable once the Finish action in the Finish tab has been executed.

Example of color identification:

Screenshots - Expanding

  • Red: All meanings of the variable have been deleted.
  • Green: Variable has received a new meaning.


Waterfall filter

zenon Analyzer -> Analyzer Wizards -> Parameterization Wizard -> Configuration -> Waterfall filter

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

You define the waterfall diagram in this tab. To do this, all variables must be assigned to the same equipment group. If variables from an archive are used, the archive and the variables must be assigned to the same equipment group.

Screenshots - Expanding

Parameters | Description
List of equipment groups | Selection of an equipment group.
List of projects | Selection of a project.
List of archives | Select an archive.

An equipment group and a project must be selected. As a option, it is also possible to select an archive from the appropriate equipment group.

No variables can be displayed in the Waterfall tab:

  • No project was selected
  • No equipment group was selected
  • Objects were selected that are not assigned to the same equipment group


Waterfall

zenon Analyzer -> Analyzer Wizards -> Parameterization Wizard -> Configuration -> Waterfall

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Waterfall definitions can be created and edited on this tab:

Screenshots - Expanding

Parameters

Description

New

Active: A new waterfall definition is created.

Update

Active: An existing waterfall definition is edited. Selection from drop-down list.

Chart

Entry of a name for a new waterfall definition.

Save

Clicking on the button saves the entries.

Note: All changes are only written to the zenon variable once the Finish action in the Finish tab has been executed.

Variable list

Lists all variables that correspond to the configuration on the Waterfall filter tab. Bool and string variables are not displayed.

The list can also be sorted by clicking on the column heading. Existing waterfall definitions are displayed in the Waterfalls column. New or amended waterfall definitions are displayed in the Waterfalls (preview) column.

Chart

Waterfall definitions can be created or amended here by dragging & dropping.

Note: All changes are only written to the zenon variable once the Finish action in the Finish tab has been executed.

Creating a waterfall definition

To create a new waterfall definition:

  1. Select New
  2. Move the desired variable by dragging & dropping in sequence in the Chart area
  3. Arrange the bar according to the rules
  4. Enter a name in the Chart input field
  5. click on Save
  6. The configuration is saved in the Waterfalls (preview) column
  7. Switch to the Finish tab
  8. Click on Finish.

Rules

The following rules apply when creating and editing waterfall definitions:

  1. For the first bar, the variable in the upper left corner of the character area must be dragged.
  2. The second bar can only be inserted below the first bar.
  3. All other bars can be inserted either below the existing bar or to the right of an existing bar.
    • The first row can only contain one bar.
    • If a bar is inserted to the right of an existing bar, the bar above this is extended.
  4. The selected variable is displayed in green.
  5. Each variable can only be used once.
  6. The bar contains an index:
    • First number: Row index
    • Second number: Column index
  7. The name of the selected variable is displayed in the tooltip of the bar.

Changing the color of a bar

To change the color of a bar:

  1. Right-click on the bar
  2. The dialog to select the color opened:
  3. select the desired color
  4. click on OK

Moving the bar

Bars can be moved if:

  • It is a short bar
  • The movement is within a row

To move a bar, drag & drop it to the new position. All other bars between the old and the new position are moved by one place.

Deleting a bar

Bars can be deleted if:

  • It is a short bar
  • There is no other bar below or to the right

To delete a bar, drag & drop it to a free location outside the Chart field (but not in the variable list).

The bar is deleted. All other bars are moved accordingly.

Saving a waterfall definition

To save a waterfall definition:

  1. Enter a name in the Chart input field
  2. Click on the Save button.
  3. The definition is saved in the variable list and the new entry is displayed in the Waterfalls (preview) column
  4. The new waterfall definition is only written to the zenon variable after clicking on the Finish button in the Finish tab.

Editing a waterfall definition

To edit a new waterfall definition:

  1. Select Update
  2. Select the desired waterfall definition from the drop-down list

    Attention: Only definitions that correspond to the configuration in the Waterfall filter tab are offered

  3. The waterfall definition is displayed in the Chart area
  4. Change the definition in accordance with the rules:
    • Adding a bar:
    • Deleting a bar: If a bar is deleted, the variable is highlighted in red in the list.
    • Moving a bar:
    • Changing the color:
  5. click on Save
  6. All changes are displayed in the Waterfalls (preview) column
  7. Switch to the Finish tab
  8. Click on Finish.


Finish

zenon Analyzer -> Analyzer Wizards -> Parameterization Wizard -> Configuration -> Finish

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In this tab, the changes are written to the variables in zenon and the result is displayed in the output field.

Screenshots - Expanding

Clicking on the 'Finish' button writes the changes to the zenon variable in the Editor.

The changes made are displayed in the output field:

  • Update variable MEANINGS definition: Changes to the variables that are carried out and that concern the meanings.
  • Update variable WATERFALL definition: Changes to the variables that have been carried out and that concern the waterfall definition
  • Notes on new and deleted entries, warnings and error messages.

    When importing into zenon, the length of the entry is checked for the Betriebsmittelkennung. This must not consist of more than 250 characters If the entry is longer, the sequence is cut off after the 250th character and an error message is written in the output field of the 'Finish' tab.


Analyzer Export Wizard

zenon Analyzer -> Analyzer Wizards -> Analyzer Export Wizard

The zenon Analyzer Export Wizard supports the export of metadata from zenon from version 7.0 SP0 for the zenon Analyzer.

The following can be exported:

  • Data from the global project
    • equipment models
    • Alarm/event classes
    • Alarm/event groups
    • Users
  • Data from selected projects:
    • Archives
    • Variables

Screenshots - Expanding

Note: The wizard is only available in English.

Compatibility:

The Analyzer Export Wizard works with zenon from version 7.00 SP0.

Noch in diesem Kapitel

Install and call up wizard

Start window

Configuration

Exit wizard


Install and call up wizard

zenon Analyzer -> Analyzer Wizards -> Analyzer Export Wizard -> Install and call up wizard

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The wizard is automatically installed together with zenon.

If a manual installation is necessary:

  1. Open the workspace in zenon
  2. select Update wizards command in the File menu
  3. in area Additional folders for VSTA Wizards click on button ...
  4. navigate to the installation medium in the file browser
  5. There, select the folder [Installation medium]\Setup\Wizard\zenon7.10\WizardsVSTA
  6. Select wizards.ini
  7. Start the update
  8. the wizard was added to the folder of the wizards and can be started

Note: If the wizard is not displayed, add the following reference to the workspace add-in: system.core

Calling up the wizard

For wizards to be displayed, the settings for VBA and/or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

To start the wizard:

  1. in zenon open menu File
    or press the shortcut Alt+F12
  2. select the entry Wizards...
  3. the selection dialog is opened
  4. navigate to the Analyzer node
  5. select the Analyzer Export Wizard

    Screenshots - Expanding

  6. Start the wizard by clicking on OK


Start window

zenon Analyzer -> Analyzer Wizards -> Analyzer Export Wizard -> Start window

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

When the wizard is opened, you receive an overview page that lists all exportable objects.

The individual objects are configured for the export on individual tabs.

Screenshots - Expanding

Click on the button with the arrow to navigate through the configuration of the export.


Configuration

zenon Analyzer -> Analyzer Wizards -> Analyzer Export Wizard -> Configuration

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

When exporting with the Analyzer Export Wizard, all modules selected in the Settings tab are offered in sequence for detailed configuration. You get to the next level by clicking on the button with the right arrow. You can also select tabs directly by clicking on the title of the tab.

The following tabs are available for configuration of the export:

  • Settings: Options to collect the metadata
  • Equipment model: Export of the model groups from the global project
  • Event classes: Alarm/Event classes from global project
  • Event Event groups: Alarm/event groups from global project
  • Users: User from global project
  • Projects: Projects from workspace
  • Historian: Archives of the selected projects
  • Variables: Variables of the selected projects
  • Finish: Start of the export and output of the result

Screenshots - Expanding

Attention: Only one global project can be exported to the database! Workspaces with projects that are to be exported to the database must include this global project.

Noch in diesem Kapitel

Navigation

Settings

Equipment model

Alarm/event classes

Event groups

Users

Projects

Historian

Variables

Finish


Navigation

zenon Analyzer -> Analyzer Wizards -> Analyzer Export Wizard -> Configuration -> Navigation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Navigation through the tabs is carried out by means of the navigation bar in the lower area of the wizard window:

Button

Description

Column left

Goes back one tab in the wizard process.

Column right

Goes forward one tab in the wizard process.

Export

Exports the data to the Analyzer database.

Is only active if the Finish tab is opened.

Cancel

Closes the wizard without exporting.

When closing, a dialog asks if the configuration is to be saved

  • Yes: writes the settings configured in the Settings tab to the registry and closes the wizard; the wizard is opened with these settings the next time it is restarted
  • No: closes the wizard without saving the configuration

The configuration is saved for each specific user.

Individual tabs can also be selected by clicking directly on the title of the tab.


Settings

zenon Analyzer -> Analyzer Wizards -> Analyzer Export Wizard -> Configuration -> Settings

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In this tab:

  1. You define the database to which the wizard connects
  2. You define general options for exporting
  3. You start the data readout

Screenshots - Expanding

Parameters

Description

Settings

Information and notes on current export processes.

Database settings

Connection settings to the Analyzer server.

DB host

Computer on which the database is located.

DB instance

Database instance

DB name

Name of the database.

Authentication

Type of authentication:

  • Windows Authentication: Windows login information is used.
  • SQL Server Authentication: Login with data from an SQL server user.

User name

Entry of the user name.

Only for login with SQL Server Authentication. Display only with Windows Authentication.

Password

Entry of the password.

Only for login with SQL Server Authentication. No input possible with Windows Authentication.

Remember password

Password is saved for next connection.

Only for login with SQL Server Authentication. Inactive for Windows Authentication.

Options

General options for the export.

Load every project of this workspace into the memory

Active: Loads all projects present in the workspace, even if they are not active and not set to Keep project in memory.

Keep the existing data in the Analyzer database

Active: Only entries from the workspace are written to the database.

Inactive: Entries in the database are also updated or deleted.
Exception: Projects are not deleted

Preselect existing Analyzer database content

Active: Entries already present in the database are preselected in the individual areas.

Load Data

Load Data

Clicking on the button loads, depending on the Load every project of this workspace into the memory parameter - the data from the currently loaded project into the wizard.

In doing so, a check is made to see if data is present in the Analyzer database. Pre-existing data is combined with the data from the workspace and loaded into the wizard. In the event of naming conflicts, a dialog to rectify the error is called up.

If the loading of data has been successfully concluded, the export can be configured in the following tabs.

Renaming objects

Objects must always be named the same in the Analyzer database and in zenon. If objects that are already present in the database are renamed in zenon, these changes can be accepted or rejected when the data is combined. Rejection of the changes leads to the wizard being closed, because only objects with identical names can be handled correctly.

Dialog for renaming

In the event of conflicts in the naming of objects, a dialog for dealing with the error is opened:

Screenshots - Expanding

Parameters

Description

List of amended objects

Contains all objects that were changed. Previous name and new name are displayed. The following renamed objects are displayed in the list:

  • Name of the equipment models
  • Names of the alarm/event classes
  • Names of the alarm/event groups
  • Project name
  • Variable name

Exceptions:

  • Users are always recreated
  • Archive names are only created once in the database as a visual name and can be overwritten in the zenon Analyzer

Rename

Renames all objects listed in the database, closes the dialog and stops reading in data.

Cancel

Leaves the previous name in the database, finishes reading in data and closes the wizard.


Equipment model

zenon Analyzer -> Analyzer Wizards -> Analyzer Export Wizard -> Configuration -> Equipment model

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration of the model groups to be exported from the global project.

attention Attention

Each equipment group in zenon may only be assigned to one individual time model.

If several time model groups are assigned, the Analyzer Wizard Export uses the first that it finds and exports this to the metadata of the Analyzer. Other time model groups are ignored.

Screenshots - Expanding

Parameters

Description

Equipment modeling

Information and notes on exporting.

Selection of equipment/medium

Drop-down list to select what is offered in List of equipment models/media for configuration:

  • Plant: displays equipment models
  • Media: displays media

List of equipment models/media

List field with the possibility to select equipment models and model groups or media. To select an entry, activate the check box in fornt of the entry.

In the list field, the name is always displayed in the individual nodes as it is stored in the database. If the name was changed, the original name from the zenon project is displayed in brackets.

Equipment groups that were deleted in the global project are no longer displayed.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

Select all

Clicking on the button selects all equipment groups

Deselect all

Clicking on the button deselects all equipment groups.


Alarm/event classes

zenon Analyzer -> Analyzer Wizards -> Analyzer Export Wizard -> Configuration -> Alarm/event classes

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration of the alarm/event classes which should be exported from the global project.

Screenshots - Expanding

Parameters

Description

Alarm/event classes

Information and notes on exporting.

List of the alarm/event classes

List field with the possibility to select the alarm/event classes. To select an entry, activate the checkbox in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several rows are highlighted, a click in the check box sets the options for all selected rows.

Alarm/event classes that were deleted in the global project are no longer displayed here.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Event groups

zenon Analyzer -> Analyzer Wizards -> Analyzer Export Wizard -> Configuration -> Event groups

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration of the alarm/event groups which should be exported from the global project.

Screenshots - Expanding

Parameters

Description

Alarm/event groups

Information and notes on exporting.

List of the alarm/event groups

List field in which you can select alarm/event groups. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several rows are highlighted, a click in the check box sets the options for all selected rows.

Alarm/event classes that were deleted in the global project are no longer displayed here.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Users

zenon Analyzer -> Analyzer Wizards -> Analyzer Export Wizard -> Configuration -> Users

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration of the user which should be exported from the global project.

Screenshots - Expanding

Parameters

Description

Users

Information and notes on exporting.

List of users

List field with possibility to select users. To select an entry, activate the checkbox in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several rows are highlighted, a click in the check box sets the options for all selected rows.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

If a user was renamed in zenon they are considered new and recreated in the project. The previous user is deleted.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Projects

zenon Analyzer -> Analyzer Wizards -> Analyzer Export Wizard -> Configuration -> Projects

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration of the local projects which should be exported. The names for the server and standby-server can be changed here. To do this:

  1. Highlight the project in the list of projects
  2. Enter the desired name for the server and standby-server

If the name of the server or standby server is changed in the zenon project, then this is only updated in th analyzer database if the Netzwerk aktiv setting was activated in the project properties.

Screenshots - Expanding

Parameters

Description

Projects

Information and notes on exporting.

Project list

List field with possibility to select for projects. To select an entry, activate the checkbox in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several rows are highlighted, a click in the check box sets the options for all selected rows.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

Server

Address of the server for the project selected in the list window.

Standby

Address of the standby server for the project displayed in the list window.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Historian

zenon Analyzer -> Analyzer Wizards -> Analyzer Export Wizard -> Configuration -> Historian

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Selection of the archive from the selected projects. Only the main archive is displayed. Compression archives are not displayed in the list, but are also selected with the main archives and written to the database.

Screenshots - Expanding

Parameters

Description

Historian

Information and notes on exporting.

Archive list

List field with possibility to select for archives. To select an entry, activate the checkbox in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several rows are highlighted, a click in the check box sets the options for all selected rows.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Variables

zenon Analyzer -> Analyzer Wizards -> Analyzer Export Wizard -> Configuration -> Variables

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration of the variables from the local project which should be exported. When selecting variables, the entries offered can be prefiltered.

Screenshots - Expanding

Parameters

Description

Variables

Information and notes on exporting.

Variable Filter

Selection of the variable filter using the following option fields:

  • Show all: All variables are displayed.
  • Historians only: Only archive variables are displayed.
  • Equipment groups only: Only variables are displayed which are part of the selected Equipment model.
  • Show not selected only: Only variables that were not selected are displayed.

Filter row

Input of alphanumerical characters according to which the List of variables is to be filtered.

List of variables

List field with possibility to select variables. To select an entry, activate the checkbox in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several rows are highlighted, a click in the check box sets the options for all selected rows.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.

Rules for the export of variables with reaction matrices

If linked variables are exported with reaction matrices, the limit value text and the status value of the reaction matrix statuses are also exported to the STATUSNAME table in the metadata database of the Analyzer. Because only certain states can be evaluated in the reports, they must be pre-sorted using the wizard.

The following statuses of the reaction matrices can be exported or excluded:

Rema

Rules

Numerical
  • The default status is ignored.
  • If several statuses with the same status and limit value condition are set, then only the first status and its status text are exported.
  • Only statuses with a value that is equal to a limit value are exported (limit value condition).
  • The limit value conditions greater than, less than, as desired and range are ignored.

Multi numeric
  • Correspond to the rules for numeric.
  • Substatuses are also ignored.

Binary

  • Only statuses that have value bits set consistently from right to left in the bit mask (0 or 1) are set.
    For example:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    Ignoriert werden zum Beispiel:
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi binary
  • Correspond to the rules for Binary.
  • In addition, substatuses and statuses are also ignored with edge definitions in the bit mask.

String

  • Are completely ignored and not exported.


Finish

zenon Analyzer -> Analyzer Wizards -> Analyzer Export Wizard -> Configuration -> Finish

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

To export the configured data:

  1. In the Finish tab, click on the Export button

    Screenshots - Expanding

  2. the export is started
  3. The exported elements are shown in the output window with the attendant success and error messages
    In addition, the number of objects that have been added, replaced or deleted, and the number of errors that occurred are shown.

    Screenshots - Expanding

  4. Click on Close to close the wizard

Reconfiguring the wizard

To reconfigure the wizard:

  1. Open the Settings tab
  2. click on button Load data
  3. Configure the tabs


Exit wizard

zenon Analyzer -> Analyzer Wizards -> Analyzer Export Wizard -> Exit wizard

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

To close the wizard:

  • Click on the Cancel button
  • A dialog asks if the configuration should be saved
    • Clicking on Yes writes the settings configured in the Settings tab to the registry and closes the wizard; the wizard is opened with this configuration next time it is started
    • Clicking on No closes the wizard without saving the configuration


Rights management

zenon Analyzer -> Rights management

The zenon Analyzer uses role-based rights management. It controls the access to the data sources, folders, reports and all other elements. At this certain rights are assigned to a user or a group. Users and groups must already exist in the Window user administration. Authentication is not done by the zenon Analyzer but by the operating system.

User rights are set and administered in the ZAMS.


Analyzer Manager: Configuration and operation

zenon Analyzer -> Analyzer Manager: Configuration and operation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The zenon Analyzer is called up via the web browser or started via the ZAMS:

  • Calling it up via the user interface: Entry of connection in address line or click on the link in the start menu of the installation computer (COPA-DATA section)
  • Start via ZAMS:
    The following actions start the web browser with the Analyzer Manager for the connection set up in ZAMS
    • Selection of the corresponding command from the Report menu
    • Click on the corresponding symbol in the tool bar
    • Click on the Open report in the Analyzer Manager button in a report in the ZAMS

Note: Internet Explorer 8 or 9 (with normal view) or Internet Explorer 10 or higher in compatibility mode can be used as a web browser. For starting from ZAMS, the correct web browser must be set in the operating system as a standard browser.

Analyzer Manager

The user interface of the Analyzer Manager gives you the possibility to:

  • configure the zenon Analyzer
  • create and call up reports

Screenshots - Expanding

Parameters

Description

Configuration menu (orange header)

Home

Main view.

Site settings

Administration of site and schedules.

Help

Opens the Microsoft help for Reporting Services.

Main menu (blue bar)

Delete

Deletes selected reports or folders. The selection takes place by activating the check box in front of the report/folder.

Only available for detail view.

Move

Moves selected reports or folders. The selection takes place by activating the check box in front of the report/folder.

Only available for detail view.

New folder

Creates a new folder.

New data source

Creates a new data source.

Report Generator

Opens the Report Generator.

Upload file

Opens the dialog for uploading resources such as reports, models, data sets, etc.

Details view - Tile view

Toggles between detail view and side-by-side/one-below-the-other view.

Details View: Shows details about the reports and folders and makes it possible to sort after the following criteria:

  • Type
  • Name
  • Last execution
  • Changed on
  • Changed by

Tile view: Shows all folder and reports in a compact view. In this view folders can be hidden.

Both views provide a drop-down list with often needed commands for folders and reports.

List field Reports

Field for listing reports and folders. It is either displayed in compact view or with details. Folder and reports can be configured via a drop-down list.

attention Attention

Error messages for parameters

For some parameters, the values available must be loaded via a stored procedure of Microsoft SQL Server. If this stored procedure is not successfully called up or the stored procedure returns an error, an error message is activated in the Analyzer Manager. For example, if Runtime cannot be reached, the SQL connector has not been created, etc.

For some parameters, no standard value can be issued under some circumstances, because a parameter that is to be handled beforehand does not contain a value. For example: Time filters are based on shifts, but there is no shift data available. in this case, the issue of standard values is only possible if at least 1 shift has been written.

info Information

The zenon Analyzer was designed and tested for and with Microsoft Internet Explorer version 8 and higher.

Attention: The compatibility view in Internet Explorer 8 and 9 must be deactivated for the correct display of reports. The compatibility view must be activated for later versions of Internet Explorer.

Noch in diesem Kapitel

Drop-down list for folder and reports

Options

Languages and time formats

Parameters - input and selection

Site

Data source

Folder

Upload file


Drop-down list for folder and reports

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Drop-down list for folder and reports

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The folder and reports have a drop-down list for configuration. The menu is shown as soon as the mouse cursor is placed above the report or folder.

Drop-down list folder

Screenshots - Expanding

Parameters | Description
Move | Opens menu for selecting the new saving location.
Delete | Deletes selected folder.
Manage | Opens the dialog for managing the folder.

Drop-down list report

Screenshots - Expanding

Parameters | Description
Move | Opens menu for selecting the new saving location.
Delete | Deletes selected reports.
Create linked report... | Opens the dialog for creating a linked report which is based on the selected report.
Display report history | Opens the display of the report history.
Manage | Opens the dialog for managing the report.
Download | Makes it possible to locally save reports. Opens Windows dialog for saving a file.
Editing in the Report Generator | Opens report in the Report Generator.


Options

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Options

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Data sources and reports are managed and configured via menu bars and drop-down lists.

See also:

  • Configuration and operation
  • Site
  • Folder
  • Reports
  • Rights management


Languages and time formats

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Languages and time formats

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

User interface language

The zenon Analyzer can be displayed in several languages on the web client. As far as selected in the browser, the user interface is displayed in:

  • Chinese (simplified Chinese)
  • German
  • English
  • French
  • Italian
  • Russian
  • Spanish
  • Czech

For all other languages the default language - English - is used. You can define the language in the MS Internet Explorer via Extras -> Internet options -> General -> Languages.

Time formats

Time formats correspond to the conventions of the language set in the browser.

Note: If one of the following symptoms is evident, check the settings for language and time stamp formats:

  • Drop-down list for date and time selection does not work
  • Analyzer Manager reports an incorrectly-formatted time stamp

Texts

Texts are displayed as they are entered in RDL or output by the server.


Parameters - input and selection

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Parameters - input and selection

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The user defines via dialogs and input fields (controls) the values which should be displayed in a report. The dialogs for parameter input are displayed when a report is opened which needs parameters. At this default values can already be set.

By clicking button View report, the parameters are sent to the zenon Analyzer. It carries out a parameter validating and checks whether the values entered by the user are valid. For valid parameters the respective report is displayed; otherwise an error message is displayed.

Adapt drop-down list

There is a drop-down list available for input, selection and filtering.

The size of most of the drop-down lists can be adjusted. The exceptions to this are the parameters for the input of a time range and the selection of date and time.

To adjust the size of the drop-down list:

  1. Move the mouse to the touch area in the lower right corner until the mouse pointer becomes a double-arrow
  2. With the left mouse button pressed, drag it to the desired size
    Note: the original size is the minimum size

The touch area is only available if the content of the drop-down list needs more space than the minimum offers.

Validation

At the data transmission between browser and Analyzer the values of a parameter are always transmitted as text. The following parameters must always have valid values:

  • Boolean
  • Date and time

The following conditions are checked at the parameter validation. Errors are displayed in the view window of the zenon Analyzer:

Entry

Limitation

Value available

A value must have be entered or selected. This validation is always carried out before sending the parameter to the zenon Analyzer server.

String validation

For parameters of data type Text no additional validations are carried out.

Boolean validation

For parameters of data type Bool the value must be either true or false. Capitalization/use of small letters is not checked.

Comment: The Boolean selection dialog sends valid values but at the direct control of the zenon Analyzer via URLs the validation may be needed.

Integer validation

For parameters of data type Integer the value must not contain another character as the following:

  • A plus or a minus character as first character.
  • All numbers allowed in the culture of the user.
  • The thousands separator in the culture of the user.
    All included thousands separator are removed at the beginning of the integer validation.

Float validation

For parameters of data type Float the value must not contain another character as the following:

  • A plus or a minus character as first character.
  • All numbers allowed in the culture of the user.
  • The thousands separator in the culture of the user.
    All thousand separators that are included are removed at the beginning of the integer validation.
  • Exactly one decimal separator in the culture of the user.
    If there are no numbers in front of or after the decimal separator, a 0 is assumed.
    Note: No numbers in front of and after the decimal separator is not allowed.

Date and time validation

For parameters of data type date and time the following criteria must be adhered to:

  • The value of the parameter must correspond to a valid date and time format of the culture of the user.
  • The numbers in date and time must be able to be assigned to a valid value.
    For example, the character string 45.18.2011 35:68:99 is invalid as there is no such date or time.
  • If the character string does not contain a time, 00:00:00 is assumed.
  • The time is rounded to minutes. If a time contains seconds, it is rounded to the preceding minute if the value is smaller the 30. For values larger or equal to 30 it is rounded to the next minute. The rounding considers jumps for minutes, hours, days, months and years.
  • The rounded result must lie within the following limits: Minimum = 1.1.1900 00:00:00
    Maximum = 1.1.[current year + 3] 00:00:00
    The maximum complies to the end of the year of the year after next from the current date.

Conditions for values of the parameter

At the definition of a report (e.g. in the Report Builder) you must adhere to the following restrictions for parameters with predefined values:

  • The value must not be NULL.
  • The label can be NULL, with the exception of those for equipment group and shift. In this case the value is used as label.
  • Each value must be unique.
    Different predefined values with the same value field are not allowed.
  • The label must be unique.
    Different predefined values with the same label field are not allowed.
    Exception: Values from equipment groups with the same labels are permitted if they are not in the same area of the tree. The same labels for root elements and the same labels for elements with the same superordinate nodes thus lead to errors.
    Attention: A value without label can also lead to a duplicate if its label matches another predefined value.

attention Attention

The parameter validation by the zenon Analyzer server is not a precaution against attacks via SQL injection but only a check of valid report values. Counteractions against attacks must be done by the designer of the SQL stored procedures.

Noch in diesem Kapitel

Default input field

Boolean selection dialog

Input or selection of several values

Single time span input

Date and time

Selection of equipment group

Selection of lot and shift

Filter

Sorting of filter elements


Default input field

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Parameters - input and selection -> Default input field

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The default input field permits to enter exactly one value for a parameter. This input field is displayed for all parameters which do not call for a specialized dialog.

General Analyzer Schema Graphics Template

For these parameters the following requirements are true:

  • The data type of the parameter is neither Bool nor Date and time.
  • The parameter permits only to enter one single value.
  • The parameter has no predefined values.

Creating and using the default input field

  1. The Report Designer creates a report with a parameter in the Report Builder.
  2. The parameter of the report has one of the following data types:
    • Integer
    • Float
    • Text
  3. The parameter does not allow entering several values and has no predefined values.
  4. The Report Designer saves the report in a folder in the zenon Analyzer.
  5. The user opens the report previously created by the Report Designer in the browser.
  6. Based on the decision tree, an assessment is made by the zenon Analyzer that a standard input control is needed.
  7. The control is displayed in the parameter area of the report view.
  8. The user enters the desired value for the parameter in the input field and starts the creation of the report.
  9. The value of the control is read, validated and handed over to the report engine as value for the parameter.
  10. The report engine creates the report and hands it over to the zenon Analyzer for displaying.
  11. The report is displayed in HTML by the Analyzer and is presented to the user in the browser.


Boolean selection dialog

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Parameters - input and selection -> Boolean selection dialog

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The Boolean selection dialog makes it possible to select one of the values for Boolean parameter which can receive a label:

  • True
  • False

General Analyzer Schema Graphics Template

For these parameters the following requirements are true:

  • The data type of the parameter is Bool.
  • It is only possible to select one value.
    If the dialog allows the selection of several values, it is ignored.
  • If predefined values are available, the text of the respective radio button is overwritten by the label of the predefined value. If during the loading of this control a second label comes along, the text of the radio button is overwritten again. Predefined values always arrive in the sequence defined in the Report Builder.

Creating and using the Boolean selection dialog

  1. The Report Designer creates a report with a parameter in the Report Builder.
  2. The parameter of the report has data type Bool.
  3. The parameter prevents entering several values. The Boolean selection control ignores the possibility to enter several values and always allows to enter only one value. Thus the change of this property of the parameter would not have any effect during engineering and generating the report.
  4. If desired, the Report Designer creates predefined values for True and False in order to label the displayed texts.
  5. The Report Designer saves the report in a folder in the zenon Analyzer.
  6. The user opens the report previously created by the Report Designer in the browser.
  7. Based on the decision tree, an assessment is made by the Analyzer that a Boolean control is needed.
  8. The control is displayed in the parameter area of the report view. If predefined values are available, the texts for the radio buttons are overwritten by them.
  9. The user selects the desired radio button (True or False or the respective labels) and starts generating the report.
  10. The value of the control (True or False) is read, validated and handed over to the report engine as value for the parameter.
  11. The report engine creates the report and hands it over to the zenon Analyzer for displaying.
  12. The report is displayed in HTML by the Analyzer and is presented to the user in the browser.


Input or selection of several values

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Parameters - input and selection -> Input or selection of several values

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Input several values

This dialog allows entering several values for a parameter. Here each line corresponds to a value. Empty lines are ignored.

To enter values:

  1. click on the input field
  2. the input field is opened
  3. enter the values one per line
  4. click on the arrow next to the input field
  5. the input field is closed
  6. the values are displayed separated by semicolon

General Analyzer Schema Graphics Template

For these parameters the following requirements are true:

  • The parameter does not have data type Bool.
  • The parameter allows entering several values.
  • The parameter has no predefined values.

Creation and use of the dialog for entering several values

  1. The Report Designer creates a report with a parameter in the Report Builder.
  2. The parameter of the report has one of the following data types:
    • Date and time
    • Integer
    • Float
    • Text
  3. The parameter allows entering several values but has no predefined values.
  4. The Report Designer saves the report in a folder in the zenon Analyzer.
  5. The user opens the report previously created by the Report Designer in the browser.
  6. On the basis of the decision tree, a decision is made in zenon Analyzer that a control is needed for entering several values.
  7. The control is displayed in the parameter area of the report view.
  8. The user enters the desired values for the parameter in the control and starts the creation of the report.
  9. The values of the control are read, validated and handed over to the report engine as value for the parameter.
  10. The report engine creates the report and hands it over to the zenon Analyzer for displaying.
  11. The report is displayed in HTML by the Analyzer and is presented to the user in the browser.

Selection of a value from several predefined values

This dialog allows the selection of one value from several predefined values. The values are always displayed in alphabetical order.

To select a value:

  1. click on the input field
  2. the input field is opened
  3. filter the entries or select a value
  4. click on the arrow next to the input field
  5. the input field is closed
  6. the value is displayed in the input field

For these parameters the following requirements are true:

  • The parameter does not have data type Bool.
  • The parameter prevents the selection of several values.
  • The parameter has predefined values.
  • For parameters with data type Text the following is additionally true:
    • An additional, hidden parameter named [parameter name]_type does not exist or its default value is neither set to 1 nor to 2.

The dialog can be displayed filtered.

Creation and use of the dialog for selecting a value from several predefined values

  1. The Report Designer creates a report with a parameter in the Report Builder.
  2. The parameter of the report has one of the following data types:
    • Date and time
    • Integer
    • Float
    • Text
  3. The parameter prevents entering several values.
  4. The report designer adds the necessary predefined values to the parameter.
  5. The Report Designer saves the report in a folder in the zenon Analyzer.
  6. The user opens the report previously created by the Report Designer in the browser.
  7. On the basis of the decision tree, an assessment is made in the zenon Analyzer as to whether a control is needed to make a selection from several predefined values.
  8. The control is displayed in the parameter area of the report view.
  9. When required the user enters a filter criterion in the filter box in order for the searched value to be found quicker.
  10. The user selects the desired value in the drop-down list and starts creating the report.
  11. The value of the control is read, validated and handed over to the report engine as value for the parameter.
  12. The report engine creates the report and hands it over to the zenon Analyzer for displaying.
  13. The report is displayed in HTML by the Analyzer and is presented to the user in the browser.

Selection of several values from several predefined values

This dialog allows the selection of several values from several predefined values. The values are always displayed in alphabetical order. The selection takes place by activating the check box in front of the entry. As soon as more than one entry is displayed, the list has a check box for selecting/deselecting all values.

To select several values:

  1. click on the input field
  2. the input field is opened
  3. filter the entries or select the desired values
  4. in order to select all values click in Select all values
    At this the following is true:
    • The first click on check box Select all values selects all entries.
    • The second click cancels the selection.
    • This selection only effects the displayed values. Filtered out values are not effected.
  5. click on the arrow next to the input field
  6. the input field is closed
  7. the values are displayed separated by semicolon

For these parameters the following requirements are true:

  • The parameter does not have data type Bool.
  • The parameter allows the selection of several values.
  • The parameter has predefined values.
  • For parameters with data type Text the following is additionally true:
    • An additional, hidden parameter named [parameter name]_type does not exist or its default value is not set to 1.

The dialog can be displayed filtered.

Creation and use of the dialog for selecting several predefined values

  1. The Report Designer creates a report with a parameter in the Report Builder.
  2. The parameter of the report has one of the following data types:
    • Date and time
    • Integer
    • Float
    • Text
  3. The parameter allows entering several values.
  4. The report designer adds the necessary predefined values to the parameter.
  5. The Report Designer saves the report in a folder in the zenon Analyzer.
  6. The user opens the report previously created by the Report Designer in the browser.
  7. On the basis of the decision tree, an assessment is made in zenon Analyzer as to whether a control is needed for selecting several predefined values.
  8. The control is displayed in the parameter area of the report view.
  9. When required the user enters a filter criterion in the filter box in order for the searched value to be found quicker.
  10. The user selects the desired value (possibly by using filters) in the drop-down list and starts creating the report.
  11. The values of the control are read, validated and handed over to the report engine as values for the parameter.
  12. The report engine creates the report and hands it over to the zenon Analyzer for displaying.
  13. The report is displayed in HTML by the Analyzer and is presented to the user in the browser.


Single time span input

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Parameters - input and selection -> Single time span input

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

This dialog allows the input of a time range.

The following requirements apply for the time range parameters:

  • The parameter is of data type Text.
  • The parameter must not have any predefined values.
  • The parameter must not have several values.

A hidden parameter named [parameter name]_type exists and its default value is set to 3.

Input of time range

Parameters

Description

End of the interval

Definition of the end time. This can be a fixed point in time or the current time stamp.

The input is made in local time.

Set current date and time

Set the current time stamp when clicked.

Year

Input of year. Selection from drop-down list.

Month

Input of month. Selection from drop-down list.

Day

Input of day. Selection from drop-down list.

Hour

Input of hour. Selection from drop-down list.

Minute

Input of minute. Selection from drop-down list.

Duration of the interval

Duration of the period of time that is to be analyzed.

  • Text input field: Defines quantity.
    Input of a number between 1 and 99999.
    The quantity can be increased or reduced with the arrows.
  • Drop-down list: Defines granularity. Selection between years, months, days, hours and minutes.

Preview

Display of the current configuration settings in local time.

Errors are displayed by the corresponding error messages.

From

Start of the interval. Only display.

Error messages:

  • Interval is out of range
    The start time determined by the end time and the interval is before 1/1/1900 or in the future (cannot actually be configured).
  • Duration input is invalid
    An invalid input was entered into the text input field for the quantity.
    An input is then invalid if it is not a number (subsequent letters are separated!) or if the number entered is less than 1.

To

End of the interval. Only display.

Error message:

  • Interval is out of range
    The end time set is before 1/ 1. /1900 (cannot actually be configured) or in the future. Errors in the end time lead to the start time not being calculated.

Accept

Click on this button to accept the inputs, if they are valid, and close the drop-down dialog.

Time stamp is converted to UTC.

To leave the dialog without saving, click on the calendar symbol or in the toolbar with the drop-down dialog.

The size of the drop-down dialog cannot be changed.

Date format

The date format consists of: [end time]|[quantity]|[granularity]

In detail:

  • [end time]:
    Current time: Now
    otherwise: YYYY-MM-DD hh:mm in UTC
  • [quantity]: A number from 1 to 99999
  • [granularity]:
    • Y for years
    • M for months
    • D for days
    • h for hours
    • m for minutes

Creation and use of the dialog to enter a time range

  1. The Report Designer creates a report with a parameter in the Report Builder.
  2. The parameter of the report has data type Text.
  3. The parameter allows the selection of several values.
  4. The Report Designer creates a second parameter named [parameter name]_type, puts its visibility to hidden and assigns the default value 3.
  5. The Report Designer saves the report in a folder in the zenon Analyzer.
  6. The user opens the report previously created by the Report Designer in the browser.
  7. On the basis of the decision tree, a decision is made in zenon Analyzer that a control is needed for entering a time range.
  8. The control is displayed in the parameter area of the report view.
  9. The user selects the desired parameters in the drop-down dialog created by the control and has the report generated.
  10. The value of the control is read, validated and handed over to the report engine as value for the parameter.
  11. The report engine creates the report and hands it over to the Analyzer for displaying.
  12. The report is displayed in HTML by the Analyzer and is presented to the user in the browser.


Date and time

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Parameters - input and selection -> Date and time

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The dialog for date and time has several views:

  • Month view: Navigation within a month and selection of the values for the date. The dialog to select the time is offered depending on the selection of the date.
    In this view, direct selection links are also available:
    • Today
    • Beginning of the week
    • End of the week
    • Beginning of the month
    • End of the month
  • Year view: Quick navigation across several months.
  • Decade view: Quick navigation across several years.

The calendar week and the beginning of the week in the selection dialog complies with norm ISO 8601. With this:

  • the first weekday is always a Monday
  • and January 4 is always part of the first calendar week of a year

The display of the time in 24-hour format or 12-hour format depends on the setting of language culture in the browser.

For these parameters for date and time, the following requirements are true:

  • The parameter is of data type date and time.
  • The parameter prevents entering several values.
  • The parameter has no predefined values.
  • The date is between 01/ 01. 1900 00:00:00 and the end of the year after next based on the current date (1/1/[current year + 3] 00:00:00).

Month view

Parameters

Description

Header

The header can be used for date navigation:

  • Click on the arrow to the left in order to switch to the previous month
  • Click on the arrow to the right in order to switch to the next month.
  • Click on the month in the header to open the year view of the year in which the month falls. Arrow keys move the view by a year each time.
  • Click on the year in the year view to open the decade view in order to select a year in the current decade. Arrow keys move the view by a decade each time.

The arrow keys are only displayed if the view that they call up is available. As such, in the view of the month January in 1900, it is not possible to go to the previous month. In the view of the month December in the year after next based on the current date, it is not possible to navigate to the next month.

Calendar

Click on the entry in the calendar view to accept the selected day as the value for the parameter and to open the dialog to select a time.

The selected day is displayed in bold. If there is no value, the current day is displayed in bold.

Today

Current day. Click to open the dialog for selecting the time.

Beginning of this week

Monday of the current calendar week with the start of the day (00:00:00) as the time.

End of this week

Sunday of the current calendar week with the end of the day (11:59:59 PM) as the time.

Beginning of this month

First day of the current month with start of day as time.

End of this month

Last day of the current month with end of day as time.

Time selection

The time is selected according to the setting of the language of the browser in 24-hour time or in 12-hour time.

24-hour time format:

Parameters

Description

Header

A click on the header opens the month view to navigate dates.

Entry of time

The time is selected by means of two drop-down lists. Clicking on the list opens these. The selection is made by clicking on the arrow of the spin control or by clicking on the desired time in the drop-down list that has been opened or by direct input using the keyboard (arrow and number keys):

  • The first (left) drop-down list is for selecting the hour.
    The arrow on the right next to the first drop-down list increases and reduces the set hour by the value 1. At the end of the list, it goes to the start if it is increased. At the start of the list, it goes to the end if it is reduced.
  • The second (right) drop-down list is for selecting the minute. The list contains the values 0 to 59. If the drop-down list is opened, a value can also be selected via the keyboard (arrow and number keys).

00:00 means end of the day

Active: 00:00 is interpreted as the end of the day.

Back

Opens month view for navigation of dates.

Accept

Applies settings and closes the drop-down dialog.

To cancel the input, click on the calendar symbol next to the input field.

12-hour time format:

Parameters

Description

Header

A click on the header opens the month view to navigate dates.

Entry of time

The time is selected by means of two drop-down lists. Clicking on the list opens these. The selection is made by clicking on the arrow of the spin control or by clicking on the desired time in the drop-down list that has been opened or by direct input using the keyboard (arrow and number keys):

  • The first (left) drop-down list is for selecting the hour.
    The arrow on the right next to the first drop-down list increases and reduces the set hour by the value 1. At the end of the list, it goes to the start if it is increased. At the start of the list, it goes to the end if it is reduced.
  • The second (right) drop-down list is for selecting the minute. The list contains the values 0 to 59. If the drop-down list is opened, a value can also be selected via the keyboard (arrow and number keys).
  • AM: Morning (ante meridiem)
  • PM: Afternoon (post meridiem)

12:00 AM means end of the day

Active: 12:00 AM is interpreted as the end of the day.

Back

Opens month view for navigation of dates.

Accept

Applies settings and closes the drop-down dialog.

To cancel the input, click on the calendar symbol next to the input field.

Year view

The year view is used to navigate across several months:

  • Click on the arrow to the left in order to switch to the previous year.
  • Click on the arrow to the right in order to switch to the next year.
  • Click on the year in the year view to open the decade view in order to select a year in the current decade.
  • Double click on an entry in the month list in order to open the month view of the selected month.

The selected month is displayed in bold. If there is no value, the current month is displayed in bold.

Decade view

The decade view is used to navigate across several years: The current year is displayed in bold:

  • Click on the arrow to the left in order to switch to the previous decade.
  • Click on the arrow to the right in order to switch to the next decade.
  • Double click on an entry in the year list in order to open the year view of the selected decade.

The selected year is displayed in bold. If there is no value set, the current year is displayed in bold.

In this view the user has the following possibilities:

  • In the header you can jump to the decade view of the previous or next decade by clicking on the arrows. The arrows are only displayed if they are available. In view 1900 - 1910 you cannot navigate to the previous decade. In the view of the decade which contains the year after next starting from the current date (2010 - 2019 in the example image), you cannot navigate to the next decade.
  • Click on an entry in the year list in order to open the year view of the selected year.

Creation and sue of the dialog for entering date and time.

  1. The Report Designer creates a report with a parameter in the Report Builder.
  2. The parameter of the report has data type Date and Time.
  3. The parameter does not allow entering several values and has no predefined values.
  4. The Report Designer saves the report in a folder in the zenon Analyzer.
  5. The user opens the report previously created by the Report Designer in the browser.
  6. Based on the decision tree, a decision is made at the zenon Analyzer that a control is needed for entering the date and time.
  7. The control is displayed in the parameter area of the report view.
  8. The user selects the desired date and the desired time in the drop-down list created by the control and generates the report.
  9. The value of the control is read, validated and handed over to the report engine as value for the parameter.
  10. The report engine creates the report and hands it over to the Analyzer for displaying.
  11. The report is displayed in HTML by the Analyzer and is presented to the user in the browser.


Selection of equipment group

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Parameters - input and selection -> Selection of equipment group

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The label for an equipment group does not need to be unique. Values from equipment groups with the same labels are permitted if they are not in the same area of the tree. The same labels for root elements and the same labels for elements with the same superordinate nodes lead to errors.

attention Attention

Each equipment group in zenon may only be assigned to one individual time model.

If several time model groups are assigned, the Analyzer Wizard Export uses the first that it finds and exports this to the metadata of the Analyzer. Other time model groups are ignored.

Selection of an entry from the equipment model

This selection dialog makes it possible to select an entry from the equipment model. The entries are displayed via a tree structure and sorted alphabetically in each level.

Subordinate elements of a level can be hidden. A plus in front of the entry means that: the element contains additional subordinate elements. They are not displayed in the current view. Click on the plus sign to open the display of the sub elements. The plus sign changes to a minus sign. Click on the minus sign to close the level again.

To select an element:

  1. open the respective group if the element is a sub element and therefore is not displayed
  2. select the desired element with a mouse click

For these parameters the following requirements are true:

  • The parameter is of data type Text.
  • The parameter prevents the selection of several values.
  • The parameter has predefined values
  • An additional, hidden parameter [parameter name]_type exists. As default value for the hidden parameter 1 is entered.

The dialog can be displayed filtered. At this the filter criterion is only used on entries which do not have any subordinate elements.

Creation and use of the dialog for selecting an entry from the equipment model

  1. The Report Designer creates a report with a parameter in the Report Builder.
  2. The parameter of the report has data type Text.
  3. The parameter prevents entering several values.
  4. The Report Designer adds the necessary predefined values - static or generated from SQL stored procedure - to the parameter. At this the requirements, which the control has to the predefined values, must be fulfilled.
  5. The Report Designer creates a second parameter named [name of the first parameter]_type puts their visibility to hidden and assigns the default value 1.
  6. The Report Designer saves the report in a folder in the zenon Analyzer.
  7. The user opens the report previously created by the Report Designer in the browser.
  8. On the basis of the decision tree, an assessment is made in the zenon Analyzer as to whether a control is needed for selecting an entry from the equipment model.
  9. The control is displayed in the parameter area of the report view.
  10. The user selects the desired value for the parameter from the tree view in the drop-down list created from the control (possibly while using filters and expanding and collapsing the branches of the tree) and starts generating the report.
  11. The value of the control is read, validated and handed over to the report engine as value for the parameter.
  12. The report engine creates the report and hands it over to the Analyzer for displaying.
  13. The report is displayed in HTML by the Analyzer and is presented to the user in the browser.

Selection of several entries from the equipment model

This selection dialog makes it possible to select several entries from the equipment model. The entries are displayed via a tree structure and sorted alphabetically in each level.

Subordinate elements of a level can be hidden. A plus in front of the entry means that: the element contains additional subordinate elements. They are not displayed in the current view. Click on the plus sign in order to open the display of the sub elements. The plus sign changes to a minus sign. Click on the minus sign in order to close the level.

At showing/hiding selected entries (tick in the check box) are also shown/hidden. The status (selected or deselected) remains the same.

If more than 1 value is displayed (e.g. other values collapsed or filtered) the control has a check box for selecting all displayed elements. It behaves similar to the check box for all elements at the control for selecting several predefined values.

For these parameters the following requirements are true:

  • The parameter is of data type Text.
  • The parameter allows the selection of several values.
  • The parameter has predefined values
  • An additional, hidden parameter [parameter name]_type exists. As default value for the hidden parameter 1 is entered.

The dialog can be displayed filtered. At this the filter criterion is only used on entries which do not have any subordinate elements. If an entry is selected, you cannot filter it out.

Structure of predefined values

Pre-defined values require a certain structure for both dialogs:

  • The name which should be displayed is always in the label of the value.
  • For root entries (no superordinate node exists) only the ID is in the value.
  • For subordinate entries the value consists of ID of the entry and the ID of the superordinate entry separated by a linking character (pipe character |).
    Thus: [ID of the entry] | [ID of the superordinate entry]

Creation and use of the dialog for selecting several entries from the equipment model

  1. The Report Designer creates a report with a parameter in the Report Builder.
  2. The parameter of the report has data type Text.
  3. The parameter allows entering several values.
  4. The Report Designer adds the necessary predefined values - static or generated from SQL stored procedure - to the parameter. At this the requirements, which the control has to the predefined values, must be fulfilled.
  5. The Report Designer creates a second parameter named [name of the first parameter]_type puts their visibility to hidden and assigns the default value 1.
  6. The Report Designer saves the report in a folder in the zenon Analyzer.
  7. The user opens the report previously created by the Report Designer in the browser.
  8. On the basis of the decision tree, an assessment is made in the zenon Analyzer as to whether a control is needed for selecting an entry from the equipment model.
  9. The control is displayed in the parameter area of the report view.
  10. The user selects the desired values for the parameter from the tree view in the drop-down list created from the control (possibly while using filters and expanding and collapsing the branches of the tree) and starts generating the report.
  11. The values of the control are read, validated and handed over to the report engine as value for the parameter.
  12. The report engine creates the report and hands it over to the Analyzer for displaying.
  13. The report is displayed in HTML by the Analyzer and is presented to the user in the browser.


Selection of lot and shift

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Parameters - input and selection -> Selection of lot and shift

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

This selection dialog configures the display of lots and shiftdata. Each predefined value corresponds to one line. The user can select a lot by clicking on the respective cell.

The selection dialog contains the following columns:

  • Name (for lot or shift)
  • Start date
  • Start time
  • End date
  • End time
  • Duration

The dialog can be sorted and filtered. For details, see the Filter lots chapter.

For these parameters the following requirements are true:

  • The parameter has data type Text.
  • The parameter prevents the selection of several values.
  • The parameter has predefined values.
  • An additional, hidden parameter named [parameter name]_type exists and its default value is set to 2.

Structure of predefined values

Predefined values call for a certain structure for this dialog:

  • The lot name is always in the label of the value.
  • The value filed of the label consists of:
    • [start time]
    • Linking character "|"
    • [end time]

      The format of a time is YYYY-MM-DD hh:mm:ss in UTC.
      The time is converted to the local time of the server for display.

From this the following values are generated for displaying in columns:

  • Lot name
  • Date on which the lot started: Input in date format of the language culture of the user;
    Date and time are displayed in local time of the server
  • Time when the lot started: Input in time format of the language culture of the user;
    Date and time are displayed in local time of the server
  • Date on which the lot ended: Input in date format of the language culture of the user;
    Date and time are displayed in local time of the server
  • Time when the lot ended: Input in time format of the language culture of the user;
    Date and time are displayed in local time of the server
  • Lot duration:
    Format: [#Days][Day abbreviation in the culture of the user] [#Hours]:[#Minutes]:[#Seconds]

Creation and use of the dialog for selecting a lot

  1. The Report Designer creates a report with a parameter in the Report Builder.
  2. The parameter of the report has data type Text.
  3. The parameter prevents entering several values.
  4. The Report Designer adds the necessary predefined values - static or generated from SQL stored procedure - to the parameter. At this the requirements, which the control has to the predefined values, must be fulfilled.
  5. The Report Designer creates a second parameter named [name of the first parameter]_type puts their visibility to hidden and assigns the default value 2.
  6. The Report Designer saves the report in a folder in the zenon Analyzer.
  7. The user opens the report previously created by the Report Designer in the browser.
  8. On the basis of the decision tree, an assessment is made in the Analyzer as to whether a control is needed for selecting a lot.
  9. The control is displayed in the parameter area of the report view.
  10. The user selects the desired value for the parameter from the table in the drop-down list created from the control (possibly while using filters) and starts generating the report.
  11. The value of the control is read, validated and handed over to the report engine as value for the parameter.
  12. The report engine creates the report and hands it over to the Analyzer for displaying.
  13. The report is displayed in HTML by the Analyzer and is presented to the user in the browser.

Evaluation of lot groups

A mechanism for evaluating lot groups is available. This is based on the equipment model:

  1. The necessary variables and the lot archive in which they are logged are found via the equipment model.
  2. All lots for the selected point in time are obtained from the lot archives. In doing so, lots from several archives with the same lot names but different point in time are compiled into one entry.
  3. The lots are displayed in a lot selection dialog via report parameters.
  4. When creating a report, the lots for the respective archives are read again and the data for the time period of the lot in the archive is obtained.


Filter

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Parameters - input and selection -> Filter

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Some dialogs can be displayed in a filtered way. For example dialogs for:

  • Input or selection of several values: Filter method see below
  • Equipment group selection: Filter method see below
  • Lot selection: For the filter method, see Lot selection

To filter the predefined values:

  1. enter the filter criterion in the input field
  2. press key Enter
  3. the list is rebuild and only contains values which correspond to the filter criterion

To display all values:

  1. delete the filter criterion from the input field
  2. press key Enter
  3. the list is rebuild and contains all predefined values

Filter criteria for dialogs which can be filtered

  • The filtering is not case-sensitive.
  • A question mark (?) is a wildcard for exactly one character.
  • An asterisk (*) is a wildcard for any number of character.
  • If there is neither * nor ? in a filter criterion, a * is appended to the filter criterion internally.
  • If values are selected, they are still displayed when filtering even if they do not match the criterion.
  • Equipment group: The filter criterion is only applied to entries which do not have subordinate elements (e.g. they never existed or they were filtered out previously)

Examples

Filter | finds
e or E or e* or E* finds | all entries starting with "e" or "E".
*3 | finds all entries ending with "3".
?r* or ?R* | finds all entries with "r" or "R" as second character.
*9* | finds all entries containing "9".

Noch in diesem Kapitel

Filter lots


Filter lots

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Parameters - input and selection -> Filter -> Filter lots

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The entries in the lot selection dialog can be filtered and sorted.

Filter values

To filter the predefined values:

  1. in each desired column enter the filter criterion in the input field
  2. press key Enter
  3. the list is rebuild and only contains values which correspond to the filter criterion

To display all values:

  1. delete the filter criterion from the input field
  2. press key Enter
  3. the list is rebuild and contains all predefined values

For the filtering the following is true:

  • Each column has its own filter box.
  • If a filter box is empty, it is not filtered after this column.
  • For an entry to be displayed, it must fulfill the filter criteria of all columns.
  • The filtering is triggered by pressing key Enter in any filter box.
  • The following filters are used for the individual columns:
    • The lot name uses the text filter in the same way as the dialog for selecting one of several predefined values.
    • Start date uses the date filter.
    • Start time uses the time filter.
    • End date uses the date filter.
    • End time uses the time filter.
    • Duration uses the duration filter.

Lot name

For this filter the following is true:

  • The filtering is not case-sensitive.
  • A question mark (?) is a wildcard for exactly one character.
  • An asterisk (*) is a wildcard for any number of character.
  • If there is neither * nor ? in a filter criterion, a * is appended to the filter criterion internally.
  • If values are selected, they are still displayed when filtering even if they do not match the criterion.

Date filter

For this filter the following is true:

  • The date must be entered in the date format of the language culture of the user.
  • Leading zeros can be left out.
  • For single elements (day, month, year) you may use * as wildcard.

    For example:
    May 2011: *.5.2011
    Year 2011: *.*.2011

  • To filter from/up to a special day you may use the following at the beginning:
    • <
    • >
    • <=
    • >=

    * is not allowed.
    For example:

    from 1 May 2011: > 30.4.2011 or >= 1.5.2011
    up to 31 May 2011: < 1.6.2011 or <= 31.5.2011

  • If a filter criterion does not match these conditions (e.g. < and * are combined, elements are missing or are entered in the wrong date format), the whole filtering process is canceled.

Time filter:

For this filter the following is true:

  • The time must be entered in the time format of the language culture of the user.
  • Leading zeros can be left out.
  • For single elements (hours, minutes, seconds) you may use * as wildcard.
    For example:
    12 o' clock: 12:*:* (24-hours) or 12:*:* PM (12-hours)
    13:45: 13:45:* (24-hours) or 1:45:* PM (12-hours)
  • To filter from/up to a special time you may use the following at the beginning:
    • <
    • >
    • <=
    • >=

    * is not allowed.
    For example:
    Morning including noon: < 12:00:01 or <= 12:00:00 (24-hours) or < 12:00:01 PM or <= 12:00:00 PM (12-hours)
    Everything starting at 8 o' clock: > 7:59:59 or >= 8:0:0 (24-hours) or > 7:59:59 AM or >= 8:0:0 AM (12-hours)

  • If a filter criterion does not match these conditions (e.g. < and * are combined, elements are missing or are entered in the wrong time format), the whole filtering process is canceled.

Duration filter

For this filter the following is true:

  • The duration must be entered in the format defined above.
  • Leading zeros can be left out.
  • For single elements (hours, minutes, seconds) you may use * as wildcard.
    For example:
    Duration: 1 day: 1d *:*:*
  • To filter from/up to a certain duration you may use the following at the beginning:
    • <
    • >
    • <=
    • >=

    * is not allowed.
    For example:

    Longer than 1 day: > 1d 0:0:0 or >= 1d 0:0:1
    Less than 12 hours: < 0d 12:0:0 or <= 0d 11:59:59

  • If a filter criterion does not match these conditions (e.g. < and * combined, elements missing), the whole filtering process is canceled.

Sort values

The report can be sorted ascending or descending on any column. The current sorting order is displayed in the column after which it is sorted.

To sort a column:

  1. click on the desired column title
  2. the sorting is started
  3. the arrow next to the column header displays whether the sorting is ascending or descending
  4. another click on the column header changes the sorting order

Filtering and sorting can be used in parallel and do not influence one another.


Sorting of filter elements

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Parameters - input and selection -> Sorting of filter elements

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Selection of a value from predefined values or Selection of several values from predefined values type elements have, as standard, a predefined sorting for the display of filter elements.

This applies if the parameter:

  • is one of the following data types:
    • Integer
    • Float
    • Date & Time
    • Text
  • Has a list of predefined values
  • Is not hidden and not write-protected

The standard sorting is defined when the report template is created and cannot be changed by report developers in the Report Builder.

The following sorting is available:

  • A-Z:

    Sorting is in alphabetical order according to the display text of the predefined values. This is the standard action. This also applies if no special sorting has been saved.

  • Z-A:

    Sorting is in reverse alphabetical order according to the display text of the predefined values.

  • Values upwards:

    Sorting direction is upwards according to the predefined values. The data type of the parameter is not taken into account in the process.

  • Values downwards:

    Sorting direction is downwards according to the predefined values. The data type of the parameter is not taken into account in the process.

  • In sequence:

    The values are written to the list in the order in which they were provided by the SQL Server Reporting Services web service.

  • In reverse sequence:

    The values are written to the list in the reverse order to the order in which they were provided by the SQL Server Reporting Services web service.


Site

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Site

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Via the site settings you configure

  • General settings of the zenon Analyzer

User rights are set and administered in the ZAMS.

Noch in diesem Kapitel

General


General

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Site -> General

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

General settings for naming the zenon Analyzer and processing the reports.

Screenshots - Expanding

Parameters

Description

Name

Name which is displayed in the header of the report generators.

Report history

Defined number of reports saved for the history. Possible settings:

  • unlimited number
  • define maximum number

Reportimeout

Defines timeout for processing reports. Possible settings:

  • no timeout
  • Restriction to a second value

Start URL for user-defined Report Generator

Address for user-defined Report Generator.

Apply

Takes over changed settings

Attention: If you leave the site without clicking Apply, all changes will be lost.


Data source

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Data source

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

To edit a data source:

  1. in the detail view of the zenon Analyzer move the mouse cursor over the data source
  2. the drop-down list is displayed
  3. select the desired command

Screenshots - Expanding

Parameters | Description
Move | Opens dialog for moving elements.
Delete | Deletes element.
Generate report model | Opens dialog for creating a new report model.
Display dependent elements | Displays all reports based in this data source and makes it possible to delete or move them.
Manage | Opens dialog for setting the properties, including the dialog for dependent elements.

You can find detailed guides for the Microsoft Reporting Services on the Microsoft homepage:

  • German
  • English
  • French
  • Italian

Noch in diesem Kapitel

Properties


Properties

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Data source -> Properties

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In window properties you define the basic properties of the data source and the connection parameters.

Screenshots - Expanding

Parameters | Description
Delete | Deletes data source.
Move | Moves data source.
Generate model | Opens dialog for creating a new model.
Name | Name of the data source.
Description | Optional, detailed description
Hide in side-by-side/one-below-the-other view | Active: is hidden in side-by-side/one-below-the-other view.
Activate this data source | Active: Data source is used.
Data source type | Selection of the type via drop-down list.
Connection string | String for establishing the connection.
Establish connection via | Selection of the connection method.
Provided login information of the user who executes the report | User must state information. It is possible to display an instruction The information can be marked as Window login information.
Login information which are saved securely on the report server | Login information is saved on the server. User name and password must be entered. The information can be marked as Window login information. After establishing a connection the identity of the user can be accepted.
Integrated Windows security | Windows security.
Login information is not necessary | No login information is necessary.
Test connection | Checks connection and displays a success/failure message below the button.
Apply | Applies all settings.

Noch in diesem Kapitel

Generate model


Generate model

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Data source -> Properties -> Generate model

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

This dialog makes it possible to create new models for the data source.

Screenshots - Expanding

Parameters | Description
Name | Name of the new data source.
Description | Optional, detailed description.
Saving location/change saving location | Opens dialog for defining the saving location.
OK | Confirms changes and opens the properties.
Cancel | Discards changes and closes dialog.


Folder

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Folder

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports are collected and grouped in folders.

Folders are configured and managed via:

  • menu item New folder in the tool bar
  • menu item Folder settings in the tool bar
  • the drop-down list of the folder (is displayed at mouse over)

Drop-down list folder

Screenshots - Expanding

Parameters | Description
Move | Opens menu for selecting the new saving location.
Delete | Deletes selected folder.
Manage | Opens the dialog for managing the folder.

Create new folder

To create a new folder:

  1. click on menu item New folder in the tool bar
  2. the dialog for creating a new folder is opened

Screenshots - Expanding

Parameters

Description

Name

Name of the folder

Name:

  • must not be empty
  • Must not consist of periods or spaces
  • Must not contain non-permitted characters;
    The following are not permitted: ;?:@&=+$,\*<>|"/

The complete path must not have more than 260 characters.

Description

Optional description of the folder content.

Hide in side-by-side/one-below-the-other view

Active: Folder is not displayed in side-by-side/one-below-the-other view. This setting can later be changed via menu item Management in the drop-down list of the folder.

OK

Applies all settings and closes the dialog.

Cancel

Discards all settings and closes the dialog.

Noch in diesem Kapitel

Properties


Properties

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Folder -> Properties

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The folder properties display information about the folder and offer the possibility to:

  • move
  • delete
  • rename
  • Show or hide in the symbol view

Screenshots - Expanding


Upload file

zenon Analyzer -> Analyzer Manager: Configuration and operation -> Upload file

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports, models and other resources which are edited offline can be uploaded to the Report Server.

To upload resources:

  1. in the tool bar click on icon Upload file
  2. the dialog for uploading will be opened
  3. select the desired file
  4. select the desired options
  5. confirm the input by clicking OK

Screenshots - Expanding

Parameters | Description
File to be uploaded | Selection of the file which is to be uploaded. Click on button Browse to open the file manager. Multi-select is not possible.
Name | Freely definable name. The file name of the selected file is taken over as default value.
Overwrite existing element | Active: If an element with the same name already exists at the Report Server, it is overwritten.
OK | Information is applied, the file is uploaded and the dialog is closed.
Cancel | The information is discarded and the dialog is closed.


Reports

zenon Analyzer -> Reports

Reports display data from online sources or archives according to defined rules. The zenon Analyzer is shipped with prepared reports which can be adapted individually. You can also create your own reports. The necessary table structure is described in chapter Basics.

For the call up and the display of reports at the Client computer, all you need is the MS Internet Explorer. All reports are displayed and adapted in the browser. Which settings are possible, depends on the rights of the user. Reports can be exported in other formats. Thus being used in other applications.

As supplied, pre-configured folders with reports on the respective topic areas are displayed for the demo project when zenon Analyzer is started:

Screenshots - Expanding

Configuration of reports

Reports can, as described in this chapter, be configured in the browser.

Configuration and administration using the ZAMS - zenon Analyzer Management Studio is recommended.

Projects and filters

Reports on several projects can be created, except when using filters for shifts or lots. In this case, reports are limited to one project.

attention Attention

Only archive data with variables from its own project can be evaluated.

This means: For example, in an integration project, if a variable from a subproject is archived in an archive, then zenon Analyzer cannot access this variable.

Noch in diesem Kapitel

Create report

Call up report

Configure and export reports

Download report

Manage reports


Create report

zenon Analyzer -> Reports -> Create report

Reports can be created with:

  • ZAMS - zenon Analyzer Management Studio
  • Microsoft Report Builder 3.0

For zenon an own wizard for exporting the meta data from the global project and the variables from the local projects is available. For more information about this wizard see also chapter Analyzer Export Wizard in section Data abstraction and data inclusion.

Noch in diesem Kapitel

Report Builder

Upload reports


Report Builder

zenon Analyzer -> Reports -> Create report -> Report Builder

Reports can be created manually with the help of the Microsoft Report Builder.

info Information

The Report Builder is not suitable as an editor for reports with CRI (Gantt Chart) as it cannot process CRIs.

To start the Microsoft Report Builder:

  1. in the tool bar click on icon Report Generator
  2. the dialog with Getting Started or the Report Builder is opened directly (depending on the settings):

    Screenshots - Expanding

Screenshots - Expanding

You receive support for creating reports with the Report Builder via the integrated help of the Report Builder.

For the automated creation of reports the zenon Analyzer Management Studio is available from version 2 on.

You can find detailed guides for the Microsoft Reporting Services on the Microsoft homepage:

  • German
  • English
  • French
  • Italian


Upload reports

zenon Analyzer -> Reports -> Create report -> Upload reports

Reports which were created offline can be uploaded to the Server with the help of the zenon Analyzer.

To upload resources:

  1. in the tool bar click on icon Upload file
  2. the dialog for uploading will be opened
  3. select the desired file
  4. select the desired options
  5. confirm the input by clicking OK

Screenshots - Expanding

Parameters | Description
File to be uploaded | Selection of the file which is to be uploaded. Click on button Browse to open the file manager. Multi-select is not possible.
Name | Freely definable name. The file name of the selected file is taken over as default value.
Overwrite existing element | Active: If an element with the same name already exists at the Report Server, it is overwritten.
OK | Information is applied, the file is uploaded and the dialog is closed.
Cancel | The information is discarded and the dialog is closed.


Call up report

zenon Analyzer -> Reports -> Call up report

Reports can be called up and configured at the client computer in the browser.

To call up a report:

  1. double click the folder which contains the report
    or select open in the context menu
  2. double click the desired report
  3. the report is opened in the browser

Screenshots - Expanding


Configure and export reports

zenon Analyzer -> Reports -> Configure and export reports

Different parameters can be selected depending on the report type. For example:

  • Time period for the report: for comparing reports two time periods are provided for configuration
  • Projects whose data is being edited
  • Archives
  • Compression
  • Variables
  • Alarm groups
  • Alarm Classes
  • Equipment groups and media

To configure to a report:

  1. open the report
  2. select the desired parameters
  3. click on display report

Export Report

Reports can be exported to different formats.

To export a report:

  1. click on the symbol for the export (disk)
  2. the drop-down list with the export formats is opened

    Screenshots - Expanding

  3. select the desired format
  4. save or open the document in the selected format

export format

For the export the following options are available:

Parameters | Description
XML | Report is saved as XML file. Click to open the dialog for saving/displaying the XML file.
CSV | Report is saved as comma-separated text file (CSV). Click to open the dialog for saving/displaying the CSV file.
PDF | Report is saved as PDF file. Click to open the dialog for saving/displaying the PDF file.
MHTML | Report is saved as web archive (.mhtml). Click to open the dialog for saving/displaying the web archive.
Excel | Report is saved as Excel file (.xls, for Excel 97 - 2003). Click to open the dialog for saving/displaying the XLS file. Diagram is embedded as graphic; values can be changed manually. Values changes do not effect the embedded graphic.
TIFF | Report is saved as graphic in the TIFF format. Click to open the dialog for saving/displaying the TIFF file.
Word | Report is saved as Word file (.doc, for Word 97 - 2003). Click to open the dialog for saving/displaying the DOC file. Diagram is embedded as graphic; values can be changed manually. Values changes do not effect the embedded graphic.

info Information

Reports are always defined for a certain output medium (see export formats). If they are output to other media, this can lead to the appearance being corrupted.

For example: A report configured for HTML can create page breaks that are unsuitable for PDFs. To create a report on several media, create a separate report for each medium.

Noch in diesem Kapitel

Tool bar Report


Tool bar Report

zenon Analyzer -> Reports -> Configure and export reports -> Tool bar Report

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Screenshots Analyzer - fixed

Parameters

Description

Navigation arrows and <1 from 1>

Navigation in multi-sided reports.

100%

zoom. Click to open a drop-down list with fixed steps.

Search field

Enter a search term.

Search

Searches defined term and displays first occurrence.

Next

Searches for the next occurrence.

Icon disk

Export of the report. Click to open the drop-down list with export formats. Possible formats:

  • XML
  • CSV
  • PDF
  • Web archive
  • Excel
  • TIFF
  • Word

Icon rotating arrow

Updates data for report display.

Icon printer

Opens dialog for printing the report.

Icon book

Export in RSS feed.


Download report

zenon Analyzer -> Reports -> Download report

Reports can be downloaded from the Server to the local computer in order to edit or present them offline.

To download a report:

  1. move the mouse over the report
  2. click on the displayed drop-down list
  3. select menu item Download
  4. select the saving location on the local computer


Manage reports

zenon Analyzer -> Reports -> Manage reports

Reports are managed via the drop-down list at the report.

Screenshots - Expanding

Click on Manage to open the dialog for managing the reports:

Screenshots - Expanding

Parameters | Description
Properties | Properties of the report.
Parameters | Configuration of the parameters of the report.
Data source | Selection of data sources.
Processing options | Configuration of the editing of the report.
Cache Refresh Options | Creation and editing of the plans for the cache updating.
Report history | Allows snapshots of reports to be combined into a history.
Snapshot Options | Configuration of snapshots.

Noch in diesem Kapitel

Properties

Parameters

Data sources

Processing options

Cache Refresh Options

Report history

Snapshot Options


Properties

zenon Analyzer -> Reports -> Manage reports -> Properties

In window Properties basic properties are displayed and configured.

Screenshots - Expanding

Parameters

Description

Delete

Delete report.

Move

Opens the dialog for moving a report to another folder.

Create linked report

Opens dialog for creating a linked report.

Linked reports make it possible to use different security settings for a report.

Download

Opens dialog for downloading a report.

Replace

Opens the dialog for uploading a report definition in order to replace the existing one.

Properties

Name

Name of the report.

Name:

  • must not be empty
  • Must not consist of periods or spaces
  • Must not contain non-permitted characters;
    The following are not permitted: ;?:@&=+$,\*<>|"/

The complete path must not have more than 260 characters.

Description

Description.

Hide in side-by-side/one-below-the-other view

Active: Report is not displayed in side-by-side/one-below-the-other view.

Apply

Applies changes.


Parameters

zenon Analyzer -> Reports -> Manage reports -> Parameters

Displays the parameter of the report and makes it possible to:

  • assign default values
  • hide parameter for user
  • to configure the text with which the parameter in the report is displayed

Screenshots - Expanding

Parameters

Description

Parameter name

Name of the tag.

Display only.

Type of the TAG:

Type of the parameter. Only display.

Displays whether:

  • a parameter allows one or more values
  • it is a specialized filter control (Bool Shift/Lot, TimeSpan, Tree)
  • the parameter serves for the input of values or the selection of a value from a drop-down list of pre-defined values

For non-specialized controls, the data type is also shown.

Has default value
  • Active: Default value is preset in the report for the input.
  • Active and grayed out: Standard values of a parameter come from a form or a data set. Standard values cannot be changed.
  • Inactive: No value is preset.

Each change to the check status of this checkbox made by the user is immediately forwarded to the server.

Default value:

The corresponding filter element for the parameter is shown here. Each parameter with the option activated must be given a standard value in this column, in order for the configuration to be valid. Each change of value by the user is immediately forwarded to the server. Possible elements:

  • Text element: Is displayed if the Has standard value option is active and grayed out and contains the reason why.
  • Drop-down list: Contains selection of parameters for configurable parameters. Drop-down list can be filtered. It can be operated if the standard value of the parameter can be changed and the option Has standard value has been selected.
    Value changes are only accepted if the drop-down list has been closed.
  • Input field: Allows the input of parameters for configurable parameters. Entry is possible if the standard value of the parameter can be changed and the option has standard value has been selected.
    Value changes are only accepted if the input field is no longer in focus.

Hide
  • Inactive: Parameter is shown.
    The Display text option must contain a value in order for the configuration to be valid.
  • Active: Parameter is hidden.
    The Display text option is emptied.

A parameter can only be hidden if it has a valid standard value (has standard value option has been selected and standard value has been selected).

If a parameter cannot be hidden, the checkbox is not selected and deactivated.

Each change to the check status is immediately forwarded to the server.

Display text

Enter the text with which the parameter will be displayed in the report.

Only active if the Hide option has not been selected.

The input field only recognizes changes it it is not in focus.

Apply

Clicking on the button accepts settings if all options have been correctly configured.

If there are configuration errors, these are displayed next to the corresponding option.

If the configuration has been saved, this is displayed below the button.

Note: Internal parameters that control filter controls used for other parameters or limits for diagrams or markers for archive distribution have standard values and are not shown. These parameters (name starts with ChartStart, ChartEnd or Hidden or name ends with _Type) are visible in the Report Builder, but it is not recommended that these are changed.

attention Attention

Error messages for parameters

For some parameters, the values available must be loaded via a stored procedure of Microsoft SQL Server. If this stored procedure is not successfully called up or the stored procedure returns an error, an error message is activated in the Analyzer Manager. For example, if Runtime cannot be reached, the SQL connector has not been created, etc.

For some parameters, no standard value can be issued under some circumstances, because a parameter that is to be handled beforehand does not contain a value. For example: Time filters are based on shifts, but there is no shift data available. in this case, the issue of standard values is only possible if at least 1 shift has been written.


Data sources

zenon Analyzer -> Reports -> Manage reports -> Data sources

Assigns a report to the data source.

For details about data source see chapter data source in section configuration and operation.


Processing options

zenon Analyzer -> Reports -> Manage reports -> Processing options

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In this window you define how the report should be filled out:

  • Newest data

    Configuration of the buffering and process of temporary copies.

  • Snapshot

    Creation of the report based on a snapshot.

  • Report timeout

    Definition of the time out at the creation of the report


Cache Refresh Options

zenon Analyzer -> Reports -> Manage reports -> Cache Refresh Options

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Makes it possible to create and to edit schedules for cache update.

Click on edit in order to open the dialog for creating and editing a schedule.

Screenshots - Expanding

Parameters | Description
Description | Name for plan.
Update cache in accordance with the following schedule | Selection of the schedule. Click on button Configure in order to open the dialog for creating a schedule.
State parameter values for this cache entry | Enter the parameters for the report.
OK | Accepts input and closes dialog.
Cancel | Discards inputs and closes dialog.
info Information
This cache update function only relates to the Analyzer Manager and in not identical to the update cache action in the ZAMS.


Report history

zenon Analyzer -> Reports -> Manage reports -> Report history

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Assembles snapshots of reports to a history.


Snapshot Options

zenon Analyzer -> Reports -> Manage reports -> Snapshot Options

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Options for snapshots.

Screenshots - Expanding

Parameters

Description

Allow report history to be created manually:

Active: Manual snapshots are possible.

Save all report snapshots in the history

Active: each snapshot is also displayed in the report history.

Schedule

Selection of the schedule or creation of a new schedule.

Number of snapshots

Define how many snapshots should be saved. Options:

  • Use default settings
  • all
  • define number


ZAMS - zenon Analyzer Management Studio

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio

The zenon Analyzer Management Studio (ZAMS) is the main application for:

  • Configuration of the Analyzer
  • Creation of reports from the templates supplied with COPA-DATA
  • Creation, editing and deleting report subscriptions and the attendant schedules on the Analyzer server
  • The display and editing of the license on the Analyzer server
  • The creation and deletion of linked servers in the SQL server instance of the Analyzer server

Screenshots - Expanding

info Information

ZAMS is started in the language of the operating system. If this language is not implemented in ZAMS or the corresponding language file is missing, ZAMS is started in English. You can read details on the languages in the Language settings chapter.

Communication

ZAMS communicates with the Analyzer database via Microsoft SQL Server 2012 management objects. It connects itself:

  • To the SQL Server 2012 Reporting Service Web Service endpoint ReportService2010 of the Analyzer server
  • to the selected database on the Analyzer server
  • To zrsLicSrv on the Analyzer server

Software requirements

The following software is required for the use of ZAMS:

  • Microsoft .NET Framework 4.0
  • Microsoft SQL Server 2012 Management Objects

Troubleshooting

Error messages, warnings and messages are saved in the output window, in accordance with the options that have been set, in LOG files.

Noch in diesem Kapitel

Starting ZAMS

Example of configuration

Checklist for license problems

Main window

Actions

Managing SQL Server

Selection of folder in the network

Archive emulation

User administration and access rights

Options

Connecting the report definition files to the database


Starting ZAMS

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Starting ZAMS

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The zenon Analyzer Management Studio (ZAMS) is installed together with zenon Analyzer.

During installation, the user who carries out the setup is entered as a user with dedicated license with authorization level 3.

To start ZAMS:

  1. In the Windows Start menu, select the COPA-DATA -> ZAMS entry
    or
    double click on a ZAMS report file ( .zams_rep)
  2. The connection dialog is opened, depending on the settings in the options,
  3. select the desired connection by clicking on Connection profile or create a new connection

    Screenshots - Expanding

  4. click on OK
    • The connection test is carried out. A progress bar is displayed in the process.
    • The database structure is checked and the license is validated. A progress bar is displayed in the process.
    • the connection will be established. A progress bar is displayed in the process.
  5. ZAMS is opened.

Note: if the connection fails because there is no license, you can request the license status in ZAMS and enter new license data. Presettings for connection profiles, deployment of reports and messages in the output window can be set in the options in the Tools menu.

Progress bar at the start

The following happens after clicking on OK:

Acceptance of the configuration from a previous version

When a new version of ZAMS is started, provided there are not yet any configuration files available, the configuration of the prior versions is used. To do this, its configuration files must still be present on the computer. The transfer happens separately for each user.

Procedure

  1. A check is made to see of the ZAMS configuration file for the current version is available. In this case, a direct jump to item 4 is made.
  2. A search for folders is made in the [User path]\AppData\Local\COPA-DATA\zenon\Analyzer\ folder, the name of which consists of labels for major release, minor release and service pack of versions prior to the current version of ZAMS. From the folders found, that with the highest version number that is nevertheless lower than the current version number and that contains a ZAMS configuration file is selected. If a folder does not correspond to these conditions, the procedure of item 4 is continued.
  3. All configuration files in the selected folder are copied to the folder for configuration files for the current version of ZAMS. Any files that may be present are overwritten.
  4. The configuration is read off from the files in the configuration folder of the current version of ZAMS.

Please also note the messages in the output window.

Example

Note: Version numbers in this example are for illustrative purposes only and do not reflect the actual version history of ZAMS.

Versions 2.00 SP0 and 2.10 SP0 of ZAMS were installed on a computer. ZAMS is updated to version 3.00 SP0. Installed. Both of the previously-installed versions have been used by the user TestUser. The same user starts ZAMS 3.00 SP0 for the first time once it has been installed. In doing so, the following happens:

  1. When searching for the configuration file, the folder C:\Users\TestUser\AppData\Local\COPA-DATA\zenon\Analyzer\3.0.0\ is created automatically.
  2. The configuration file of ZAMS version 3.00 is not found.
  3. When browsing the folder C:\Users\TestUser\AppData\Local\COPA-DATA\zenon\Analyzer\, the subfolders 2.0.0, 2.10.0 and 3.0.0 are found. From this, the most suitable folder for the configuration to be transferred is selected according to the following procedure:
    1. The folder 2.0.0 is selected, because there is a configuration file in there, that has version identification ( 2.00 SP0) that is lower than 3.00 SP0 and no folder has been selected beforehand.
    2. The folder 2.10.0 is selected, because there is a configuration file in there with version identification ( 2.10 SP0) that is less than 3.00 SP0 and greater than 2.00 SP0.
    3. The folder 3.0.0 is not selected, because there is no configuration file in it.
  4. All files are copied from the selected folderC:\Users\TestUser\AppData\Local\COPA-DATA\zenon\Analyzer\2.10.0\ to C:\Users\TestUser\AppData\Local\COPA-DATA\zenon\Analyzer\3.0.0\.
  5. The configuration of ZAMS 3.00 SP0 is loaded from the current configuration folder. If objects from the files must be converted up in the process, this happens automatically in the background. Settings that have been added to ZAMS are initialized with the default values.


Example of configuration

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Example of configuration

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

A company wants to use zenon Analyzer. The following computers are available in the company network:

  • The Analyzer server, called SRV
  • An engineering station, called ENG

Both are in the TEST domain. There are the following users in the domain:

  • TEST\Admin: Network administrator.
    Only this user can install programs on computers. This user should have access to the Analyzer as an administrator, however not permanently have a license.
  • TEST\ZamsAdmin: This user is the future Analyzer administrator.
    They should be able to use all Analyzer applications and be able to complete all administrative tasks on the Analyzer with ZAMS. A license should be reserved for this user.
  • TEST\ReportViewer1, TEST\ReportViewer2 and TEST\ReportViewer3: These three users should evaluate reports in the Analyzer and be able to execute them, however a license should not be assigned to any of these users permanently.

Configuration

  1. TEST\Admin executes the Analyzer server setup on the computer called SRV. Once the setup has been completed, this user is entered as a user with dedicated license with authorization level 3 on the license server. They have administration rights in both the SQL server instance and Analyzer Manager. No other user has access rights to the Analyzer.
  2. TEST\Admin executes the ZAMS setup on the computer called ENG.
  3. TEST\Admin starts the ZAMS on the computer called ENG. The connection to the server SRV\ZA2 and on this server to the database ZA_DATA is established. When making the connection, ZAMS recognizes that the user TEST\Admin has authorization level 3 but does not have a license written in the license server.
  4. The user TEST\Admin ensures that the dongle is connected to the computer SRV and enters the dongle license in ZAMS on the computer called ENG. The license is sent via the ZAMS connection to the Analyzer server SRV and saved there by the license server.
  5. ZAMS detects that the license on the server is valid and unlocks additional functions.
  6. The user TEST\Admin
    1. Starts the administration of the access rights to the Analyzer applications in ZAMS
    2. Adds the user TEST\ZamsAdmin
    3. Assigns the highest possible access right to this
    4. Confirms the dialog with OK.
  7. The user TEST\Admin
    1. Starts the administration of the Analyzer Manager access rights in ZAMS
    2. Adds the user TEST\ZamsAdmin as an administrator for the configuration of system access rights
    3. Adds the same user for the object access rights of the root folder
    4. Sets its access rights there to content manager
    5. Confirms the dialog with OK.
  8. The user TEST\Admin closes ZAMS and logs off from the ENG computer.
  9. The user TEST\ZamsAdmin logs on to the ENG computer and starts ZAMS. The connection to the server SRV\ZA2 and on this server to the database ZA_DATA is established. When establishing a connection, ZAMS detects that the user TEST\ZamsAdmin has the authorization level 3 and that a license for them could be established.
  10. The user TEST\ZamsAdmin
    1. Starts the administration of users with a dedicated license in ZAMS
    2. Adds itself
    3. Removes the user TEST\Admin from the list
    4. Closes the dialog.
  11. The user TEST\ZamsAdmin
    1. Starts the administration of the access rights for the Analyzer Manager in ZAMS
    2. Adds the three users TEST\ReportViewer1, TEST\ReportViewer2 and TEST\ReportViewer3 as a user for the configuration of the system access rights
    3. Adds the same three users for the object access rights of the root folder
    4. Leaves its access rights there on the browser
    5. Confirms the dialog with OK.

The configuration was carried out successfully.


Checklist for license problems

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Checklist for license problems

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

If ZAMS cannot establish a connection or the connection is broken due to problems with the license, check the following:

  • Can the dongle be accessed from the Analyzer Server?
  • Do the serial number and the activation key correspond to one another?
  • Is the TCP port 50779 open on the Analyzer Server?
  • Can the license client communicate with the license server?
    Note: Firewalls or network failures, for example, may prevent this.
  • Does the user have the required authorization levels?
  • Is a license available for the user?
    Note: Users with a dedicated license are assigned licenses even if they are not connected.


Main window

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Main window

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The user interface of the ZAMS consists of:

  • Menus
  • Tool bar
  • Report area
  • Output

Screenshots - Expanding

Parameters | Description
Menu line | Contains menus with commands to configure the ZAMS and create and administer reports.
Tool bar | Contains symbols with commands to configure the ZAMS and create and administer reports.
Report area | Reports are created here.
Separator | Dividing line with which the size ratio between the report area and the output window is defined. To change the ratio. move the mouse with the line, hold down the left mouse button and drag the splitter in the desired direction.
Output | Output of error messages, warnings and information.
Status Line | Output of status messages.

Menus and symbols are only actively available if the corresponding function is available. This depends on whether there is a connection, whether there is a connection to the Analyzer server with a valid license and whether an action is running that blocks the function.

Whether a menu entry and the corresponding symbol is active depends on three factors:

  1. Has a connection been established and does it have a valid license?
  2. If reports have been opened and is the currently-active report write protected?
  3. Is there currently an action running in a background thread (such as Prepare, Open in Report Builder)?

For this, the following applies: A factor is only considered if all superordinate factors see the entry as active.

If a function that can change the connection or license status is to be executed, all reports are closed beforehand. The user is notified of this and can cancel closing. The function is not executed if it is not possible to close all reports.

When ending ZAMS, the position and size of the window and the position of the dividing line are blocked.

Noch in diesem Kapitel

Menus

Toolbar

Report area

Output

Status Line


Menus

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Main window -> Menus

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The following menus are available in the main ZAMS window:

Screenshots Analyzer - fixed

  • Report:
  • Analyzer Server:
  • Automation:
  • SQL-Server:
  • Options:
  • Help:

Key combinations are available for many menu entries: These are displayed in the menus next to the respective command.

Noch in diesem Kapitel

Report

Analyzer server

Automation

SQL server

Tools

Help


Report

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Main window -> Menus -> Report

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Commands in the Report menu

Command | Description
New | Opens the dialog for creating a new report.
Open | Opens the dialog to select and open an existing report.
Save | Saves the active report.
Save as | Opens the dialog to save a report under a new name.
Save all | Saves all opened reports.
Deploy | Allows deployment of the active report.
Deploy all | Allows deployment of all opened reports.
Start Microsoft Report Builder | Opens Microsoft Report Builder.
Open in Microsoft Report Builder | Opens the active report in Microsoft Report Builder. Note: The Report Builder was only started if the report can be found on the server.
Open all in Microsoft Report Builder | Opens all opened reports in Microsoft Report Builder. Note: The Report Builder is only started for reports that can be found on the server. Attention: For each report to be opened, a separate Report Builder instance is opened for each language variant. If more than 10 instances are to be opened, a warning is shown and a dialog is shown, in which the opening process can be canceled.
Start Analyzer Manager | Starts the Analyzer Manager.
Open in Analyzer Manager | Opens the report currently displayed in ZAMS in the Analyzer Manager.
Open all in Analyzer Manager | Opens all reports currently open in ZAMS in the Analyzer Manager.
Close | Closes the active report.
Close all | Closes all opened reports.
Exit | Exits ZAMS.


Analyzer server

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Main window -> Menus -> Analyzer server

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Commands in the Analyzer Server menu:

Command

Description

Connect to server

Opens dialog with connection profiles.

Server: Version information

Opens window with information on:

  • Version of the operating system
  • Version of zenon Analyzer

Show current license

Opens dialog with:

  • Serial Number
  • Activation key
  • License status
  • License properties
  • Button to enter a new license

License product

Opens dialog to enter license data.

Assigning dedicated licenses to users

Opens dialog to administer the users with a dedicated license.

Manage Analyzer Tools access rights

Opens dialog to administer the access rights to the Analyzer applications.

Manage Analyzer Manager access rights

Opens dialog to administer the access rights to the objects in the Analyzer Manager.


Automation

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Main window -> Menus -> Automation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Commands in the Automation menu

Parameters | Description
Configure archive emulation | Opens the dialog for configuring the archive emulation.
Manage Schedules | Opens dialog to manage schedules for the distribution of reports.
Manage subscriptions | Opens dialog to manage report subscriptions.


SQL server

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Main window -> Menus -> SQL server

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Commands in the SQL Server menu

Parameters | Description
Update connector functions | Renews the Connector functions. The result is displayed in the output window.
Create SCADA SQL connector | Opens the dialog to create an SQL connector.
New Analyzer database | Opens dialog to create a new Analyzer database.
Convert databases | Starts the conversion of databases, the version number of which is lower than the current version number.
Create database backups | Opens the dialog for creating a project backup.
Restore database backups | Opens the dialog for renaming a profile.
Manage automated database backups | Opens the dialog to administer the automatically-created database backups.
Manage database backup files | Opens the dialog to administer the backup files of the database.
Manage linked servers | Opens dialog to manage the linked servers.
Manage metadata indices | Opens the dialog to manage the metadata indices.


Tools

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Main window -> Menus -> Tools

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Commands in the Options menu

Parameters

Description

Metadata Editor

Manual Data Editor

Allows the editing of tables for price and norm values in a zenon Analyzer metadata database.

Manage color schemes

Opens the dialog to create and edit and administer color schemes.

Export Color Schemes

Opens the dialog for exporting color schemes.

Import Color Schemes

Opens the dialog for importing color schemes.

Clear cache

Updates the ZAMS cache.

Options

Opens the dialog for configuring settings for:

  • Connection profiles
  • Deployment
  • Output messages
  • Language settings
  • Database backups


Help

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Main window -> Menus -> Help

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Commands in the Help menu

Parameters | Description
Info about | Opens window with ZAMS version information.
Help | Opens online help.


Toolbar

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Main window -> Toolbar

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

General Analyzer Schema Graphics Template

Parameters | Description
Connect to Analyzer server | Opens dialog with connection profiles.
New report | Opens the dialog for creating a new report.
Open report | Opens the dialog to select and open an existing report.
Save report | Saves active report.
Saving all reports | Saves all opened reports.
Deploy report | Allows deployment of the active report.
Deploy all reports | Allows deployment of all opened reports.
Start Microsoft Report Builder | Opens Microsoft Report Builder.
Open current report in Microsoft Report Builder | Opens the active report in Microsoft Report Builder. Note: The Report Builder was only started if the report can be found on the server.
Opening all reports in Microsoft Report Builder | Opens all opened reports in Microsoft Report Builder. Note: The Report Builder is only started for reports that can be found on the server. Attention: For each report to be opened, a separate Report Builder instance is opened for each language variant. If more than 10 instances are to be opened, a warning is shown and a dialog is shown, in which the opening process can be canceled.
Start Analyzer Manager | Starts the Analyzer Manager.
Open current report in Analyzer Manager | Opens the report currently displayed in ZAMS in the Analyzer Manager.
Open all reports in Analyzer Manager | Opens all reports currently open in ZAMS in the Analyzer Manager.
Manage subscriptions | Opens dialog to manage report subscriptions.


Report area

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Main window -> Report area

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports are displayed in the report area between the tool bar and the output window.

Screenshots - Expanding

Hints:

  • If several reports are opened, each report is shown in its own tab. The name is displayed in the indicator of the tab.
  • If the mouse pointer is moved to above the indicator of the tab, the complete path to the save location is shown.
  • Reports that contain unsaved changes are highlighted with an asterisk next to the name.
  • Reports that are write-protected are displayed with a corresponding notice in brackets in the register title.

Design guidelines

The designs are designed with the following rules:

  • There are two versions of the parameter area:
    • Wide: For all comparative report templates and for alarm analyses and for OEE performance indicator lot archive.
    • Narrow: All other report templates
  • If possible, figures are given units (unit of measurement, currency, percent).
  • Decimal points:
    • Monetary amounts and percentage values always have 2 decimal places.

      Exception: Axes. Here, percentage values 0 to 2 can have decimal points.

      The number of decimal points of all other numerical values is defined individually using an input field. Exceptions to this are the vertical and horizontal axes and the value table of the archive distribution.

  • Data fonts for pie charts are always outside the pie segments.
  • All reports that are supplied by ZAMS have a footer.

    Attention: This footer is automatically inserted by ZAMS when provided. If there is a footer in the RDL template, it is overwritten!
    Note: Because the report body is initialized with 10x10 mm and this is automatically adjusted to the necessary size by the report server when rendering, the objects from the footer appear at the same position as the parameter area (Z level behind), if the report is opened in the Report Builder after being provided. If the report is then saved in the Report Builder without changes and loaded again, the objects are correctly moved to the footer. They are always drawn correctly in the footer when the report is made.

Input elements

You can find details on the input elements in the report in the Elements in the report area chapter and in the documentation of the Report templates supplied.


Output

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Main window -> Output

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The output window lists error messages, warnings, information and status messages in a table. These notices can be filtered and deleted. The types of messages that are displayed are defined in Options. All messages in the output window are logged and saved in the LOG files.

Display in the output window

Screenshots - Expanding

Parameters

Description

Buttons

Control the display of the messages Setting of the buttons is saved when ZAMS is closed.

Delete all

Clears the whole table.

Errors

Displays the number of errors that can be displayed in the table. Clicking on the button switches the display in the table on or off.

Warnings

Displays the number of warnings that can be displayed in the table. Clicking on the button switches the display in the table on or off.

Messages

Displays the number of messages that can be displayed in the table. Clicking on the button switches the display in the table on or off.

Status messages

Displays the number of status messages that are displayed in the table. These cannot be hidden.

Table

Contains error messages, warnings, information and status messages.

  • Messages can be sorted with the column titles and according to columns. Clicking on the respective column head sorts the table according to this column. A second click inverts the sorting. The standard sorting increases in accordance with column 1 (Numbering).
  • Double clicking on a message in the table displays the report and the context in which the message was created in the report area of the main window. To do this, the report must already be open.
  • Messages are deleted when ZAMS is closed.

Numbering

Contains consecutive numbering. The numbers are assigned chronologically upon receipt.

Symbol

Symbol that displays the type of message. The symbols correspond to the symbols on the buttons.

Sorting sequence ascending:

  • Error
  • Warning
  • Message
  • Status message

Ascendant sorting is carried out in reverse order.

Timestamp

Displays the time stamp of the time at which the message was created.

Message ID

Unique ID of the message source.

Description

Explanation of the message.

Source

Name of the report concerned at the time the message was created. If the message was not created in the context of a report, this column remains empty.

Noch in diesem Kapitel

LOG files


LOG files

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Main window -> Output -> LOG files

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Output window messages are logged in LOG files, regardless of whether they are displayed in the user interface or not. One LOG file is written each time ZAMS is started. If several ZAMS_REP- files are opened at the same time using the Windows Explorer, then the operating system starts several instances of ZAMS simultaneously. In doing so, it is ensured that the ZAMS instance that is active has a LOG file that is open.

Name

The file name contains

  • The name ZamsLog_
  • The time stamp of the ZAMS starts in the format [yyyy]_[MM]_[dd]_[HH]_[mm]_[ss]
  • The file suffix .txt

For example: ZamsLog_2013_06_30_19_47_56.txt

Storage directory

The saving of LOG files depends on the version.

  • Schema: %ProgramData%\COPA-DATA\zenonAnalyzer\ZAMSLOG_[Major Version][2-Digit Minor Version]
  • Example: C:\ProgramData\COPA-DATA\zenonAnalyzer\ZAMSLOG_210

Structure

  • The first message in a LOG file always shows the time stamp denoting when the LOG file was created.
  • There is a blank line after the first message.
  • There then follows all messages that occurred whilst ZAMS was running, regardless of whether these are displayed in the user interface or not, in the following format:
    • Message ID
    • Timestamp
    • Message text (can be several lines)
    • Empty line
  • The last message in a LOG file always shows the time stamp denoting when the LOG file was ended.

Administration

The folder with the LOG files is searched for old files when ZAMS is started. If a LOG file is 14 days old or more, it is deleted. To do this, the creation time stamp is checked.


Status Line

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Main window -> Status Line

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The status display of the ZAMS consists of several sections

General Analyzer Schema Graphics Template

  • Symbol that shows the status of the connection;
    Possible statuses are:
    • No connection established
    • Connection established but the Analyzer server license is not valid
    • Connection established and the Analyzer server license is valid
  • Connection message: Display of the server and the database
  • Message that describes the current task
  • Progress display that is shown if necessary and displays the progress during longer working stages such as
    • Open report
    • Saving all reports
    • Deploying all reports
    • Opening all reports in Report Builder


Actions

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In ZAMS, you can:

  • Create and administer reports
  • Deploy reports
  • Automate report handling
  • Display and enter licenses
  • Manage servers
  • Automating processes

Noch in diesem Kapitel

Creating, opening, saving and closing reports

Deploy reports

Creating color definition for reports

Opening reports in Microsoft Report Builder

Server actions

Automation

Clear cache


Creating, opening, saving and closing reports

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Creating, opening, saving and closing reports

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

For all report actions such as opening or saving etc., it is a requirement that there is a connection to an Analyzer server with a valid license.

Create new report

To create a new report:

  1. Select, in the Report menu, the New command
    or press the key combination Ctrl+N
  2. The dialog for configuring a new report is opened

    In doing so, the RTC files stored in the data folder are read and the available color schemes for report templates are identified. As standard, these are located as a subfolder in : %ProgramData%\COPA-DATA\zenonAnalyzer\ZAMS_210.

Screenshots - Expanding

Parameters | Description
Theme | Selection of a theme from the drop-down list. After selection, a description of the class is displayed below the drop-down list.
Report template | Selection of a report template from drop-down list. Only available if a color scheme has been selected. After selection, a description of the template is displayed below the drop-down list.
Preview | Displays a preview screen of the report template selected.
OK | Creates a new report that is based on the selected template. The dialog to save the report is opened. After saving, the report is displayed in the report area of ZAMS as an active report.
Cancel | Exits the dialog without creating a report.

Open report

To open a report:

  1. Select, in the Report menu, the Open command
    or press the key combination Ctrl+O
  2. The browser to select a saved report is opened, whereby the folder defined in the Options is preselected
  3. Select the desired reports (multiple selection is possible)
  4. Confirm the selection by clicking on OK
  5. All selected reports are loaded and displayed in the report area of the ZAMS; the last report that was selected is activated

A progress display is shown when several reports are opened. If a report that has already been opened is to be opened again, this report is not opened again but is instead displayed as active and a corresponding message is displayed in the output window.

Opening a write-protected report

Report files that are write-protected can be opened. For these reports, in addition to the name, the notice (write protected) and a corresponding message are displayed in the output window. Changes to the report settings can only be saved in a new report file. The symbol and the Save command are not available.

Save report

To save a report:

  1. Select, in the Report menu, the Save command
    or press the key combination Ctrl+S
  2. If the report has not been saved before, the dialog to select a save location is opened
  3. If the report has already been saved under this name, the following is carried out regardless of the settings in the options:
    • The existing report is overwritten
    • The changes are not saved
    • A dialog to confirm the overwriting is opened

    Attention: The status message "Storing succeeded" in the output window only indicates that the process has been completed without problems, not that the changes have been saved. If changes are not saved, a warning is given and the asterisk next to the report name in the tab remains. A message is given if changes are saved.

Save under new name

To save amended reports under a new name, select the save as command or the key combination Ctrl+Shift+S. If there is already a report with the same name, this is either not saved, overwritten or overwritten after confirmation, depending on the configuration of the options. If an attempt is made to overwrite the saved file of another report that was open in the ZAMS, the process is canceled with an error message.

Save all open reports

To save open reports, select the save command or the key combination Ctrl+Alt+S. If there is already a report with the same name, this is either not saved, overwritten or overwritten after confirmation, depending on the configuration of the options. Files are only resaved if changes have actually been made.

When saving all reports:

  • A check is made to see if each report has a valid save path:
    If, in the event that there is not a valid path, the selection of a valid path is canceled, the saving is also canceled
  • If any conflicts are recognized:
    Conflicts lead to saving being canceled
  • If all necessary confirmations to overwrite existing data or entries in an individual dialog have been obtained:
    Saving is carried out if confirmation has been given, otherwise the process is aborted

Overwrite report when saving

If an existing report is to be overwritten, a dialog to confirm this is opened with the standard configuration of the options.

Screenshots - Expanding

Parameters

Description

List of reports

Displays all reports that are overwritten when saved.

  • A tick in the check box allows the report to be overwritten.
  • An empty check box prevents overwriting.

Select all

Selects all reports displayed to be overwritten.

Deselect all

Prevents all displayed reports being overwritten.

OK

Accepts settings, executes defined actions (overwrite/do not overwrite) and closes dialog.

Cancel

Discards settings and closes the dialog.

Close report

To close a report:

  1. Select the Close command in the report menu
  2. If the report was changed and not saved, the dialog to save reports is opened.
    • If this dialog is exited, the report is not closed
    • If the dialog is confirmed with OK, the report is closed in accordance with the requirements and removed from the report area

Close all reports

To close all reports:

  1. Select the Close all command in the report menu
  2. Unchanged reports are closed
  3. For reports that have been changed and has not been saved yet, the dialog to save reports is opened.
    • If this dialog is exited, the reports are not closed
    • If the dialog is confirmed with OK, the reports are closed in accordance with the requirements and removed from the report area


Deploy reports

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Deploy reports

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In order for a report to be deployed, there must be a connection to an Analyzer server with a valid license.

Preparing multilingual reports

To prepare multilingual reports:

  1. In the ZAMS menu, go to Options
  2. click on Settings
  3. Navigate to the Language settings tab
  4. Configure multilingual preparation
  5. Confirm the configuration by clicking on the OK button
  6. Navigate to the Report menu
  7. Select the Deploy or Deploy all command.

Procedure for "Deploying a report"

To deploy a report:

  1. Select the Deploy command in the report menu
  2. The report and all attendant SPs and UDFs are validated. Data files are read in the standard language English; paths are validated in all necessary languages.
    The deployment is canceled if validation errors occur. During validation, a check is made to ensure that both the save path on the hard drive and the save path on the Analyzer server are valid.
  3. The reports that are to be overwritten are established. In doing so, all language versions of the report on the server are always compiled under one entry with the language-neutral path.
  4. A check is made to see if the report needs to be saved.
  5. A check is made to see if a file on the hard drive, an SP or UDF to be created in the database or the report on the server need to be overwritten. If it is necessary to overwrite, this is handled in accordance with the settings in the options. If necessary, a dialog to confirm the overwriting can be activated.
  6. The report is saved to the hard drive with the overwriting settings if necessary.
  7. All SPs and UDFs that need to be created are created with the overwriting settings. If an error occurs with these settings, the deployment is canceled.
  8. The RDL of the report is created and stored on the server.
  9. Reports are prepared in all configured languages. Each language version of a report is considered separately in terms of being successful or unsuccessful.
  10. If the RDL was successfully stored on the server, the entries for the report are written to the internal management tables REPORT_HISTORY and REPORT_DEPENDENCIES.
    Note: The TEMPLATE_PARAMETERS column in the REPORT_HISTORY column is designed for 4.000 characters. If longer inputs are entered, these are not saved.
  11. Which of the reports in the Report Builder are to be opened in the Report Builder is established. In doing so, all language versions of the report on the server are always compiled under one entry with the language-neutral path.
  12. The Report Builder is opened if necessary.
  13. A status message displays the success, partial success or lack of success of the deployment.

Procedure for "deploying all reports"

This function provides all reports opened in the report area of ZAMS.

To deploy all reports:

  1. Select the Deploy all command in the report menu
  2. A check is made to see which reports needs to be saved. If the configuration requires user interaction, the user is prompted to confirm this in a similar manner to the overwrite dialog.
  3. All reports and all attendant SPs and UDFs are validated. Data files are read in the standard language English; paths are validated in all necessary languages.
    If the validation of an individual report is not successful, the deployment of all reports is canceled. During validation of each report, a check is made to ensure that both the save path on the hard drive and the save path on the Analyzer server are valid.
  4. The reports that are to be overwritten are established. In doing so, all language versions of the report on the server are always compiled under one entry with the language-neutral path.
  5. If there are conflicts with the reports to be saved on the save paths on the hard drive or on the Analyzer server, these are reported as an error message in the output window and the deployment of all reports is canceled.
  6. In the next step, a check is made to see if one or more SPs or UDFs are to be created and if these are to be used identically to several reports. This happens, for example with SPs to read the metadata tables for the report parameters. If this is the case, all such ambiguities in a dialog are displayed and the user must decide which element from which report is to be created:

    Screenshots - Expanding

    • Element name: SQL element
    • Report: Selection of report that is to be created from drop-down list
  7. If the dialog is canceled or an error occurs, the deployment of all reports is canceled.
    If the dialog is confirmed, all ambiguities are removed according to the settings in the dialog.
  8. A check is carried out to see if reports on the hard drive, SQL elements in the database or reports on the Analyzer server need to be overwritten. If this is the case, the configurations for overwriting are evaluated and all objects where a decision from the user is required are listed in a dialog:

    Screenshots - Expanding

    • Checkbox: Highlighting for whether an element is to be overwritten or not
    • Element name: Name of the object
    • Element type: Object type, can be a file on the database, an SQL element in the database or a report on the Analyzer server
    • Select all: selects all elements to be overwritten
    • Deselect all: removes highlighting to overwrite from all elements
    • OK: Applies settings and closes the dialog.
    • Cancel: Discards inputs, sets checkboxes to empty (no) and closes dialog
  9. If the dialog is canceled or if an error occurs, a warning is given in the output window and "no" is accepted as a default.
    If the dialog is confirmed, the requirements for overwriting are implemented.
  10. The reports envisaged for saving are saved.
  11. The SQL elements are created with the defined overwriting settings above the defined reports. If an SQL element cannot be created, this is saved on an interim basis, because the next step is affected by this.
  12. For all reports for which all necessary SQL elements were created, the RDL files are created and stored on the server. For each report that was successfully saved on the server, the entries for the report are written to the internal management tables REPORT_HISTORY and REPORT_DEPENDENCIES.
  13. Reports are prepared in all configured languages. Each language version of a report is considered separately in terms of being successful or unsuccessful.
  14. Which of the reports in the Report Builder are to be opened in the Report Builder is established. In doing so, all language versions of the report on the server are always compiled under one entry with the language-neutral path.
  15. The Report Builder is opened if necessary.
  16. After determining which reports are to be opened in the Report Builder, the selected reports are opened in the Report Builder.
  17. A status message displays the success, partial success or lack of success of the deployment.

Progress bar in the status line

When deploying all reports, the progress bar in the status line is displayed. In doing so, each of the following steps initializes the progress bar and fills it completely during the course of progress:

  • Step 1 of 5: Analysis (validation) of the reports
  • Step 2 of 5: Saving of reports (this is skipped if no reports are to be saved)
  • Step 3 of 5: Creation of SPs and UDFs
  • Step 4 of 5: Creation of the RDL files on the server
  • Step 5 of 5: Opening of the reports in the Report Builder (this is skipped if no reports are to be opened in the Report Builder)

Using reports and carrying out actions in ZAMS

Recommendation: Do not execute any reports whilst actions are being carried out with ZAMS that relate to these reports. Most of all if ZAMS:

  • is deploying reports
  • is updating the connector functions in the database
  • is creating the SQL connector


Creating color definition for reports

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Creating color definition for reports

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The coloring of reports can be defined using a color scheme. All color schemes for reports are administered in ZAMS.

Color scheme

zenon Analyzer is supplied with the Analyzer Initial color scheme as standard. This color scheme can be supplemented with your own, individual color scheme.

COPA-DATA standard

The Analyzer Initial color scheme

  • Is fixed
  • Cannot be changed.
  • Cannot be exported.
  • Cannot be overwritten by imported files.

Individual color scheme

ZAMS users can do the following with individual color schemes:

  • Create and edit
  • export
  • import

Selecting a color scheme

To select a color scheme:

  1. open the menu Options
  2. Click on the Manage color scheme entry
  3. The dialog for administering the color scheme is opened

    Screenshots - Expanding

  4. Select the desired option from the drop-down list for the Active color schemes option
  5. Confirm your selection by clicking on the OK button

Noch in diesem Kapitel

Creating and editing variables

Exporting a color scheme

Import color scheme


Creating and editing variables

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Creating color definition for reports -> Creating and editing variables

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

To administer a color scheme:

  1. open the menu Options
  2. Click on the Manage color scheme entry
  3. The dialog for administering the color scheme is opened

Screenshots - Expanding

Parameters | Description
Active color scheme | Selection of a color scheme from the drop-down list. The standard color scheme is always displayed at the top of the list. The individual color scheme is sorted alphabetically.
Userdefined color schemes | Properties for the creation and editing of your own color scheme.
Filter conditions | Entry of a filter text that filters displayed elements in the list of Available color schemes. The filter criteria is met if the filter text appears at a desired location in the name of a color scheme. Capitalization of letters is ignored (not case sensitive).
Available color schemes | List of all available individual color schemes for the selection of a color scheme for editing or deleting.
New | Clicking on the button opens the dialog to create a color scheme. The new color scheme is entered at the same time with a standard name in the list of Available color schemes. Any filter text that may be present is removed, so that the color scheme is certain to be displayed in the list. If the standard name is already present in the list, it is supplemented with a counter in brackets.
Edit | Clicking on the button opens the dialog to edit the selected color scheme. A color scheme can also be renamed in this dialog.
Delete | Deletes selected color scheme without requesting confirmation. If a color scheme that is also entered as an active color scheme is deleted, the active color scheme is taken on as the standard color scheme.
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Creating a color scheme

To create a new color scheme:

  1. Open the dialog Manage color schemes.
  2. click on the button New
  3. The dialog for defining a color scheme is opened

Screenshots - Expanding

Parameters

Description

Color scheme name

Entry of a freely-definable name for the color scheme to be configured.

A name is valid if it:

  • Is not blank
  • No other color scheme has the same name
    (if the standard name is left and this already exists, it is given a counter and accepted.)

Tabs for configuration

A color scheme for reports is configured using the following tabs:

  • Text boxes
  • Parameter area
  • Footer
  • Chart background
  • Chart axis
  • Chart series
  • Chart legend
  • Chart data labels
  • Chart data markers
  • Table cells
  • Gantt chart

For details, see the corresponding subchapter.

OK

Accepts all changes in all tabs and closes the dialog.

Only active if a valid name has been entered.

Cancel

Discards all changes on all tabs and closes the dialog.

Edit color scheme

To edit a color scheme:

  1. Open the dialog Manage color schemes.
  2. Select the desired color scheme in the list of Available color schemes
  3. click on the button Edit
  4. The dialog for defining a color scheme is opened

Rename color scheme

To rename a color scheme:

  1. Open the dialog Manage color schemes.
  2. Select the desired color scheme in the list of Available color schemes
  3. click on the button Edit
  4. The dialog for defining a color scheme is opened
  5. Change the name in the Name of color scheme option
  6. Confirm the change by clicking on the OK button

Filtering the color scheme

The list of individually-created color schemes can also be displayed with filters:

To filter the list:

  1. Enter the filter criteria in the Filter condition option
    Note: Filters are case sensitive

    Screenshots - Expanding

  2. The list is shown after filtering

    Screenshots - Expanding

To show the list in full again, delete the filter criteria.

Noch in diesem Kapitel

Text boxes

Parameter area

Footer

Chart background

Chart axis

Chart series

Chart legend

Chart data labels

Chart data markers

Table cells

Gantt chart


Text boxes

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Creating color definition for reports -> Creating and editing variables -> Text boxes

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration of the properties of text fields:

Screenshots - Expanding

Properties for text fields are available for the following text elements:

  • Report title font
  • Label font
  • Value font

The following options are available for each of these elements:

Parameters

Description

Font family

Selection of font type from drop-down list. 256 fonts are currently offered.

Font size

The font size is set using the cursor keys or by entering it in the number field.

  • Minimum: 1
  • Maximum: 100

Font weight

Selection of font thickness from drop-down list. Available are:

  • Thin
  • ExtraLight
  • Light
  • Normal
  • Medium
  • SemiBold
  • Bold
  • ExtraBold
  • Heavy

Font color

Display of the selected font color. Setting is carried out using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.


Parameter area

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Creating color definition for reports -> Creating and editing variables -> Parameter area

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration of the properties of the parameter area:

Screenshots - Expanding

Parameters

Description

Parameter box

Definition of the properties for borders and background of the parameter output area

Border style

Selection of the border style from the drop-down list. The following values are available:

  • None
  • Solid
  • Double
  • Dashed
  • Dotted

Border width

Setting the border width:

Input is possible in levels with a precision of 0.5.

  • Minimum: 1
  • Maximum: 100

Border color

Display of the selected border color. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Background color

Display of the selected background color. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Parameter label font

Definition of the font properties of the text box for parameter names.

Font family

Selection of font type from drop-down list. 256 fonts are currently offered.

Font size

The font size is set using the cursor keys or by entering it in the number field.

  • Minimum: 1
  • Maximum: 100

Font weight

Selection of font thickness from drop-down list. Available are:

  • Thin
  • ExtraLight
  • Light
  • Normal
  • Medium
  • SemiBold
  • Bold
  • ExtraBold
  • Heavy

Font color

Display of the selected font color. Setting is carried out using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Parameter value font

Definition of the font properties of the text box for parameter values.

Font family

Selection of font type from drop-down list. 256 fonts are currently offered.

Font size

The font size is set using the cursor keys or by entering it in the number field.

  • Minimum: 1
  • Maximum: 100

Font weight

Selection of font thickness from drop-down list. Available are:

  • Thin
  • ExtraLight
  • Light
  • Normal
  • Medium
  • SemiBold
  • Bold
  • ExtraBold
  • Heavy

Font color

Display of the selected font color. Setting is carried out using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.


Footer

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Creating color definition for reports -> Creating and editing variables -> Footer

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration of the properties of the footer:

Screenshots - Expanding

Parameters

Description

Footer font

Configuration of the font properties of the text boxes in the footer.

Font family

Selection of font type from drop-down list. 256 fonts are currently offered.

Font size

The font size is set using the cursor keys or by entering it in the number field.

  • Minimum: 1
  • Maximum: 100

Font weight

Selection of font thickness from drop-down list. Available are:

  • Thin
  • ExtraLight
  • Light
  • Normal
  • Medium
  • SemiBold
  • Bold
  • ExtraBold
  • Heavy

Font color

Display of the selected font color. Setting is carried out using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Footer line

Configuration of the properties of the footer line.

Line width

Setting of the line width.

Input is possible in levels with a precision of 0.5.

  • Minimum: 1
  • Maximum: 100

Line color

Display of the selected line color. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.


Chart background

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Creating color definition for reports -> Creating and editing variables -> Chart background

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration of the properties of the chart background.

Screenshots - Expanding

Parameters

Description

Grid lines

Configuration of the properties for grid lines in the background of the chart area.

Line style

Selection of the line style from the drop-down list. The following values are available:

  • None
  • Solid
  • Dashed
  • Dotted
  • DashDot
  • DashDotDot

Line width

Setting for the line width:

Input is possible in levels with a precision of 0.5.

  • Minimum: 1
  • Maximum: 100

Line color

Display of the selected line color. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Chart area background

Configuration of the settings for the background for the chart area. The background of the chart area is the area that is in the actual chart. The area is limited by axes.

The background of the chart area is colored alternately with the base color and the alternative color.

Pie charts always have a transparent background in this area.

Background color

Display of the selected background color. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Background interlace color

Selection of alternative background color. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Chart item background color

Configuration of the settings of the object background for charts. The object background is the area that comprises the chart in the report including keys and axes.

Background color

Display of the selected background color. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Gradient end color

Display of the end color of the color gradient.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Gradient type

Selection of a color gradient type from drop-down list. The background is colored with the selected color gradient type, starting from the basic color through to the gradient end color. The following values are available:

  • None
  • LeftRight
  • TopBottom
  • Center
  • DiagonalLeft
  • VerticalCenter

Note: The values DiagonalRight and HorizontalCenter are not available. However if these values are nevertheless used, they can be selected in the Microsoft Report Builder in the properties of the graphic object. If these values are set using dynamic expressions, such as a VB.NET code call, then they are shown as TopBottom.

Pie chart item background

Configuration of the settings of the object background for pie charts.

The settings for pie charts are different to other diagrams in this area, because the background color of the chart is transparent.

Background color

Display of the selected background color. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Gradient end color

Display of the end color of the color gradient.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Gradient type

Selection of a color gradient type from drop-down list. The background is colored with the selected color gradient type, starting from the basic color through to the gradient end color. The following values are available:

  • None
  • LeftRight
  • TopBottom
  • Center
  • DiagonalLeft
  • VerticalCenter

Note: The values DiagonalRight and HorizontalCenter are not available. However if these values are nevertheless used, they can be selected in the Microsoft Report Builder in the properties of the graphic object. If these values are set using dynamic expressions, such as a VB.NET code call, then they are shown as TopBottom.


Chart axis

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Creating color definition for reports -> Creating and editing variables -> Chart axis

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration of the properties of the chart axis:

Screenshots - Expanding

Parameters

Description

Chart axis font

Configuration of the font sizes of the figures on the axis.

Font family

Selection of font type from drop-down list. 256 fonts are currently offered.

Font size

The font size is set using the cursor keys or by entering it in the number field.

  • Minimum: 1
  • Maximum: 100

Font weight

Selection of font thickness from drop-down list. Available are:

  • Thin
  • ExtraLight
  • Light
  • Normal
  • Medium
  • SemiBold
  • Bold
  • ExtraBold
  • Heavy

Font color

Display of the selected font color. Setting is carried out using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Chart axis line

Configuration of the settings for the axis lines

Line style

Selection of the line style from the drop-down list. The following values are available:

  • None
  • Solid
  • Dashed
  • Dotted
  • DashDot
  • DashDotDot

Line width

Setting for the line width:

Input is possible in levels with a precision of 0.5.

  • Minimum: 1
  • Maximum: 100

Line color

Display of the selected line color. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Chart axis scale break

Configuration of the settings for the axis breaks

Border style

Selection of the line style from the drop-down list. The following values are available:

  • None
  • Solid
  • Dashed
  • Dotted
  • DashDot
  • DashDotDot

Border width

Setting the border width:

Input is possible in levels with a precision of 0.5.

  • Minimum: 1
  • Maximum: 100

Border color

Display of the selected border color. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Spacing

Setting of the distance between the two lines that mark a break.

Input is possible in levels with a precision of 0.5.

  • Minimum: 1
  • Maximum: 100

Note: Display of the values of the axis breaks in the PDF

For the PDF rendering engine of the SQL server 2012 reporting services, problems with the validation of values entered have been reported for certain values. If values different to the standard scheme are to be entered, the following procedure is recommended:

  1. Always change only one value at a time.
  2. Then confirm the dialog with OK.
  3. prepare a report with a chart (such as an archive trend with line chart) as a test.
  4. Execute the report and export it as a PDF.
  5. If the chart is not displayed in the PDF file with the report, the currently-changed value is not correctly recognized. Correct the value and test it again.


Chart series

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Creating color definition for reports -> Creating and editing variables -> Chart series

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration of the properties of the chart series:

Screenshots - Expanding

Parameters | Description
Color of chart series x | Display of the selected color of the chart series. x stands for the number of the chart series 1 to 10. The settings for the chart series 1 are also applied to the series 11, 21, 31, 41 etc. This applies in a similar manner to other series 2 (12, 22, ..) to 10 (20, 30, ...). The setting is made using the Select color button below.
Choose color | Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.


Chart legend

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Creating color definition for reports -> Creating and editing variables -> Chart legend

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration of the properties of the chart legend:

Screenshots - Expanding

Parameters

Description

Chart legend font

Configuration of the labeling properties for the legend entries.

Font family

Selection of font type from drop-down list. 256 fonts are currently offered.

Font size

The font size is set using the cursor keys or by entering it in the number field.

  • Minimum: 1
  • Maximum: 100

Font weight

Selection of font thickness from drop-down list. Available are:

  • Thin
  • ExtraLight
  • Light
  • Normal
  • Medium
  • SemiBold
  • Bold
  • ExtraBold
  • Heavy

Font color

Display of the selected font color. Setting is carried out using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.


Chart data labels

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Creating color definition for reports -> Creating and editing variables -> Chart data labels

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration of the properties of the database labeling in graphics:

Screenshots - Expanding

Parameters

Description

Data label box

Configuration of the properties for borders and background of the data labeling areas

Border style

Selection of the border style from the drop-down list. The following values are available:

  • None
  • Solid
  • Double
  • Dashed
  • Dotted

Border width

Setting the border width:

Input is possible in levels with a precision of 0.5.

  • Minimum: 1
  • Maximum: 100

Border color

Display of the selected border color. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Background color

Display of the selected background color. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Data label font

Configuration of the labeling properties for the data labeling.

Font family

Selection of font type from drop-down list. 256 fonts are currently offered.

Font size

The font size is set using the cursor keys or by entering it in the number field.

  • Minimum: 1
  • Maximum: 100

Font weight

Selection of font thickness from drop-down list. Available are:

  • Thin
  • ExtraLight
  • Light
  • Normal
  • Medium
  • SemiBold
  • Bold
  • ExtraBold
  • Heavy

Font color

Display of the selected font color. Setting is carried out using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.


Chart data markers

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Creating color definition for reports -> Creating and editing variables -> Chart data markers

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration of the properties of the database marking in graphics:

Screenshots - Expanding

Parameters

Description

Data marker

Configuration of the properties of the data marking symbols.

Marker type

Selection of the data marking symbol. The following values are available:

  • Square
  • Circle
  • Diamond
  • Triangle
  • Cross
  • Star4
  • Star5
  • Star6
  • Star10

Attention: The value None is not available here, because reports where this property is used must have a marking symbol.

Marker size

Setting of the size of the marking symbol.

Entry is possible in levels with a precision of 0.25.

  • Minimum: 1
  • Maximum: 100

Marker color

Display of the selected marking color. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Data marker border

Configuration of the properties of the border of the data marking.

Border width

Setting the border width:

Input is possible in levels with a precision of 0.5.

  • Minimum: 1
  • Maximum: 100

Border color

Display of the selected border color. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.


Table cells

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Creating color definition for reports -> Creating and editing variables -> Table cells

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration of the properties of the cells in tables:

Screenshots - Expanding

Parameters

Description

Cell background

Configuration of the settings for the background for data cells in tables.

Background color for even cells

Display of the background color for rows with an even row number (2, 4, 6, …).

The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Background color for odd cells

Display of the background color for rows with an odd row number (1, 3, 5, …).

The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Header cell font

Configuration of the labeling properties for the heading entries.

Font family

Selection of font type from drop-down list. 256 fonts are currently offered.

Font size

The font size is set using the cursor keys or by entering it in the number field.

  • Minimum: 1
  • Maximum: 100

Font weight

Selection of font thickness from drop-down list. Available are:

  • Thin
  • ExtraLight
  • Light
  • Normal
  • Medium
  • SemiBold
  • Bold
  • ExtraBold
  • Heavy

Font color

Display of the selected font color. Setting is carried out using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Body cell font

Configuration of the labeling properties for the data cells.

Font family

Selection of font type from drop-down list. 256 fonts are currently offered.

Font size

The font size is set using the cursor keys or by entering it in the number field.

  • Minimum: 1
  • Maximum: 100

Font weight

Selection of font thickness from drop-down list. Available are:

  • Thin
  • ExtraLight
  • Light
  • Normal
  • Medium
  • SemiBold
  • Bold
  • ExtraBold
  • Heavy

Font color

Display of the selected font color. Setting is carried out using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Header cell border

Configuration of the properties of the borders for heading cells.

Border style

Selection of the border style from the drop-down list. The following values are available:

  • None
  • Solid
  • Double
  • Dashed
  • Dotted

Border width

Setting the border width:

Input is possible in levels with a precision of 0.5.

  • Minimum: 1
  • Maximum: 100

Border color

Display of the selected border color. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Body cell border

Configuration of the properties of the borders for data cells.

Border style

Selection of the border style from the drop-down list. The following values are available:

  • None
  • Solid
  • Double
  • Dashed
  • Dotted

Border width

Setting the border width:

Input is possible in levels with a precision of 0.5.

  • Minimum: 1
  • Maximum: 100

Border color

Display of the selected border color. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.


Gantt chart

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Creating color definition for reports -> Creating and editing variables -> Gantt chart

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration of the properties of Gantt diagrams:

Screenshots - Expanding

Parameters

Description

Title font

Configuration of the font properties of the diagram title.

Font family

Selection of font type from drop-down list. 256 fonts are currently offered.

Font size

The font size is set using the cursor keys or by entering it in the number field.

  • Minimum: 1
  • Maximum: 100

Use bold font

Active: Text is formated in bold.

Axis font

Configuration of the font properties for axis fonts.

Font family

Selection of font type from drop-down list. 256 fonts are currently offered.

Font size

The font size is set using the cursor keys or by entering it in the number field.

  • Minimum: 1
  • Maximum: 100

Use bold font

Active: Text is formated in bold.

Text color

Display of the selected font color. Setting is carried out using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Chart area background color

Display of the background color selected for the chart area. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Chart item background color

Display of the background color selected for the graphics object. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

No event color

Display of the color selected for times without an event. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Event default color

Display of the standard color selected for events. The setting is made using the Select color button below.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.


Exporting a color scheme

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Creating color definition for reports -> Exporting a color scheme

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Color schemes can be exported. To export a color scheme:

  1. open the menu Options
  2. Click on Export color scheme
  3. the dialog for selecting a color scheme is opened
  4. Select the desired color scheme by clicking on the checkbox
  5. click on OK
  6. The dialog to select a save location is opened
    (this dialog is always displayed in the language of the operating system)
  7. Select the save location and enter a file name
  8. click on OK
  9. The selected color scheme is saved as an XML file

Dialog to select the color scheme

Screenshots - Expanding

Parameters | Description
List of color schemes | Lists all existing individually-created color schemes. These can be selected by clicking on the checkbox for export.
Select all | Selects all displayed color schemes for export.
Deselect all | Deactivates marking for all selected color schemes. No scheme is still selected for export.
OK | Accepts selection, closes the dialog and opens the dialog to select a save location for the export file.
Cancel | Cancels export and closes dialog.

The size and position of the dialog can be adjusted. These modifications are saved.


Import color scheme

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Creating color definition for reports -> Import color scheme

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Color schemes can be imported. To import a color scheme:

  1. open the menu Options
  2. Click on Import color scheme
  3. The dialog to select an export file is opened
    (this dialog is always displayed in the language of the operating system)
  4. Select the save location and the desired XML file
  5. click on OK
  6. The dialog for the import is opened.
  7. Select the color scheme to be imported.
  8. Select whether the color scheme to be imported will overwrite the existing color scheme in the event of conflicts or if it is to be saved under a new name
  9. click on OK
  10. The selected color schemes are imported and added to the list of individually-created color schemes

Import color scheme dialog

When importing an XML file with color scheme, all the color schemes contained therein are displayed in a dialog. Color schemes can be selected for import in the dialog and a decision can be made as to how conflicts are handled.

Screenshots - Expanding

Parameters

Description

List of color schemes

Lists all existing individually-created color schemes. These can be selected by clicking on the checkbox for export.

Symbol

Shows whether a color scheme with this name already exists.

Color scheme name

Name of the color scheme to be imported. Clicking in the checkbox highlights the color scheme for import.

The width of this column can be adjusted.

Resolution of the collision

If there is already a color scheme with the same name, two options to resolve the conflict are offered. Selection from drop-down list:

  • Rename imported scheme: The color scheme is imported under a different name Selection in the 'import name' option.
    Default: [existing name] (serial number].
  • Overwrite existing scheme: Imports color scheme and overwrites the existing one.

The width of this column can be adjusted.

Import name

Name of the color scheme to be imported if this is to be renamed on import. Clicking in the field allows editing of the proposed default name.

Select all

Selects all displayed color schemes for import.

Deselect all

Deactivates marking for all selected color schemes. No scheme is still selected for import.

OK

Accepts selection, closes this dialog and imports the selected color scheme.

Cancel

Cancels import and closes dialog.

The size and position of the dialog can be adjusted. These modifications are saved.


Opening reports in Microsoft Report Builder

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Opening reports in Microsoft Report Builder

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports can be opened and edited in Microsoft Report Builder. In order for the Report Builder to be started and reports edited with it, there must be a connection to an Analyzer server with a valid license.

Start Report Builder

To start the Report Builder:

  1. Select the Start Microsoft Report Builder command in the report menu
  2. An Internet Explorer process with the URL of the Report Builder application is started
  3. If necessary, the application is downloaded
  4. The Report Builder is opened.
  5. The Internet Explorer process is ended

Open report in Report Builder

To open the report active in the report window in Report Builder:

  1. Select the Open in Microsoft Report Builder command in the report menu
  2. The Report Builder is opened.
  3. The report is opened in Report Builder

Note: If the Report Builder is not able to open the report from the path given, this does not cause an error message in ZAMS. The error is reported in Report Builder

Open all reports in Report Builder

To open all reports active in the report window in Report Builder:

  1. Select the Open all in Microsoft Report Builder command in the report menu
  2. Report Builder is opened.
  3. The reports are opened in Report Builder
  4. The progress display in the status bar informs you of the progress of the opening

Note: If the Report Builder is not able to open a report from the path given, this does not cause an error message in ZAMS. The error is reported in Report Builder


Server actions

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Server actions

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

You can do the following via the Analyzer Server menu:

  • Connect ZAMS to the Analyzer server
  • Request information on the Analyzer server
  • Request the license status of the Analyzer server
  • Enter new license data

Server information

To receive information on the version of the Analyzer server:

  1. Select, in the Analyzer server menu, the Server version information command
  2. The information window is activated
  3. You receive information on:
    • The operating system of the computer with the Analyzer server
    • The version of Analyzer server that is running

Screenshots - Expanding

Noch in diesem Kapitel

Configure connection

View license

Enter License...


Configure connection

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Server actions -> Configure connection

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

To create a new connection profile, select:

  • When starting ZAMS, Create new profile as a profile
    or
  • when ZAMS is running, the Connect to server command in the Analyzer server menu.

The dialog for the configuration is opened:

Screenshots - Expanding

Parameters

Description

Connection profile

Selection of the connection profile from the drop-down list.

Create new profile creates a new profile.

The profile consists of a path for server\database.

Credentials

Entry of the access data.

Use windows authentication

Active: Windows authentication is used.

Username

Entry of the user name.

If Use Windows authentication is active, display only.

Password

Entry of the password. Is not saved and must be reentered each time the connection is made.

If Use windows authentication is active, no input is necessary; input is also not possible.

Refresh server list

A click starts a search for existing servers to which ZAMS can connect.

To do this, a list of all SQL server instance available in the network is checked to see if the attendant computers of the ReportingService2010 Web Service endpoint and the license server can be reached.

Note: If a large amount of SQL servers are present in the system, the check can take a long period of time. The procedure is visualized by means of a progress display.

Specify database server...

A click opens the dialog to enter a specific server.

This is the recommended procedure if the name of the computer and the SQL server instance of the Analyzer server are known.

Server

Selection of the server to which ZAMS should connect from a drop-down list.

If the desired server is not displayed, it can be added via Connect to specific server or searched for via Refresh server list.

Database

Selection of the database that ZAMS is to use from drop-down list.

OK

Accepts all inputs, validates them, creates them as a connection profile, closes the dialog and creates the connection.

Cancel

Rejects all inputs and closes the dialog without creating a connection.

Connection procedure

A connection to an Analyzer server is established in the following steps:

  1. The inputs in the connection dialog are validated and, if still present, a connection profile for the configuration is created.
  2. If ZAMS is opened, a check is made to see if reports are open in ZAMS. These must be closed.
    A message window asks if the open reports can be closed.

    Screenshots - Expanding

    Yes: Reports are closed and the settings in the options are saved beforehand if necessary

    No: Process is canceled

  3. An existing connection is closed.
  4. The version of the database that is to be setup for the connection is established.

    If the database version, in comparison to the version supported by ZAMS is:

    1. Higher or the database is not an Analyzer 2.0 or higher metadata database, the process is canceled with an error message
    2. The same as the version supported in the ZAMS installation, the structural check is continued
    3. Lower, the conversion is continued
  5. Conversion:

    User query as to whether the database conversion is to be started.

    1. No: the establishment of the connection is canceled
    2. Yes: the database conversion is carried out for the SQL server to which the connection is to be made
  6. Once the data conversion has been concluded, the version of the database to which the connection is to be made is checked again. If this is still lower than the database version supported by the ZAMS installation, it is canceled with an error.
  7. Structural check:

    The database structure is checked against the structure definition that is supported in the ZAMS installation. If structural errors are established in the process, the process is canceled with an error message.

  8. The new connections are created to:
    • SQL Server 2012 Reporting Service Web Service endpoint ReportService2010 of the Analyzer server
    • Selected database on the Analyzer server
    • zrsLicSrv on the Analyzer server

    If one of the necessary connections cannot be established, the already-configured connections are closed and ZAMS changes to the status of not connected.

  9. An attempt is made to assign a ZAMS license for the user of the connection on the computer to which the connection is to be made. If this is rejected, the process is canceled.
  10. The database structure is checked.
  11. Any license query that may be running is stopped.
  12. If all connections can be established, the license of the Analyzer server is checked.
    If the license is not valid, the dialog to enter a license is opened.
  13. Depending on the license status, the possible actions are activated or deactivated.

Update server list

To update the list of servers displayed, click on the Refresh server list button on the dialog for the connection profile. The search for servers to which ZAMS can connect is started. In doing so, the progress display shows you the following:

  • The computer in the network that is currently being examined
  • The progress of the search (with a green bar)

General Analyzer Schema Graphics Template

The progress display is closed once the search has been completed. The servers found are shown in the Server drop-down list.

Note: If a large amount of SQL servers are present in the system, the check can take a long period of time.

To connect a specific server

To connect to a specific server, click on the Connect to specific server button in the dialog for the connection profile. The dialog to connect to a specific server is opened.

Screenshots - Expanding

Parameters | Description
Server | Entry of the computer name and the folder in which the server is located. Syntax: [computer name or IP address]\[instance name] For example: Server999\Reports_ZA2\
Progress bar | Shows the progress of the connection attempt If the attempt is not successful, a window with an error message is displayed and an error report is issued in the ZAMS output window.
OK | Applies changes, validates them and closes the dialog.
Cancel | Discards changes and closes dialog.


View license

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Server actions -> View license

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

To display the license used by the Analyzer server:

  1. Select, in the Analyzer server menu, the Show current license command
  2. the drop-down list with the license information is opened

Screenshots - Expanding

Parameters

Description

Serial Number

The serial number is displayed.

Activation key

The activation key is displayed.

License status

Status of the license:

  • This license is valid
  • Invalid license

License properties

Display of:

  • Number of licensed clients
  • License expiration date.

License product

Opens the dialog to enter license data.

OK

Closes the window.


Enter License...

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Server actions -> Enter License...

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

To enter new license data:

  1. Select, in the Analyzer Server menu or in the Display license dialog, the Enter new license command
  2. the drop-down list with the license information is opened
  3. enter serial number and activation number
  4. Click on Check new license
  5. If the result is positive, click on OK to activate the license

Enter dialog license

Screenshots - Expanding

Parameters

Description

Serial Number

Entry of the serial number.

Activation key

Entry of the activation key.

Test new license

Clicking on this button tests inputs before they are written to the license server, to see if:

  • License data entered has the correct syntax
  • a license can be occupied on a CodeMeter dongle with the data entered
  • The activation key corresponds with the serial number

In order for the test to be started, both serial number and activation key must have been entered.

Test result

Displays the test result of Test new license.

OK

Writes the license entered to the license service on the Analyzer server and closes the dialog. The result of writing the license is displayed in the output window.

In order for the license data to be written, both serial number and activation key must have been entered.

Cancel

Closes the dialog without writing data to the license service.

attention Attention

If incorrect license data is entered, the access to the Analyzer server is blocked for all clients. Always check the new license data by clicking on the Test new license button before you set the license by clicking on OK.


Automation

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Automation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The following actions can be automated in ZAMS:

  • Emulation of archives
  • Preparation of reports using schedules
  • Report subscriptions

Noch in diesem Kapitel

Configure archive emulation

Manage Schedules

Administer report subscriptions


Configure archive emulation

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Automation -> Configure archive emulation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In ZAMS, you can emulate archives that exist from figures from entries in the AML, CEL and archives in zenon.

To configure the archive emulation:

  1. Select the Configure archive emulation entry in the Automation menu.
  2. Click on the New button to create a new archive
    or Edit to change an existing archive

You can find details on archive emulation and the configuration of emulated archives in the archive emulation section.


Manage Schedules

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Automation -> Manage Schedules

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In order for the provision of reports to be automated using schedules, there must be a connection to an Analyzer server with a valid license.

To create and administer schedules for the deployment of reports:

  1. Select the Manage Schedules entry in the Automation menu.
  2. the dialog for administering the schedule is opened
  3. Preconfigured schedules are displayed
  4. Create a new schedule or edit an existing one

Screenshots - Expanding

Parameters

Description

Available schedules

Display and filtering of the already-configured schedules.

Filter field

Entry of a filter for the List of schedules.

Only schedules that correspond to the filter criteria are shown in the list.

Wildcards:

  • ?: Wildcard for precisely 1 character
  • *: Wildcard for 0 or more characters

If there is no wildcard in the filter expression, a * is automatically added to the end when filtering.
For example:

  • „" (empty field) becomes *
  • test becomes test*
  • t?st remains t?st

List of schedules

List of all preconfigured and available schedules.

Schedule properties

Displays the preconfigured properties of the schedule highlighted in the list.

  • Name of the schedule
  • Details about the schedule
  • Start time of the schedule
  • End time of the schedule
  • Status of the schedule
  • Time of the last execution of the schedule
  • Time of the next execution of the schedule

Attention: The texts can be displayed in different languages. They come partly from ZAMS and partly from the web service. These can be configured in different languages.

New

Opens the dialog to create a new schedule.

Edit

Opens the dialog to edit a schedule.

Delete

Deletes the selected schedule from the list and from the Analyzer server.

If a schedule to be deleted is used for one or more subscriptions, then a warning is given for each subscription. The user must decide if all relevant subscriptions should be deleted with the schedule.

  • Yes: First the respective subscriptions are deleted, then the schedule.
  • No: Neither subscriptions nor the schedule are deleted.

Close

Closes the dialog.

Creating and editing schedules

To create a new schedule:

  1. click on the button New
  2. The dialog is opened with the standard values for all input possibilities

To amend an existing schedule:

  1. Highlight the desired schedule in the list
  2. click on Edit
  3. The dialog is opened with the values for the selected schedule

To delete a schedule:

  1. Highlight the desired schedule in the list
  2. Click on Delete
  3. The schedule is deleted

Dialog to create and edit a schedule

Screenshots - Expanding

Parameters

Description

General

General settings for the schedule:

  • Name
  • Recurrence configuration

Name

Name of the schedule.

Recurrence configuration

Recurrence configuration for the time plan. There are the following patterns:

  • Once
  • Minutes and hours
  • Days
  • Days in weeks
  • Days in months
  • Days in weeks of months

The patterns are configured in the Recurrence configuration section.

Start and expiration

Start and end times for the plan.

Start time

Start date.

Start time

Start time.

Schedule expires

Active: Time plan has a defined date of expiration.

Can only be activated if the pattern is not Once.

Date of expiration

Date of expiration.

Recurrence configuration

Configuration of the recurrences For details, see the "Configure recurrences" section.

OK

Applies the selected configuration and closes the dialog.

Cancel

Closes the dialog without executing any actions

Errors during the action prevent the dialog being confirmed with OK and are displayed via messages in the output window.

Configuring recurrences

Recurrences are configured in the right-hand section of the dialog. Only the Recurrence configuration area is shown in the manual for the description of the individual pattern.

Screenshots - Expanding

attention Attention

If an already-configured schedule is called up for editing again, it can happen that the configuration does not correspond to the pattern entered previously. The execution times of the schedule remain the same, only the display of the configuration is affected.

Background: The web service examines the configuration of a schedule and converts it to a simpler pattern, regardless of its configuration.

For example: In weekdays, each day was activated and the week interval is set to 1. The web service makes the simpler pattern Days days out of this, with an interval of 1.

Once

Is only executed once. The settings for Recurrence configuration are thus not available.

Minutes and hours

Screenshots - Expanding

Defines the interval between two executions of the schedule in hours and minutes.

Parameters | Description
Hours | Hours are stated.
Minutes | Minutes are stated.

Note: If both properties are set to 0, this leads to an error.

Days

Defines the distance between two executions of the schedule in days.

Screenshots - Expanding

Parameters | Description
Days | number of days between two executions.

Note: If 0 is set, this leads to an error.

Days in weeks

Defines the distance between two executions in weekdays and weeks of execution.

Screenshots - Expanding

Parameters | Description
Interval in weeks | Interval between the executions in weeks.
Days in weeks | Weekdays on which the schedule is to be executed.

Example: A schedule for "every second Wednesday" would have Wednesday highlighted as the execution day and a weekly interval of 2.

Note: If no days are highlighted or 0 is set for weeks, this leads to an error.

Calendar days per month

Defines the interval between two executions of the schedule over days and weeks of execution.

Screenshots - Expanding

Parameters | Description
Days per month | Activation of the active days via the checkboxes. Note: The possible execution dates are orientated to the shortest month, February. They are therefore limited to 28.
Month | Activation of the active months.

Note: If no entry is activated in one of the properties, this leads to an error.

Days in weeks of months

Defines the interval between two executions of the schedule in active weekdays according to week of execution and month of execution.

Screenshots - Expanding

Parameters | Description
Days in weeks | Selection of the active weekdays.
Month | Selection of months in which the selected days are active..
Week in month | Selection of the week of the active month in which the schedule is executed.

Note: If no entry is activated in one of the properties, this leads to an error.

Limitations

  • Days per month are limited to 1 - 28 (corresponds to February in non-leap years)
  • The "Month end" event is not available


Administer report subscriptions

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Automation -> Administer report subscriptions

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Requirement: In order for reports to be subscribed to, there must be a connection to an Analyzer server with a valid license.

To subscribe to reports:

  1. Select the Manage subscriptions entry in the Automation menu.
  2. the dialog for administering the subscriptions is opened

Screenshots - Expanding

Parameters

Description

List of report subscriptions

List of the already-configured subscriptions with detailed information:

  • Description: Description of the subscription.
  • Report: The report used in the subscription.
  • Owner: Owner of the subscription.
  • Subscription status: Status of the subscription.
  • Last Run: Time of the last execution of the subscription.

New

Opens the dialog to create a new subscription with the standard values for all input possibilities.

The table with the subscriptions is updated once the opened dialog has been confirmed.

Edit

Opens the dialog to edit the selected subscription with the values configured for the selected subscription.
The table with the subscriptions is updated once the opened dialog has been closed.

Delete

Deletes the highlighted subscription.
The table with the subscription is updated after the action has been carried out.

Close

Closes the dialog.

attention Attention

There can be mixes of different languages in all dialogs of this function.

Background: The texts are created by ZAMS, by the web service and also by Microsoft Extension DLLs (for the dispatch methods of the subscriptions). Theses sources support different languages depending on installation and configuration.

Creating and editing subscriptions

To create a new subscription:

  1. click on the button New
  2. The dialog is opened with the standard values for all input possibilities

To amend an existing subscription:

  1. Highlight the desired subscription in the list
  2. click on Edit
  3. The dialog is opened with the values for the selected schedule

To delete a subscription:

  1. Highlight the desired subscription in the list
  2. Click on Delete
  3. The subscription is deleted

Dialog for creating or editing a subscription

Screenshots - Expanding

Parameters | Description
General settings | Configuration of the general settings for the subscription.
Report parameters | Configuration of the parameters for the selected report.
Delivery method | Configuration of the delivery method for the report.
Previous | Switches to the previous tab. Not active in this tab.
Next | Switches to the next tab.
OK | Accepts the configuration, creates the subscription and closes the dialog. Only available if no invalid data is present. Input fields with invalid content are stored in red.
Cancel | Discards changes and closes the dialog.

Note: Errors during configuration prevent the dialog being confirmed with OK and are displayed in the output window.

Noch in diesem Kapitel

General settings

Report parameters

Delivery method


General settings

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Automation -> Administer report subscriptions -> General settings

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

You select the report, delivery method and schedule in this report. You configure report parameters and delivery method in the following tabs.

Screenshots - Expanding

Parameters

Description

General settings

General settings for the subscription:

Report

Selection of a report for the subscription from a drop-down list.
This selection determines which properties are offered in the Report parameters group.

Delivery method

Selection of a method with which the report is sent from a drop-down list:

  • Save report as shared file:
    The report is saved to a network drive in an approved folder.
    This option is always available. Other options depend on the configuration of the reporting services.
  • Send report via e-mail:
    The report is sent by email.
    Only available if the reporting services are configured accordingly.

This selection determines which properties are offered in the delivery method group.

Schedule

Selection of a schedule for the subscription.

Note: The schedule for the subscription can be created directly on the Analyzer server and saved with this. This is not supported by ZAMS.

Manage Schedules

Opens the dialog to create ad edit schedules.

If this is executed, the table with the schedules is updated in the list of schedules.

Previous

Switches to the previous tab.
Not active in this tab.

Next

Switches to the next tab.

OK

Accepts the configuration, creates the subscription and closes the dialog.

Only available if no invalid data is present. Input fields with invalid content are stored in red.

Cancel

Discards changes and closes the dialog.


Report parameters

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Automation -> Administer report subscriptions -> Report parameters

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The report parameters are configured in this tab. The control elements are displayed in groups, the groupings are automatically displayed from top to bottom in one or more languages.

Screenshots - Expanding

Parameters

Description

Display of controls

Depending on the report selected in the General settings tab, the respective controls are offered for configuration. The labels above the controls for the parameters always come from the report.

Recommendation: In the Time span control, activate the Use standard value checkbox to use the configured values for the report.

Previous

Switches to previous tab.

Next

Switches to the next tab.

OK

Accepts the configuration, creates the subscription and closes the dialog.

Only available if no invalid data is present. Input fields with invalid content are stored in red.

Cancel

Discards changes and closes the dialog.

info Information

Note for parameters with multiple selection:

  • If the checkbox for use of the standard values of the parameters is deselected
  • and then all values activated in the selectable list of parameters are deselected,
  • Then the standard values are set for these parameters again.

Technical background: The report server sets all parameters that have standard values and are transferred without values back to standard values.


Delivery method

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Automation -> Administer report subscriptions -> Delivery method

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

You define the delivery method for the report in this tab. Save report as an approved file is always available as a standard method. Other methods depend on the configuration of the reporting services. In this documentation, the Send report by email method is also presented in addition to the standard method. The method is selected in the General settings tab.

Entries in this tab are validated each time a parameter value is validated.

attention Attention

The language of the parameters for the delivery method corresponds to the language of SQL Server.

Save report as shared file

Screenshots - Expanding

Parameters

Description

File name

Name of the file in which the report is saved.

Must not be empty and must contain a valid name.
The following characters are not permitted: /\?|<>:*"

Path

UNC path of the authorized folder in which the file is saved. Must not be empty and must contain a valid UNC file path. Clicking on the Browse button opens the dialog to select an approved folder on the network drive.

Attention: For technical reasons, it may be necessary to enter a user name and password in the UNC browser dialog. This entry relates to access for approved drives and is not the same as parameter fields for user name and password.

Render format

Selection of the data format from drop-down list for saving the report.

Write mode

Selection of what is to happen for a pre-existing file from a drop-down list:

  • None: The file is created, but rejected again. Nothing is written.
  • Automatic incrementation: Additional information is written.
  • Overwrite: The file is overwritten.

Filename extension

Configuration of whether an extension is added to the report file:

  • Yes: The file is supplemented with a file extension appropriate to the render format property.
  • No: The file is saved without a filename extension

Username

User name for access to the authorized folder.

Must be entered in order for the validation to be successful. Only the presence of the input is checked.

Password

Password for access to the authorized folder. This is not displayed in plain text and is not supplied by the web service when the subscription is called up again.

Must be entered in order for the validation to be successful. Only the presence of the input is checked.

Previous

Switches to the previous tab.

Next

Switches to the next tab.

Not active in this tab.

OK

Accepts the configuration, creates the subscription and closes the dialog.

Only available if no invalid data is present. Input fields with invalid content are stored in red.

Cancel

Discards changes and closes the dialog.

Send report via e-mail

In order for reports to be able to be sent by email, the SQL Server must be configured accordingly.

Configuration of the SQL Server for dispatch via email.

To be able to send reports via email, the email settings of the Analyzer service must be configured. To do this:

  • Start the Reporting Services Configuration Manager of Microsoft SQL Server 2012 from the Start menu.
  • Select zenon Analyzer as the instance.
  • Click on Email Settings.
  • Configure the settings for email on the Analyzer service.
  • Enter, as the address for the Sender, the email address that is to appear as the sender in emails that are generated by the Analyzer.
  • The SMTP server must be able to be addressed from the Analyzer server.
  • Because SMTP does not generally require any login data, this cannot be configured here. The configuration is stored in C:\Program Files\Microsoft SQL Server\MSRS11.ZA2\Reporting Services\ReportServer\rsreportserver.config and can also be edited here.
  • The Current SMTP Server Delivery Method setting is automatically set as soon as an SMTP server is entered.

Configuration of the dispatch method in ZAMS

Screenshots - Expanding

Parameters

Description

To

Address of the recipient.

Must not be empty and must contain a valid list of email addresses. Requirements for addresses:

  • The following characters are permitted: a-z, A-Z, 0-9, !#$%&'*+-/=?^_`{|}~.
  • Syntax: [local part]@[domain part]
  • Several addresses are separated by a semi colon (;)
  • Exactly one @ character in the whole address
  • Two periods (..) must not appear consecutively
  • Constraints for local part and domain:
    - must not start with .
    - must not end with .
    - must contain at least 1 valid character
    - must not contain any invalid character

Cc

Address of recipients of copies.

Can be empty. The content must contain a list of valid email addresses.

Bcc

Address of hidden recipients of copies.

Can be empty. The content must contain a list of valid email addresses.

Respond to

Address to whom a response is to be sent.

Can be empty. The content must contain a list of valid email addresses.

Include report

Selection of whether the report is sent.

  • Yes: Report is attached to the email as a file.
  • No: Only one email is sent, stating that that a report is available. The report itself is not sent.
    Hint: However a link to the report can be added using the Include link option.

Render format

Selection of the data format from drop-down list for saving the report.

Priority

Selection of the priority of the email from the drop-down list:

  • Higher
  • Normal
  • low

Subject

Subject of the email The following text blocks can be replaced automatically:

  • @ReportName: Name of the report
  • @ExecutionTime: Date and time of report creation.

Comment

Additional text for the email.

Include link

Selection of whether a link to a report is included in the message.

Yes: A hyperlink to the report is included in the email.

No: No hyperlink is included.

Previous

Switches to the previous tab.

Next

Switches to the next tab.

Not active in this tab.

OK

Accepts the configuration, creates the subscription and closes the dialog.

Only available if no invalid data is present. Input fields with invalid content are stored in red.

Cancel

Discards changes and closes the dialog.


Clear cache

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Actions -> Clear cache

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

If metadata has been changed or the data from the report templates has been updated, the cache must be deleted.

The cache is deleted as standard:

  • If ZAMS is connected to a different database, the data of which is required, and the data is called up
  • ZAMS is restarted

In addition, the deletion of the cache can be triggered manually by: Menu options-> Delete cache.
This action emulates objects of a ZAMS restart for the cache manager.

Procedure

Procedure when the Delete cache option is called up:

  1. It is ensured that nothing accesses the cache whilst the action is being carried out.

    Instructions on opening reports are buffered in a queue until the action has been completed.

  2. Open reports must be saved, closed and restarted once the action has been completed. Unsaved changes are saved.
    If reports that have not yet been saved are found, then the user is notified of this in a dialog and asked if the reports are to be saved and closed.
    • If closing is declined, the action is canceled and the cache is not deleted.
    • If the closing is confirmed, the dialog to save the report is opened in order to save and close the reports.

    Note: If changes to a report that have not yet been saved are to be discarded, close the report and decline the question asking you if you want to save it.

  3. The caches for report template data and metadata are cleared.
  4. The list of all users found is emptied and the configuration of the user search is reset.
  5. Corresponding messages are written in the output window.
  6. The previously-written access is permitted again.
  7. The closed reports are opened again.

Note: This action is available regardless of the connection to the Analyzer server and regardless of whether there is a valid license.
This action is not available if one of the actions Open, Prepare, Prepare all, Open in report builder or Open all in report builder are executed.

info Information

This action Delete cache only relates to ZAMS and is not identical to the cache updating function in the Analyzer Manager.


Managing SQL Server

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

You can get to the tools to manage the SQL connections and the databases via the SQL server menu item:

  • Update connector functions
  • Create SCADA SQL connector
  • New Analyzer database
  • Convert databases
  • Manual database backups
  • Automated database backups
  • Manage database backup files
  • Manage linked servers
  • Manage metadata indices

Noch in diesem Kapitel

Update connector functions

Create SCADA SQL connector

New Analyzer database

Convert databases

Manual database backups

Automated database backups

Manage database backup files

Manage linked servers

Manage metadata indices


Update connector functions

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Update connector functions

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

This function is available if there is a connection to an Analyzer server with a valid license.

By selecting the Update connector functions action, you update the database assembly zrsUserFunctions or create this if it is not present and update the attendant SQL UDFs in the database. The assembly establishes the connection between the database and the connector stub. The following tasks are carried out in the process:

  1. All existing UDFs for the assembly are rejected.
  2. The assembly is rejected if it exists already.
  3. The assembly is created.
  4. All UDFs are created.
  5. The database is set so that the functions of the assembly can be executed.

Errors and confirmations are stated in the output window.

Existing SCADA SQL connectors are retained and are not discarded.


Create SCADA SQL connector

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Create SCADA SQL connector

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In order to be able to create an SQL connector, there must be a connection to an Analyzer server with a valid license.

To create an SQL connector:

  1. Select, in the SQL server menu, the Create SQL connector command
  2. The dialog to create an SQL connector with both tabs Databases and Projects is opened

Databases

Selection of databases and linked server where the search for tables is to be made.

Screenshots - Expanding

Parameters

Description

Currently-connected SQL server instance

Properties of the SQL server instance to which ZAMS is currently connected.

Currently-connected database "REPORTING2"

Active: A search for tables is to be made in the currently-connected database.

Other databases on the currently connected SQL server instance

Selection of databases on the SQL server instance that is currently connected where a search for tables is to be carried out. The selection is made by activating checkboxes.

Linked Server

Linked Server on the SQL server instance to which ZAMS is currently connected.

SQL

Only contains linked SQL server (provider "SQLNCLI"). The selection is made by activating checkboxes.

Oracle

Only contains linked Oracle servers (provider "OraOLEDB.Oracle"). The selection is made by activating checkboxes.

ODBC

Only contains linked ODBC servers (provider "MSDASQL"). The selection is made by activating checkboxes.

OK

Closes the dialog, saves the configuration of both tabs and opens the dialog to configure the SQL connector.

The parameters are set up via three tabs:

  • AML and CEL
  • Archive tables
  • Shift tables

For details, see the corresponding sections.

Cancel

Cancels the process of creating the SQL connectors and closes the dialog.

Note: All data sources are activated by default.

Projects

In this tab, you define the data from the projects in the data sources defined in the prior tab are to be searched for according to tables.

Screenshots - Expanding

Parameters

Description

Project selection

Selection of a project.

If a project is selected, the project configuration group is filled with the project configuration.

Project configuration

Configuration of the selected project.

Search for data for this project

Active: A search for tables is made in this project. Further options are shown.

Inactive: No search for tables is made in this project.

Search for AML data tables

Active: A search for AML tables is made (table name ends with _ALARM).

Search for CEL data tables

Active: A search for CEL tables is made (table name ends with _CEL).

Search for shift tables

Active: A search for shift data tables is made. The shift tables to be searched for are taken from the EQUIPMENTSHIFT metadata table.

Search for data tables for these archives

Selection of the projects for which searches for tables are to be made. Three tables are used in the process:

  • [project name]_[short archive description] -> archive data
  • [project name]_VARIABLES -> variables in the archive
  • [project name]_[short archive description]_LOT -> lot data. According to this table, a search is only made if the archive in the metadata is defined as a lot archive (LOTARCHIV column in the ARCHIVE metadata table).

OK

Closes the dialog, saves the configuration of both tabs and opens the dialog to configure the SQL connector.

The parameters are set up via three tabs:

  • AML and CEL
  • Archive tables
  • Shift tables

For details, see the corresponding sections.

Cancel

Cancels the process of creating the SQL connectors and closes the dialog.

Noch in diesem Kapitel

Configuration of the SQL Connector

Configuration of the archive tables

Configuration of the shift tables

Procedure

Configuration of the provider


Configuration of the SQL Connector

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Create SCADA SQL connector -> Configuration of the SQL Connector

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Click on the OK button in the dialog for creating an SQL connector to open the dialog to configure the SQL connector. A standard configuration is created for each project before the dialog is opened. For details of this, see the Standard project configuration section in the Process chapter.

The dialog consists of three tabs:

  • AML and CEL
  • Archive tables
  • Shift tables

AML table and CEL table dialog

Screenshots - Expanding

Parameters | Description
Project selection | Selection of the project from the drop-down list makes requirements for the properties to be configured. The selection applies for all three tabs.
Select AML tables | Configuration of the AML table to be used. Selection of the desired AML table from the drop-down list. This contains all AML tables found and an entry for Do not create. The description of the selected table is displayed below the drop-down list.
CEL table selection | Configuration of the CEL table to be used. Selection of the desired CEL table from the drop-down list. This contains all CEL tables found and an entry for Do not create. If no tables are found, the drop-down list displays a corresponding entry and is deactivated.
Restore default configuration | Resets the AML and CEL tables for the project currently being displayed back to the standard configuration.
OK | Saves settings of all three tabs, closes the dialog and creates the SQL connector.
Cancel | Cancels the process of creating the SQL connectors and closes the dialog.

Dialog archive tables

Screenshots - Expanding

Parameters

Description

Project selection

Selection of the project from the drop-down list makes requirements for the properties to be configured. The selection applies for all three tabs.

List of tables

Displays all archives that are switched to active when configuring the table search and the respective tables found. The following are displayed:

  • Archive name
  • Archive data table
  • Archive variable table
  • Lot table

If no archive data table is found for an archive or this is not to be integrated into the SQL connector, the columns for the variable table and lot table remain empty.

Configure tables

Opens the dialog to Configure the archive tables for the selected project. The table is updated after this dialog is closed.

Restore default configuration

Resets the archive tables for all archives of the project currently being displayed back to the standard configuration.

OK

Saves settings of all three tabs, closes the dialog and creates the SQL connector.

Cancel

Cancels the process of creating the SQL connectors and closes the dialog.

Shift tables dialog

Screenshots - Expanding

Parameters

Description

Project selection

Selection of the project from the drop-down list makes requirements for the properties to be configured. The selection applies for all three tabs.

List of shifts

Displays the shift tables for all equipment groups selected in the configuration. The following are displayed:

  • Equipment group names
  • Shift table

If no shift tables were found for an equipment group or these were configured in such a way that they are not incorporated into the SQL connector, this is displayed in the table accordingly.

Configure tables

Opens the dialog to Configure the shift tables for the selected project. The table is updated after this dialog is closed.

Restore default configuration

Resets the shift tables for all equipment models of the project currently being displayed back to the standard configuration.

OK

Saves settings of all three tabs, closes the dialog and creates the SQL connector.

Cancel

Cancels the process of creating the SQL connectors and closes the dialog.


Configuration of the archive tables

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Create SCADA SQL connector -> Configuration of the archive tables

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Screenshots - Expanding

Parameters

Description

Project selection

Selection of the project from the drop-down list. The project selected in Configuration of the SQL connector is already selected.

Overview

Displays the configuration of all archives in the project. The following are displayed:

  • Archive name
  • Data table
  • Variable table
  • Lot table

If no data tables are present for an archive, the columns for the variable table and the lot table for for this archive remain empty.

Configuration

Configuration of the tables.

  • List on the left-hand side:
    Selection of an archive to be configured.
  • Tab on the right-hand side:
    Three tabs to configure the data table, the variable table and the lot table for the archive selected in the list.

Configuration of the tabs:

Each tab consists of a drop-down list and a text field.

If there are no tables, this is noted in the drop-down list and it is inactive.

If tables are present, the drop-down list contains all available tables and an entry to exclude the SQL connector (do not build).

If a table is selected in the drop-down list, the text field displays the description of the table.

If the selection in the drop-down list is changed, this has the following effect, depending on the tab:

  • Archive data table:
    If the entry for closing the SQL connector is selected, then this is also changed in the drop-down list for the variable table and the lot table.
    If a table is selected, then tables are set in the same database for the variable table and the lot table, if these are present.
    After this, the overview table and the warning list is updated.
  • Archive variable table:
    The overview table and the warning list are updated.
  • Lot table:
    The overview table and the warning list are updated.

Warnings

List of warnings in relation to the configuration Possible causes:

  • A data table is set and no variable table is set.
  • The variable table is in a database as the data table.
  • A data table is set and it is a lot archive, a lot table is set and the lot table is in a different database to the data table.
  • A variable table is set, although no data table is set.
  • A lot table is set, although no data table is set.

OK

Checks to see if the maintenance list is empty.

  • Empty: The dialog is closed and the changes are saved.
  • Not empty: User Query, to find out if the configuration is to be saved despite the warnings:
    Nein: The dialog remains open and the changes to the configuration are not saved yet.
    Yes: The dialog is closed and the changes to the configuration are saved.

Cancel

Closes the dialog and discards the changes to the configuration.


Configuration of the shift tables

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Create SCADA SQL connector -> Configuration of the shift tables

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Screenshots - Expanding

Parameters

Description

Project selection

Selection of the project from the drop-down list. The project selected in Configuration of the SQL connector is already selected.

Overview

Displays the configuration of all equipment models and all equipment groups for which a shift table is defined in the metadata for this project. The following are displayed:

  • Equipment model name
  • Shift table
  • Configuration of inheritance:
    Contains, with equipment models and equipment groups with active inheritance of the shift table, the name of the superordinate element.
    The construction of the inheritance hierarchy is explained in the warning bx under this table.

If no tables are found for an equipment model or this is excluded by the SQL connector, this is noted in the corresponding line in the 'Shift table' column.

Configuration

Consists of:

  • List with equipment models:
    Complete connection hierarchy of the equipment models for the project set
  • Inherit configuration from parent equipment model checkbox
  • Drop-down list
  • Text field

List of equipment models

Selection of an equipment model by clicking on the desired model.

Inherit configuration from parent equipment model

Active: Configuration is taken on by superordinate element.

Can only be activated if it is not a root element in the inheritance hierarchy of the equipment model for the selected project.

Drop-down list for shift table

Configuration of the shift table for the selected equipment model.

  • If there are no shift tables for the equipment model, this is displayed in the drop-down list and the list is set to inactive.
  • If the shift table is inherited by a superordinate entry, then the inherited shift table is entered into the drop-down list and the list is set to inactive.
  • In all other cases, the shift table can be configured and the drop-down list shows all shift tables available for the selected equipment model and an entry to exclude the equipment model from the SQL connector.
    If a change is made in the drop-down list, this is forwarded to all equipment models that inherit from the selected equipment model.

Text field

Contains the description of the shift table selected in the drop-down list.

OK

Saves all changes to the configuration and closes the dialog.

Cancel

Discards all changes to the configuration and closes the dialog.

When the dialog is opened, the inheritance hierarchy of the equipment model for each project is created and a decision is made on which inheritances are active.

attention Attention

This hierarchy does not need to correspond to the hierarchy in the equipment model in the zenon Editor, because the shift tables entered in the metadata are also taken into account here. The following decision-making guidelines were used in the process:

  • An equipment model can only inherit the shift table configuration from another equipment model Y if the equipment model X in the zenon is a direct child of equipment model Y and the collection of the available shift tables is identical for each equipment model.
  • If an element cannot inherit from any other, it it becomes a root element for the Equipment model list.
  • A possible inheritance is then active if an element and its superordinate element are configured for use of the same shift table.


Procedure

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Create SCADA SQL connector -> Procedure

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The sequence of configuring an SQL connector is as follows:

  1. The database to which the ZAMS is connected is checked to see if all UDFs of the zrsUSerFunctions assembly and all UDFs of the open data interface are present. If this is not the case, the user is asked if these are to be created.
    • No: Aborts the creation.
    • Yes: Assembly and the UDFs are created.
  2. The metadata of the database is evaluated. As a result of this, it can be established which projects, which archives and which equipment models are available.
  3. Data sources are searched for in the SQL Server instance. These could be the following objects:
    • Analyzer database
    • Other databases on the Analyzer instance
    • Linked SQL server
    • Linked Oracle server
    • Linked ODBC server.
  4. The data sources and projects found are presented to the user in a dialog.

    In this dialog, the user has the possibility to determine the projects for which tables are to be searched and the data and respective data sources from which the data for tables comes. All available objects are activated as standard in order to make as much data as possible accessible via the SQL connector.

  5. The data sources are checked for the selected data for the selected project. The data tables found are assigned to the appropriate project in the process.
  6. The data tables found for each project are displayed in a dialog. Here, the user can configure the data tables to be used for each project.
  7. The SQL connector is created using the configuration.

Standard project configuration

When creating the standard configuration, the following is determined for each project in four stages:

  1. Best AML table
  2. Best CEL table
  3. Best tables for each archive
  4. Best shift tables for each equipment model

1. Best AML table

The collection of tables found for a project contains a list of AML tables. The following happens on the basis of this list:

  1. If no tables are in the list, no AML tables are set in the start configuration for this project.
  2. If no tables are there, a sequence of priority is created according to the principle of the shortest route:
    1. Table is in the database just connected.
      Table name: [scheme].[table]
    2. Table is in a database on the SQL Server instance just connected.
      Table name: [database].[scheme].[table]
    3. Table is in a database on a linked SQL server: different database server, but the same product.
      Table name: [linked server].[database].[scheme].[table]
    4. Table is in a database on a linked Oracle server: different database server, different product, 1 provider in between.
      Table name: [linked server]..[scheme].[table]
    5. Table is in a database on a linked ODBC server: different database server, different product, 1 or more providers in between.
      Table name: [linked server]...[table]
  3. If there are several tables in a hierarchy, the one that is found first is set.

Attention: Because the _ALARM table name suffix set by zenon does not provide any indications of the project, all projects with the same AML table are given the standard configuration. The user must intervene if there are different AML tables.

2. Best CEL table

Procedure is the same as the search for the best AML table.

3. Best tables for each archive

The collection of the tables found for a project contains a list with the following that have been found:

  • Data tables
  • Variable tables
  • Lot tables

The data tables are used as a starting point for each archive. The best data table in the hierarchy is searched for and validated (like the procedure for AML).

  • If there is a variable table and - if it is a lot archive - a lot table for the data table in the same database, then a suitable standard configuration for all necessary tables of this archive was found.
  • If one of the above conditions is not met, the database is not set as a standard configuration and the next-best data table is checked.

If an archive does not have a database or no database table meets the conditions, no tables are entered for this archive in the standard configuration.

4. Best shift tables for each equipment model

The collection of the tables found for a project contains, for each equipment model that has a shift table name for this project entered in the metadata for this project, a list with the shift tables found. For each equipment model that has shift logging, the best shift table found according to the hierarchy (like L tables) is selected and entered in the standard configuration. If no shift tables were found for an equipment model, no shift table is entered for this equipment model in the standard configuration.


Configuration of the provider

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Create SCADA SQL connector -> Configuration of the provider

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

A provider is a driver for SQL Server, which allows it access to other database systems. Similar to the drivers in an HMI/SCADA system such as zenon, the driver must be configured in order for communication to work. The linked servers of the following drivers can be addressed by the SQL connector:

  • SQLNCLI for linked SQL server
  • OraOLEDB.Oracle for linked Oracle server
  • MSDASQL for linked ODBC server

You can find the providers in the SQL Server Management Studio in the Object Explorer; the path is:
[linked instance] -> Server Objects -> Linked Servers -> Providers

Settings that are made in the properties of the provider are only applicable for the instance under which the provider is entered in the Object Explorer.

"SQLNCLI" for linked SQL server

This provider can be left with the default settings.

Addressing the tables: [linked server name].[database name].[scheme name].[table name]

"OraOLEDB.Oracle" for linked Oracle server

The checkboxes in the properties of this provider must be as in the screenshot below:

Screenshots - Expanding

Addressing the tables: [linked server name]..[scheme name].[table name]

Note: To be able to configure an Oracle provider, the oracle database client software must already be installed.
In addition to the provider, there must also be an entry for the database server in the configuration of the Oracle client. The configuration of this depends on the version of the Oracle client used. You can find information on this in the documentation of the Oracle client used.

"MSDASQL" for linked ODBC server

The checkboxes in the properties of this provider must be as in the screenshot below:

Screenshots - Expanding

Addressing the tables: [linked server name]...[table name]

Note: In addition, the data source (DSN or ODBC connection string) must be set so that only one database is used on the target database system. You can read how a database client for ODBC can be configured as a system DSN in the documentation of the database client used.


New Analyzer database

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> New Analyzer database

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In order for a new Analyzer database to be created, there must be a connection to an Analyzer server with a valid license.

To create a new Analyzer database:

  1. Click, in the SQL server menu, on the New Analyzer database entry
  2. The dialog to create a new database is opened

Screenshots - Expanding

Parameters

Description

Database name

Name of the database to be created.

If this field remains empty or the name of a database that already exists on the SQL server is entered, an error message is given.

Connect to the new database after creation
  • Active: Once the database has been created successfully, the current connection is closed and a connection to the database that has just been created is established.
    The authentication is determined via the properties in the Credentials area.
  • Inactive: Once the database has been created successfully, the connection to the current database remains intact

Credentials

Connection settings.

Only available if the Connect to the new database after creation option has been activated.

Use windows authentication

Active: Windows authentication is used.

Username

Entry of the user name.

If Use windows authentication is active, it is displayed only.

Password

Entry of the password. Is not saved and must be reentered each time the connection is made.

If Use windows authentication is active, no input is necessary; input is also not possible.

OK

Accepts all inputs, creates the database, establishes connections if necessary and closes the dialog.

Cancel

Rejects all inputs and closes the dialog without creating a database.

Database creation process

By clicking on OK in the New Analyzer database dialog, the following process is started:

  1. The inputs are validated.
    If an errors leads to the database not being created, or if an input is missing, the process is canceled and the dialog remains open.
  2. If necessary, the connection profile for the new database is created.
  3. The database is created.
    If the creation of the database is unsuccessful, the process is canceled and the dialog remains open.
  4. The new database is prepared for operation with the Analyzer.
    If this is unsuccessful, the user is asked if the database is to be retained. If the database is not to be retained, it is deleted, the process is canceled and the dialog remains open.
  5. A DataSource object is created on the Analyzer server.
  6. If necessary, the connection profile for the new database is validated.
  7. The dialog is closed
  8. If the option Connect to the new database after creation option is activated, the connection to the new database is established.


Convert databases

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Convert databases

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Databases that were created with zenon Analyzer from version 2.0 can be converted to the respective later version being used. If a database with a lower version number than that of the ZAMS being executed is opened, this is converted into the newer version. Databases with a version less than zenon Analyzer 2.0 are not converted by ZAMS. The database structure and the license are checked during the conversion.

From version 2.10, ZAMS recognizes the version of the metadata structure definition of a database and can check its structure. All databases created with versions from 2.10 feature versioning of the database structure.

The checking of the version of the database is started if:

  • A connection to a database is established
  • Manual conversion of the databases is started

Convert database manually

To convert databases:

  1. Open the menu SQL-Server.
  2. Select the entry Convert databases.
  3. ZAMS checks the version and structure of all existing databases.
    The search and its results are documented in the output window.
  4. If convertible databases are found, these are offered for conversion:
    1. The dialog to configure the database conversion with two tabs is opened.
    2. Select the databases that are to be converted and the backup path.
    3. Start the conversion by clicking OK
  5. If no databases that can be converted are found, the search is ended and corresponding messages are displayed in the output window.

Dialog for configuration of the database conversion

This dialog allows the selection of the databases to be converted and configuration of the save path.

Databases

Selection of the databases to be converted.

Screenshots - Expanding

Parameters

Description

List of databases

Lists all existing databases. If a line has a gray background, the database named therein cannot be converted. Details are in the Comments column.

The following are displayed:

  • Checkbox: Selection of database.
    Active: Database for conversion selected.
    Only databases that can be technically converted are selected.
    Default for convertible databases: active
  • Database name: Name of the database.
  • Version: Database version.
  • Comment: Reason why a database cannot be converted or from which to which version a database can be converted.

Open the LOG file folder after the conversion has finished.

Active: After conversion, the folder with the LOG files for conversion is opened.

OK

Accepts settings in all tabs and starts conversion.

Cancel

Discards settings in all tabs and cancels the conversion.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Backup path

Configuration of the path for backup files and selection of whether these are to be deleted after successful conversion.

Screenshots - Expanding

Parameters

Description

Store the database backups in the same path as the database files

Active: The database backup files are stored locally in the same folder as the database files in the Analyzer server.

Because this can be a different computer to the ZAMS computer, access to its file system cannot be guaranteed. The backup files stored there thus cannot automatically be deleted by ZAMS after successful conversion.

Store the database backups in a network share

Active: The database backup files are

stored in a network share.

Input of the folder in the text field or selection from a dialog after clicking on the Browse button.

Attention: It must be ensured that the user in which context the SQL server instance is running has access to this network share with the following rights:

  • read
  • write:
  • overwrite

Browse

Opens the dialog for selecting a network share.

Delete database backups after conversion has succeeded

Active: The database backup files are deleted after successful conversion of the database.

Requirement: The backup files are in a network share.

The option is executed for each database. If, for example, databases are converted and a conversion is unsuccessful, then:

  • Four backup files are deleted
  • If the backup file for the unsuccessful conversion is retained

Open the LOG file folder after the conversion has finished.

Active: After conversion, the folder with the LOG files for conversion is opened.

OK

Accepts settings in all tabs and starts conversion.

Cancel

Discards settings in all tabs and cancels the conversion.


Manual database backups

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Manual database backups

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Databases can be saved manually. Backup files can be restored and administered. Whether a database can be saved or restored depends on its type.

Automated backups are described in the Automated data backups chapter.

Noch in diesem Kapitel

Database types

Create database backups

Restore database backups


Database types

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Manual database backups -> Database types

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

A distinction is made between the following types of databases:

Type

Description

Saving

Restore

System databases

Name is

  • master
  • model
  • msdb
  • tempdb

-

-

Report server databases

Name starts with

  • ReportServer$

+

- *

Analyzer metadata databases
  • No system database
  • No report server database.
  • Analyzer metadata definition version can be established.

+

+

Other databases

None of the conditions for other types were met.

+

+

* Background: To restore Report server databases, the Report Server service must be stopped and restarted after the restore, for which administrator rights on the Analyzer server are needed.


Create database backups

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Manual database backups -> Create database backups

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Backups of databases can be created provided their type allows this. You can find details on the restorable types in the Database types. chapter

Backup databases

To back up databases:

  1. open the menu SQL-Server
  2. Select the Create database backup entry
  3. the dialog for selecting a database is opened
  4. Activate the checkboxes in front of all databases to be backed up
  5. click on OK

Screenshots - Expanding

Parameters

Description

List of databases

Displays all databases available

  • Checkbox: The checkbox must be activated to back up a database.
  • Database name: Displays database name.
  • Date and time of the latest backup: Shows date and time of the backup currently available.

The path and number of backups are defined in the Options menu, in the Database backups tab of the Settings.

Select all

Selects all displayed databases for backup.

Deselect all

Deselects database selection.

OK

Accepts selection, closes dialog and creates backups.

Cancel

Discards changes and closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Storage path for database backup files:

The first time a backup request is made and a path has not yet been established, you are requested to define a save path. This path is then used for all backups and restorations. This path is administered in the options in the Database backups tab of the Settings.

Note: It is recommended that a path on the Analyzer computer is used for backup.

Screenshots - Expanding

Parameters

Description

Network share path for storing database backup files of [database]

A valid UNC path must be entered.

Clicking on the ... button opens the dialog to select a network share.

A check is made if:

  • The syntax of the path is valid if:
    Only valid paths unlock the OK button.
  • The path exists:
    When clicking on OK, the path is only accepted if it can also be accessed.
  • The path is different to that already used:
    If a path is defined that is different to a path that has already been used, a corresponding message is given. The path can be created. The pre-existing database backup job can then be activated, deactivated and deleted, but can no longer be edited.

The configured path is saved individually for each user.

Attention: The access rights to network shares must be set correctly. For details, see the Set access rights to network share correctly.

OK

Accepts the path and closes the dialog.

Cancel

Discards changes and closes the dialog.

Set access rights to network share correctly

In order for all database backup action to run correctly, the access rights to the network share must correspond to the database backup folder. For this, the following applies:

  • The folder must be on the Analyzer Server, because defined users must access it locally on the Analyzer Server.
  • Because the folder must be accessible by both the Analyzer Server and the ZAMS computer with the same path, it must be authorized in the network. The folder is then accessible with the same path via a UNC path everywhere in the network.
  • The following users must have full access to the network share:
    • NT SERVICE\MSSQL$ZA2: For the creation and restoration of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • NT SERVICE\SQLAgent$ZA2: For automatic creation of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • Every ZAMS user: To create and restore backups, administer backup files and administer automated backup jobs.

Backup file name

The file name of a database backup file follows this scheme: [database name]_yyyy_MM_dd_HH_mm_ss.bak

e.g.: ZA_DATA_2013_02_12_14_11_35.bak = backup of ZA_DATA on 12.2.2013 at 14:11:35


Restore database backups

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Manual database backups -> Restore database backups

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Databases that have been backed up can be restored. You can find details on the restorable types in the Database types. chapter

Restoring database backups

To restore database backups:

  1. open the menu SQL-Server
  2. Select the entry Restore database backups....
  3. the dialog for selecting a database is opened
  4. Activate the checkboxes in front of all databases to be restored
  5. Select, in the Time stamp of most recent backup column, the desired version from the drop-down list
  6. click on OK

Screenshots - Expanding

Parameters

Description

List of databases

Displays all databases available

  • Checkbox: The checkbox must be activated to restore a database.
  • Database name: Shows the database name.
  • Latest backup file timestamp: Shows drop-down list with data and time of all backups available.

Select all

Selects all displayed databases for backup.

Deselect all

Deselects database selection.

OK

Accepts selection, closes dialog and restores selected saved database backups. In doing so, note:

  • If the currently-active metadata database is to be restored by a backup, the connection must be reestablished after the restore. The user must confirm this before starting the restore.
  • For each metadata database, after successful restoration, the version of the metadata structure in the database is established and a structure test is carried out. If an obsolete structure is established in at lest one database, the user has the possibility to start the database conversion directly. This option is inactive if the connection must be reestablished after the restore.

Cancel

Discards changes and closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Storage path for database backup files:

The first time a backup request is made and a path has not yet been established, you are requested to define a save path. This path is then used for all backups and restorations. This path is administered in the options in the Database backups tab of the Settings.

Note: It is recommended that a path on the Analyzer computer is used for backup.

Screenshots - Expanding

Parameters

Description

Network share path for storing database backup files of [database]

A valid UNC path must be entered.

Clicking on the ... button opens the dialog to select a network share.

A check is made if:

  • The syntax of the path is valid if:
    Only valid paths unlock the OK button.
  • The path exists:
    When clicking on OK, the path is only accepted if it can also be accessed.
  • The path is different to that already used:
    If a path is defined that is different to a path that has already been used, a corresponding message is given. The path can be created. The pre-existing database backup job can then be activated, deactivated and deleted, but can no longer be edited.

The configured path is saved individually for each user.

Attention: The access rights to network shares must be set correctly. For details, see the Set access rights to network share correctly.

OK

Accepts the path and closes the dialog.

Cancel

Discards changes and closes the dialog.

Set access rights to network share correctly

In order for all database backup action to run correctly, the access rights to the network share must correspond to the database backup folder. For this, the following applies:

  • The folder must be on the Analyzer Server, because defined users must access it locally on the Analyzer Server.
  • Because the folder must be accessible by both the Analyzer Server and the ZAMS computer with the same path, it must be authorized in the network. The folder is then accessible with the same path via a UNC path everywhere in the network.
  • The following users must have full access to the network share:
    • NT SERVICE\MSSQL$ZA2: For the creation and restoration of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • NT SERVICE\SQLAgent$ZA2: For automatic creation of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • Every ZAMS user: To create and restore backups, administer backup files and administer automated backup jobs.

Backup file name

The file name of a database backup file follows this scheme: [database name]_yyyy_MM_dd_HH_mm_ss.bak

e.g.: ZA_DATA_2013_02_12_14_11_35.bak = backup of ZA_DATA on 12.2.2013 at 14:11:35


Automated database backups

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Automated database backups

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Database backups can be made automatically. These backups can be administered in their own dialog.

Note: Automated backups should be configured so that they run when the Analyzer server has nothing to do. In doing so, report subscriptions must be taken into account. If, for example, subscriptions are processed every Sunday at 02:00:00, this is not a suitable tome to make a database backup.

To set up or edit an automated backup:

  1. open the menu SQL-Server
  2. Select the Manage Automated Database Backup Files entry.
  3. The dialog for administering the automated backups is opened

Screenshots - Expanding

Parameters

Description

Symbol

Displays whether the backup job is active or inactive.

List of backup jobs

Table of all recognized backup jobs. The following are displayed:

  • Name: Distinct name of the backup job. Capitalization/use of small letters is not checked.
  • Description: Individual description of the job.
  • Status information: Note regarding whether the backup job is active, when it was carried out for the last time and what the result of th last execution was.
  • Schedule: Description of the assigned schedule
  • Storage path: Path for database backups.
  • Included databases: List of the databases to be backed up and a note stating whether there is a limit to the number of files for the backup files and if so, how many.

Only one job can be selected at a time.

Refresh

Updates the content of the list.

New

Creates a new backup job.

To do this, a dialog is opened with the configuration for:

  • General settings
  • Databases
  • Job schedules

Edit

Opens the selected backup job for editing with the dialog for:

  • General settings
  • Databases
  • Job schedules

Clear

Deletes the selected backup after requesting confirmation.

Enable Job

Activates the selected backup job.

Disable job

Activates the selected backup job.

Close

Closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Creating and editing backup jobs

Backup jobs are configured in a dialog with three tabs. The dialog is opened by clicking on the New or Edit button.

Screenshots - Expanding

Parameters

Description

General settings

Configuration of the general settings for a database backup.

Databases

Selection of the databases to be backed up.

Job schedules

Schedules for the backup with details of:

  • General settings
  • Recurrence
  • In day recurrence
  • Duration

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.

Storage path for database backup files:

The first time a backup request is made and a path has not yet been established, you are requested to define a save path. This path is then used for all backups and restorations. This path is administered in the options in the Database backups tab of the Settings.

Note: It is recommended that a path on the Analyzer computer is used for backup.

Screenshots - Expanding

Parameters

Description

Network share path for storing database backup files of [database]

A valid UNC path must be entered.

Clicking on the ... button opens the dialog to select a network share.

A check is made if:

  • The syntax of the path is valid if:
    Only valid paths unlock the OK button.
  • The path exists:
    When clicking on OK, the path is only accepted if it can also be accessed.
  • The path is different to that already used:
    If a path is defined that is different to a path that has already been used, a corresponding message is given. The path can be created. The pre-existing database backup job can then be activated, deactivated and deleted, but can no longer be edited.

The configured path is saved individually for each user.

Attention: The access rights to network shares must be set correctly. For details, see the Set access rights to network share correctly.

OK

Accepts the path and closes the dialog.

Cancel

Discards changes and closes the dialog.

Set access rights to network share correctly

In order for all database backup action to run correctly, the access rights to the network share must correspond to the database backup folder. For this, the following applies:

  • The folder must be on the Analyzer Server, because defined users must access it locally on the Analyzer Server.
  • Because the folder must be accessible by both the Analyzer Server and the ZAMS computer with the same path, it must be authorized in the network. The folder is then accessible with the same path via a UNC path everywhere in the network.
  • The following users must have full access to the network share:
    • NT SERVICE\MSSQL$ZA2: For the creation and restoration of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • NT SERVICE\SQLAgent$ZA2: For automatic creation of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • Every ZAMS user: To create and restore backups, administer backup files and administer automated backup jobs.

Backup file name

The file name of a database backup file follows this scheme: [database name]_yyyy_MM_dd_HH_mm_ss.bak

e.g.: ZA_DATA_2013_02_12_14_11_35.bak = backup of ZA_DATA on 12.2.2013 at 14:11:35

Noch in diesem Kapitel

General settings

Databases

Job schedules

Example of automated database backup


General settings

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Automated database backups -> General settings

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

General settings for automated backups are configured in this tab.

Screenshots - Expanding

Parameters | Description
Database backup job name | Entry of a unique name for the database backup.
Database backup job description | Entry of a description for the database backup job.
Database backup job is enabled | Active: The job is carried out according to its configuration and your schedule.
Backup file folders | Folder in which backup files are saved. Display only. The path and number of backups are defined in the Options menu, in the Database backups tab of the Settings.
Maximum number of database backup files | Maximum number of backup files that are saved. Display only. The path and number of backups are defined in the Options menu, in the Database backups tab of the Settings.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.


Databases

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Automated database backups -> Databases

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The databases to be backed up are selected in this tab.

Screenshots - Expanding

Parameters

Description

Available databases

List of databases that can be selected for the backup job. Already-selected databases are no longer shown in this list.

Buttons for assignment

Buttons to drag databases between lists:

  • >: Moves highlighted databases to the Included databases list.
  • >>: Moves all databases to the Included databases list.
  • <: Moves highlighted databases to the Available databases list.
  • <<: Moves all databases to the Available databases list.

Included databases

List of databases that are backed up with this job.

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

If one of the necessary input fields is empty, the button is deactivated.

Cancel

Discards all changes in all tabs and closes the dialog.


Job schedules

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Automated database backups -> Job schedules

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The rules for the schedules for the backup jobs are configured in this tab.

Screenshots - Expanding

Parameters | Description
Existing job schedules | Lists all schedules created for this job.
Description of the selected schedule | Shows details of the schedule selected in the Existing job schedules list.
New | Opens dialog to create a new schedule.
Edit | Opens dialog to edit the selected schedule.
Delete | Deletes the selected schedule.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.

Create new schedule or edit schedule

Clicking on the 'New or edit' button opens the dialog to configure a schedule:

Screenshots - Expanding

Tabs | Description
General settings | General settings for the schedule.
Recurrence | Configuration of the recurrence for days. The controls available depend on the selection of the recurrence configuration in the General settings tab.
In day recurrence | Configuration of the recurrence within a day. The controls available depend on the selection of the recurrence pattern in the General settings tab.
Duration | Configuration of the time range in which the schedule is active
OK | Applies all changes in all tabs and closes the dialog.
Cancel | Discards all changes in all tabs and closes the dialog.

Note: In ZAMS, only recurring schedules can be configured, because schedule types such as Execute once, Always when the CPU is idle or Always when SQL server agent services are started are not suitable for the execution of regular automated database backups.

Noch in diesem Kapitel

General settings

Recurrence

In day recurrence

Duration


General settings

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Automated database backups -> Job schedules -> General settings

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The sample for the recurrence of the backup job is saved in this tab.

Screenshots - Expanding

Parameters

Description

Schedule name

Entry of the name for the schedule.

Recurrence configuration

Selection of the recurrence configuration from drop-down list:

  • Daily: The job is carried out at certain daily intervals.
  • Weekly: The job is carried out on certain weekdays at certain weekly intervals.
  • Monthly, day of month: The job is carried out on a certain day at certain monthly intervals.
  • Monthly, day of week of month: The job is carried out once a month with a certain monthly interval active, on a weekday in a certain week, for example every third month and then on Monday in the third week of this month.

Note: Details are configured in the respective Recurrence tab.

In day recurrence pattern

Selection of a recurring scheme for the day. This scheme determines how often and when the schedule triggers an event on active days. Selection from drop-down list:

  • Once: The schedule triggers an event at a precise point in time on active days, for example at 02:00:00. Details are configured in the In day recurrence tab.
  • Recurring: On active days, the schedule triggers an event periodically with a certain interval, for example every 10 minutes from 02:00:00 to 05:00:00. Details are configured in the In day recurrence tab.

Display of the configuration

Displays the current configuration of the schedule.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.


Recurrence

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Automated database backups -> Job schedules -> Recurrence

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The recurrence configuration is configured in this tab. The options available depend on the configuration in the General settings tab. Available are:

  • Daily: The task is carried out at certain daily intervals.
  • Weekly: The task is carried out on certain weekdays at certain weekly intervals.
  • Monthly, day of month: The task is carried out on a certain day at certain monthly intervals.
  • Monthly, day of week of month: The task is active once a month with a certain monthly interval, on a weekday in a certain week.

"Daily" configuration

Screenshots - Expanding

Parameters

Description

Days

Configuration of the number of days that pass for a day with an active schedule. Manual entry or configuration using the cursor keys.

  • Minimum: 1
  • Maximum: 99

Display of the configuration

Displays the current configuration of the schedule.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.

"Weekly" configuration

Screenshots - Expanding

Parameters

Description

Weeks

Configuration of the number of weeks of the selected weekdays that are active in the Days in the week option. Manual entry or configuration using the cursor keys:

  • Minimum: 1
  • Maximum: 99

Days in week

Selection of the weekdays on which the job is carried out. Selection by activating the checkbox.

Display of the configuration

Displays the current configuration of the schedule.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.

Configuration of "Monthly, day of month"

Screenshots - Expanding

Parameters

Description

Day in month

Selection of the active days in the month. Manual entry or selection using the cursor keys:

  • Minimum: 1
  • Maximum: 31

Months

Selection of the monthly interval between active days. Manual entry or selection using the cursor keys:

  • Minimum: 1
  • Maximum: 99

Display of the configuration

Displays the current configuration of the schedule.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.

Configuration of "Monthly, day of week in the month"

Screenshots - Expanding

Parameters

Description

Day in week

Selection of the weekday on which the schedule is active, from a drop-down list:

  • Monday
  • Tuesday
  • Wednesday
  • Thursday
  • Friday
  • Saturday
  • Sunday
  • Daily
  • Weekday
  • Weekend day

Week in month

Selection of a week in the month in which the previously-selected day is active, from a drop-down list:

  • First week
  • Second week
  • Third week
  • Fourth week
  • Last week

Months

Selection of the monthly interval between active days. Manual entry or selection using the cursor keys:

  • Minimum: 1
  • Maximum: 99

Display of the configuration

Displays the current configuration of the schedule.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.


In day recurrence

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Automated database backups -> Job schedules -> In day recurrence

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The recurrence for the day is configured in this tab. This scheme determines how often and when the schedule triggers an event on active days. The options available depend on the configuration in the General settings tab. Available are:

  • Once: The schedule triggers an event at a precise point in time on active days.
  • Recurring: The schedule triggers an event periodically in a certain time range with a certain interval on active days.

"Once" configuration

Screenshots - Expanding

Parameters | Description
Schedule occurs at | Selection of the point in time when the schedule triggers an event on active days, in hours, minutes and seconds. Manual entry or selection using the cursor keys.
Display of the configuration | Displays the current configuration of the schedule.
OK | Applies all changes in all tabs and closes the dialog.
Cancel | Discards all changes in all tabs and closes the dialog.

"Recurring" configuration

Screenshots - Expanding

Parameters

Description

Schedule recurrence quantity

Number of recurrences Manual entry or configuration using the cursor controls:

  • Minimum: 1
  • Maximum: 99

Schedule recurrence granularity

Schedule recurrence period granularity. Selection from drop-down list:

  • Second(s)
  • Minute(s)
  • Hour(s)

Recurrence starts at

Defines the start time of the activity period of the schedule on active days. Manual entry or configuration using the cursor controls.

Recurrence ends at

Defines the end time of the activity period of the schedule on active days. Manual entry or configuration using the cursor controls.

Display of the configuration

Displays the current configuration of the schedule.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.


Duration

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Automated database backups -> Job schedules -> Duration

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The period of validity of the schedule is configured in this tab.

Screenshots - Expanding

Parameters

Description

Schedule starts on

Configuration of the start of the validity for this schedule. Manual input or selection from a drop-down calendar.

Only days from this date can be active days.
For example: Start date April 1, 2014. The first backup job can be started on April 1 at 00:00:00.

Schedule ends on

Active: An expiration date is stipulated for this schedule. Manual input or selection from a drop-down calendar.

Only days that are before this date can become active days. For example: End date May 1, 2014. The first backup job can be started on April 30 at 23:59:59.

The end date must be later than the start date.

Display of the configuration

Displays the current configuration of the schedule.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.


Example of automated database backup

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Automated database backups -> Example of automated database backup

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

For an example of automated database backup, it is assumed that:

  • An Analyzer server is put into operation on 1/1/2013.
    • The databases on the server are to be saved every Sunday at 20:00:00.
    • In doing so, there are no conflicts with subscriptions, because these are only started on Monday at 02:00:00.
    • The last 10 backup files should be retained for each database.
  • On March 11, 2013, it is established that the server suffered hardware damage to the hard drive on 10 March, 2013, before the backups were made.
    • Once the drive has been replaced, the last backups before the hardware damage should be restored.
    • The backups made by the faulty hard drives are to be deleted.

The example consists of 3 stages:

  1. Configuring automated backup
  2. Deleting unusable backup files
  3. Restoring correct backups

Configuring automatic backup

  1. The administration of automated database backups is started in ZAMS.
  2. In this, the procedure to create a new automated database backup job is started.
  3. All databases are included in the new job.
  4. The schedule of the job is set so that the job is always carried out on Sunday at 02:00:00:
    • Weekly, with a weekly interval
    • Only Sunday active day
    • Execute once a day, at 02:00:00
  5. The new database backup job is carried out.

Deleting unusable files

  1. The administration of database backup files is started in ZAMS.
  2. The file list is sorted according to time stamps.
  3. As a result, the backups created on March 10, 2013 are grouped together.
  4. The backup files of March 10, 2013 are deleted.

Restoring backups

  1. The procedure to restore database backups is started in ZAMS.
  2. All databases are highlighted.
  3. Because the most recent backup file is automatically selected, (from March 3, 2013, because the files from March 10, 2013 have been deleted), the restore can now be instigated by clicking on OK.


Manage database backup files

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Manage database backup files

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Automated and manually-created backups can be administered in their own dialog.

To administer database backups:

  1. open the menu SQL-Server
  2. Select the entry Manage Database Backup Files.
  3. The dialog for administering the backup files is opened

Screenshots - Expanding

Parameters

Description

Table of backup files

Displays all backup files created with the following information:

  • Name of the backup file: Filename in complete UNC format
  • Database name: Name of the database to which the file belongs
  • Date and time of the backup: Time stamp of the database backup that is in the file
  • Backup file state: Status text of whether the checksum of the backup is valid. Invalid means a corrupted backup file.

One file can be selected.

Separator

Separates both tables and can be moved with the mouse in order to enlarge the display area of a table.

Table of properties

Shows details on the file that was selected in the upper table. The table contains names and values of the properties.

You can read details of these properties at:

http://msdn.microsoft.com/en-us/library/ms178536.aspx.

Refresh

Refreshes the display.

Clear

Deletes the selected file and updates the view.

Open folder

Opens the folder with the backup files in Windows Explorer.

Close

Closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Storage path for database backup files:

The first time a backup request is made and a path has not yet been established, you are requested to define a save path. This path is then used for all backups and restorations. This path is administered in the options in the Database backups tab of the Settings.

Note: It is recommended that a path on the Analyzer computer is used for backup.

Screenshots - Expanding

Parameters

Description

Network share path for storing database backup files of [database]

A valid UNC path must be entered.

Clicking on the ... button opens the dialog to select a network share.

A check is made if:

  • The syntax of the path is valid if:
    Only valid paths unlock the OK button.
  • The path exists:
    When clicking on OK, the path is only accepted if it can also be accessed.
  • The path is different to that already used:
    If a path is defined that is different to a path that has already been used, a corresponding message is given. The path can be created. The pre-existing database backup job can then be activated, deactivated and deleted, but can no longer be edited.

The configured path is saved individually for each user.

Attention: The access rights to network shares must be set correctly. For details, see the Set access rights to network share correctly.

OK

Accepts the path and closes the dialog.

Cancel

Discards changes and closes the dialog.

Set access rights to network share correctly

In order for all database backup action to run correctly, the access rights to the network share must correspond to the database backup folder. For this, the following applies:

  • The folder must be on the Analyzer Server, because defined users must access it locally on the Analyzer Server.
  • Because the folder must be accessible by both the Analyzer Server and the ZAMS computer with the same path, it must be authorized in the network. The folder is then accessible with the same path via a UNC path everywhere in the network.
  • The following users must have full access to the network share:
    • NT SERVICE\MSSQL$ZA2: For the creation and restoration of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • NT SERVICE\SQLAgent$ZA2: For automatic creation of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • Every ZAMS user: To create and restore backups, administer backup files and administer automated backup jobs.

Backup file name

The file name of a database backup file follows this scheme: [database name]_yyyy_MM_dd_HH_mm_ss.bak

e.g.: ZA_DATA_2013_02_12_14_11_35.bak = backup of ZA_DATA on 12.2.2013 at 14:11:35


Manage linked servers

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Manage linked servers

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

This function is available if there is a connection to an Analyzer server with a valid license.

When this function is started, a list of the linked servers is obtained from the SQL Server instance. This list comes from the database to which ZAMS is connected,

Screenshots - Expanding

Parameters | Description
List of linked servers | Contains all linked servers. The expression in brackets contains the provider for the connection.
New Microsoft SQL Server | Gets all SQL Server instances available in the network and opens the dialog to configure a linked SQL server.
New Oracle server | Opens the dialog to configure a linked Oracle server. Note: This button is only active if (OraOLEDB.Oracle) is found on the SQL server instance of the Oracle OLEDB provider.
New ODBC server | Opens the dialog to configure a linked ODBC server.
Delete | Deletes the server highlighted in the list.
Close | Closes the dialog

Further providers of linked servers are available with SQL Server 2012. Providers from third-party manufacturers are also available; the Oracle OLE DB provider is an example of this. If a different provider is to be used as one of the three pre-configured ones here, the linked server can be set up manually via the SQL Server Management Studio.

Process of creating a linked server

  1. Depending on the data contained in the dialog, the appropriate script for the creation of a linked server is executed.
  2. If this is successful, the connection to the linked serer is tested.
  3. If this is also successful, the process is ended.
  4. If the connection test is not successful, the user is notified of this via a message window and asked if they would nevertheless like to leave the linked server on the instance.
  5. Depending on the user reaction, the linked server is left on the instance or deleted again.

All errors and success messages in this process are displayed as a message in the output window. The list of the linked servers is updated after the end of the process.

Configuration of a linked SQL server

Screenshots - Expanding

Parameters | Description
Server | Entry for SQL server instance. Either a selection from a drop-down list or details of its own instance. The entry is the name for the linked server at the same time, as described by the provider.
Username | User name.
Password | Password. Is not displayed in plain text.
Cancel | Discards entries and closes the dialog.
OK | Applies settings and closes the dialog.

Configuration of a linked Oracle server

Screenshots - Expanding

Parameters | Description
Linked server name | Name of the linked Oracle server. The name must not have been issued to an existing linked server already.
Product name | Any desired product name.
Data source | Connection name for the Oracle OLEDB provider. You can find details on installation and setting up the parameters of the Oracle providers in the Oracle documentation.
User name | Username
Password | Password. Is not displayed in plain text.
Cancel | Discards entries and closes the dialog.
OK | Applies settings and closes the dialog.

Configuration of a linked ODBC server

Screenshots - Expanding

Parameters | Description
Name of connection server | Name of the new linked ODBC server. The name must not have been issued to an existing linked server already.
Product name | Any desired product name.
Data source (DSN) | Name of the DSN entry to be used. If nothing is entered here, the provider string must be specified in the Provider string field.
Provider-String | The provider string to be used is given here. If nothing is entered here, the DSN entry must be specified in the Data source (DSN) field.
Username | User name.
Password | Password. Is not displayed in plain text.
Cancel | Discards entries and closes the dialog.
OK | Applies settings and closes the dialog. One the two fields, Data source (DSN) or Provider string can be empty.


Manage metadata indices

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Managing SQL Server -> Manage metadata indices

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In order for metadata indices to be administered, there must be a connection to an Analyzer server with a valid license.

To administer the metadata indices:

  1. Select, in the SQL server menu, the Metadata indices command
  2. The dialog with the display of the fragmentation of the metadata indices is opened

The size of the window can be adjusted by dragging with the mouse. The position and size are saved depending on the user and the ZAMS version.

Screenshots - Expanding

Parameters

Description

Table

Table name.

Index

Index name.

Records

Number of entires in the index.

Pages

Number of pages on which the index is saved.

Internal fragmentation

Value displays how much (in percent of pages on which the index is saved) is unused. A high degree of internal fragmentation increases the memory that the index occupies. This can reduce the index performance, because more pages have to be read. Critical values are highlighted in color:

  • Yellow: Value greater than 5%
  • Red: Value greater than 30%

Indices without entries always have internal fragmentation of 100%. Indices that occupy 1 or 0 pages are excluded from highlighting.

External fragmentation

The value states how many of the pages of the index are not saved consecutively.

A page cannot be saved consecutively if its logical position between other index pages in the index is not equal to its physical position between other index pages on the memory medium.

A high degree of external fragmentation reduces the index performance, because it is often necessary to jump between save locations on the memory medium when reading the index.

Critical values are accented in color:

  • Yellow: Value greater than 5%
  • Red: Value greater than 30%

Indices that occupy 1 or 0 pages always have an external fragmentation of 0%.

The table is in descending order according to this column as standard.

Index statistics

Opens the dialog for displaying the index statistics.

Index administration

Opens the dialog for index maintenance.

Close

Closes the dialog.

Index statistics

Screenshots - Expanding

Parameters | Description
Index | Selection of the index from the drop-down list. The following tables are filled with data depending on this selection.
Statistic header | Header with metadata.
Density vector | Density vector to measure the correlations between columns.
Histogram | Histogram for distribution of the values.
Close | Closes the dialog.

You can find more information on interpretation of the values at, for example:

  • MSDN: http://msdn.microsoft.com/en-us/library/ms174384(v=sql.90).aspx
  • SQL ServerCentral: http://www.sqlservercentral.com/articles/Stairway+Series/72446/ (registration required)

Index administration

Screenshots - Expanding

Parameters

Description

Index name

Name of the index.

Maintenance action

Possible maintenance actions. When switching, the appropriate maintenance action is pre-selected for each index. The dialog can usually be confirmed without changes by clicking on OK.

Selection from drop-down list:

  • No maintenance:
    Do not carry out any action.
    Always available.
  • Recompute index statistics:
    Updates the statistics.
    Only available if the index occupies more than 0 pages.
    The action hardly needs to be carried out, because the SQL server has good automated mechanisms for carrying this out.
  • Reorganize index:
    Reorganize index (includes Recompute index statistics.)
    Only available if the index occupies more than 0 pages.
  • Rebuild index:
    Rebuilds the index. (includes Recompute index statistics.)
    Only available if the index occupies more than 0 pages.

OK

Executes the selected action and ends the dialog.

Cancel

Exits the dialog without carrying out any actions

If an action is not successful, a message window with the indices where maintenance was unsuccessful is displayed.


Selection of folder in the network

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Selection of folder in the network

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The dialog to select a network approval is displayed if a folder in the network is selected as a save location for files from ZAMS. The display of the dialog and its content is controlled by the operating system.

Screenshots - Expanding

Parameters | Description
Network display | Displays the network. Clicking on the folder starts a search for computers in the network and shows these. Because it takes some time to list all computers available in the Windows network, the Network node can only be opened after some seconds.
OK | Accepts selection and closes dialog.
Cancel | Discards selection and closes dialog.

Screenshots - Expanding

Parameters | Description
Network display | Displays computers present in the network. Clicking on the computer shows approved folders. Clicking on the folder highlights this for acceptance as the save location.
OK | Accepts selection and closes dialog.
Cancel | Discards selection and closes dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.


Archive emulation

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archive emulation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In ZAMS, you can emulate archives that are derived from figures from entries in the AML, CEL and archives in zenon. An emulated archive consists of metadata for archives and variables. These are calculated periodically according to the configuration.

Data from the emulated archives can be read directly from the Analyzer database regardless of the selected connector. For reports, the origin of the data - zenon archive or emulated archive - is transparent.

Emulated archives are configured in ZAMS. To configure the archive emulation:

  1. Select the Configure archive emulation entry in the Automation menu.
  2. The current configuration of the emulated archive is loaded.
  3. The dialog to administer the emulated archive is displayed.
  4. Clicking on the 'OK' button accepts all changes made.

Configuration dialog

The configuration dialog shows all existing emulated archives when it is started.

Screenshots - Expanding

Parameters

Description

List of archives

Displays all configured archives. The list contains:

  • Archive name: Name of the archive
  • Project name: Name of the project that is assigned to the archive
  • Cycle time: configured cycle time of the archive
  • Number of variables: Number of variables in the archive
  • Execution of emulation tasks: Information on the last execution of the SQL Server agent jobs that are assigned to the archive
  • Buttons to create, edit and delete emulated archives

New

Opens the dialog for creating a new archive.

Edit

Opens the dialog for editing the selected archive.

X

Deletes the archive after a request for confirmation.

Attention: All data is deleted from the archive with the archive configuration.

OK

Applies settings and closes the dialog.

ZAMS writes the changes to the database and to the SQL Server agent. If errors occur when writing the configuration, these are displayed in the output window of ZAMS.

Cancel

Discards all changes and closes the dialog.

Noch in diesem Kapitel

Editing modes

Creating an emulated archive

Edit emulated archive


Editing modes

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archive emulation -> Editing modes

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The New and Edit buttons open the respective configuration dialog,depending on the status of the archive:

  • Creating a new archive: A completely new archive is created. All settings for archive variables can be modified.
  • Edit newly-created archive: A newly-created archive that has not yet been written to the database is edited.
    • Archive: All settings can be edited, with the exception of Assigned project and Reference.
    • Variables: All settings can be edited.
  • Edit existing Archive: An archive that was created and saved in a previous configuration is edited. This was already written to the database and thus has entries in the metadata tables.
    • Archive: Only the data calculation can be changed.
    • Variables: Only displayed as read-only.


Creating an emulated archive

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archive emulation -> Creating an emulated archive

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

To create a new emulated archive:

  1. Select the Configure archive emulation entry in the Automation menu.
  2. The dialog for configuring emulated archives is opened

    Screenshots - Expanding

  3. Click on the New button to create a new archive.
  4. The dialog for configuring an emulated archive is opened

Screenshots - Expanding

Parameters | Description
Metadata | Configuration of the metadata.
Variables | Configuration of the variables.
Data calculation | Configuration of the data calculation.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. Only available if all necessary configuration has been carried out.
Cancel | Discards all changes in all tabs and closes the dialog.

Noch in diesem Kapitel

Metadata

Variables

Data calculation


Metadata

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archive emulation -> Creating an emulated archive -> Metadata

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The metadata is configured in this tab.

Screenshots - Expanding

Parameters

Description

Project name

Selection from the drop-down list with all existing project names.

The first project entered is selected by default for new projects.

Attention: If this selection is changed and there are already variables in the variable list, it is emptied!

Reference

Entry of the reference text for the archive.

  • Maximum length: 128 characters
  • Must not be empty.
  • Must not be used by another archive that is assigned to the same project.

Visualname

Entry of the visual name of the archive.

  • Maximum length: 128 characters
  • Must not be empty.
  • Must not be used by another archive that is assigned to the same project.

Detailed information

Entry of the description of the archive.

  • Maximum length: 256 characters

Archive starts at

Stipulation of data and time for the start of the archive.

  • Date: Entry of the date or selection from a calendar.
  • Time: Entry of the time or setting by means of cursor keys.

Entry in UTC.

Earliest time point: 1/1/2013 00:00:00

Cycle time

Stipulation of the cycle time for the archive. Entry of the interval or setting by means of cursor keys.

The value must be greater than 1

Default: 1 minute

Assigned equipment groups

Assignment of equipment group to the archive. Selection by activating the checkbox in front of the respective equipment group.

Clicking on the + sign expands the group.

Default: No Allocation.

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.

Note: Mandatory fields and fields that are empty that have a negative validation are displayed with a red background.

Differences when editing new archives

If already-created, but not-yet saved archives are edited, the dialog exhibits the following differences:

  • All fields: The values that have already been set are displayed instead of the standard values.
  • Project name: The drop-down list to select a project is deactivated.
  • Reference: The entry for the reference is deactivated.
  • Assigned equipment groups: If the equipment model or one of its elements has a active assignment, then the complete branch of the group is displayed.

Differences when editing saved archives

If already-saved archives are edited, the dialog exhibits the following differences:

  • All fields: The values that have already been set are displayed instead of the standard values.
  • All input possibilities are deactivated.

No changes can be made in this tab.


Variables

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archive emulation -> Creating an emulated archive -> Variables

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Emulated variables are created and edited in this tab.

When validating the dialog to create a new emulated archive, at least one emulated variable must be present. Emulated variables that have the same base variable must also have the same data origin. This also includes variables that supply additional reset event for absolute counters.

Screenshots - Expanding

Parameters

Description

Variable list

Displays all configured variables. The list contains:

  • Visualname: Name with which the variable is displayed
  • Base variable visualname: Name of the variables for the value calculation
  • Emulated variable type:
  • Data source: Origin of base variables

This list is empty by default when a new archive is created.

New

Opens the dialog for Creating new variables.

Edit

Opens the dialog for editing the selected variables.

X

Deletes the selected variable.

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.

Differences when editing saved archives

If already-saved archives are edited, the dialog exhibits the following differences:

Screenshots - Expanding

  • No new variables can be created.
  • No variables can be deleted.
  • No variables can be edited.
  • The Display buttons allows the configuration of variables to be displayed.

Noch in diesem Kapitel

Emulation configuration

Metadata

Assigned equipment groups

Assigned meanings

Base variable rules

Additional reset events


Emulation configuration

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archive emulation -> Creating an emulated archive -> Variables -> Emulation configuration

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The emulated variables are created in this tab.

Screenshots - Expanding

Parameters

Description

Emulated variable type

Selection of the type of emulated variable from a drop-down list. Depending on the type selected, either all or only selected tabs are displayed.

Variable types:

  • Absolute time counter
    All tabs are displayed.
  • Relative time counter
    Settings from Additional reset events are not relevant and are not shown.
  • Absolute event counter
    All tabs are displayed.
  • Relative event counter
    Settings from Additional reset events are not relevant and are not shown.
  • Sum
    Settings from Base variable rules and Addittional reset events are not relevant and are not shown.
  • Time-corrected average
    Settings from Base variable rules and Additional reset events are not relevant and are not shown.
  • Minimum
    Settings from Base variable rules and Additional reset events are not relevant and are not shown.
  • Maximum
    Settings from Base variable rules and Additional reset events are not relevant and are not shown.

Initial value

Entry of the initial value of the variable at the time the archive is started.

Only available if the type of the emulated variables is an absolute counter (absolute time counter, absolute event counter).

  • Minimum: 0
  • Maximum: 1000000

Time counter resolution (seconds)

Resolution of the time counter in seconds.

Only available if the type of the emulated variables is a time counter (absolute time counter, relative time counter).

  • Minimum: 1
  • Maximum: 86400 (1 day)

Examples:

  • 60: Minute counter
  • 3600: Hour counter
  • 86400: Day counter

Data source

Selection of a data source for the base variable from drop-down list:

  • Alarm Message List
  • Chronological Event List
  • Archive

Source archive

Selection of a source archive from a drop-down list. The list contains all archives of the project that was selected in the metadata dialog. This also includes emulated archives that were already saved in the metadata.

Only available if archive was selected as a data source.

Base variable

Selection of a base variable from a drop-down list, the value of which is derived from the values of the emulated variables.

Depending on the data source, available for:

  • Data source alarm message list or chronological event list: All available variables of the project that was selected in the metadata dialog. This also includes emulated variables that were already saved in the metadata.
  • Data source Archive: All variables that are assigned in the metadata to the archive with an aggregation of Raw value (0). This also includes emulated archives that were already saved in the metadata.

Base variable initial value

Entry of the initial value of the base variables at the time the archive is started.

  • Minimum: 0
  • Maximum: 1000000

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.


Metadata

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archive emulation -> Creating an emulated archive -> Variables -> Metadata

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The metadata is configured in this tab.

Screenshots - Expanding

Parameters

Description

Reference

Entry of the reference text for the variable.

  • Maximum length: 128 characters
  • Must not be empty.
  • Must not be used by another variable that is assigned to the same project.

Visualname

Entry of the visual name of the variables.

  • Maximum length: 128 characters
  • Must not be empty.
  • Must not be used by another variable that is assigned to the same project.

Description

Description of the variables.

Maximum length: 256 characters

Measuring unit

Unit of measurement the variables.

Maximum length: 50 characters

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.

Note: Mandatory fields and fields that are empty that have a negative validation are displayed with a red background.


Assigned equipment groups

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archive emulation -> Creating an emulated archive -> Variables -> Assigned equipment groups

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The equipment groups are configured in this tab.

Screenshots - Expanding

Parameters

Description

Tree with equipment groups

Selection of the desired equipment group from the tree structure. They are selected by activating the checkboxes in front of the desired groups.

  • Display on new creation: closed tree
  • Display when editing: all activated groups are displayed and their trees are expanded

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.


Assigned meanings

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archive emulation -> Creating an emulated archive -> Variables -> Assigned meanings

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The meanings are configured in this tab.

Screenshots - Expanding

Parameters | Description
Input field | Entry of a meaning Maximum length: 50 characters
Add | Clicking on the button adds a meaning from the input field to the list of meanings.
List of meanings | Contains all assigned meanings. Multiple selection is possible with the Ctrl key + left mouse click or the Shift key + left mouse click.
Remove | Removes all highlighted entries from the list of meanings.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. Only available if all necessary configuration has been carried out.
Cancel | Discards all changes in all tabs and closes the dialog.


Base variable rules

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archive emulation -> Creating an emulated archive -> Variables -> Base variable rules

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The rules for the basic variables are configured in this tab.

Only available for the following types of emulated variables:

  • Absolute time counter
  • Relative time counter
  • Absolute event counter
  • Relative event counter

Screenshots - Expanding

Parameters

Description

List of rules

Display of the configured rules.

The list is empty for newly-created variables. The following are displayed for pre-existing variables:

  • Comparison type
  • Comparison value
  • Triggers counter reset

New

Adds a new rule as a new line in the list of rules.

Comparison type

Selection of the comparison type from a drop-down list. Available are:

  • Equal (=)
  • Less (<)
  • Less or equal (<=)
  • Greater (>)
  • Greater or equal (>=)
  • Not equal (!=)
  • Range Compares two values to one another and shows further input fields for Comparison type and Comparison value.

Comparison value

Entry of the comparison value.

Reset counter

Configuration of whether the counter is reset if the rule is met.

Only available if the type of the emulated variables is an absolute counter (absolute time counter, absolute event counter).

X

Clicking on the button deletes the rule.

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.

Areas

The 'areas' comparison type defines a range between two values. The following rules are available:

  • [number] < X < [number]
  • [number] < X <= [number]
  • [number] <= X < [number]
  • [number] <= X <= [number]

Note on validation:

When validating the entries before creating the variables, the legal regulations must not be exceeded.

Examples of overlapping:

  • 2 or more rules are set to Equal (=) and have the same value.
  • 1 or more rules are set to Equal (=) and have a value that is Greater than (>)/Less or equal to (<=) the comparison value of an existing Greater than (>)/Less than or equal to(<=) rule.
  • 2 rules both use a greater comparison (regardless of whether Greater than (>) or Greater than or equal to (>=)).
  • 2 rules both use a smaller comparison (regardless of whether Less than (<) or Less than or equal to (<=)).
  • The value ranges of a Greater than or equal to (>=) and a Less than or equal to (<=) rule overlap. At least one figure is present in both ranges.


Additional reset events

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archive emulation -> Creating an emulated archive -> Variables -> Additional reset events

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In this tab, events for absolute counters are configured, which lead to defined results, in addition to the events defined in the Base variable rules, to reset the base variables.

Only available for the following types of emulated variables:

  • Absolute time counter
  • Absolute event counter

Screenshots - Expanding

Parameters

Description

Use additional reset events for the counter of base variables

Active: Events to reset the absolute counter are, in addition to configuration in the Base variable rules tab, set by another base variable. This resets the base variable selected in the Emulation configuration tab for the counter.

Data source

Selection of a data source list for the variables from which the reset event comes, from a drop-down list:

  • Alarm Message List
  • Chronological Event List
  • Archive

Source archive

Selection of source archive for the variables from which the reset events come, from a drop-down list: The list contains all archives of the project that was selected in the metadata dialog. This also includes emulated archives that were already saved in the metadata.

Only available if archive was selected as a data source.

Base variable

Selection of base variables from which the additional reset events come, from a drop-down list.

Depending on the data source, available for:

  • Data source alarm message list or chronological event list: All available variables of the project that was selected in the metadata dialog. This also includes emulated variables that were already saved in the metadata.
  • Data source Archive: All variables that are assigned in the metadata to the archive with an aggregation of Raw value (0). This also includes emulated archives that were already saved in the metadata.

List of rules

Display of the configured rules.

The list is empty for newly-created variables. The following are displayed for pre-existing variables:

  • Comparison type
  • Comparison value

New

Adds a new rule as a new line in the list of rules.

Comparison type

Selection of the comparison type from a drop-down list. Available are:

  • Equal (=)
  • Less (<)
  • Less or equal (<=)
  • Greater (>)
  • Greater or equal (>=)
  • Not equal (!=)
  • Range Compares two values to one another and shows further input fields for Comparison type and Comparison value.

Comparison value

Entry of the comparison value.

X

Clicking on the button deletes the rule.

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.

attention Attention

The list of rules for valid reset events must contain at least one rule during validation if the option Use additional reset events for the counter of base variables has been activated.

Areas

The 'areas' comparison type defines a range between two values. The following rules are available:

  • [number] < X < [number]
  • [number] < X <= [number]
  • [number] <= X < [number]
  • [number] <= X <= [number]

Note on validation:

When validating the entries before creating the variables, the legal regulations must not be exceeded.

Examples of overlapping:

  • 2 or more rules are set to Equal (=) and have the same value.
  • 1 or more rules are set to Equal (=) and have a value that is Greater than (>)/Less or equal to (<=) the comparison value of an existing Greater than (>)/Less than or equal to(<=) rule.
  • 2 rules both use a greater comparison (regardless of whether Greater than (>) or Greater than or equal to (>=)).
  • 2 rules both use a smaller comparison (regardless of whether Less than (<) or Less than or equal to (<=)).
  • The value ranges of a Greater than or equal to (>=) and a Less than or equal to (<=) rule overlap. At least one figure is present in both ranges.


Data calculation

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archive emulation -> Creating an emulated archive -> Data calculation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The data calculation is configured in this tab. The options can be configured without limitations in all three editing modes.

Screenshots - Expanding

Parameters

Description

Values are calculated

Active: Values for the emulated archive are calculated in the SQL server agent.

Maximum connector-
Data block time period (hours)

Stipulates the maximum time period in hours for which connectors can be obtained in a query. Entry in the field or configuration using the cursor keys.

  • Minimum: 1
  • Maximum 10000
  • Default: 1

If a larger time range is needed in total, several connector calls are carried out after one another.

Example:

  • Connector data from three days is to be obtained.
  • The query is to be made in three parts.
  • Entry in the field: 24

Background information: If very large amounts of data are obtained in a query, the working memory may be to small for the Runtime server. For archive data, for example, this leads to an "Out-Of-Memory" error. The corresponding message window then blocks the Runtime server until the message is confirmed on the server itself. This situation can be avoided with the appropriate configuration.

Minimum delta time (hours)

Stipulates how old, in hours, an archive capsule of the emulated archive must be before values for it are calculated. Entry in the field or configuration using the cursor keys.

Minimum: 0

Maximum: 10000

Default: 0

Example:

  • Entry: 10
  • Current time: 2013-06-06; 4:00 PM
  • Target: From 00:00:00 on June 6, 2013, one archive capsule per hour is to be written.
  • Only values for the archive capsules from 00:00:00 to 05:00:00 on 2013/06/06 are calculated and written.
  • Reason: The archive capsules from 06:00:00 to 16:00:00 on 2013/06/06 are not older than 10 hours.

Background: If data can only be forwarded up to a certain time, for example up to the last SQL export, this can be configured here.

Connector

Selection from drop-down list that is to be used to obtain the data for the base variables.

Calculation schedule

Configuration of the time plan for the calculation of values.

Schedule starts on

Stipulation of the time from which the schedule is to run. Entry in the field or configuration using the cursor keys.

Once per day every N days

Active: The calculation is carried out every N days at a certain time.

  • N days: Configuration with the Number of days option
  • Time: Configuration with Execute at option

Number of days

Stipulation of the interval between two calculations in days. Entry in the field or configuration using the cursor keys.

Minimum: 1

Maximum: 100

Execute at

Stipulation of the time at which the calculation is carried out on day N. Entry in the field or configuration using the cursor keys.

Per N hours every day

Active: The calculation is carried out daily every N hours at a certain interval.

  • Distance: Configuration with the Number of hours option
  • Start time: Configuration with Start at option

Number of hours

Stipulation of the interval between two calculations in hours. Entry in the field or configuration using the cursor keys.

  • Minimum: 1
  • Maximum: 23

Starting at

Stipulation of the time at which the first daily calculation is carried out. Entry in the field or configuration using the cursor keys.

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.

Examples

Once a week

The calculation should be carried out every Sunday at 00:05:00 from now.

Configuration:

  1. Activate the Once a day every N days option
  2. Number of days: 7
  3. Execute at: 12:00:05 AM
  4. Schedule starts at: desired Sunday in the past

12 times a day

The calculation should be carried out from 1/1/2014 every 2 hours and 15 minutes after the hour.

Configuration:

  1. Activate the Every N hours daily option
  2. Per N hours every day: 2
  3. Starting at 12:15:00 AM
  4. Schedule starts on: 1/1/2014


Edit emulated archive

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archive emulation -> Edit emulated archive

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

To edit an emulated archive:

  1. If the dialog has not yet been opened, select the Configure archive emulation entry in the Automation menu
  2. The dialog for configuring emulated archives is opened

    Screenshots - Expanding

  3. Highlight the desired archive
  4. Click on the Edit button to change the configuration
  5. The dialog for configuring an emulated archive is opened

    Note: The settings that can be changed depend on the status of the archive.

Editing a new archive

A new archive has already been created and contains data, but was not yet written to the SQL server agent. This means: This dialog has not yet been closed since the first configuration.

Screenshots - Expanding

  • Archive: All settings can be edited, with the exception of Assigned project and Reference.
  • Variables: All settings can be edited.

Editing a saved archive

A saved archive is already created, contains data and was already written to the SQL server agent. This means: This dialog was closed after the initial configuration by clicking on OK and is now opened again.

Screenshots - Expanding

  • Archive: Only the data calculation can be changed.
  • Variables: Only displayed as read-only.


User administration and access rights

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> User administration and access rights

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The user administration for zenon Analyzer is organized in ZAMS. It consists of the administration of the:

  • Users with dedicated license
  • Access rights in the Analyzer Manager
  • Access rights to Analyzer applications

Set rights for users and objects in ZAMS and the Analyzer Manager are each set and applied after being confirmed in the dialog by clicking on OK.

Verification of user licenses

ZAMS

ZAMS checks, every 10 seconds, if a ZAMS license on the license server can be confirmed for the connected user on the connected Analyzer server. If a background thread is running at the time of verification, such as the preparation of a report, then the verification is postponed until the completion of this background thread.

Analyzer Manager

The Analyzer Manager confirms an Analyzer Manager license on the license server every 10 seconds for each user whose last access took place less than 15 minutes ago. On the license server, the client lifetime is 30 seconds since the last activity.

Troubleshooting

If problems occur with the licensing or the connection, please note the checklist in the event of license problems.

Noch in diesem Kapitel

Configuration of user search

User selection dialog

Users with dedicated license

Basic principles of user access rights

Access rights to Analyzer applications

Analyzer Manager access rights


Configuration of user search

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> User administration and access rights -> Configuration of user search

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

When calling up dialogs to assign a user profile, a user search is opened if no users have yet been stored in ZAMS. You define which locations are to be searched for the population of the user list here.

Screenshots - Expanding

Parameters

Description

Search for users in the "[Domain Name]" domain.

A search for domain users is carried out in the domain of the currently-connected user.

Detection takes place in three steps:

  • Firstly, an attempt is made to return the names of the domains in which the user is defined.
  • If this is unsuccessful, an attempt is made to return the names of the domains in which the computer is integrated.
  • If this is unsuccessful, the computer name is returned.

Search for defined users locally on the Analyzer server "[Computer Name]".

A search for defined users is carried out locally on the Analyzer server.

Search in both locations for users.

Both searches are carried out and the results are compiled.

OK

Accepts selection, closes the dialog and starts the search.

Cancel

Discards selection and closes the dialog.

Note: The selected setting is saved in the ZAMS configuration and selected as a presetting the next time the dialog is displayed. The selected setting applies for the complete ZAMS session.

Changing the selection

The configuration of the user search is only carried out once per ZAMS session. Once a ZAMS session is closed, the dialog is offered again after a restart when a user search is carried out. If the selection is to be changed during a ZAMS session:

  1. open the menu Options
  2. Select the Delete cache command
  3. The configuration of the user selection is removed from the cache
  4. The next time a dialog to call up user administration is called up, the dialog to configure the user search is called up again


User selection dialog

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> User administration and access rights -> User selection dialog

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

If new user users are added in a configuration dialog for user rights, the following dialog is called up.

Screenshots - Expanding

Parameters

Description

Filter conditions

Input of filter conditions.

The list of the users displayed is updated each time a change is made in the input field. Only users who meet the filter criteria in the text with one of their name properties (log-on name, first name, last name etc.) are displayed.

Already-selected users are not hidden.

Checkboxes

Active: User is selected for adding.

User list

Display of the users available for selection. This list is compiled according to the settings in the configuration of user search.

It contains:

  • User name: Display of the user name.
  • Description: Displays information on the user name and its origin.

Select all

Clicking on the button selects all displayed users according to the filter conditions.

Deselect all

Clicking on the button deselects the selection.

OK

Accepts selection, closes the dialog and adds selected users.

Cancel

Discards all changes and closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.


Users with dedicated license

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> User administration and access rights -> Users with dedicated license

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Users can have dedicated licenses in ZAMS. A license is always kept free for these. A user with a dedicated license thus also has a client license on the license server if they are not connected. The maximum number of users who can be created with a fixed license is the amount of client licenses present. When entering a new zenon Analyzer license, it is only accepted if you have enough client licenses for all users with a dedicated license.

Assigning dedicated licenses to users

To assign or remove a user's dedicated license:

  1. Open the Analyzer Server menu item
  2. Select Assign users a dedicated license
  3. The dialog to administer the users with a fixed license is opened

Screenshots - Expanding

Parameters

Description

List of users

Displays all configured users with a dedicated license.

Multiple selection is possible:

  • Ctrl key + mouse click: selects an additional user with each click
  • Ctrl key + mouse click: selects all users who are between two clicks, from

Add

Opens the dialog for selecting variables.

Users can only be added if there are sufficient licenses available. Note the corresponding message in the output window.

Remove

Deletes selected users from the list without requesting confirmation.

The successful removal of a user is documented in the output window, as is unsuccessful removal.

Close

Closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.


Basic principles of user access rights

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> User administration and access rights -> Basic principles of user access rights

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

There are four user authorization levels internally. Each level includes access to the permitted applications of the lower levels, however it defines its own data access rights. In the dialogs, the applications that are linked to the authorization levels are named instead of the authorization levels. As a result of the fact that access rights on the Analyzer Manager are handled separately from the access rights to the Analyzer applications - and thus to the database - it is also possible that, for example, a user can enter prices and norm values, but does not have access to the objects on the Analyzer server.

The four authorization levels:

  • 0: Users can only have a license for the Analyzer Manager.

    They do not have any database access.

  • 1: User can, in addition to the authorization level 0 applications, also use the Editor tool for price and norm values.

    These users each receive a login at user level in the SQL server instance. In each Analyzer metadata database on the SQL server instance, these users are each a user with read rights for all tables and write rights for the tables PRICE and NORM.

  • 2: Users can also use, in addition to authorization level 1 applications, the Metadata Editor and the Analyzer Export Wizard.

    The Wizard does not have a license for the user running it, but it must however have the corresponding database access rights that are usually granted with this authorization level. These users each receive a login at user level in the SQL server instance. In each Analyzer metadata database on the SQL server instance, these users are each a user with read rights for all tables and write rights for all tables.

  • 3: Users can also use ZAMS in addition to authorization level 2 applications.

    These users each receive a login at administration level in the SQL server instance. With the administrator login, these users are automatically given administrator access rights to all databases in the SQL server instance by the SQL server, including to non-Analyzer metadata databases. These users are therefore administrators on the SQL server instance, because they must create new databases, create, change and delete stored procedures and user-defined functions, administer indices, back up and restore databases, enter internal code into databases and administer user rights.


Access rights to Analyzer applications

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> User administration and access rights -> Access rights to Analyzer applications

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The Analyzer applications include:

  • Analyzer Manager
  • Manual Data Editor
  • Metadata Editor
  • ZAMS

The access rights to these applications are managed for all users in a dialog. In doing so, the appropriate access rights to all Analyzer metadata databases on the currently-active SQL server instance are regulated.

info Information

Access right, in the context of Analyzer applications, means that a user can connect to the Analyzer server with the tool.

This means: A user can be a user with authorization level 3 on Analyzer Server A and at the same time be a user with authorization level 1 on Analyzer server B.

Noch in diesem Kapitel

Configuration of the access rights

Warning details for different user access rights


Configuration of the access rights

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> User administration and access rights -> Access rights to Analyzer applications -> Configuration of the access rights

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

To configure the access rights to the Analyzer applications:

  1. Open the Analyzer Server menu item
  2. Select the Manage access rights for Analyzer applications command
  3. The dialog for configuring access rights is opened

Screenshots - Expanding

Parameters

Description

List of users

Display of all configured users.

For each user, the Analyzer applications for which they are entitled is shown. For details, see also the Basics of user access rights section. Authorizations can be changed by selecting the option fields in the Applications that can be used by the currently-highlighted users area.

Users with authorization levels 0 (Analyzer Manager) are not displayed, because the license server grants this to all level 0 users anyway.

Note: The user currently connected is shown with a gray background. Their rights cannot be changed. This prevents all users of the SQL server being locked out due to incorrect configuration.

Add

Opens the dialog for adding new users.

Remove

Deletes the selected users from the list without requesting confirmation.

The removal of a user is the same as setting the user to authorization level 0 (Analyzer Manager) because the license server grants level 0 to all users and the database access rights of the user can be deleted in both cases.

Tools that can be started by the selected user(s)

Selection of the authorization levels for the users selected in the list. Multiple selection is possible. The levels are arranged in a hierarchy. Level 0 elements are also included in level 1:

  • Analyzer Manager: Level 0. Users can only have a license for the Analyzer Manager. If a user is set to this authorization level, they are removed from the list of displayed users, because the license server grants all users level 0 anyway.
  • Manual Data Editor: Level 1: Users can also use the editor tool for price and norm values.
  • Metadata Editor: Level 2. Users can also use the Metadata Editor and the Analyzer Export Wizard.
  • zenon Analyzer Management Studio. Level 3. Users can also use ZAMS.

If several users are highlighted in the table, the authorization levels of the last-selected user are displayed. If no user is selected or the user who is currently connected is selected, the authorization level cannot be set.

For details on the access levels, see also the Basics of user access rights section.

Attention: If several users are highlighted, the amended configuration is set for all highlighted users in the event of a configuration change, regardless of whether it currently has different configurations.

Warnings

Only visible if errors are present. Consists of: Warning symbol, text with warning notice and button to display the details.

Condition for display of warnings:

  • The currently-connected user was selected for a configuration change.
    A warning notice is displayed. The button is not visible.
  • Two or more of the selected users have different configurations. The warning notice is displayed. Clicking on the Details button opens a window with details on the warning.

Attention: The display of a warning means that changes to the configuration and the confirmation of these also makes changes for objects with an original configuration that is different to the configuration displayed here. The original configuration for these objects is then lost.

OK

Applies configuration and closes the dialog.

Cancel

Discards all changes and closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.


Warning details for different user access rights

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> User administration and access rights -> Access rights to Analyzer applications -> Warning details for different user access rights

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

If users with different settings are selected for joint configuration, a warning notice is shown in the dialog to configure the access rights. The details are shown in a separate window. No inputs can be made in this dialog:

Screenshots - Expanding

Parameters

Description

List of users

Display of all configured users.

The first column shows the type of warning:

  • Gray table: Basis for comparison. The configuration is selected on the basis of the last selected user.
  • Yellow triangle: Differs from the comparison basis.
  • Colored table: Corresponds to comparison basis.
  • The other columns contain the user names and the display of the respective authorization levels.

Close

Closes the window.

The size and position of the dialog can be changed. These settings are saved as user-dependent.


Analyzer Manager access rights

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> User administration and access rights -> Analyzer Manager access rights

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

With the access rights for the user, a distinction is made between two types of rights:

  1. User profile

    These define whether a user can access objects on the Analyzer Manager and the underlying SQL server reporting services and whether they can change the configuration of the Analyzer Manager and the underlying SQL server reporting services. A distinction is made between users (object access only) and administrators (object access and configuration changes).

  2. Access rights to objects

    These define which user can access which objects and with which rights.

    Attention: The object access rights are only then applicable if the accessing user has system access rights as a user or administrator.

To configure the access rights:

  1. Open the Analyzer Server menu item
  2. Select the Manage Analyzer Manager access rights command
  3. The dialog to configure the access rights is opened; this has two tabs to be configured
    • Assign user profile
    • Assign access rights

Noch in diesem Kapitel

Assign user profile

Assign access rights

Warning details for different authorization levels


Assign user profile

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> User administration and access rights -> Analyzer Manager access rights -> Assign user profile

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Screenshots - Expanding

Parameters

Description

List of Analyzer Manager users

Contains the currently-defined users of the SQL server reporting services on the Analyzer server.

Users can be added or removed using the Add and Remove button. The >> and << buttons are used to drag users to the list Analyzer Manager administrators or to add them from there.

Multiple selection is possible.

The rights of the currently logged-on user cannot be changed.

Add

Opens the dialog to add new users, to add users to the List of Analyzer Manager users.

Users who are already entered as Analyzer Manager administrators cannot be added using this dialog. These can be dragged using the << button.

Remove

Deletes the selected users from the list without requesting confirmation.

List of Analyzer Manager administrators

Contains the currently-defined administrators of the SQL server reporting services on the Analyzer server.

Users can be added or removed using the Add and Remove button. The >> and << buttons are used to drag users to the List of Analyzer Manager users or to add them from there.

Multiple selection is possible.

Add

Opens the dialog to add new users, in order to add users to the List of Analyzer Manager administrators.

Users who are already entered as Analyzer Manager users cannot be added using this dialog. These can be dragged using the >> button.

Remove

Deletes the selected users from the list without requesting confirmation.

Button >>

Moves all highlighted users to the group of administrators.

Button <<

Moves all highlighted users to the group of users.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.


Assign access rights

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> User administration and access rights -> Analyzer Manager access rights -> Assign access rights

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Screenshots - Expanding

Parameters

Description

Object list

Display of all objects in the Analyzer Manager in an expandable tree structure. Each object is assigned an icon in the tree structure, which reflects its data type. The following data types are displayed:

  • Folder
  • Data source
  • Report or linked report
  • Different type

There is also a symbol for each object, which shows that the object inherits its configuration.

Editing:

If an object is marked, it is unlocked for editing in the right part of the dialog.

Several projects can also be edited at the same time. To do this, they are selected by activating the check box in front of them. If several objects are selected for editing, the configuration of the object with the first path in alphabetical order (the furthest up in the tree) is displayed.

If objects with different configurations are selected together, a warning is shown.

Expand all

Clicking on this expands all nodes.

Collapse all

Clicking on this collapses all nodes. Only the root folder is displayed.

Select all

Activates the checkboxes of all visible elements.

Deselect all

Deactivates the checkboxes of all elements.

Separator

Left area (tree with objects) and right area (configuration) are divided by a separator. To change the ratio between the two, drag the separator with the mouse into the desired direction.

Define user access configuration for this item

Active: The rights of the user are defined for the selected objects with the following configuration elements.

The properties for the Home object, the uppermost object, must always be defined.

Inherit user access configuration from parent item

Active: The selected elements inherit their properties from the superordinate object.

If the configuration is inherited, the user rights can be displayed, but not changed.

Attention: If an Inherit access rights from superordinate object object is set, the configuration set before this is lost. The loss of the configuration can be prevented by closing the dialog. However all the changes that have been made before that are also lost.

Configured users and their access rights

List of all users assigned to the selected objects and their access rights. Each user is displayed in their own line. Several users can be selected at the same time.

The following are displayed:

  • User names
  • Roles assigned to the user; several roles are displayed separately by means of a comma

Scroll

The roles of the users are stipulated using the checkboxes below the list. Each user can have several roles at the same time.

If several users are highlighted in the table, the configuration of the last-selected user is displayed. Each change then has an effect on all highlighted users.

If a user does not have a role for an object, they are considered deleted when setting the configuration for this object. There are the following roles:

  • Browser
  • Content manager
  • My reports
  • Publisher
  • Report Builder

Only available if Define access rights for this object has been activated.

Add

Opens the dialog for adding users.

Only available if Define access rights for this object has been activated.

Remove

Deletes all selected users from the list.

Only available if Define access rights for this object has been activated.

Browser

Active: The role is assigned to selected users.

The user can see the folder and reports and subscribe to reports.

Content manager

Active: The role is assigned to selected users.

The user can manage content on the report server. This includes folder, reports and sources.

My reports

Active: The role is assigned to selected users.

The user can:

  • Publish reports and linked reports
  • Manage folders, reports and sources in a user's My reports folder

Publisher

Active: The role is assigned to selected users.

The user can publish reports and linked reports on the report server.

Report Builder

Active: The role is assigned to selected users.

The user can see report definitions and start the Report Builder.

Warnings

Only visible if errors are present. Consists of: Warning symbol, text with warning notice and button to display the details.

Condition for display of warnings:

  • Two or more objects are highlighted in the tree structure, the configurations of which are different The warning notice is displayed. Clicking on the Details button opens a window with details on the warning.
  • All objects highlighted in the tree structure have the same configuration, but two or more highlighted users have different configurations. The warning notice is displayed. Clicking on the Details button opens a window with details on the warning.

Attention: The display of a warning means that changes to the configuration and the confirmation of these also makes changes for objects with an original configuration that is different to the configuration displayed here. The original configuration for these objects is then lost.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

attention Attention

In this tab, the rights of the user currently connected are not protected from changes. Erroneous configuration when assigning roles can thus lead to no users having sufficient administration rights on the report server.


Warning details for different authorization levels

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> User administration and access rights -> Analyzer Manager access rights -> Warning details for different authorization levels

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

If configurations are selected that are in conflict and could lead to the loss of previously-established configurations, a warning is shown in the configuration dialog. Warnings are shown if:

  • Two or more objects were highlighted in the tree structure, the configurations of which are different
  • Two or more highlighted users have different configurations

There are different access rights to objects on the report server

If several objects that have different settings are selected for configuration at the same time, a warning is displayed in the configuration dialog:

Screenshots - Expanding

Clicking on the Details button opens a window with details on the warning. No inputs can be made in this dialog:

Screenshots - Expanding

Parameters

Description

List of objects

Display of all selected objects.

The first column shows the type of warning:

  • Hash: Basis for comparison. The configuration of the object with the first path in alphabetical order (the furthest up in the tree) is selected as a basis.
  • Blue circle: Corresponds to comparison basis.
  • Yellow triangle: Differs from the comparison basis.

The second column shows the object path.

One line each can be selected in this list. The configuration details for the selected object are displayed in the lower area.

Separator

Upper area (objects) and lower area (user) are divided by a separator. To change the ratio between the two, drag the separator with the mouse into the desired direction.

Inherit user access configuration from parent item

The symbol shows whether the assignment of the configuration mode:

  • Is a basis for comparison (hash symbol) : Basis for comparison. The configuration of the object with the first path in alphabetical order (the furthest up in the tree) is selected as a basis.
  • Corresponds to comparison basis (blue circle)
  • Differs from comparison basis (yellow triangle)

The checkbox shows the configuration mode:

  • active: Object inherits configuration from superordinate object
  • inactive: Object is configured individually

List of users and their roles

Each row of this table constitutes a user and has one of the three following background colors:

  • White: The user is defined in both the comparison basis and the object currently being looked at.
  • Grey: The user is defined in the object currently being looked at, however they do not appear in the comparison basis.
  • Red: The user is defined in the comparison basis, however does not appear in the object being looked at.

The table consists of the following columns:

  • Symbol for the type of row. The symbols correspond to those in the List of objects area.
  • User names
  • Columns with the possible roles.
    Activated checkbox: The user has this role.

Close

Closes the window.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Roles for users

If users with different settings are selected for joint configuration, a warning notice is shown in the dialog to configure the access rights:

Screenshots - Expanding

Clicking on the Details button opens a window with details on the warning. No inputs can be made in this dialog:

Screenshots - Expanding

Parameters

Description

List of users

Display of all configured users.

The first column shows the type of warning:

  • Hash: Basis for comparison. The configuration is selected on the basis of the last selected user.
  • Blue circle: Corresponds to comparison basis.
  • Yellow triangle: Differs from the comparison basis.

The other columns contain the user names and the display of the respective roles.
Activated checkbox: The user has this role.

Close

Closes the window.

The size and position of the dialog can be changed. These settings are saved as user-dependent.


Options

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Options

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

You can get to the settings for ZAMS via the Options menu item. They are available regardless of whether there is a connection to the Analyzer server and regardless of whether there is a valid license. The options are deactivated if one of the following actions is executed: Open, Deploy, Deploy all, Open in Microsoft Report Builder or Open all in Microsoft Report Builder.

The following are configured in the options:

  • Connection profiles
  • Deployment of reports
  • Messages in the output window
  • Language settings
  • Database backups

Noch in diesem Kapitel

Connection profiles

Deployment

Output messages

Language settings

Database backups


Connection profiles

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Options -> Connection profiles

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In this tab, you define the starting behavior of the ZAMS.

Screenshots - Expanding

Parameters | Description
Connection profiles | Settings for connection profiles.
Maximum number of connection profiles | Number of connection profiles that are saved. If this number is not exceeded by the creation of a new connection profile, then the profile that has not been used the longest is deleted.
Delete all connection profiles | Deletes all connection profiles irretrievably. Attention: This action cannot be undone by clicking on the Cancel button!
Action on application start | Defines the action carried out when the ZAMS is started.
Do not show connection dialog | Active: Only the main window is shown.
Show connection dialog with default settings | Active: The dialog for establishing the connection is opened with the values for a new connection profile.
Show connection dialog with the most recently used profile | Active: The dialog for establishing the connection is opened with the values for the most recently used connection profile.
OK | Applies all changes in all tabs and closes the dialog.
Cancel | Discards all changes in all tabs and closes the dialog.


Deployment

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Options -> Deployment

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In this tab, you define which actions happen automatically when a report is prepared or saved.

Three methods are available for all actions:

  • Yes: carries out action automatically
  • No: does not carry action out
  • Prompt: open dialog with prompt for the user to decide

Screenshots - Expanding

Parameters | Description
Save report definitions before deployment | Decision on whether reports are saved on the hard drive before being deployed. Default: Prompt
Overwrite report defintions | Decision on whether reports are to be overwritten on the hard drive when saving. Default: Prompt
Overwrite reports on Analyzer server | Decision on whether reports on the Analyzer server are to be overwritten. Default: Prompt
Overwrite stored procedures and user defined functions | Decision on whether SPs and UDFs are to be written to the database. Default: Prompt
Open reports in Microsoft Report Builder after deployment | Decision on whether reports can be opened in Microsoft Report Builder after they have been deployed. Default: Prompt
Storage path for report definition files | Folder in which reports are saved. Click on the ... button to open the browser to select a folder. Report files have the file name suffix.zams_rep. The path is saved for each user. Default: C:\Users\Public\Documents\Analyzer_Reports
Inherit parent access rights on new items | Active: Newly-created objects have the same access rights as the object that is superordinate to them.
Set access rights only for the currently connected user on new items | Active: Only the user connected at the time of creation of the new objects has access to these new objects. To do this, they are assigned the role of Content Manager.
OK | Applies all changes in all tabs and closes the dialog.
Cancel | Discards all changes in all tabs and closes the dialog.


Output messages

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Options -> Output messages

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In this tab, you define the display of messages in the output window.

Screenshots - Expanding

Parameters | Description
Show errors in output window | Active: Errors are displayed in the output window.
Show warnings in output window | Active: Warnings are displayed in the output window.
Show messages in output window | Active: Messages are displayed in the output window.
Clear the output window whenever a deploy is started | Active: The output window is cleared as soon as a function to deploy a report is executed.
OK | Applies all changes in all tabs and closes the dialog.
Cancel | Discards all changes in all tabs and closes the dialog.

All messages and warnings from the output window are saved in LOG files, regardless of whether they are displayed or not.


Language settings

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Options -> Language settings

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The language of the ZAMS user interface and the language for reports can be pre-defined in ZAMS, regardless of the language of the operating system.

ZAMS language when ZAMS is started

The language of the operating system is detected and set when ZAMS is started. If another language has been defined for the ZAMS user interface in the options, this is used. If it is not possible to switch to a pre-defined language, the language of the operating system remains active.

The switching of the ZAMS user interface language affects all areas of ZAMS, including report templates and data files.

Configuring the language

To configure the language settings:

  1. Navigate to the Options menu
  2. Select the command Options.
  3. open tab Language settings

Screenshots - Expanding

Parameters

Description

Language for the zenon Analyzer Management Studio

Selection of the language for the ZAMS user interface from a drop-down list. The languages available are displayed in the writing convention of the respective language.

The language is immediately switched after the change is set and OK is clicked on.

Language settings for reports

Configuration of the languages for the preparation of reports.

Deployment in the language of the zenon Analyzer Management Studio

Active: Reports are always created in the language that was selected in the Language for the zenon Analyzer Management Studio option.

Inactive: Reports are prepared in languages for which the checkboxes have been activated in the Deploy reports in the following languages.

Default: active

Deploy reports in the following languages

The languages of reports can be defined individually. To select a language, the checkbox in front of the language must be activated.

Position of language code

Setting for the procedures of how reports are stored according to the assigned language and displayed in the All report deployment paths of the report configuration.
The following options are available:

  • First folder in the report path on the Analyzer server
  • Last folder in the report path on the Analyzer server
  • Prefix in the report name on the Analyzer server
  • Suffix in the report name on the Analyzer server

(for further information, see the following options.)
  • First folder in the report path on the Analyzer server

Active: An independent folder system is created for each language. To do this, in the path for the report, a folder with the respective language designation is created, and below this there are the folders for the themes. The reports are stored in the folders assigned to them.

For example: /DE/Alarm analysis/Alarm list

/EN/Alarm analysis/Alarm list

  • Last folder in the report path on the Analyzer server

Active: All languages have a common folder structure for the theme. To do this, a folder with the respective language designation is created for the report below the folder of the theme. The reports are stored in the folders assigned to them.

For example: /Alarm analysis/DE/Alarm list

/Alarm analysis/EN/Alarm list

  • Prefix in the report name on the Analyzer server

Active: Language designators are placed before the report names. To do this, reports are stored in the respective folder for the theme. Each report contains a prefix with the language designation and an underscore..

For example: /Alarm analysis/DE_Alarm list

/Alarm analysis/EN_Alarm list

  • Suffix in the report name on the Analyzer server

Active: Language designators are added to the report names. To do this, reports are stored for the respective theme in the folder. Each report contains a suffix with an underscore and the language designation.

For example: /Alarm analysis/Alarm list_DE

/Alarm analysis/Alarm list_DE

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.


Database backups

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Options -> Database backups

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The path for the database backup and the number of the backup files to be created is configured in this tab.

Screenshots - Expanding

Parameters

Description

List of the existing database backup paths

Lists all configured database backup paths:

  • Name of the SQL server instance: Instance that is to be backed up.
  • Backup file folders: Folder in which the backup is to be created

Precisely one row can be highlighted in the table. The highlighted row can be edited or deleted.

Note: At this point it should be added that the database backup always only works for the currently-connected SQL server instance. The dialog must also work without an existing connection.

Edit

Opens the dialog for editing the backup path.

Delete

Deletes the selected entry.

Backup files

Configuration of the options for the backup files.

Limit the number of backup files for each database

  • Active: The number of backup files created is limited. The limit is defined in the Number of backup files per database option.
    As soon as the maximum has been reached, the oldest backup file is deleted each time a new backup file is created.
  • Inactive: Unlimited backup files are created.
    Attention: Note the amount of memory available. If the limit of the storage medium is exceeded, no more backup files are created.

Number of backup files per database

Setting for the maximum number of backup files to be created.

  • Minimum: 1
  • Maximum: 100
  • Default: 1

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.

Storage path for database backup files:

The first time a backup request is made and a path has not yet been established, you are requested to define a save path. This path is then used for all backups and restorations. This path is administered in the options in the Database backups tab of the Settings.

Note: It is recommended that a path on the Analyzer computer is used for backup.

Screenshots - Expanding

Parameters

Description

Network share path for storing database backup files of [database]

A valid UNC path must be entered.

Clicking on the ... button opens the dialog to select a network share.

A check is made if:

  • The syntax of the path is valid if:
    Only valid paths unlock the OK button.
  • The path exists:
    When clicking on OK, the path is only accepted if it can also be accessed.
  • The path is different to that already used:
    If a path is defined that is different to a path that has already been used, a corresponding message is given. The path can be created. The pre-existing database backup job can then be activated, deactivated and deleted, but can no longer be edited.

The configured path is saved individually for each user.

Attention: The access rights to network shares must be set correctly. For details, see the Set access rights to network share correctly.

OK

Accepts the path and closes the dialog.

Cancel

Discards changes and closes the dialog.

Set access rights to network share correctly

In order for all database backup action to run correctly, the access rights to the network share must correspond to the database backup folder. For this, the following applies:

  • The folder must be on the Analyzer Server, because defined users must access it locally on the Analyzer Server.
  • Because the folder must be accessible by both the Analyzer Server and the ZAMS computer with the same path, it must be authorized in the network. The folder is then accessible with the same path via a UNC path everywhere in the network.
  • The following users must have full access to the network share:
    • NT SERVICE\MSSQL$ZA2: For the creation and restoration of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • NT SERVICE\SQLAgent$ZA2: For automatic creation of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • Every ZAMS user: To create and restore backups, administer backup files and administer automated backup jobs.

Backup file name

The file name of a database backup file follows this scheme: [database name]_yyyy_MM_dd_HH_mm_ss.bak

e.g.: ZA_DATA_2013_02_12_14_11_35.bak = backup of ZA_DATA on 12.2.2013 at 14:11:35


Connecting the report definition files to the database

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Connecting the report definition files to the database

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The report definition files (zams_rep) are connected to their database. The connection is made when saving and checked on opening.

When loading a report from a zams_rep file, the necessary connection information is read and interpreted:

  • If the SQL server instance name is not available, the error message W00128 (see Messages in the output window section) is given. The SQL server instance name of the current SQL server connection is then entered, so that the connection information indicates the current connection the next time it is saved.
  • If the SQL server instance name in the connection information is different to the SQL server instance names of the current SQL server connection, the error message W00129 is given. The SQL server instance name of the current SQL server connection is then entered, so that the connection information indicates the current connection the next time it is saved.
  • If the database name is not available, the error message W00130 is given. The database name of the current SQL server connection is then entered, so that the connection information indicates the current connection the next time it is saved.
  • If the database name in the connection information is different to that of the current SQL server connection, the error message W00131 is given. The database name of the current SQL server connection is then entered, so that the connection information indicates the current connection the next time it is saved.

Examples

Example 1

A zams_rep file saved with ZAMS 2.00 is then loaded. Because the file does not have any SQL server information, the error message W00128 (see list of error messages) is given. The database information is extracted and interpreted from an RTP parameter. If the database is different, the message W00131 is given.

Example 2

A database with the same name is read into a different SQL server instance. When the zams_rep file is opened, W00129 is given, because that of the new Analyzer server has a different name. The database is however identical.

Messages in the output window

Errors in the connection of the zams_rep file to its database are displayed by messages in the output window.

SQL server instance information comprises the address of the server and the instance together, for example CDSBG036\ZA2.

Message in the output window | ID | Description
The storage file does not contain any information about the Analyzer SQL Server instance it was created for. The report might have been created for a different Analyzer SQL Server instance which can cause a corrupted report. | W00128 | No SQL server instance information is present in the zams_rep file. It may possibly have been created for a different SQL server instance.
The report in the storage file was created for the Analyzer SQL Server instance ‚[Original SQL Server Instance Name]‘ but now it is loaded for the Analyzer SQL Server instance ‚[Neuer SQL Server Instanz Name]‘. This can cause a corrupted report. | W00129 | The zams_rep file was created for a different SQL server instance.
The storage file does not contain any information about the Analyzer metadata database it was created for. The report might have been created for a different Analyzer metadata database which can cause a corrupted report. | W00130 | No database information present in the zams_rep file. It may possibly have been created for a different SQL server instance.
The report in the storage file was created for the Analyzer metadata database ‚[Original Database Name]‘ but now it is loaded for the Analyzer metadata database ‚[Neuer Datenbank Name]‘. This can cause a corrupted report. | W00131 | The zams_rep file was created for a different SQL server instance.

Notes on dealing with warnings

  • Warnings W00128 and W00129: Less critical. The name of the SQL server instance has changed in each case.

    Recommendation: Check the report configuration if these warnings appear. This is because there is the possibility that there are databases on two different SQL server instances with different content that have the same name, such as standard database ZA_DATA.

  • Warnings W00130 and W00131: Must be checked.
    They can only be ignored if it is certain that the new database is a perfect clone of the old database.

    The cloning of Analyzer metadata databases (same content, new name) is only without risk if neither the SQL connector has been created nor are there stored procedures in the initial database.
    Background information: In the stored procedures, the database name is sent to the connector stub, so that this knows where the metadata can be found. The SQL connector checks these database names, because it is only aware of the metadata of the current database.


Metadata database editors

zenon Analyzer -> Metadata database editors

There are editors available to edit metadata in zenon Analyzer:

  • Manual Data Editor: Used for the editing of the tables for price and standard values in a zenon Analyzer metadata database.
  • Metadata Editor: Allows the editing of die labels and descriptions of various objects.

The applications can be can be started from ZAMS, from the Start menu and from Windows Explorer as independent programs.

Integrate as control in zenon

The applications can also be integrated as ActiveX controls in zenon. The following limitations are applicable for use with ActiveX:

  • A maximum of 1 instance per application
  • Minimum size: 1000 x 700 pixels

You can read details on the configuration of an ActiveX controls in the Configuring control in zenon chapter.

Start zenon in Runtime

To open one of the Editors in zenon Runtime:

  1. Integrate the .NET control in the respective zenon project
  2. Open the control when Runtime in running
  3. The Editor is opened

    Note: There is no menu line available in the control in zenon Runtime.

Noch in diesem Kapitel

Metadata Editor

Manual Data Editor


Metadata Editor

zenon Analyzer -> Metadata database editors -> Metadata Editor

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The metadata editor makes it possible to amend display names and descriptions and to enter equipment information.

It is typically used between the export of metadata with the Analyzer Export Wizard and the start of report creation with ZAMS.

The Metadata Editor is available as:

  • .NET control in zenon Runtime: Available from zenon version 7.11. The control can access the control profile list of ZAMS.
  • EXE file: Allows database editing even without zenon Runtime. This file includes .NET Control and can be started from ZAMS.
    The interface settings can only be accessed from the EXE file and can be saved there

info Information

If visual names of objects are changed, it may be necessary to re-prepare or re-configure reports from ZAMS. It is generally sufficient to open the editing dialog once and to close it again.

Requirements

To be able to use the Metadata Editor on a database, the following requirements must be met:

  • The database must be a version 2.0 Analyzer database with a valid structure.
  • The user must have the rights to edit the metadata.
    These rights can be configured in ZAMS.

ZAMS

To open the Metadata Editor in ZAMS:

  1. Navigate to the Options menu item in ZAMS
  2. Select the Metadata Editor entry
  3. The dialog to connect the Metadata Editor is opened

Keyboard shortcuts

The following key combinations are available to operate the Editor:

Key combination | Description
F1 | Opens help
Ctrl+Shift+C | Opens the dialog for creating a database backup.
Ctrl+S | Saves changes.
Alt+F4 | Closes the CD_PRODUCTNAME Editor
Ctrl+Z | Undo input
Ctrl+Y | Repeat input.

Noch in diesem Kapitel

Connect

Main window

Actions

Options


Connect

zenon Analyzer -> Metadata database editors -> Metadata Editor -> Connect

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The Metadata Data Editor administers its own connection profile. The ZAMS connection profiles are also read on startup. If there are profiles in the Metadata Editor and in ZAMS with the same name, this dominates the connection profile of the Manual Data Editor.

To link the Manual Data Editor to a database:

  1. Navigate to the Options menu item in ZAMS
  2. Select the Metadata Editor entry
  3. The dialog to connect to a server is opened.
  4. select the desired connection by clicking on Connection profile or create a new connection in a similar manner to that of ZAMS.

    Screenshots - Expanding

  5. click on OK
  6. the connection will be created
  7. The user authorization is queried by the license server
  8. The database is checked to see that it is correct
    Note: No connection is established if there are incorrect structures or versions. Conversion is only possible with ZAMS.
  9. Data is loaded
  10. The license is obtained
  11. The Editor is opened

Note: Unsaved changes are lost without warning when the connection is established.


Main window

zenon Analyzer -> Metadata database editors -> Metadata Editor -> Main window

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Screenshots - Expanding

Range

Description

Menu bar

Menus to edit and save the objects.

Toolbar

Symbols to edit and save the objects.

Object type window

Selection of the object type to be edited. Available are:

  • Equipment modeling: Clicking this shows the configured equipment models in the object selection window.
  • Event classes: Clicking this shows event classes in a filtered list with a project reference in the object selection window.
  • Event groups: Clicking this shows event groups in a filtered list without reference to a project in the object selection window.
  • User: Clicking this shows users in a filtered list without reference to a project in the object selection window.
  • Projects: Clicking this shows projects in a filtered list without reference to a project in the object selection window.
  • Variables: Clicking this shows variables in a filtered list without reference to a project in the object selection window.
  • Archives: Clicking this shows archives in a filtered list without reference to a project in the object selection window.

Object selection window

Selection of the objects according to the type of list by marking of checkboxes and marking the respective line.

Editing area

Entry and acceptance of changes.

Status bar

Display of status information on connection and actions.

Noch in diesem Kapitel

Menu, tool bar and status line


Menu, tool bar and status line

zenon Analyzer -> Metadata database editors -> Metadata Editor -> Main window -> Menu, tool bar and status line

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The menu and tool bar offer a range of commands to administer the Metadata Editor.

Note: The menu is only not available if the Metadata Editor is started from ZAMS as an EXE file, but not the control in zenon Runtime.

Menu

Entry | Description
File | Commands for general operations.
Connect | Opens the dialog to create a connection. Note: If the dialog to create a connection is confirmed by clicking on OK, then a new attempt to establish a connection is made. Unsaved changes are then discarded without confirmation being requested.
Save changes | Saves all changes made in the database.
Discard Changes | Discards all changes made since the last save after requesting confirmation.
Options | Opens the dialog to configure the settings.
Exit | Closes the Manual Data Editor.
Edit | Commands for repeating and undoing actions.
Undo | Undoes the last action.
Redo | Restores the last undone action
Help | Link to help and version information.
Info about | Opens a window with information on the current version.
Help | Opens online help.

Toolbar

General Analyzer Schema Graphics Template

Symbol | Description
Connect | Opens the dialog to create a connection. Note: If the dialog to create a connection is confirmed by clicking on OK, then a new attempt to establish a connection is made. Unsaved changes are then discarded without confirmation being requested.
Save changes | Saves all changes made.
Discard Changes | Discards all changes made since the last save after requesting confirmation.
Undo | Clicking on the symbol undoes the last action. Clicking on the arrow of the drop-down list opens a window to select actions that are to be undone. Only the last chronological action or other subsequent actions can be undone as a block.
Redo | Clicking on the symbol restores the last undone action. Clicking on the arrow of the drop-down list opens a window to select actions that have been undone that are to be restored. Only the last chronological action or other subsequent actions can be restored as a block.

Status Line

Screenshots Analyzer - fixed

Element | Description
Symbol | Shows the connection status.
Connection information | Information on the active connection.
Information [Objects], total | Information on the number of objects of the currently-selected object type.
Information [Objects], selected | Information on the number of selected objects of the currently-selected object type.
Information [Objects], amended | Information on the number of amended objects of the currently-selected object type. Note: If changes are undone, then the counter for the number of changed objects is not decremented but keeps its value.
Action | Information on current action


Actions

zenon Analyzer -> Metadata database editors -> Metadata Editor -> Actions

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Visual names and descriptions can be amended in the Metadata Editor and equipment information can be entered. Changes can be made to the following object types:

  • Equipment modeling
  • Event classes
  • Event groups
  • Users
  • Projects
  • Variables
  • Archives

Save changes

Changes are transferred to the database by means of the command or the Save changes symbol and saved there. The transfer of changes is checked and confirmed once this has been carried out (Commit). If a change to a variable is not successful, the transaction is reversed (Rollback).

attention Attention

If an error occurs when completing one of the transactions (Rollback or Commit), the database can become corrupted and thus unusable.

Undo - Restore

Actions in the Manual Data Editor can be undone or restored.

Undo

To undo actions:

  1. Select the Undo command in the toolbar.
  2. Clicking directly on the symbol undoes the last action.
  3. Clicking on the button opens a window with the available actions:

    Screenshots - Expanding

  4. Highlight the desired actions.

    Several interrelated actions from the top (last to be have been carried out) to the bottom.

  5. The status line shows how many actions are being undone.
  6. Clicking on the selected action undoes it.

Restore

To restore actions:

  1. Select the Restore command in the tool bar.
  2. Clicking on the symbol directly restores the last action that has been undone.
  3. Clicking on the button opens a window with the available actions that were undone:

    Screenshots - Expanding

  4. Highlight the desired actions.

    Several interrelated actions from the top (last to be have been undone) to the bottom can be selected.

  5. The status line shows how many actions have been restored.
  6. Clicking on the selected action restores it.

Noch in diesem Kapitel

Equipment modeling

Event classes

Event groups

Users

Projects

Variables

Archives


Equipment modeling

zenon Analyzer -> Metadata database editors -> Metadata Editor -> Actions -> Equipment modeling

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Metadata and equipment information can be changed for equipment models. Two tabs are available for the configuration:

  • Metadata
  • Equipment information

Equipment modeling tool bar and context menu

Nodes can be expanded or collapsed and checkboxes can be activated or deactivated using the tool bar and a context menu. The functionality of tool bars and the context menu has a different effect:

  • Symbols: Have an effect on all entries in the complete tree. Only the visible elements are taken into account during selection/deselection.
  • Commands in the context menu: Has an effect on the selected nodes and all its subnodes, regardless of their visibility.

Toolbar

General Analyzer Schema Graphics Template

The symbols´ meaning from left to right:

Parameters | Description
Expand all nodes | Clicking expands all nodes of an equipment model.
Collapse all nodes | Clicking collapses all nodes of an equipment model. Only root folders are displayed.
Select all visible nodes | Clicking activates all checkboxes of all displayed equipment models and equipment groups. Collapsed branches are not activated.
Deselect all nodes | Clicking deactivates all checkboxes of all equipment models and equipment groups.

Context menu

Right clicking on an equipment model or an equipment group opens a context menu:

Parameters | Description
Expand node and all child nodes | Expands this node and all subordinate elements.
Collapse node and all child nodes | Clicking closes this node and all subordinate elements.
Select node and all visible child nodes | Activates the checkboxes for the selected entry and all subordinate entries.
Deselect node and all child nodes | Deactivates the checkboxes for the selected entry and all subordinate entries.


Event classes

zenon Analyzer -> Metadata database editors -> Metadata Editor -> Actions -> Event classes

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

To make changes for event classes:

  1. In the Object type window, select the Event classes area.
  2. If necessary, filter the list in the Window Object Selection.

    Highlight the desired entry.

    Note: You can also change the description for several objects at the same time.

  3. In the editing area, enter the desired changes for the visual name and/or the description.
  4. Click on the button Apply.
  5. Click on the Save changes symbol to write the changes to the database.

Screenshots - Expanding

Parameters

Description

Object type window

Selection of the object type, for which objects are to be changed.

Object selection window

Selection of the event classes to be changed.

The objects:

  • Can be filtered
  • Are selected by clicking on the line
    (multiple selection is possible)
  • Are highlighted in red if they have been changed
    (the highlighting is also retained if the change is undone.)

Each line is an entry.

Filter

Entry of filter criteria for the list of the event classes.

It is possible to filter according to:

  • Identification
  • Visualname
  • Description

Wildcards can be used:

  • *: any desired number of any desired characters
  • ?: precisely 1 desired character.

If a filter text does not contain a wild card, a * is automatically added.

Apply

Applies filter to list.

Delete

Resets filter

Editing area

Entry and acceptance of changes.

Visual name

Entry to change the visual name of an event class.

Only available if precisely 1 element has been selected. The following rules apply to the display names:

  • must not be empty
  • Must be unique to the whole database

Description

Entry to change the description of event classes.

Note: If several objects with different descriptions are selected for change, the original description of the last element selected is displayed in red. Changes have an effect on all highlighted objects.

Apply

Clicking on the button accepts the changes. These are only written by clicking on the command or the Save changes symbol in the database.

Only available if a change has been made and no rules have been broken.


Event groups

zenon Analyzer -> Metadata database editors -> Metadata Editor -> Actions -> Event groups

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

To make changes for event groups:

  1. In the Object type window, select the Event groups area.
  2. If necessary, filter the list in the Window Object Selection.

    Highlight the desired entry.

    Note: You can also change the description for several objects at the same time.

  3. In the editing area, enter the desired changes for the visual name and/or the description.
  4. Click on the button Apply.
  5. Click on the Save changes symbol to write the changes to the database.

Screenshots - Expanding

Parameters

Description

Object type window

Selection of the object type, for which objects are to be changed.

Object selection window

Selection of the event groups to be changed.

The objects:

  • Can be filtered
  • Are selected by clicking on the line
    (multiple selection is possible)
  • Are highlighted in red if they have been changed
    (the highlighting is also retained if the change is undone.)

Each line is an entry.

Filter

Entry of filter criteria for the list of the event classes.

It is possible to filter according to:

  • Identification
  • Visualname
  • Description

Wildcards can be used:

  • *: any desired number of any desired characters
  • ?: precisely 1 desired character.

If a filter text does not contain a wild card, a * is automatically added.

Apply

Applies filter to list.

Delete

Resets filter

Editing area

Entry and acceptance of changes.

Visual name

Entry to change the visual name of an event group.

Only available if precisely 1 element has been selected. The following rules apply to the display names:

  • must not be empty
  • Must be unique to the whole database

Description

Entry to change the description of event groups.

Note: If several objects with different descriptions are selected for change, the original description of the last element selected is displayed in red. Changes have an effect on all highlighted objects.

Apply

Clicking on the button accepts the changes. These are only written by clicking on the command or the Save changes symbol in the database.

Only available if a change has been made and no rules have been broken.


Users

zenon Analyzer -> Metadata database editors -> Metadata Editor -> Actions -> Users

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

To make changes for users:

  1. In the Object type window, select the User area.
  2. If necessary, filter the list in the Window Object Selection.

    Highlight the desired entry.

    Note: You can also change the description for several objects at the same time.

  3. In the editing area, enter the desired changes for the visual name and/or the description.
  4. Click on the button Apply.
  5. Click on the Save changes symbol to write the changes to the database.

Screenshots - Expanding

Parameters

Description

Object type window

Selection of the object type, for which objects are to be changed.

Object selection window

Selection of the users to be changed.

The objects:

  • Can be filtered
  • Are selected by clicking on the line
    (multiple selection is possible)
  • Are highlighted in red if they have been changed
    (the highlighting is also retained if the change is undone.)

Each line is an entry.

Filter

Entry of filter criteria for the list of users.

It is possible to filter according to:

  • Identification
  • Visualname
  • Description

Wildcards can be used:

  • *: any desired number of any desired characters
  • ?: precisely 1 desired character.

If a filter text does not contain a wild card, a * is automatically added.

Apply

Applies filter to list.

Delete

Resets filter

Editing area

Entry and acceptance of changes.

Visual name

Entry to change the visual name of a user.

Only available if precisely 1 element has been selected. The following rules apply to the display names:

  • must not be empty
  • Must be unique to the whole database

Description

Entry to change the description of users.

Note: If several objects with different descriptions are selected for change, the original description of the last element selected is displayed in red. Changes have an effect on all highlighted objects.

Apply

Clicking on the button accepts the changes. These are only written by clicking on the command or the Save changes symbol in the database.

Only available if a change has been made and no rules have been broken.


Projects

zenon Analyzer -> Metadata database editors -> Metadata Editor -> Actions -> Projects

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

To make changes for projects:

  1. In the Object type window, select the Projects area.
  2. If necessary, filter the list in the Window Object Selection.

    Highlight the desired entry.

    Note: You can also change the description for several objects at the same time.

  3. In the editing area, enter the desired changes for the visual name and/or the description.
  4. Click on the button Apply.
  5. Click on the Save changes symbol to write the changes to the database.

Screenshots - Expanding

Parameters

Description

Object type window

Selection of the object type, for which objects are to be changed.

Object selection window

Selection of the projects to be changed.

The objects:

  • Can be filtered
  • Are selected by clicking on the line
    (multiple selection is possible)
  • Are highlighted in red if they have been changed
    (the highlighting is also retained if the change is undone.)

Each line is an entry.

Filter

Entry of filter criteria for the list of projects.

It is possible to filter according to:

  • Identification
  • Visualname
  • Description

Wildcards can be used:

  • *: any desired number of any desired characters
  • ?: precisely 1 desired character.

If a filter text does not contain a wild card, a * is automatically added.

Apply

Applies filter to list.

Delete

Resets filter

Editing area

Entry and acceptance of changes.

Visual name

Entry to change the visual name of a project.

Only available if precisely 1 element has been selected. The following rules apply to the display names:

  • must not be empty
  • Must be unique to the whole database

Description

Entry to change the description of projects.

Note: If several objects with different descriptions are selected for change, the original description of the last element selected is displayed in red. Changes have an effect on all highlighted objects.

Apply

Clicking on the button accepts the changes. These are only written by clicking on the command or the Save changes symbol in the database.

Only available if a change has been made and no rules have been broken.


Variables

zenon Analyzer -> Metadata database editors -> Metadata Editor -> Actions -> Variables

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

To make changes for variables:

  1. In the Object type window, select the Variables area.
  2. If necessary, filter the list in the Window Object Selection.

    Highlight the desired entry.

    Note: You can also change the description for several objects at the same time.

  3. In the editing area, enter the desired changes for the visual name and/or the description.
  4. Click on the button Apply.
  5. Click on the Save changes symbol to write the changes to the database.

Screenshots - Expanding

Parameters

Description

Object type window

Selection of the object type, for which objects are to be changed.

Object selection window

Selection of the variables to be changed.

The objects:

  • Can be filtered
  • Are selected by clicking on the line
    (multiple selection is possible)
  • Are highlighted in red if they have been changed
    (the highlighting is also retained if the change is undone.)
  • Each line is an entry.

Filter

Entry of filter criteria for the list of variables.

It is possible to filter according to:

  • Project
  • Identification
  • Visualname
  • Description

Wildcards can be used:

  • *: any desired number of any desired characters
  • ?: precisely 1 desired character.

If a filter text does not contain a wild card, a * is automatically added.

Apply

Applies filter to list.

Delete

Resets filter

Editing area

Entry and acceptance of changes.

Visual name

Entry to change the visual name of a variable.

Only available if precisely 1 element has been selected. The following rules apply to the display names:

  • must not be empty
  • Must be unique within a project

Description

Entry to change the description of variables.

Note: If several objects with different descriptions are selected for change, the original description of the last element selected is displayed in red. Changes have an effect on all highlighted objects.

Apply

Clicking on the button accepts the changes. These are only written by clicking on the command or the Save changes symbol in the database.

Only available if a change has been made and no rules have been broken.


Archives

zenon Analyzer -> Metadata database editors -> Metadata Editor -> Actions -> Archives

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

To make changes for archives:

  1. Select, in the Object type Window, the Archive area.
  2. If necessary, filter the list in the Window Object Selection.

    Highlight the desired entry.

    Note: You can also change the description for several objects at the same time.

  3. In the editing area, enter the desired changes for the visual name and/or the description.
  4. Click on the button Apply.
  5. Click on the Save changes symbol to write the changes to the database.

Screenshots - Expanding

Parameters

Description

Object type window

Selection of the object type, for which objects are to be changed.

Object selection window

Selection of the archives to be changed.

The objects:

  • Can be filtered
  • Are selected by clicking on the line
    (multiple selection is possible)
  • Are highlighted in red if they have been changed
    (the highlighting is also retained if the change is undone.)
  • Each line is an entry.

Filter

Entry of filter criteria for the list of the event classes.

It is possible to filter according to:

  • Project
  • Identification
  • Visualname
  • Description

Wildcards can be used:

  • *: any desired number of any desired characters
  • ?: precisely 1 desired character.

If a filter text does not contain a wild card, a * is automatically added.

Apply

Applies filter to list.

Delete

Resets filter

Editing area

Entry and acceptance of changes.

Visual name

Entry to change the visual name of an archive.

Only available if precisely 1 element has been selected. The following rules apply to the display names:

  • must not be empty
  • Must be unique within a project

Description

Entry to change the description of archives.

Note: If several objects with different descriptions are selected for change, the original description of the last element selected is displayed in red. Changes have an effect on all highlighted objects.

Apply

Clicking on the button accepts the changes. These are only written by clicking on the command or the Save changes symbol in the database.

Only available if a change has been made and no rules have been broken.


Options

zenon Analyzer -> Metadata database editors -> Metadata Editor -> Options

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Selection:

  • How many connection profiles can be created
  • The language in which the user interface of the Editor is displayed

To configure the settings:

  1. open the menu File
  2. Select the command Settings.
  3. The dialog for configuring settings is opened

Screenshots - Expanding

Parameters

Description

Maximum number of connection profiles

Defines how many connection profiles can be created as a maximum for the Editor:

  • Minimum: 1
  • Maximum: 255
  • Default: 1

Configuration by manual entry or by clicking on arrows.

Note: Because the ZAMS connection profile can also be displayed in the dialog for establishing a connection, more than the permitted amount of connection profiles can be displayed in the drop-down list to select a profile.

Language

Selection of the desired language for the user interface of the Editor from a drop-down list.

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Manual Data Editor

zenon Analyzer -> Metadata database editors -> Manual Data Editor

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The Manual Data Editor makes it possible to edit the tables for price and norm values in a zenon Analyzer metadata database.

The Manual Data Editor is available as:

  • .NET control in zenon Runtime: Available from zenon version 7.11. The control can access the control profile list of ZAMS.
  • EXE file: Allows database editing even without zenon Runtime. This file includes .NET Control and can be started from ZAMS.
    The interface settings can only be accessed from the EXE file and can be saved there.

ZAMS

To open the Manual Data Editor in ZAMS:

  1. Navigate to the Options menu item in ZAMS
  2. Select the Manual Data Editor entry
  3. The dialog to connect the Manual Data Editor is opened

Keyboard shortcuts

The following key combinations are available to operate the Editor:

Key combination | Description
F1 | Opens help
Ctrl+Shift+C | Opens the dialog for creating a database backup.
Ctrl+S | Saves changes.
Alt+F4 | Closes the CD_PRODUCTNAME Editor
Ctrl+Z | Undo input
Ctrl+Y | Repeat input.

Noch in diesem Kapitel

Connect

Configuring the control in zenon

Main window

Actions

Options

Example


Connect

zenon Analyzer -> Metadata database editors -> Manual Data Editor -> Connect

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The Manual Data Editor manages its own connection profile. The ZAMS connection profiles are also read on startup. If there are profiles in the Manual Data Editor and in ZAMS with the same name, this dominates the connection profile of the Manual Data Editor.

To link the Manual Data Editor to a database:

  1. Navigate to the Options menu item in ZAMS
  2. Select the Manual Data Editor entry
  3. The dialog to connect to a server is opened.
  4. select the desired connection by clicking on Connection profile or create a new connection in a similar manner to that of ZAMS.

    Screenshots - Expanding

  5. click on OK
  6. the connection will be created
  7. The user authorization is queried by the license server
  8. The database is checked to see that it is correct
    Note: No connection is established if there are incorrect structures or versions. Conversion is only possible with ZAMS.
  9. Data is loaded
  10. The license is obtained
  11. The Manual Data Editor is opened

Note: Unsaved changes are lost without warning when the connection is established.


Configuring the control in zenon

zenon Analyzer -> Metadata database editors -> Manual Data Editor -> Configuring the control in zenon

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The ActiveX control CD_DotNetControlContainer.Container makes it possible to use any .NET Windows Forms Controls as dynamic elements in zenon. In doing so, all functions implemented in the .NET control are supported. It can be used with all zenon versions from 5.50 on which support ActiveX.

Note: .NET Framework 4.5 must be available.

To use the ActiveX control CD_DotNetControlContainer.Container:

  1. create a dynamic element of the type ActiveX
  2. select CD_DotNetControlContainer.Container from the list of available controls
  3. click on button Properties
  4. the dialog for configuring the control opens

Parameters | Description
Load | Opens the file manager for selecting a .NET Control Assembly. Note: The .NET Control Assembly must be in the same folder as Runtime. It is always the absolute path to the .NET Control Assembly that is saved, e.g.: C:\Controls\Assembly.dll.
SelectUserControl | Selection of the .NET Controls from the ones available in the selected .NET Control Assembly.
Preview | Displays the absolute path to the .NET Control Assembly. Field left below: Preview of the control. Field right below: List of properties for the selected .NET Control.
Symbol: By categories | Displays properties sorted by categories.
Symbol: Alphabetical | Display properties in alphabetic order.
Symbol: Property pages | Displays property pages.
OK | Confirms configuration. This is then saved in the zenon ActiveX element as XML stream.
Cancel | Discards configuration.

You can find details on the project configuration of .NET Control in zenon in the zenon manual in the following chapters:

  • Screens/Screen element/.NET controls
  • Controls


Main window

zenon Analyzer -> Metadata database editors -> Manual Data Editor -> Main window

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The main window shows the variables present in the database that is currently connected and their price history and norm history. All existing data is displayed as unfiltered when started.

Screenshots - Expanding

Range

Description

Menu line

Menu items for:

  • File: Creating, amending and administering entries for the connection, settings and closing the Manual Data Editor.
  • Edit: Entries for Undoing entries for entries and repeating entries.
  • Filters: Entries for the administration of filters.
  • Help: Versions and link to online help.

Menus are only available in the EXE file, not in .NET Control.

Toolbar

Allows the following actions:

  • Connect Opens the dialog for creating a connection.
  • Save changes: Saves changes made.
  • Discard changes: Rejects changes made.
  • Undo: Undoes the last action.
  • Redo: Repeats the last action.

Filter area

Elements for the filtering of the variable table. This area can be minimized or expanded using the symbol on the right of the outside.

If the filter is minimized, a summary of the filters applied is displayed.

Variable table

Tables that can be filtered with the variables of the database that is currently linked.

Horizontal separator

Allows the size ratios to be moved between the variable table and the history area using the mouse.

Price history

Overview of the price history of the selected variables and configuration of the modification of the selected variables.

Vertical separator

Allows the size ratios to be moved between Price history and Norm history.

Norm history

Overview of the norm history of the selected variables and configuration of the modification of the selected variables.

Status Line.

Notice of linking and the current action.

  • Symbol: Shows the connection status.
  • Text: Provides connection status including linked server and linked database.
  • Text: Current process.
  • Progress bar: Is shown when populating the table, saving or discarding the changes, for as long as the action is being completed.

Noch in diesem Kapitel

Menu and tool bar


Menu and tool bar

zenon Analyzer -> Metadata database editors -> Manual Data Editor -> Main window -> Menu and tool bar

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The menu and tool bar offer a range of commands to administer the Manual Data Editor and the filter rules.

Note: The menu is only not available if the Manual Data Editor is started from ZAMS as an EXE file, but not the control in zenon Runtime.

Menu

Entry | Description
File | Commands for general operations.
Connect | Opens the dialog to create a connection. Note: If the dialog to create a connection is confirmed by clicking on OK, then a new attempt to establish a connection is made. Unsaved changes are then discarded without confirmation being requested.
Save changes | Saves all changes made to variables in the database.
Discard Changes | Discards all changes made to variables since the last save after requesting confirmation.
Options | Opens the dialog to configure the settings.
Exit | Closes the Manual Data Editor.
Edit | Commands for repeating and undoing actions.
Undo | Undoes the last action.
Redo | Restores the last undone action
Filter | Commands for using filters.
Apply filter | Applies the currently-configured filter to the variable table.
Discard filter | Deletes all filter conditions and displays the variable table without filters.
Store filter profile | Saves the current filter configuration as a separate profile.
Delete filter profile | Deletes the displayed filter profile.
Help | Link to help and version information.
Info about | Opens a window with information on the current version.
Help | Opens online help.

Toolbar

General Analyzer Schema Graphics Template

Symbol | Description
Connect | Opens the dialog to create a connection. Note: If the dialog to create a connection is confirmed by clicking on OK, then a new attempt to establish a connection is made. Unsaved changes are then discarded without confirmation being requested.
Save changes | Saves all changes made to the price history and norm history.
Discard Changes | Discards all changes made to the price history and norm history since the last save after requesting confirmation.
Undo | Clicking on the symbol undoes the last action. Clicking on the arrow of the drop-down list opens a window to select actions that are to be undone. Only the last chronological action or other subsequent actions can be undone as a block.
Redo | Clicking on the symbol restores the last undone action. Clicking on the arrow of the drop-down list opens a window to select actions that have been undone that are to be restored. Only the last chronological action or other subsequent actions can be restored as a block.


Actions

zenon Analyzer -> Metadata database editors -> Manual Data Editor -> Actions

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Price and norm data can be entered for each variable in the Manual Data Editor and several variables can be displayed in a joint historical diagram. The variables can be displayed as filtered.

Actions

Available actions:

  • Filtering the variable table
  • Displaying data entry for price history and trend diagram
  • Displaying data entry for norm history and trend diagram

Save changes

Changes are transferred to the database by means of the command or the Save changes symbol and saved there. The transfer of changes is checked and confirmed once this has been carried out (Commit). If a change to a variable is not successful, the transaction is reversed (Rollback).

attention Attention

If an error occurs when completing one of the transactions (Rollback or Commit), the database can become corrupted and thus unusable.

Undo - Restore

Actions in the Manual Data Editor can be undone or restored.

Undo

To undo actions:

  1. Select the Undo command in the toolbar.
  2. Clicking directly on the symbol undoes the last action.
  3. Clicking on the button opens a window with the available actions:

    Screenshots - Expanding

  4. Highlight the desired actions.

    Several interrelated actions from the top (last to be have been carried out) to the bottom.

  5. The status line shows how many actions are being undone.
  6. Clicking on the selected action undoes it.

Restore

To restore actions:

  1. Select the Restore command in the tool bar.
  2. Clicking on the symbol directly restores the last action that has been undone.
  3. Clicking on the button opens a window with the available actions that were undone:

    Screenshots - Expanding

  4. Highlight the desired actions.

    Several interrelated actions from the top (last to be have been undone) to the bottom can be selected.

  5. The status line shows how many actions have been restored.
  6. Clicking on the selected action restores it.

info Information

If changes are undone using the Discard changes command, the lists for Undo and Restore are not reset. Immediate use of the Undo and Restore functions can thus lead to error messages.

Noch in diesem Kapitel

Filter

Variable table

Price history

Norm history


Filter

zenon Analyzer -> Metadata database editors -> Manual Data Editor -> Actions -> Filter

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In the upper area of the main window of the Manual Data Editor, there is the filter area, which can be hidden. To show or hide the filter area, click on the single on the upper right edge.

The filter makes it possible to filter the variables shown in the variable table according to:

  • Project name
  • Variable names
  • Units
  • Meaning
  • Price
  • Norm

Configuring the filter

Screenshots - Expanding

Parameters

Description

Metadata

Filter criteria for metadata.

Project name

Filters according to the project from which the variable comes.

Variable name

Filters according to the names of variables.

Measuring unit

Filters according to the unit of measurement of variables.

Meaning

Filters according to the meaning of variables.

If several meanings were defined for a variable, then it is sufficient if one of those corresponds to the value entered here.

Price

Filter criteria for prices.

Filter by price

Active: Variables can be filtered by prices.

  • Entry of the area in both number fields. This includes the minimum and the maximum of the most up-to-date prices of all variables present in the database.
  • Entry of the currency in the text field.

Timestamp of last price change

Entry of a time range in which prices were changed.

Both date elements define the time period from which the current price is applicable.

Entry of the area in both date fields.

  • Start: Midnight - start of day
  • End: Midnight - end of day
  • Default: The minimum and maximum of the time stamp of the most recent prices of all variables present in the database.

Norm

Filter criteria for norms.

These are always applied to the most recent norm value. This is the largest time stamp, even if it is in the future.

Filter by norm

Active: Errors can be filtered according to norm values.

Norms are defined in the norm table and defined using variables. For example, norm curves for the output of wind power plants.

Both numeric elements are for the entry of the minimums and the maximums for the

  • entry of the area in both number fields. This includes the minimum and the maximum of the norm values for the filter.
  • Default: The minimum and maximum of the most recent norm values of all variables present in the database.

Timestamp of last norm change

Entry of a time range in which norms were changed.

Entry of the area in both date fields.

  • Start: Midnight - start of day
  • End: Midnight - end of day
  • Default: The minimum and maximum of the time stamp of the most recent norm values of all variables present in the database.

Filter profile

Administration of filter profiles.

Filter profile

Combobox for:

  • Entry of a name in a text field for a new filter profile
  • Selection of an already-created filter profile from a drop-down list

Save

Saves the configured filter and the name displayed in the text field.

Delete

Deletes the filter profile displayed in the text field.

Filter

Administration of the filter settings.

Apply

Discard

Deletes all configured filter settings.

Symbol

Shows or hides the filter area in the main window.

Filter rules

The following is applicable for filter settings:

  • All active filters are always linked with a logical AND.
  • Wildcards can be used for text filters:
    • *: a desired number of any desired characters
    • ?: precisely 1 desired character.
  • If a text field for a text filter is empty, then the attendant text filter is inactive.
  • Numerical filters always consist of minimum and maximum, whereby both limits are in range: Minimum <= [value] <= Maximum
  • The time stamp filters always consist of minimum and maximum, whereby both limits are in range:


Variable table

zenon Analyzer -> Metadata database editors -> Manual Data Editor -> Actions -> Variable table

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The variables to be edited are listed in the variable table. These can be filtered.

Several variables can be selected at the same time. In doing so, the usual Windows keyboard shortcuts can be used. If the table is repopulated by a change to the filter criteria, then an attempt is made to restore the previous selection of variables.

Screenshots - Expanding

The list contains the following columns:

  • Project name: Name of the project from which the variable comes.
  • Variable name : Name of the variable.
  • Measuring unit: Unit of measurement for variable values.
  • Meaning: Several meanings of a variable are separated by line switchings
  • Identification: Name of the variables in zenon Editor and Runtime
  • Description: Description of the variables
  • Data type: Data type of the variable

    Attention: Prices and norm values for binary and string variables can also be entered technically. However this is generally not ideal, because there are generally neither costs nor target consumptions for these variables.

  • Price: Most recent price.
  • Timestamp of last price change: Date from which the most recent price is applicable.
  • Currency: Currency of the current price.
  • Norm: Most recent norm value.
  • Time stamp of last norm change: Date from which the most recent norm value is applicable.

The table can be sorted according to individual columns. Clicking on the column heading sorts the table according to the corresponding column from A - Z or from Z - A if it is clicked again.


Price history

zenon Analyzer -> Metadata database editors -> Manual Data Editor -> Actions -> Price history

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The price history is displayed in several tabs. The first tab displays the value of all selected variables grouped as a trend. Each group has its own tab for configuration.

Screenshots - Expanding

For the creation of trends, all selected variables are divided into groups with the same price history. For each group, a separate trend is drawn and a key entry is created. The key entry below the trend window shows the name of the first variables in a group and the number of other variables in the group. The lookback time of the trend can be defined in the Settings.

Editing prices

A separate tab to edit the price history is created for each group.

Screenshots - Expanding

Parameters

Description

List of variables

Contains the names of all variables of this price group.

New

Opens the dialog for adding a new price.

Table of price history

Shows the complete price history, including the entries that are not displayed in the trend due to the settings for Trend lookback time.

The values can be edited directly:

  • Timestamp: Entry of the date and the time of the validity of this price. If the modification of a value leads to a clash of time stamps within the group, the change is not approved.
  • Value: Entry of the price. Input errors are not approved and displayed by means of a tooltip.
  • Currency: Entry of the currency for this price. Input errors are not approved and displayed by means of a tooltip.
  • Delete button: Clicking on the button deletes the entry from the list.

The lines are sorted according to time stamp. Changes to the input fields are saved according to the focus loss. The view and sorting is updated when saving.

Dialog to add a price

Clicking on the New in the tab of a price group opens the dialog to add a new price:

Screenshots - Expanding

Parameters

Description

Timestamp

Entry of the time point from when the new price entry is valid. This time can also be in the past.

Input is in:

  • Date field: Direct input without selection from a calendar. Clicking on the button opens the calendar.
  • Time field: Direct entry or configuration using the cursor keys.

A time point is only valid if it does not trigger a time stamp clash within the group.

Price

Entry of the price. Input errors are not approved and displayed by means of a tooltip. The decimal separator - point (.) or comma (,) - corresponds to the language settings.

Currency

Entry of the currency for this price. Input errors are not approved and displayed by means of a tooltip.

OK

Only active if all inputs are valid. Clicking closes the dialog and adds the new price entry.

Cancel

Closes the dialog without generating a new price entry.


Norm history

zenon Analyzer -> Metadata database editors -> Manual Data Editor -> Actions -> Norm history

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The norm history is displayed in several tabs. The first tab displays the value of all selected variables grouped as a trend. Each group has its own tab for configuration.

Screenshots - Expanding

For the creation of trends, all selected variables are divided into groups with the same norm history. For each group, a separate trend is drawn and a key entry is created. The key entry below the trend window shows the name of the first variables in a group and the number of other variables in the group. The lookback time of the trend can be defined in the Settings.

Editing norm values

A separate tab to edit the norm history is created for each group.

Screenshots - Expanding

Parameters

Description

List of variables

Contains the names of all variables of this norm group.

New

Opens the dialog for adding a new norm value.

Table of price history

Shows the complete norm history, including the entries that are not displayed in the trend due to the settings for Trend lookback time.

The values can be edited directly:

  • Timestamp: Entry of the date and the time of the validity of this norm value. If the modification of a value leads to a clash of time stamps within the group, the change is not approved.
  • Value: Entry of the norm value. Input errors are not approved and displayed by means of a tooltip.
  • Delete button: Clicking on the button deletes the entry from the list.

The lines are sorted according to time stamp. Changes to the input fields are saved according to the focus loss. The view and sorting is updated when saving.

Dialog to add a norm value

Clicking on the New button in the tab of a price group opens the dialog to add a new norm value:

Screenshots - Expanding

Parameters

Description

Timestamp

Entry of the time point from when the new price entry is valid. This time can also be in the past.

Input is in:

  • Date field: Direct input without selection from a calendar. Clicking on the button opens the calendar.
  • Time field: Direct entry or configuration using the cursor keys.

A time point is only valid if it does not trigger a time stamp clash within the group.

Norm

Entry of the norm value. Input errors are not approved and displayed by means of a tooltip. The decimal separator - point (.) or comma (,) - corresponds to the language settings.

OK

Only active if all inputs are valid. Clicking closes the dialog and adds the new norm entry.

Cancel

Closes the dialog without generating a new norm entry.


Options

zenon Analyzer -> Metadata database editors -> Manual Data Editor -> Options

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

You configure the following in the settings:

  • Number of permitted connections
  • User interface language,
  • Lookback time for trend curves

To configure the settings:

  1. open the menu File
  2. Select the command Settings.
  3. The dialog for configuring settings is opened

Screenshots - Expanding

Parameters

Description

Maximum number of connection profiles

Defines how many connection profiles can be created as a maximum for the Editor:

  • Minimum: 1
  • Maximum: 255
  • Default: 1

Configuration by manual entry or by clicking on arrows.

Note: Because the ZAMS connection profile can also be displayed in the dialog for establishing a connection, more than the permitted amount of connection profiles can be displayed in the drop-down list to select a profile.

Language

Selection of the desired language for the user interface of the Editor from a drop-down list.

Trend lookback time

Stipulates how far back in time the trend display of price history and norm history goes. Entry is made by means of an input field and a drop-down list that define the time period.

Entry of the numeric value:

  • Minimum: 1
  • Maximum: 100
  • Default: 1

Configuration by manual entry or by clicking on arrows.

Selection of the unit from the drop-down list:

  • Hours
  • Days
  • Months
  • Years

Default: 1 year

If non-permitted values are entered manually, the standard value of 1 year is configured when the dialog is closed.

Default currency

Input of a character sequence for the standard currency.

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Example

zenon Analyzer -> Metadata database editors -> Manual Data Editor -> Example

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In an Analyzer metadata database, there are variables that are kilowatt hour meters for electricity consumption. These, and only these, are measured in kWh. These variables should be assigned a price of 1.50 EUR per kWh from January 1, 2013 and a norm value of 0.6 kWh.

To carry out this command:

  1. Start the Manual Data Editor and connect it to the database.
  2. All existing variables are displayed unfiltered in the Manual Data Editor.

    Screenshots - Expanding

  3. Set the filter for the unit of measurement to kWh.
  4. click on Apply.
  5. The variables are shown as filtered.
  6. Mark all variables.
  7. Screenshots - Expanding
  8. Open the dialog to enter a new price for each tab.

    Set the following values:

    • Date: 1/1/2013
    • Time: 12:00:00 AM
    • Price: 1,50 or 1.50, depending on the language of the user interface
    • Currency: EUR

    Screenshots - Expanding

  9. Click on OK.
  10. Open the dialog to enter a new norm value for each tab.

    Set the following values:

    • Date: 1/1/2013
    • Time: 12:00:00 AM
    • Norm: 0,6 or 0.6, depending on the language of the user interface

    Screenshots - Expanding

  11. Click on OK.
  12. The changes are saved to the database.

    Screenshots - Expanding

  13. Close the Manual Data Editor.


Supplied report templates

zenon Analyzer -> Supplied report templates

With zenon Analyzer, pre-configured report templates are supplied for the creation of reports with ZAMS. Report templates are configured in ZAMS. You can find details on the input elements at the respective report template and in the Elements in the report area chapter.

Note for developers of reports: These reports use stored procedures and user-defined function blocks, that are described in the documentation for developers.

Report templates

The following report templates are available:

Alarm Analysis

Report templates for the evaluation of alarms.

  • Alarm list: Alarm list for a time range
  • Top N Alarms: defined number (N) of alarms that occur most frequently in a time range or have been active for the longest
  • Alarm Aggregation: Sum of all alarms that have occurred in a time range

Custom Formula Analysis

Report templates for custom formulas.

  • Custom Formula Trend: Trend display of user-defined formulas for a time range.
  • Custom Formula Trend Comparison: Trend display of user-defined formulas for two time ranges.
  • Custom Formula Aggregated Trend: Trend display of aggregated user-defined formulas for a time range.
  • Custom Formula Aggregated Trend Comparison: Trend display of aggregated user-defined formulas for two time ranges.
  • Custom Formula Aggregation: Trend display of aggregated, user-defined formulas for a time range.
  • Custom Formula Aggregation Comparison: Trend display of aggregated, user-defined formulas for two time ranges.

Historian Analysis

Report templates for the evaluation and direct or aggregated display of archive data.

  • Historian Trend: Archive data without aggregation for a time range
  • Historian Trend Comparison: Archive data without aggregation for two time ranges
  • Historian Aggregated Trend: Aggregated archive data for a time range
  • Historian Aggregated Trend Comparison: Aggregated archive data for two time ranges
  • Historian Aggregated Trend with online variable selection: Gets archive data for a time range, aggregates this in intervals in the time range and displays these aggregations as a trend.
  • Historian Aggregated Trend Comparison with online variable selection: Gets archive data for two time ranges, aggregates this in intervals in the time range and displays these aggregations as a trend for comparison.
  • Historian Aggregation: aggregated archive data for a time period, displayed separately
  • Historian Aggregation Comparison: Aggregated archive data for two time ranges, displayed separately
  • Historian Distribution: Distribution and the aggregations of archive data for a variable and a time range
  • Historian Distribution Comparison: Distribution and aggregations of archive data for a variable and two time ranges

Extended Historian Analysis

Report templates for archive aggregation or archive distribution, taking into account prices, norm values and production counters.

  • Trend per Variable: Creates an aggregated trend analysis for a time period with a trend for each variable.
  • Trend per Variable Comparison: Creates an aggregated trend analysis for two time periods with a trend for each variable.
  • Trend per Equipment Model: Creates an aggregated trend analysis for a time period with a trend for each equipment model.
  • Trend per Equipment Model Comparison: Creates an aggregated trend analysis for two time periods with a trend for each equipment model.
  • Relative Trend per Variable: Creates a relative aggregated trend analysis for a time period with a trend for each variable.
  • Relative Trend per Variable Comparison: Creates a relative aggregated trend analysis for two time periods with a trend for each variable.
  • Relative Trend to Standard: Creates a relative aggregated trend analysis for a time period for a variable with a comparison with standard values.
  • Relative Trend to Standard Comparison: Creates a relative aggregated trend analysis for two time periods for a variable with a comparison with standard values.
  • Distribution per Variable: Calculates the aggregated cost distributions for a time period that is based on variables.
  • Distribution per Variable Comparison: Calculates the aggregated cost distributions for two time periods that are based on variables.
  • Cost Distribution per Variable: Calculates the aggregated cost distributions for a time period that is based on variables.
  • Cost Distribution per Variable Comparison: Calculates the aggregated cost distributions for two time periods that are based on variables.
  • Cost Distribution per Equipment Model: Calculates the aggregated cost distributions for a time period that is based on equipment models.
  • Cost Distribution per Equipment Model Comparison: Calculates the aggregated cost distributions for two time periods that are based on equipment models.

ISO 50001

Report templates with the Historian Distribution Comparison and Custom Formula Analysis themes.

Production Analysis Machine Based

Report templates for the analysis of loss times and productivity, based on standards.

  • Losses Analysis: Analyze archive data and calculate aggregated loss times for a time period, based on an equipment group and a waterfall model.
  • Productivity Indicators Analysis: Analyze archive data and calculate aggregated productivity indicators for a time period, based on an equipment group.
  • Comprehensive Productivity Analysis: Combines the Losses Analysis and Produktivity indicators Analysis report templates.
  • Losses Lot History: Analyze archive data and calculate aggregated loss times for each lot, based on an equipment group.
  • Productivity Indicators Lot History: Analyze archive data and calculate aggregated production indicators for each lot in a time period, based on an equipment group.
  • Comprehensive Productivity Lot History: Combines the Losses Lot History and Productivity Indicators Lot History templates.

OEE Analysis

Report templates available that calculate and display OEE indicators.

  • OEE Indicator: OEE performance figures for a selected equipment model in a time period
  • OEE Indicator Lot History: OEE performance figures for a selected equipment model for each lot in a time period

Target Actual Analysis

Reports for the comparison of any desired machine-related measured sizes.

  • Target Actual Aggregated Trend (absolute): Gets the target and actual values for the set meanings and the selected equipment group and calculates absolute counters from this.
  • Target Actual Aggregated Trend (relative): Gets the target and actual values for the set meanings and the selected equipment group and calculates relative counters from this.

Hydroelectric Power Plant Analysis

Report templates that determine and display various counters for hydroelectric power plants.

  • Operating Time per Operation Mode and Machine Component: Calculates operating times for the individual operating modes of a machine and machine components.
  • Operating Time per Power Range: Calculates operating times for a machine per power range.
  • Circuit Breaker Switching Cycles: Calculates switching cycles for circuit breakers.
  • Active and Reactive Power Counters: Calculates counter values for active and reactive power.
  • Power Line Frequency: Calculates time counters for different frequency bands of the network frequency of a machine.
  • Machine Event Counters: Calculates counters for different events that may occur for a machine.

Note on reports and actions with SP/UDF

When an SP or UDF of ZAMS is overwritten in the database, it is not present for the duration of this process. This can lead to errors when executing existing reports, if these access the SP or UDF at precisely the moment between deletion and recreation.

Recommendation: Do not execute any reports whilst actions are being carried out with ZAMS that relate to these reports. Most of all if ZAMS:

  • is deploying reports
  • is updating the connector functions in the database
  • is creating the SQL connector

Noch in diesem Kapitel

Elements in the report area

Report templates


Elements in the report area

zenon Analyzer -> Supplied report templates -> Elements in the report area

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports are configured using different inputs. The possibilities for input depend on the RDL file and are automatically arranged. If the size of the window is exceeded, scroll bars are automatically displayed.

Screenshots - Expanding

Note: Not all documented input possibilities are shown in the screenshot.

Depending on the report template loaded, different elements are displayed for the configuration of the report. Elements that are related to each other are arranged in input groups.

Entries in dialogs can generally also be confirmed and completed by pressing the Enter key.

Input groups

Input groups that consist of more than one element can be minimized.

  • To minimize a group, click on the - button in the top right corner of the group.
  • To maximize a group, click on the + button in the top right corner of the group.

Elements

The following inputs are possible for a report in ZAMS:

Alarms

Alarm prefiltering

Alarms can be prefiltered:

  • Prefiltering alarm groups: Filtering of the alarm groups by means of activation/deactivation of checkboxes
  • Prefiltering of alarm classes: Filtering of the alarm classes by means of activation/deactivation of checkboxes

For further details see chapter Alarm prefiltering

Alarm lookback time

Time range, which should be taken into account from the start of the time filter retrospectively.

For details, see the Alarm Lookback time chapter.

Archives

Archives

Aggregation and configuration of the archive. For details, see the Configure archives section.

Lot archive selection

Select a lot archive.

Archive compression selection

The following types of archive aggregation are available:

  • Raw data (Basis archive)
  • added up data (aggregated archive)
  • average data (aggregated archive)
  • minimum data (aggregated archive)
  • maximum data (aggregated archive)

Select from drop-down list.

File storage

Parameters | Description
File storage | Name and path of the report on the Analyzer server.
Report file name | Name of the report file on the server.
Report file path | Current path of the report file. Display only.
Choose report file path | Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created. For details, see the Path to RDL file section.

Information on Report templates

Information on Report templates

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Time filter

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Configure time filter settings

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months

Years

Miscellaneous

Action

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Selection equipment model

Selection of an Equipment model.

Input fields and drop-down lists

Various input fields and drop-down lists for the input of data and selection of parameters:

  • Single selection: Selection of a value from drop-down list:
  • Text input: Input of free text
  • Numerical input: Input of numerical values

For details, see Inputs and selection from drop-down list.

Chart data selection

Selection of the value type to be displayed from drop-down list:

  • Absolute values
  • Relative values

Noch in diesem Kapitel

Alarm lookback time

Alarm prefiltering

Equipment model selection

Archives

Archive variable input

Archive variables and production counter

Custom formulas

Labels for operating modes

Lot archive selection

Connector selection

Drop-down lists, inputs and selection

Iterative data collection

Availability gauge ranges

Decimal places

OEE calculation

Production data filters

Production indicators

RDL file - path

Report templates

Shift data origin

Set values and actual values

Element sort order

Visualizing loss times

Time filter configuration

Operating time assignments

Operating time per power range assignments

Switching cycles assignments

Active and reactive power counter assignments

Power line frequency assignments

Event counter assignments


Alarm lookback time

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Alarm lookback time

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Selection of a lookback time for alarms.

This allows alarms that have occurred before the start of the time filter but that still have an effect in the range of the time filter to be taken into account.

Screenshots - Expanding

Parameters

Description

Alarm lookback time

Time range, which should be taken into account from the start of the time filter retrospectively.

Time input

Numerical input for the quantity. It is also possible to make changes using the spin control.

Selecting the granularity

Select from drop-down list:

  • Minutes
  • Hours
  • Days
  • Months
  • Years


Alarm prefiltering

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Alarm prefiltering

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Alarms can be prefiltered. The filtering includes:

  • Alarm groups
  • Alarm Classes

Both filters are connected to one another.

Prefiltering alarm groups

Activation via option: Alarm groups prefiltering

Screenshots - Expanding

Parameters

Description

Alarm groups prefiltering

Filtering of the alarm groups by means of activation/deactivation of checkboxes.

List of alarm groups

This list is for prefiltering alarm groups. It contains a checkbox for each EVENTGROUP metadata table entry, with the entries being displayed in the VISUALNAME column.

Alarm group prefiltering is inactive if nothing is selected. If something is selected, only alarms of the active alarm groups are allowed through.

Select all

Activates all checkboxes, selection of alarm groups.

Deselect all

Deactivates all checkboxes, deselection of all alarm groups.

Prefiltering of alarm classes

Activation via option: Alarm classes prefiltering

Screenshots - Expanding

Parameters

Description

Alarm classes prefiltering

Filtering of the alarm classes by means of activation/deactivation of checkboxes.

List of alarm classes

The list serves to prefilter alarm classes. It contains a checkbox for each EVENTCLASS metadata table entry, with the entries being displayed in the VISUALNAME column.

Alarm class prefiltering is inactive if nothing is selected. If something is selected, only alarms of the active alarm classes are allowed through.

Select all

Activates all checkboxes, selection of alarm classes.

Deselect all

Deactivates all checkboxes, deselection of all alarm classes.


Equipment model selection

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Equipment model selection

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Screenshots - Expanding

Selection of a root element of the equipment model from drop-down list. The equipment model is read form the metadata. An independent entry in the drop-down list allows the use of all models present in the list.


Archives

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Archives

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The archives to be aggregated and pivoted are configured using the following elements:

  • Aggregation function
  • Archive configuration

Screenshots - Expanding

Parameters

Description

Archive aggregation configuration

Archive aggregation configuration

Aggregation function

The following are available for aggregation:

  • Summation
  • Calculate average values
  • Determine minimum values
  • Determine maximum values

Select from drop-down list.

Configuration of the archive

Display of the archive variables in a tree structure. This structure is constructed as follows:

  • Project name
  • Archive name
  • Variable name
  • Aggregation type of the variables in the archive

Selection by clicking on the desired object.

If the report is linked to a project via the parameters of the time filter, a check is made to ensure that only archives and variables from the project to which the report is linked are used.

Configure archives

Clicking on the button opens the dialog to select the archives and variables. For details, see the Configure archives section.

Configure archives

Clicking on the Configure archives button opens the dialog for configuring the archives. The size of the dialog can be changed by dragging it with the mouse. The division of the left and right (variable) space can be changed by dragging the dividing bar.

Screenshots - Expanding

Parameters

Description

Projects

Selection from the list of available projects. These are taken from the metadata.

If the report is tied to a project (see Configuring time filter section) only the tied project can be seen.

Activation or deactivation of checkboxes influences the display of objects in other lists.

Archives

Display of all archives that are available in the projects selected in Projects.

Syntax: [project name]#[archive name] ([cycle time])

If an entry is activated or deactivated via the checkbox, the objects available in the Normalize to 1 second cycle time and Variables lists are updated.

Normalize to 1 second cycle time

Lists all archives activated in the previous list with the same display syntax.

Checkbox activated: The archive is accepted into the list, which is to be converted to a 1-second cycle.

Note: Activation only makes sense if time-corrected average values for variables from a spontaneous archive are to be displayed!

Variables

Lists all variables that are present in variables that have been activated in the Archives list.

Syntax: [project name]#[archive name] – [variable name] ([compression of the variables in the archive])

Checkbox activated: The archive variables are accepted into the Archive configuration list in the report area.

OK

Applies changes and closes the dialog.

Cancel

Discards changes and closes the dialog.


Archive variable input

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Archive variable input

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The archive variables for Extended Historian Analysis reports are entered using a display and a configuration dialog.

Screenshots - Expanding

Parameters

Description

Select archives and variables.
  • Display and configuration of the archive variables.

List field

Shows the current configuration.

Display schematic:

  • Project
  • Archive
  • Variable and data aggregation

Archive aggregation variable configuration

Clicking on the button opens the dialog to configure the archive variables for Extended Historian Reports.

If the report is tied to a project using the time filter settings, then the entries are filtered. Only archives and variables of the tied project can be displayed and configured.


Archive variables and production counter

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Archive variables and production counter

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The archive variables for Extended Historian Analysis reports are entered using a display and a configuration dialog. Some of this type of report use the production counter to calculate relative consumers.

Screenshots - Expanding

Parameters

Description

Production counter configuration

Settings for production counter.

List field

Overview table with information on:

  • Selected project
  • Selected equipment model
  • Assignment for the total production counter
  • Archive for counter variables
  • Compression function of the counter variables in the archive

Configure production counter

Clicking on the button opens the dialog for configuration of the product counter for Extended Historian reports.

If the report is tied to a project using the time filter settings, the project is accepted here.

Archive variables configuration

Settings for archive variables.

List field

Displays current configuration

Display schematic:

  • Project
  • Archive
  • Variable and data aggregation

Archive aggregation variable configuration

Clicking on the button opens the dialog to configure the archive variables for Extended Historian Reports.

The button is only active if the report was tied to a project via the upper grouping or the time filter settings.

Noch in diesem Kapitel

Configuration of production counter

Archive variable configuration


Configuration of production counter

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Archive variables and production counter -> Configuration of production counter

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The total production counter for Extended Historian Analysis report templates is configured using a dialog. This dialog is configured by clicking on the Configure production counter button in the ZAMS report window:

Screenshots - Expanding

Parameters

Description

General

Selection of project and equipment model for the overall production counter.

Project

Selection of the project from the drop-down list.

Deactivated if the report is tied to a project.

Equipment group

Selection of the equipment model.

Production counter variable

Settings for meaning, archives and aggregation function.

Assignment for total units counter

Input of the meaning for the counter variable for the total figure.

Default: TotalUnits

Archive for counter variables

Selection of the archive for counter variable from drop-down list.

Set default configuration

Sets the values automatically:

  • Meaning: TotalUnits
  • Archive: Short description C1, if present in project
  • Aggregation function: Raw value

Validation

Starts validation of the configuration. Results are displayed in the list field.

List field

Displays results of the validation.

OK

Applies all changes and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Archive variable configuration

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Archive variables and production counter -> Archive variable configuration

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Archive variables for extended Extended Historian reports are configured using a dialog. The dialog is opened by clicking on the Configure archive button in the ZAMS report window.

Screenshots - Expanding

Parameters

Description

Overview and manual configuration

Overview table of the current configuration with a display of:

  • Variable name
  • Archive name
  • Description

If a variable is selected in the overview table, the drop-down list with all archives in which the variable is kept are filled.

Archive for the selected variable

Selection of the archive configuration for the variables selected in the list.

The field below the drop-down list shows the description of the variables and the selected archive.

Automatic configuration

Settings for the automated configuration of all variables. There are different algorithms available for this:

  • Prefer the basis archive with the shortest cycle time
  • Prefer the aggregated archive with the longest cycle time
  • Prefer the archive whose cycle time is closest to the defined cycle time

Prefer the basis archive with the shortest cycle time

For maximum resolution.

Base archive with the lowest cycle time

Prefer the aggregated archive with the longest cycle time

For a minimum amount of data.

Aggregated archive with the longest cycle time.

Attention: Only the SUM compression type is used for the configuration in aggregated archives.

Prefer the archive whose cycle time is closest to the defined cycle time

User defined.

The archive with the cycle time that has the lowest difference to the target cycle time is used. In doing so, an archive with a lower cycle time than the target cycle time is considered better than an archive with a cycle time that is too long.

Userdefined cycle time

Only available if the Prefer the archive whose cycle time is closest to the defined cycle time option has been activated.

Definition of cycle time.

There are three possibilities available to determine this:

  • 1 year
  • 1 month
  • User defined:
    days
    hours
    minutes
    seconds
    maximum: 1000 days

Execute automatic configuration

Clicking on the button starts the automated configuration.

OK

Clicking on the button accepts changes and closes the dialog.

Cancel

Clicking on the button discards the changes and closes the dialog.


Custom formulas

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Custom formulas

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Display and configuration of custom formulas. Custom formulas can be configured for:

  • Reports without aggregation over the time range
  • Reports with aggregation over the time range

Screenshots - Expanding

Parameters

Description

Custom formulas

List and buttons to display and configure user-defined formulas.

List of custom formulas

Display all configured user-defined formulas.

If individual colors are configured, these are displayed. Standard colors from the ZAMS color scheme are represented.

Attention: If the configuration of a formula is changed, the individual sorting is lost.

Configure custom formulas

Opens the dialog to configure user-defined formulas.

The dialog is different for:

  • Reports without aggregation over the time range
  • Reports with aggregation over the time range

Arrange and colorize formula results

Opens the dialog to sort and color user-defined formulas.

Noch in diesem Kapitel

Configure custom formulas

Formula editor

Arrange and colorize formula results


Configure custom formulas

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Custom formulas -> Configure custom formulas

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Custom formulas can be configured for:

  • Reports without aggregation over the time range
  • Reports with aggregation over the time range

Configuration of custom formulas without aggregation

Screenshots - Expanding

Parameters | Description
Variables selection | Selection of which fields are to be read with which variable values from which archives.
Cost calculation | Selection of which variable raw data fields should have cost fields.
Constant Fields | Definition of constant values.
Custom formulas | Configuration of formulas with fields from the other tabs.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. Only available if all necessary configuration has been carried out.
Cancel | Discards all changes in all tabs and closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Configuration of custom formulas with aggregation

Screenshots - Expanding

Parameters | Description
Variables selection | Selection of which fields are to be read with which variable values from which archives.
Cost calculation | Selection of which variable raw data fields should have cost fields.
Constant Fields | Definition of constant values.
Calculated fields before aggregation | Configuration of formulas with fields from the other tabs.
Aggregation fields | Configuration of aggregation from all fields of the previous tabs.
Calculated fields before aggregation | Configuration of formulas with fields from the Configuration fields tab.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. Only available if all necessary configuration has been carried out.
Cancel | Discards all changes in all tabs and closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Noch in diesem Kapitel

Variables selection

Cost calculation

Constant Fields

Custom formulas

Calculated fields before aggregation

Aggregation fields

Calculated fields after aggregation


Variables selection

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Custom formulas -> Configure custom formulas -> Variables selection

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In this tab, which fields are to be read, and with which variable values, and from which archives is configured.

In the upper area of the tab, metadata is displayed; fields are displayed in the lower area.

Screenshots - Expanding

Parameters

Description

Metadata area

Filtering and selecting the metadata.

Filter

Selection of the filters to be applied on the Metadata table. The following is available:

  • Project name
  • Archive name
  • Variable name
  • Measuring unit
  • Meanings
  • Equipment groups

The filtering is carried out by entering a sequence of characters in the desired input fields. Clicking on the Apply button updates the list.

You can use wild cards here:

  • ?: precisely 1 desired character.
  • *: any desired number of any desired characters
  • If no wildcard is used, a * is automatically attached to the filter text.

The filters are linked with a logical AND. This means that a row must meet all filter criteria in order for it to be displayed.

Apply

Applies filter criteria to the Metadata table.

Delete

Deletes the content of all filter fields, resets the filter and displays all rows in the Metadata table.

Metadata table

Lists all existing metadata. These can be shown with filtering and added to the Field area.

Rows of the table can be highlighted for selection. Multiple-selection is possible using the key combination Ctrl+mouse click or shift+mouse click.

Add

Clicking adds a field in the field area for each row highlighted in the table. Variables can also be added by double clicking.

in doing so, a combination of variables, archive and aggregation of variables in the archive can always only occur once as a field. Attempts to add an existing combination again are ignored.

Add all

Clicking adds a field in the field area for each row visible in the table.

in doing so, a combination of variables, archive and aggregation of variables in the archive can always only occur once as a field. Attempts to add an existing combination again are ignored.

Invisible rows, which are suppressed by the filter, are ignored.

Field area

Contains a row for each field.

The following parameters are displayed:

  • Variable visibility: Stipulates if this field is visible in the report. Is not available for Formulas with aggregation.
  • Data origin: Project name, archive name, variable name and aggregation of the variables in the archive are displayed.
  • Field name: Is used for the display of the field in other areas of this dialog and in the report. Standard: Variable name from the metadata.
  • Measuring unit: Unit of the field.

Visible in report

Active: This field is visible in the report.

Default: inactive

Is not available for Formulas with aggregation, because variable raw data fields cannot be visible with aggregation in the report.

Field name

Is used for the display of the field in other areas of this dialog and in the report.

  • Must be unique.
  • Must not be empty.

Maximum: 256 characters

Default: Variable name from the metadata.
However if this would lead to a clash, a counter is added to the name.

Measuring unit

Unit of the field.

Maximum: 256 characters

Default: Variable unit from the metadata.

X

Clicking on the button deletes the field.

If a different field relates to the field to be deleted, you are asked to confirm deletion beforehand. If this is confirmed, this field and all (including indirect) fields thereof are deleted.

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.


Cost calculation

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Custom formulas -> Configure custom formulas -> Cost calculation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In this tab, the variable raw data fields for which there are to be cost fields are defined.

Screenshots - Expanding

Parameters

Description

Table of fields

Table with fields to calculate costs.

Field name

Display of the field name from the variable selection.

Cost calculation

Active: There is a cost field for this variable raw data field.

If another field relates to this cost field and an attempt is made to set the checkbox to inactive, you are asked to confirm this. If the user confirms this, this cost field and all (including indirect) dependent fields are deleted.

Default: inactive

The availability of the other fields depends on the status of the checkbox.

Costs field visibility

Active: Cost field is visible in the report.

Default. inactive

Is not available for Formulas with aggregation, because cost fields cannot be visible in the report.

Costs field name

Is used for the display of the field in other areas of this dialog and in the report.

  • Must be unique.
  • Must not be empty.

Maximum: 256 characters

Default: Variable name from the metadata to which this cost field is assigned.
However if this would lead to a clash, a counter is added to the name.

Currency

Stipulation of the unit (currency) of the cost field.

Maximum: 256 characters

Default: The first currency in the alphabet that is assigned to the variables in the metadata, from which the variable raw data field is fed in.

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.


Constant Fields

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Custom formulas -> Configure custom formulas -> Constant Fields

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Constant values are defined in this tab.

Screenshots - Expanding

Parameters

Description

List of fields

Lists all configured fields with constant values.

New

Clicking on the button adds a new line with a new constant.

Variable visibility

Active: This field is visible in the report.

Default: inactive

Is not available for Formulas with aggregation, because constant fields cannot be visible in the report.

Field name

Is used for the display of the field in other areas of this dialog and in the report.

  • Must be unique.
  • Must not be empty.

Maximum: 256 characters

Default: Variable name from the metadata.
However if this would lead to a clash, a counter is added to the name.

Constant value

Input of the constant value.

  • Must not be empty.
  • Must contain a valid floating point number (whole numbers are valid floating point numbers).

Default: 1

Measuring unit

Determining the unit of the field.

Maximum: 256 characters

Default: empty

X

Clicking on the button deletes the field.

If a different field relates to the field to be deleted, you are asked to confirm deletion beforehand. If this is confirmed, this field and all (including indirect) fields thereof are deleted.

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.


Custom formulas

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Custom formulas -> Configure custom formulas -> Custom formulas

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Formulas for reports without aggregation over the time range are configured in this tab. These can use all the fields defined in the previous tabs. Each formula corresponds to a line in the list of formulas. In doing so, each formula can address all fields defined before it (lines above the line in question).

Screenshots - Expanding

Parameters

Description

List of formulas

Lists all configured formulas.

New

Click on button opens the formula editor.

The formula is inserted at the bottom end of the list as a new line when the Editor is closed.

Default name: New Field. If this name clashes with an existing one, a counter is added, for example New Field 1.

Variable visibility

Displays visibility in the report.

Visible in report

Active: Formula is visible in the report.

Default. inactive

Not available for Formulas with aggregation, because base data formula fields cannot be visible with aggregation in the report.

Field name

Is used for the display of the field in other areas of this dialog and in the report.

  • Must be unique.
  • Must not be empty.

Maximum: 256 characters

Measuring unit

Determining the unit of the field.

Maximum: 256 characters

Calculation formula

Preview screen of the formula. Displays the calculation formula set in the formula editor for this field. If the name of one of the fields referenced in the formula is changed, the preview screen is removed.

Edit

Clicking on the button opens the formula editor to edit the formula.

X

Clicking on the button deletes the field.

If a different field relates to the field to be deleted, you are asked to confirm deletion beforehand. If this is confirmed, this field and all (including indirect) fields thereof are deleted.

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.


Calculated fields before aggregation

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Custom formulas -> Configure custom formulas -> Calculated fields before aggregation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Formulas for reports with aggregation over the time range are configured in this tab. These can use all the fields defined in the previous tabs. Each formula corresponds to a line in the list of formulas. In doing so, each formula can address all fields defined before it (lines above the line in question).

Screenshots - Expanding

Parameters

Description

List of formulas

Lists all configured formulas.

New

Click on button opens the formula editor.

The formula is inserted at the bottom end of the list as a new line when the Editor is closed.

Default name: New Field. If this name clashes with an existing one, a counter is added, for example New Field 1.

Field name

Is used for the display of the field in other areas of this dialog and in the report.

  • Must be unique.
  • Must not be empty.

Maximum: 256 characters

Measuring unit

Determining the unit of the field.

Maximum: 256 characters

Calculation formula

Preview screen of the formula. Displays the calculation formula set in the formula editor for this field. If the name of one of the fields referenced in the formula is changed, the preview screen is removed.

Edit

Clicking on the button opens the formula editor to edit the formula.

X

Clicking on the button deletes the field.

If a different field relates to the field to be deleted, you are asked to confirm deletion beforehand. If this is confirmed, this field and all (including indirect) fields thereof are deleted.

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.


Aggregation fields

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Custom formulas -> Configure custom formulas -> Aggregation fields

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Aggregations for fields from the previous tabs are configured in this tab. Each one is entered in its own row.

There are two types of row:

  • Constant Fields: Only have one subline for the constant aggregation.
  • All other fields: Have a subline each for the aggregation functions that are independent from one another:
    • Sum
    • Average
    • Minimum
    • Maximum

Screenshots - Expanding

Parameters

Description

List of aggregations

Lists all configured aggregations.

Field name

Display of the field name of the aggregated field.

Active aggregation types

Display of the status of the aggregation types.

Checkbox in front of the active aggregation type: There is an aggregation field with this type of compression for this base data field

If another field relates to this aggregation field and an attempt is made to deactivate the checkbox, you are asked to confirm this. If the user confirms this, this aggregation field and all (including indirect) dependent fields are deleted.

Default: Checkbox inactive

The status of the checkbox determines whether the other input fields are active or not.

Aggregation field visibility

Shows if this aggregation field is visible in the report.

Active: Aggregation field is visible in the report.

Default: inactive

Aggregation field name

Is used for the display of the field in other areas of this dialog and in the report.

  • Must be unique.
  • Must not be empty.

Maximum: 256 characters

Default: Name of the base data field that is assigned to the archive If this would lead to a clash, a counter is added.

Aggregation field unit

Stipulation of the unit of the aggregation field.

Maximum: 256 characters

Default: Unit of the base data field.

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.


Calculated fields after aggregation

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Custom formulas -> Configure custom formulas -> Calculated fields after aggregation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In this tab, formulas with fields from the Aggregation fields tab are configured. In doing so, each formula can address all fields defined before it (lines above the line in question).

Screenshots - Expanding

Parameters

Description

List of formulas

Lists all configured formulas.

New

Click on button opens the formula editor.

The formula is inserted at the bottom end of the list as a new line when the Editor is closed.

Default name: New Field. If this name clashes with an existing one, a counter is added, for example New Field 1.

Variable visibility

Displays visibility in the report.

Visible in report

Active: Formula is visible in the report.

Default. inactive

Not available for Formulas with aggregation, because base data formula fields cannot be visible with aggregation in the report.

Field name

Is used for the display of the field in other areas of this dialog and in the report.

  • Must be unique.
  • Must not be empty.

Maximum: 256 characters

Measuring unit

Determining the unit of the field.

Maximum: 256 characters

Calculation formula

Preview screen of the formula. Displays the calculation formula set in the formula editor for this field. If the name of one of the fields referenced in the formula is changed, the preview screen is removed.

Edit

Clicking on the button opens the formula editor to edit the formula.

X

Clicking on the button deletes the field.

If a different field relates to the field to be deleted, you are asked to confirm deletion beforehand. If this is confirmed, this field and all (including indirect) fields thereof are deleted.

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.


Formula editor

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Custom formulas -> Formula editor

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The formula editor allows the creation of a formula.

Screenshots - Expanding

Parameters

Description

Operations

Available operations. These can be moved by dragging & dropping into the Formula area.

Five groups of operations are available.

  • Basic operations
  • Mathematical operations
  • Rounding operations
  • Trigonometric operations
  • Aggregating operations

Details on the operations are shown hereafter.

Formula name

Name of the formula that is currently being created.

  • Must not be empty.
  • Must not be used by another formula.

Name is displayed in the Formula area.

Available operands

Fields that are available as operands. These can be moved to the respective input fields for operands by dragging & dropping them into the Formula area.

The list of operations can be filtered. Filtering is carried out by entering a sequence of characters in the input field. Each change of the filter text triggers a direct update.

You can use wild cards here:

  • ?: precisely 1 desired character.
  • *: any desired number of any desired characters
  • If no wildcard is used, a * is automatically attached to the filter text.

Formula area

Contains the Formula name and input fields for operations and operands. These input fields are populated by dragging & dropping.

Creation of a formula:

  • If an operation is placed by dragging & dropping on the input field in the Formula area, this is replaced by the operation identified and the input fields of the operation.
  • If an operand is placed on an input field in the Formula area, the field name replaces the input field.

A formula is valid if at least one operation is present and each operation has a sufficient number of assigned fields.

OK

Applies settings and closes the dialog.

To do this, the following criteria must be met:

  • valid name
  • valid formula

Cancel

Discards all changes and closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Creating formulas

To create formulas:

  1. Drag & drop an operation to the input field in the Formula area.

    General Analyzer Schema Graphics Template

  2. The field shows the corresponding operation. New input fields are created.
  3. Move them by dragging & dropping them into the input fields:
    • New operations (this is how you create more complex formulas)

      General Analyzer Schema Graphics Template

    • Desired operands
  4. Add further operations and/or operands until your formula is completed.

Example:

General Analyzer Schema Graphics Template

Rules for the formula editor

  • Brackets are automatically placed in the formula editor to clarify the method of calculation.
  • All brackets and slashes automatically scale their size, based on the fields and operations that are subordinate to them.

Resetting inputs

An input field can be reset to remove operations or operands.

To do this:

  1. Right click on the object (input field, operation, operand, operations sign).
  2. All elements affected that become an individual input field after resetting are displayed with a surrounding border.
  3. A context menu is displayed.
  4. click on Reset.
  5. The elements with a surrounding border are replaced by an empty input field.

Examples:

  • Resetting the Multiplier input field:

    General Analyzer Schema Graphics Template

  • Resetting the Multiplicandinput field, consisting of an addition operation:

    General Analyzer Schema Graphics Template

  • Resetting the complete multiplication operation:

    General Analyzer Schema Graphics Template

Operations

The following operations are possible in the formula editor:

  • Basic operations
  • Mathematical operations
  • Rounding operations
  • Trigonometric operations
  • Aggregating operations

Basic operations

  • Addition: Input field is replaced by two new input fields, separated by a plus sign (+).
  • Subtraction: Input field is replaced by two new input fields, separated by a minus sign (+).
  • Multiplication: Input field is replaced by two new input fields, separated by a multiplication sign (x).
  • Division/Fraction: Input field is replaced by two new input fields, separated by a fraction bar (-).

Mathematical operations

  • Absolute value: Input field is replaced by a function identifier, brackets and a new input field.
  • Power (of relation): Input field is replaced by a function identifier, a numerical field for the constant exponents, brackets and a new input field.
  • Root: Input field is replaced by a function identifier, a numerical field for the constant root order, brackets and a new input field.
  • Exponential function with Euler's number as a basis: Input field is replaced by a function identifier, brackets and a new input field.
  • exponential function: Input field is replaced by a function identifier, a numerical field for the constant base, brackets and a new input field.
  • Logarithm for the base of Euler's number: Input field is replaced by a function identifier, brackets and a new input field.
  • Base 10 logarithms: Input field is replaced by a function identifier, brackets and a new input field.
  • Logarithm: Input field is replaced by a function identifier, a numerical field for the constant base, brackets and a new input field.

Rounding operations

  • Rounding up to the next whole figure: Input field is replaced by a function identifier, brackets and a new input field.
  • Rounding down to the next whole figure: Input field is replaced by a function identifier, brackets and a new input field.
  • Round: Input field is replaced by a function identifier, a drop-down selection field for the precision, brackets and a new input field.

Trigonometric operations

  • Sine: Input field is replaced by a function identifier, brackets and a new input field.
  • Cosine: Input field is replaced by a function identifier, brackets and a new input field.
  • Tangent: Input field is replaced by a function identifier, brackets and a new input field.
  • Cotangent: Input field is replaced by a function identifier, brackets and a new input field.
  • Arcsine: Input field is replaced by a function identifier, brackets and a new input field.
  • Arcosine: Input field is replaced by a function identifier, brackets and a new input field.
  • Arctangent: Input field is replaced by a function identifier, brackets and a new input field.
  • Radians to Degrees: Input field is replaced by a function identifier, brackets and a new input field.
  • Degrees to Radians: Input field is replaced by a function identifier, brackets and a new input field.

Aggregating operations

  • Sum: Input field is replaced by a function identifier, brackets and a new input field. This is an operation with any desired number of operands. If something is moved to the new input field, an additional new input is provided.
  • Average: Input field is replaced by a function identifier, brackets and a new input field. This is an operation with any desired number of operands. If something is moved to the new input field, an additional new input is provided.
  • Minimum: Input field is replaced by a function identifier, brackets and a new input field. This is an operation with any desired number of operands. If something is moved to the new input field, an additional new input is provided.
  • Maximum: Input field is replaced by a function identifier, brackets and a new input field. This is an operation with any desired number of operands. If something is moved to the new input field, an additional new input is provided.


Arrange and colorize formula results

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Custom formulas -> Arrange and colorize formula results

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In this dialog, you can color custom formulas and sort their sequence.

To open the dialog:

  1. In the Custom formulas group, click on the Arrange and colorize formula results group
  2. The dialog is opened

Each visible formula is represented by a line in the list. The sequence of the formulas in this dialog also defines their sequence for display in ZAMS and in actual charts and tables in the report.

Screenshots - Expanding

Parameters

Description

Arrow keys

Clicking on a button changes the sequence of the corresponding formula.

  • Clicking on the first arrow key moves the formula up one position. If the formula is already in the top line, the arrow key remains inactive.
  • Clicking on the second arrow key moves the formula down one position. If the formula is already in the bottom line, the arrow key remains inactive.

Attention: If the configuration of a formula is changed, the individual sorting is lost.

Formula names

Name of the formula.

Standard coloring

The status of the checkbox defines whether the formula is assigned its color from the respective graphics object from the colors of the ZAMS color scheme or if it receives individual coloring.

  • Active: Standard colors from the ZAMS color scheme are used.
  • Inactive: Individual colors are used.
    The Color and Color preview buttons are shown for configuration purposes.

Color preview

Display of the color defined individually for this formula.

Initial value: White

Color

Click on the color to open the standard color palette for selecting a color.

In the dialog, the 10 standard colors from the active ZAMS color scheme are offered as Userdefined color schemes.

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Labels for operating modes

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Labels for operating modes

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

This grouping is for the selection of the labeling for operating modes.

Screenshots - Expanding

Parameters

Description

Operation mode labels

Selection of the marking for operating modes from drop-down list:

  • Variable visual name
  • Descriptive text for the variables


Lot archive selection

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Lot archive selection

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Selection of the lot archive from the drop-down list for the comparison of OEE indicators.

Screenshots - Expanding

Parameters | Description
Lot archive selection | Configuration of the lot archive.
Project | Selection of the project that is to be linked to a project from a drop-down list. If a project is selected, this project is forwarded to all other groupings in the report that offer project selection. If this grouping receives a message about a linked project from another grouping, this project is set in the drop-down list and the drop-down list is deactivated.
Lot archive | Selection of a lot archive for the selected project from the drop-down list.


Connector selection

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Connector selection

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Selection of a connector from the drop-down list.

Screenshots - Expanding

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)


Drop-down lists, inputs and selection

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Drop-down lists, inputs and selection

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Input fields and drop-down lists allow input of text, numerical values and given elements:

  • Single selection: Selection of a value from drop-down list:
  • Text input: Input of free text
  • Numerical input: Entering numeric values

Selection of an individual entry

Screenshots - Expanding

Selection of an entry from a list of given values.

Examples:

  • Data representation:
    Selection of the display of data from the drop-down list.
    • Line chart and pivot table
    • Column chart and pivot table
    • Line chart
    • Column chart
    • Pivot table
  • Archive compression selection:
    Selection of the type of aggregation for the variables stored in the archive:
    • Raw value
    • Sum
    • Average
    • Minimum
    • Maximum

Text input

Screenshots - Expanding

Free input of text in the text field.

Numeric input

Input of numeric values.

Screenshots - Expanding

The values can also be increased or reduced with the spin control. Minimum and maximum values and an increase or reduction using the spin control and display of decimal points is defined by the report developer.


Iterative data collection

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Iterative data collection

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Allows the configuration of an interval and the abort time stamp for the iterative data collation by stored procedures.

Screenshots - Expanding

Parameters

Description

Data collection iteration configuration

Configuration for iteration interval and cancel time.

Iteration interval

Configuration of the iteration interval in:

  • Minutes
  • Hours
  • Days

Minimum: 1

Maximum: 1000

Default: 1 day

Abort time stamp

Timestamp cancel with

  • Date
  • Time

Default: 01.01.2013 00:00:00


Availability gauge ranges

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Availability gauge ranges

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration and display for measurement device color areas. The elements can be used in a report for different areas.

Screenshots - Expanding

Parameters

Description

Availability gauge ranges

Configuration of the color ranges:

  • Low range
  • Medium range
  • High range

The upper limit of the low range is the lower value of the high range. The lower limit of the high range is the upper value of the low range. Both limits are inclusive limits. Both elements can be set to the same value. In this case, there is no medium range. The lower limit for the low range and the upper limit for the high range come from the report template.

Low range goes until

Defines the limit between the low (red) and medium (yellow) range in the measuring device.

High range starts at

Defines the limit between the medium (yellow) and high (green) range in the measuring device.

Display of the areas.

Preview of the configured color ranges.


Decimal places

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Decimal places

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Stipulation of the decimal places for the counters of a report.

Screenshots - Expanding

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.


OEE calculation

zenon Analyzer -> Supplied report templates -> Elements in the report area -> OEE calculation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Clicking on the Configure assignments button in the ZAMS dialog for variable assignments for OEE calculation opens a dialog for the assignment of projects, archives and variables:

Screenshots - Expanding

Parameters

Description

Project

Selection of a project from the drop-down list.

The corresponding archives are available, depending on the project.

Basic variables for calculation

Configuration of the variables for the OEE calculation.

Archive for basic calculation variables

Selection of a non-cyclical archive.

Assignment for planned production time

Assignment of the variables for the planned production time.

Default: EffectiveWorkingTime

Assignment for real production time

Assignment of the variables for the actual production time.

Default: Operating Time

Assignment for designed speed

Assignment of the variables for the planned equipment speed.

Default: DesignedSpeed

Counter variables

Configuration of the counter variables.

Archive for counter variables

Selection of a cyclical archive.

Assignment for total units counter

Assignment of the variables for the total production quantity.

Default: TotalUnits

Assignment for good units counter

Assignment of the variables for the total quantity of good units produced.

Default: GoodUnits

Set default assignments and archives

Clicking on the button enters the standard configuration for assignments and archives.

Validation

Validation of the configuration entered

Validate configuration

Clicking on the button checks:

  • Are all input fields populated?
  • For how many and which equipment models is it possible to calculate the OEE key figures with the given configuration?

The result of checking is shown in the input field.

OK

Accepts all inputs and closes dialog.

Cancel

Discards all changes and closes dialog.

Hints:

  • The term Assignment corresponds to the Meaning table column.
  • OEE calculations require the corresponding configuration in zenon.


Production data filters

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Production data filters

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration and display of the optional data filtering.

Screenshots - Expanding

Parameters | Description
Production data filters | Configuration and display of the production data filter.
Project | Selection of the project that is to be linked to a project from a drop-down list. If a project is selected, this project is forwarded to all other groupings in the report that offer project selection. If this grouping receives a message about a linked project from another grouping, this project is set in the drop-down list and the drop-down list is deactivated.
Data Filter configuration | Table with the current settings for data filtering.
Configure data filters | Clicking on the button opens the dialog for configuring the data filters.

Noch in diesem Kapitel

Configuration of data filter


Configuration of data filter

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Production data filters -> Configuration of data filter

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

With this dialog:

  • Data filters, if present, are activated or deactivated
  • Enter meaning, which is used for addressing the variables for this data filtering

To be able to switch the dialog, a project must be selected in the configuration.

Screenshots - Expanding

Parameters

Description

Data filter type

Activation and deactivation of the data filter types.

Meaning for data filter variable

Enter the meaning for data filter variables.

The input field is only active if the checkbox in front of it is active. If the input field is empty when the checkbox is activated, it is populated with the standard value for the meaning.

Pallet type

Active: It is filtered according to the pallet type.

The input field next to the checkbox is for entering the meaning (Meaning) for the addressing of the variables for this filter.

Crate type

Active: It is filtered according to the crate type.

The input field next to the checkbox is for entering the meaning (Meaning) for the addressing of the variables for this filter.

Bottle type

Active: It is filtered according to the bottle type.

The input field next to the checkbox is for entering the meaning (Meaning) for the addressing of the variables for this filter.

Bottling tank number

Active: It is filtered according to the bottling tank number.

The input field next to the checkbox is for entering the meaning (Meaning) for the addressing of the variables for this filter.

Validate configuration

Clicking on the button validates the inputs and provides the results in the list field.

The following is checked during validation:

  • Whether the report is linked to a project and/or an equipment model
  • For which equipment groups precisely one variable each per active filter can be addressed with the meanings entered

OK

Applies settings and closes the dialog. If one of the input fields is activated but empty, the button is not shown.

Cancel

Discards all changes and closes the dialog.


Production indicators

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Production indicators

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration and display of the indicators and the initial variables for their calculation.

Screenshots - Expanding

Parameters | Description
Production indicators | Configuration and display of the production indicators.
Project | Selection of the project that is to be linked to a project from a drop-down list. If a project is selected, this project is forwarded to all other groupings in the report that offer project selection. If this grouping receives a message about a linked project from another grouping, this project is set in the drop-down list and the drop-down list is deactivated.
Optional indicators | Table with the current settings for the optional indicators.
Assigned meanings | Table with the configuration of the field meanings for the calculation of the indicators.
Configure indicators | Clicking on the button opens the dialog for configuring the indicators.

Noch in diesem Kapitel

Configuration indicators


Configuration indicators

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Production indicators -> Configuration indicators

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The indicators are configured in four tabs:

  • Mandatory indicator meaning
  • Optional indicators
  • Optional indicator meaning
  • Validation

A project must be selected in order to be able to configure the indicators.

Mandatory indicator meaning

Screenshots - Expanding

Parameters | Description
Field in formula | Time counters for the formula. Meanings must be set for these, because the attendant variables are needed for the main indicators.
Meaning | Input of the meaning for the addressing of the variables for the following time counters. If one of the input fields is empty when the dialog is called up, it is filled with the standard value.
Loading time | Planned running time. Default: Loading Time
Operating time | Actual running time. Sum of effective running time and downtimes. Default: Operating Time
Net operating time | Net running time. Default: NetOperating Time
Valuable operating time | Valuable running time. Default: ValuableOperating Time
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.

Calculation of the main indicators

The four main indicators are calculated according to these formulas:

General Analyzer Schema Graphics Template

Optional indicators

Optional indicators are activated and deactivated using this tab.

Screenshots - Expanding

Parameters

Description

Activation of the optional indicators

The following indicators can be activated or deactivated as required by activating the checkboxes:

  • Mean time between stoppages (MTBS)
  • Mean time between failures (MTBF)
  • Mean time to repair (MTTR)
  • Mean time between touch (MTBT)
  • Total units
  • Good units
  • Machine efficiency
  • Effective output
  • Delivery efficiency
  • Utilisation factor

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

If one of the necessary input fields is empty, the button is deactivated.

Cancel

Discards all changes in all tabs and closes the dialog.

Optional indicator meaning

Screenshots - Expanding

Parameters

Description

Field in formula

Fields for the formula. Meanings must be set for these if the indicators are to be used.

  • MTBS time counter
  • MTBS event counter
  • MTBF time counter
  • MTBF event counter
  • MTTR time counter
  • MTTR event counter
  • MTBT time counter
  • MTBT event counter
  • Total units
  • Good units
  • Effective running time
  • General running time
  • Filled and sealed units
  • Machine nominal output
  • Machine set output

Meaning

Input of the meaning for the addressing of the variables for the following indicators. The input field is only active if at least one of the indicators that uses the field that is assigned to the input field is active.

If one of the input fields is empty when the dialog is called up, it is filled with the standard value.

Field

Used by

MTBS time counter

Mean Time Between Stoppage

MTBS event counter

Mean Time Between Stoppage

MTBF time counter

Mean Time Between Failures

MTBF event counter

Mean Time Between Failures

MTTR time counter

Mean Time To Repair

MTTR event counter

Mean Time To Repair

MTBT time counter

Mean Time Between Touches

MTBT event counter

Mean Time Between Touches

Total units

Total Units

Good units

Good Units

Effective running time

Machine Efficiency

General running time

Machine Efficiency, Effective Output and Delivery Efficiency

Filled and sealed units

Effective Output and Delivery Efficiency

Machine nominal output

Delivery Efficiency and Utilization Factor

Machine set output

Utilization Factor

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

If one of the necessary input fields is empty, the button is deactivated.

Cancel

Discards all changes in all tabs and closes the dialog.

Calculation of the optional indicators

The optional indicators are calculated according to these formulas:

General Analyzer Schema Graphics Template

Validation

Screenshots - Expanding

Parameters

Description

Validate configuration

Clicking on the button validates the inputs and provides the results in the list field.

The following is checked during validation:

  • Whether the report is linked to a project and/or an equipment model
  • For which equipment groups precisely one variable each per active filter can be addressed with the meanings entered

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

If one of the necessary input fields is empty, the button is deactivated.

Cancel

Discards all changes in all tabs and closes the dialog.


RDL file - path

zenon Analyzer -> Supplied report templates -> Elements in the report area -> RDL file - path

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The RDL file path is displayed and configured using four elements:

Screenshots - Expanding

Parameters | Description
Report file name | Text field for the input of a name for the RDL file. The name may not contain any of the following characters: ;?:@&=+$,\*<>|"/
Report file path | Show the current RDL file path.
Choose report file path | Opens the dialog for configuring the path.
All report deployment paths | Shows all paths for language-dependent folders configured in the options.

Configuring the path

To configure the path for the RDL file:

  1. Click on the Select RDL folder path button in the report window
  2. The dialog for selecting and creating a folder is opened
  3. Enter the path directly or select it in the tree
  4. click on OK

Dialog to select report path on server

Screenshots - Expanding

Parameters

Description

Enter report file path

Active: The file path is entered into the field manually.

The following applies for the input of the name:

  • The slash at the start of the name is set automatically
  • The length of the complete path must not exceed 260 characters
  • The name must not be empty nor consist solely of dots and/or spaces
  • The name must not be the same as one of the language designators (EN, DE, ...)
  • The name must not contain any non-permitted characters
    The following are not permitted: ;?:@&=+$,\*<>|"/

Choose report file path

Active: The file path is selected from the list.

The list contains the current folder structure, whereby language folders are not shown. For example:
Folder EN/folder 1 or folder1/EN are always displayed as folder1.

List field

Displays the folder structure of the Analyzer server. The currently-selected folder is highlighted.

A folder can be selected in the list.

New folder

Opens dialog to add a new folder.
Only active if Select report file path has been activated.

For details, see the Creating a new folder section.

OK

Checks the inputs to ensure that they are valid, accepts the entered or selected folder including language variants as the path to store the RDL file and closes the dialog.

Cancel

Closes the dialog without changing the path.

Create new folder

Clicking on the New folder button in the dialog to select the folder for the RDL file opens the dialog to create a folder:

Screenshots - Expanding

Parameters

Description

Current path

Display of the current superordinate folder, under which the new folder is to be created. The folder highlighted in the Select report file path dialog is given.

Name for new folder

Entry of the name for the folder.

The following applies for the input of the name:

  • The slash at the start of the name is set automatically
  • The length of the complete path must not exceed 260 characters
  • The name must not be empty nor consist solely of dots and/or spaces
  • The name must not be the same as one of the language designators (EN, DE, ...)
  • The name must not contain any non-permitted characters
    The following are not permitted: ;?:@&=+$,\*<>|"/

OK

Accepts settings and creates new folder. This is displayed in the list.

Cancel

Rejects all inputs and closes the dialog without creating a folder.


Report templates

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Report templates

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Information on the report templates:

Screenshots - Expanding

Parameters

Description

Information on report templates

Information on the report template, consisting of:

  • Theme
  • Report template

Both localized names are read from the RTC at the time of the creation of the zams_rep file and then saved in the zams_rep file. Changes in the RTC file are thus not implemented here!

Theme

Localized name of the report template class from which the report template for the report comes.

Only display.

Report template

Localized name of the report template used.

Only display.


Shift data origin

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Shift data origin

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The group Shift list linked to equipment group in the dialog to configure alarm reports allows the assignment of alarm groups to shifts. Some reports use the shift data to determine the net waiting time for alarms.

Screenshots - Expanding

Parameters | Description
Net alarm time calculation | Properties to calculate the net time.
Consider shift breaks | Active: Shift breaks are taken into account.
Shift list linked to equipment group | ID of the equipment model for which the shift data is to be obtained from drop-down list
List field | Shows the projects where the currently-selected equipment model is assigned a shift model.
Connector for shift data | Selection of the connector from where the shift data is to be obtained from a drop-down list.

If the report is tied to a project via the time filter settings, the entries in the drop-down list are filtered to the equipment model selection. Only entries that are assigned a shift model in the tied project are available.

If a variant with shift filtering is selected for the time filter settings, then the shift data is accepted once the time filtering has been confirmed.


Set values and actual values

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Set values and actual values

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

This group shows the configured meanings for set values and actual values that are being searched for an equipment group, and allows these to be configured.

Screenshots - Expanding

Parameters | Description
Target and actual value meanings | Display and configuration of the meanings for set points and actual values.
List of meanings | Table with the current settings for the meanings for the set points and actual values.
Configure target and actual value meanings | Clicking on the button opens the dialog for configuring the meanings.

Noch in diesem Kapitel

Configure target and actual value meanings


Configure target and actual value meanings

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Set values and actual values -> Configure target and actual value meanings

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Dialog to configure the meanings for set values and actual values.

Screenshots - Expanding

Parameters

Description

Meaning for variables with set value

Enter the meaning for set values.

Meaning for variables with actual value

Enter the meaning for actual values.

Validate configuration

Clicking on the button checks the entries in both input fields.

The following is checked:

  • Whether the report is linked to a project and/or an equipment model
  • The equipment groups for which, with the meanings entered precisely, one variable each can be addressed

OK

Applies settings and closes the dialog.

Button is only available if both input fields are filled.

Cancel

Discards all changes and closes the dialog.


Element sort order

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Element sort order

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration of the sorting of the modes of operation and the components.

Screenshots - Expanding

Parameters

Description

Element sort order

Selection of the sorting criteria from the drop-down list:

  • Element ID ascending (same order as metadata table)
  • Element ID descending (inverse order as metadata table)
  • Element label alphabetically ascending
  • Element label alphabetically descending


Visualizing loss times

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Visualizing loss times

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Configuration and display of the meanings for the loss times.

Screenshots - Expanding

Parameters | Description
Production loss time visualization | Configuration and display of the meanings for the loss times.
Project | Selection of the project that is to be linked to a project from a drop-down list. If a project is selected, this project is forwarded to all other groupings in the report that offer project selection. If this grouping receives a message about a linked project from another grouping, this project is set in the drop-down list and the drop-down list is deactivated.
Loss time visualization configuration | Table with the current settings for the meanings for the loss times.
Configure loss times visualization | Clicking on the button opens the dialog to configure the visualization of the loss times.

Noch in diesem Kapitel

Configure loss times visualization


Configure loss times visualization

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Visualizing loss times -> Configure loss times visualization

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The dialog allows the input of the meanings for variables that are to be displayed in relative or absolute loss time diagrams.

The dialog is opened by clicking on the Configure loss times visualization button. To do this, a project must be selected beforehand.

Screenshots - Expanding

Parameters

Description

Meaning for variables in relative loss time chart

Input of the meaning, which leads to the variable being included in the relative loss time diagram.

Meaning for variables in absolute loss time chart

Input of the meaning, which leads to the variable being included in the absolute loss time diagram.

Validate configuration

Clicking on the button validates the inputs and provides the results in the list field.

The following is checked during validation:

  • Whether the report is linked to a project and/or an equipment model
  • For which equipment groups precisely one variable each per active filter can be addressed with the meanings entered

OK

Applies settings and closes the dialog.

The button is not shown If one of the input fields is empty.

Cancel

Discards all changes and closes the dialog.


Time filter configuration

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Time filter configuration

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The dialog to configure the time filter consists of the basic Time filter type element. Further elements are shown, depending on the selection of the type.

Screenshots - Expanding

Parameters

Description

Time filter type

Selection of the type of time filtering from the drop-down list:

  • Date and time check: Date and time per time range
  • Time range check: Time span per time range
  • Lot selection with date and time prefilter: Selection of the lot with date and time per time range; for details, see the Lot chapter
  • Lot selection with time range prefilter: Selection of the lot with time span per time range; for details, see the Lot chapter
  • Shift selection with date and time prefilter: Selection of the shift data with date and time per time range; for details, see the Shift chapter
  • Shift selection with time range prefilter: Selection of the shift data with time span per time range; for details, see the Shift chapter

OK

Saves configuration in the report area in the Time filter configuration list field and closes dialog.

Cancel

Discards changes and closes the dialog.

Lots

Screenshots - Expanding

Parameters

Description

Time filter type

Selection of the type of time filtering from the drop-down list. The following are available for lots:

  • Lot selection with date and time prefilter: Selection of the lot with date and time per time range
  • Lot selection with time span prefilter: Selection of the lot with time span per time range

Project

Selection of a project from the drop-down list from which the lot data should come. The report is tied to this project as soon as the dialog is confirmed with OK.

Lot archive

List of the lot archives of the selected project. One of the archives must be selected.

OK

Saves configuration in the report area in the Time filter settings list field and closes dialog.

Cancel

Discards changes and closes the dialog.

Possible result in the report area:

Screenshots - Expanding

Shift

If the combobox is set to "Shift selection with datetime prefilter" or "Shift selection with timespan prefilter", additional controls are shown and the dialog will look as follows:

Screenshots - Expanding

Parameters

Description

Time filter type

Selection of the type of time filtering from the drop-down list; the following are available for shift data:

  • Shift selection with date and time prefilter: Selection of the shift data with date and time per time range
  • Shift selection with time span prefilter: Selection of the shift data with time span per time range

Project

Selection of a project from the drop-down list from which the shift data should come. The report is tied to this project as soon as the dialog is confirmed with OK.

Equipment model

Lists all the entries in the equipment model for which shift data is to be displayed in the selected project. For this, the following applies:

  • If an equipment group and all its subordinate equipment groups do not contain a shift model, the equipment group is not displayed.
  • For all models with shift data, the entries are shown up to the root node, even if the superordinate nodes drawn do not contain any shift data.
  • If an element is displayed as unusable in the tree is clicked, the first subordinate and usable element assigned to this element is used instead of this.
  • There must be an equipment model with shift data selected.

Connector for shift data

Selection of the connector to get shift data from drop-down list

A connector must be selected.

Attention: The SCADA runtime connector cannot get any shift data.

OK

Saves configuration in the report area in the Time filter settings list field and closes dialog.

Cancel

Discards changes and closes the dialog.

Possible result in the report area:

Screenshots - Expanding

attention Attention

Each equipment group in zenon may only be assigned to one individual time model.

If several time model groups are assigned, the Analyzer Wizard Export uses the first that it finds and exports this to the metadata of the Analyzer. Other time model groups are ignored.


Operating time assignments

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Operating time assignments

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Display and configuration of the assignments for power station operating times per machine component and operating mode.

Screenshots - Expanding

Parameters | Description
Operating time assignments | Display and configuration of the assignments for power station operating times per machine component and operating mode.
List of assignments | Display of the configured assignments.
Configure assignments | Clicking on the button opens the dialog for configuring the archives.

Noch in diesem Kapitel

Configure assignments


Configure assignments

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Operating time assignments -> Configure assignments

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Dialog to configure the Operating time assignments. Dialog is started by clicking on the Configure assignments button. The dialog consists of two tabs:

Screenshots - Expanding

Parameters | Description
Meanings | Configuration of the meanings.
Validation | Validation of the configuration.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.

Noch in diesem Kapitel

Meanings

Validation


Meanings

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Operating time assignments -> Configure assignments -> Meanings

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The assignments of the meanings are configured in this tab.

Screenshots - Expanding

Parameters | Description
Absolute operating hours | Entry of the meaning for the absolute operating hours counter of a machine.
Relative operating hours | Entry of the meaning for the relative operating hours counter of a machine.
Relative hours in an operation mode | Entry of the meaning for all relative operating hours counters for the operation modes of a machine.
Component exchanged | Entry of the meaning for all variables for component exchange events.
Component inspected | Entry of the meaning for all variables for component inspection events.
Parent component | Entry of the identification for the field in the metadata table that determines the extent of superordinance the parent company has in relation to a component. Note for developer: ID for field in EQUIPMENTINFO table.
Power plant | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.
Power plant group | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station group has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.

Note: The following is applicable for all input fields:

  • If an input field is empty, this input field is marked with a color. The OK button is deactivated.
  • If an input field was left empty when a dialog was called up, because the configuration of the report does not have any content for it, then this is filled with the standard value.


Validation

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Operating time assignments -> Configure assignments -> Validation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The assignments are validated in this tab.

In order for the validation to start, each entry field in the Meanings tab must be populated with a value.

Screenshots - Expanding

Parameters | Description
List of results of the verification | Lists all results of the validation of the assignments.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.

Validation process

The following is checked during validation:

  1. Whether it is possible to read from an archive for the equipment group:
    • Precisely 1 absolute operating time counter
    • Precisely 1 relative operating time counter
    • At least 1 operating mode relative counter.

    If this is not the case, the equipment group cannot be used and the procedure is ended for this equipment group.

  2. Whether information on the power plant and power plant group has been stored for this equipment group.
  3. For which subelements of this equipment group precisely 1 replacement event and 0 or 1 inspection events can be read from an archive. If this condition is met, a check is also made to see if information for these subordinate equipment groups is stored via a superordinate component.


Operating time per power range assignments

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Operating time per power range assignments

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Display and configuration of the assignments for power station operating times per load area.

Screenshots - Expanding

Parameters | Description
Operating time per power range assignments | Display and configuration of the assignments for power station operating times per load area.
List of assignments | Display of the configured assignments.
Configure assignments | Clicking on the button opens the dialog for configuring the archives.

Noch in diesem Kapitel

Configure assignments


Configure assignments

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Operating time per power range assignments -> Configure assignments

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Dialog to configure the Operating time per power range assignments. Dialog is started by clicking on the Configure assignments button. The dialog consists of two tabs:

Screenshots - Expanding

Parameters | Description
Meanings | Configuration of the meanings.
Validation | Validation of the configuration.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.

Noch in diesem Kapitel

Meanings

Validation


Meanings

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Operating time per power range assignments -> Configure assignments -> Meanings

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The assignments of the meanings are configured in this tab.

Screenshots - Expanding

Parameters | Description
Active power generator range | Input of the meaning for all time counters for operating time in an active power range in generator operation.
Active power generator maximum | Input of the meaning for the time counters for operating time at maximum active power in generator operation.
Active power generator minimum | Input of the meaning for the time counters for operating time at minimum active power in generator operation.
Active power pump range | Input of the meaning for all time counters for operating time in an active power range in pump operation.
Active power pump maximum | Input of the meaning for operating time at maximum active power in pump operation
Active power pump minimum | Input of the meaning for operating time at maximum active power in pump operation.
Reactive power generator range | Input of the meaning for all time counters for operating time in a reactive power range in generator operation.
Reactive power generator maximum | Input of the meaning for the time counters for operating time at maximum reactive power in generator operation.
Reactive power generator minimum | Input of the meaning for the time counters for operating time at minimum reactive power in generator operation.
Reactive power pump range | Input of the meaning for all time counters for operating time in reactive power range in pump operation.
Reactive power pump maximum | Input of the meaning for the time counters for operating time at maximum reactive power in pump operation.
Reactive power pump minimum | Input of the meaning for the time counters for operating time at minimum reactive power in pump operation.
Power plant | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.
Power plant group | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station group has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.

Note: The following is applicable for all input fields:

  • If an input field is empty, this input field is marked with a color. The OK button is deactivated.

If an input field was left empty when a dialog was called up, because the configuration of the report does not have any content for it, then this is filled with the standard value.


Validation

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Operating time per power range assignments -> Configure assignments -> Validation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The assignments are validated in this tab.

In order for the validation to start, each entry field in the Meanings tab must be populated with a value.

Screenshots - Expanding

Parameters | Description
List of results of the verification | Lists all results of the validation of the assignments.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.

Validation process

The following is checked during validation:

  1. Whether it is possible to read from an archive for the equipment group in generator mode:
    • At least 1 active power range counter
    • Precisely 1 active power maximum counter
    • Precisely 1 active power minimum counter
    • At least 1 reactive power range counter
    • At least 1 reactive power range counter
    • Precisely 1 reactive power minimum counter.

    If this is not the case, the equipment group cannot be used and the procedure is ended for this equipment group.

  2. Whether it is possible to read from an archive for the equipment group in pump operation:
    • At least 1 active power range counter
    • Precisely 1 active power maximum counter
    • Precisely 1 active power minimum counter
    • At least 1 reactive power range counter
    • At least 1 reactive power range counter
    • Precisely 1 reactive power minimum counter


Switching cycles assignments

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Switching cycles assignments

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Display and configuration of the assignment for power switching cycles.

Screenshots - Expanding

Parameters | Description
Switching cycles assignments | Display and configuration of the assignment for power switching cycles.
List of assignments | Display of the configured assignments.
Configure assignments | Clicking on the button opens the dialog for configuring the archives.

Noch in diesem Kapitel

Configure assignments


Configure assignments

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Switching cycles assignments -> Configure assignments

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Dialog to configure the Switching Cycles assignments . Dialog is started by clicking on the Configure assignments button. The dialog consists of two tabs:

Screenshots - Expanding

Parameters | Description
Meanings | Configuration of the meanings.
Validation | Validation of the configuration.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.

Noch in diesem Kapitel

Meanings

Validation


Meanings

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Switching cycles assignments -> Configure assignments -> Meanings

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The assignments of the meanings are configured in this tab.

Screenshots - Expanding

Parameters | Description
Relative switching counter | Enter the meaning for the relative switching counter.
Circuit breaker inspection | Enter the meaning for the circuit breaker inspection event variable.
Circuit breaker exchange | Enter the meaning for the circuit breaker exchange variable.
Power plant | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.
Power plant group | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station group has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.


Validation

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Switching cycles assignments -> Configure assignments -> Validation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The assignments are validated in this tab.

In order for the validation to start, each entry field in the Meanings tab must be populated with a value.

Screenshots - Expanding

Parameters | Description
List of results of the verification | Lists all results of the validation of the assignments.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.

Validation process

The following is checked during validation:

  1. A check is made to see whether it is possible to read from an archive for the equipment group:
    • Precisely 1 relative switching cycle counter
    • Precisely 1 circuit breaker replacement variable
    • Precisely 1 circuit breaker inspection variable

    If this is not the case, the equipment group cannot be used and the procedure is ended for this equipment group.

  2. The equipment group is arranged in a list.
  3. The equipment tree is built up in such a way that each equipment group that is present in the list in item 2 is present.
  4. The equipment groups are given.


Active and reactive power counter assignments

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Active and reactive power counter assignments

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Display and configuration of the assignments for power station real and wattless power.

Screenshots - Expanding

Parameters | Description
Active and reactive power counter assignments | Display and configuration of the assignments for power station real and wattless power.
List of assignments | Display of the configured assignments.
Configure assignments | Clicking on the button opens the dialog for configuring the archives.

Noch in diesem Kapitel

Configure assignments


Configure assignments

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Active and reactive power counter assignments -> Configure assignments

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Dialog to configure the Active and reactive power counter assignments. Dialog is started by clicking on the Configure assignments button. The dialog consists of two tabs:

Screenshots - Expanding

Parameters | Description
Meanings | Configuration of the meanings.
Validation | Validation of the configuration.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.

Noch in diesem Kapitel

Meanings

Validation


Meanings

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Active and reactive power counter assignments -> Configure assignments -> Meanings

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The assignments of the meanings are configured in this tab.

Screenshots - Expanding

Parameters | Description
Active power production | Input of the meaning for the active power production.
Active power consumption | Input of the meaning for the active power consumption.
Reactive power production | Input of the meaning for the reactive power production.
Power plant | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.
Power plant group | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station group has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.


Validation

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Active and reactive power counter assignments -> Configure assignments -> Validation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The assignments are validated in this tab.

In order for the validation to start, each entry field in the Meanings tab must be populated with a value.

Screenshots - Expanding

Parameters | Description
List of results of the verification | Lists all results of the validation of the assignments.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.

Validation process

The following is checked during validation:

  1. Whether it is possible to read from an archive for the equipment group:
    • Precisely 1 active power counter for production
    • Precisely 1 reactive power counter for production
    • At most 1 active power counter for consumption
    • At most 1 reactive power counter for consumption

    If this is not the case, the equipment group cannot be used and the procedure is ended for this equipment group.

  2. The equipment group is arranged in a list.
  3. The equipment tree is built up in such a way that each equipment group that is present in the list in item 2 is present.
  4. The equipment groups are given.


Power line frequency assignments

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Power line frequency assignments

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Display and configuration of the assignment for power line frequency.

Screenshots - Expanding

Parameters | Description
Power line frequency assignments | Display and configuration of the assignment for power line frequency.
List of assignments | Display of the configured assignments.
Configure assignments | Clicking on the button opens the dialog for configuring the archives.

Noch in diesem Kapitel

Configure assignments


Configure assignments

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Power line frequency assignments -> Configure assignments

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Dialog to configure the Power line frequency assignments. Dialog is started by clicking on the Configure assignments button. The dialog consists of two tabs:

Screenshots - Expanding

Parameters | Description
Meanings | Configuration of the meanings.
Validation | Validation of the configuration.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.

Noch in diesem Kapitel

Meanings

Validation


Meanings

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Power line frequency assignments -> Configure assignments -> Meanings

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The assignments of the meanings are configured in this tab.

Screenshots - Expanding

Parameters

Description

Power Line Frequency

Entry of the meaning for the power line frequency of a machine.

Frequency band time counter

Entry of the meaning for the relative time counter for a frequency band of a machine.

All variables that are assigned to the equipment group and whose meaning starts precisely with the text entered here (and possible a suffix), are included in the report.

Meaning of the variables either correspond precisely with the meaning entered or must start with the meaning entered.

Attention: The suffix of the meaning of the variables must be numerical, because it might lead to a conversion error otherwise.

Power plant

Input of the identification for the field in the metadata table that determines the extent of superordinance the power station has in relation to a machine.

Note for developer: ID for field in EQUIPMENTINFO table.

Power plant group

Input of the identification for the field in the metadata table that determines the extent of superordinance the power station group has in relation to a machine.

Note for developer: ID for field in EQUIPMENTINFO table.

Nominal frequency

Input of the identification for the field in the metadata table that defines the nominal frequency for the machine.

Note for developer: ID for field in EQUIPMENTINFO table.

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

If one of the necessary input fields is empty, the button is deactivated.

Cancel

Discards all changes in all tabs and closes the dialog.


Validation

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Power line frequency assignments -> Configure assignments -> Validation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The assignments are validated in this tab.

In order for the validation to start, each entry field in the Meanings tab must be populated with a value.

Screenshots - Expanding

Parameter | Description
List of results of the verification | Lists all results of the validation of the assignments.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.

Validation process

The following is checked during validation:

  1. Whether it is possible to read from an archive for the equipment group:
    • Precisely 1 network frequency variable
    • At least one time counter for a frequency band

      With the frequency band, the meaning of the variables must either correspond precisely with the meaning entered or the meaning of the variables must start with the meaning entered.

    If this is not the case, the equipment group cannot be used and the procedure is ended for this equipment group.

  2. A check is made to see if information on nominal frequency, power plant and power plant group have been stored for this equipment group.


Event counter assignments

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Event counter assignments

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Display and configuration of the assignment for power station event counters.

Screenshots - Expanding

Parameters | Description
Event counter assignments | Display and configuration of the assignment for power station event counters.
List of assignments | Display of the configured assignments.
Configure assignments | Clicking on the button opens the dialog for configuring the archives.

Noch in diesem Kapitel

Configure assignments


Configure assignments

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Event counter assignments -> Configure assignments

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Dialog to configure the Event counter assignments. Dialog is started by clicking on the Configure assignments button. The dialog consists of two tabs:

Screenshots - Expanding

Parameters | Description
Meanings | Configuration of the meanings.
Active power ranges | Configuration of the active power ranges.
Turbine speed ranges | Configuration of the turbine speed ranges.
Validation | Validation of the configuration.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.

Noch in diesem Kapitel

Meanings

Active power ranges

Turbine speed ranges

Validation


Meanings

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Event counter assignments -> Configure assignments -> Meanings

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The assignments of the meanings are configured in this tab.

Screenshots - Expanding

Parameters

Description

On-off switch

Entry of the meaning for the machine's on/off switch.

The data source for the variables that are referenced via this meaning are selected from the drop-down list next to the input field. Available are:

  • Alarm Message List
  • Archive
  • Chronological event list and selection.

Default: Archive

Set point

Input of the meaning for the set value for the machine power.

The data source for the variables that are referenced via this meaning are selected from the drop-down list next to the input field. Available are:

  • Alarm Message List
  • Archive
  • Chronological event list and selection.

Default: Archive

Nozzle mode

Enter the meaning for the nozzle mode.

The data source for the variables that are referenced via this meaning are selected from the drop-down list next to the input field. Available are:

  • Alarm Message List
  • Archive
  • Chronological event list and selection.

Default: Archive

Operation mode

Enter the meaning for the operation mode.

The data source for the variables that are referenced via this meaning are selected from the drop-down list next to the input field. Available are:

  • Alarm Message List
  • Archive
  • Chronological event list and selection.

Default: Archive

Circuit breaker

Enter the meaning for the circuit breaker.

The data source for the variables that are referenced via this meaning are selected from the drop-down list next to the input field. Available are:

  • Alarm Message List
  • Archive
  • Chronological event list and selection.

Default: Archive

Active power

Enter the meaning for the active power.

Turbine speed

Enter the meaning for the turbine speed.

Power plant

Input of the identification for the field in the metadata table that determines the extent of superordinance the power station has in relation to a machine.

Note for developer: ID for field in EQUIPMENTINFO table.

Power plant group

Input of the identification for the field in the metadata table that determines the extent of superordinance the power station group has in relation to a machine.

Note for developer: ID for field in EQUIPMENTINFO table.

Nominal active power

Input of the identification for the field in the metadata table that defined the nominal active power.

Note for developer: ID for field in EQUIPMENTINFO table.

Nominal turbine speed

Input of the identification for the field in the metadata table that defines the nominal turbine speed.

Note for developer: ID for field in EQUIPMENTINFO table.

Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.


Active power ranges

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Event counter assignments -> Configure assignments -> Active power ranges

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The assignments of the active power ranges are configured in this tab.

Screenshots - Expanding

Parameters

Description

Area list

The area list shows previously-configured performance areas. The pre-existing areas are displayed:

  • Comparison type
  • Comparison value

Comparison type

Selection of the comparison type from the drop-down list. Available are:

  • Less (<)
  • Less or equal (<=)
  • Greater (>)
  • Greater or equal (>=)
  • Area: Compares two values to one another and shows further input fields for Comparison type and Comparison value.

Comparison value

Entry of the comparison value.

  • Numerical value
  • Maximum: 2147483647

New

Click on button

  • Creates a new area
  • Initializes this with 0 <= X <= 100
  • Inserts it as a new row at the bottom end of the list

X

Clicking on the button removes the attendant area from the list.

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

If one of the necessary input fields is empty, the button is deactivated.

Cancel

Discards all changes in all tabs and closes the dialog.

Comparison types and areas

The following comparison types are available:

  • Lower: X < [number]
  • Lower or equal: X <= [number]
  • Greater than: X > [number]
  • Greater than or equal to: X >= [number]
  • Areas

Areas

The 'areas' comparison type defines a range between two values. The following rules are available:

  • [number] < X < [number]
  • [number] < X <= [number]
  • [number] <= X < [number]
  • [number] <= X <= [number]


Turbine speed ranges

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Event counter assignments -> Configure assignments -> Turbine speed ranges

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The assignments of the turbine speeds are configured in this tab.

Screenshots - Expanding

Parameters

Description

Area list

The area list shows previously-configured performance areas. The pre-existing areas are displayed:

  • Comparison type
  • Comparison value

Comparison type

Selection of the comparison type from the drop-down list. Available are:

  • Less (<)
  • Less or equal (<=)
  • Greater (>)
  • Greater or equal (>=)
  • Area: Compares two values to one another and shows further input fields for Comparison type and Comparison value.

Comparison value

Entry of the comparison value.

  • Numerical value
  • Maximum: 2147483647

New

Click on button

  • Creates a new area
  • Initializes this with 0 <= X <= 100
  • Inserts it as a new row at the bottom end of the list

X

Clicking on the button removes the attendant area from the list.

Previous

Switches to previous tab. (deactivated in the first tab)

Next

Switches to the next tab. (deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

If one of the necessary input fields is empty, the button is deactivated.

Cancel

Discards all changes in all tabs and closes the dialog.

Comparison types and areas

The following comparison types are available:

  • Lower: X < [number]
  • Lower or equal: X <= [number]
  • Greater than: X > [number]
  • Greater than or equal to: X >= [number]
  • Areas

Areas

The 'areas' comparison type defines a range between two values. The following rules are available:

  • [number] < X < [number]
  • [number] < X <= [number]
  • [number] <= X < [number]
    • [number] <= X <= [number]


Validation

zenon Analyzer -> Supplied report templates -> Elements in the report area -> Event counter assignments -> Configure assignments -> Validation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The assignments are validated in this tab.

The following must be the case in order for the validation to start:

  • Each entry in the Meanings tab is filled with a value
  • There is at least one Active power range
  • There is at least one turbine speed range

Screenshots - Expanding

Parameters | Description
List of results of the verification | Lists all results of the validation of the assignments.
Previous | Switches to previous tab. (deactivated in the first tab)
Next | Switches to the next tab. (deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. If one of the necessary input fields is empty, the button is deactivated.
Cancel | Discards all changes in all tabs and closes the dialog.

Validation process

During validation:

  1. A check is made to see if the following can be read:
    • Precisely 1 on/off switch for the equipment group
    • Precisely 1 or 2 circuit breakers from the respective configured data source
  2. A check is made to see if it is possible to read the following for the equipment group or an equipment group subordinate to that:
    • Precisely 1 target value for the machine power
    • At least 1 nozzle mode (see "HppEventCounters" SP for why more variables are possible here)
    • At least 1 operating mode (see "HppEventCounters" SP for why more variables are possible here)
    • At least 1 active power
    • Precisely 1 or 2 turbine speed(s) from the respective configured data source

    If a field does not have the possibility to configure the data source (active power and turbine speed), it is always read from an archive.

  3. If both of the first conditions are not met, the equipment group cannot be used and the procedure is ended for this equipment group.
  4. A check is made to see if information on nominal active power, nominal turbine speed, power plant and power plant group have been stored for this equipment group.
  5. Each area is checked for active power and the turbine speed is checked for feasibility.

    A range is feasible if there is at least one figure that can be in this range.
    A range of 100 < X < 50 is not feasible.
    A range of 100 < X < 100 is not feasible.
    A range of 100 <= X < 100 is feasible.


Report templates

zenon Analyzer -> Supplied report templates -> Report templates

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The following pre-configured report templates are available for zenon Analyzer:

  • Alarm analysis: Evaluation of alarms
  • Custom Formula Analysis: Evaluations with custom formulas
  • Archive analysis: Evaluation of archives
  • Extended Historian Analysis. Extended evaluation of archives
  • ISO 50001: Report templates with the theme Custom Formula Analysis and Extended Historian Analysis
  • Production Analysis Machine Based: Analysis of loss times and productivity, based on standards such as DIN 8782, DIN 8743, Weihenstephan standards and the best practices of some manufacturing companies
  • OEE analysis: Evaluation of OEE performance indicators
  • Target Actual Analysis: Calculates absolute or relative counters from set values or actual values for selected equipment groups.
  • Hydroelectric Power Plant Analysis. Determines various counters for hydroelectric power plants.

Screenshots - Expanding

Syntax for meanings in zenon resource label

Meanings correspond to the entries in the zenon Betriebsmittelkennung property in some cases. These can contain meanings for several categories.

The following is applicable to entries in the Betriebsmittelkennung property:

  • Categories are separated by a semicolon (;).
  • Areas within a category are separated by a comma (,).
  • Categories are marked by an index:
    • ME=: Identifies a meaning.
      Syntax: ME=[main meaning as text],[additional meaning as text],[additional meaning as text],…;
    • WF=: Identifies a variable for the waterfall display.
      Syntax: WF=[model name text],[line index INT],[index in line INT],[color code as text #XXXXXX];
    • Every other entry is also understood as a meaning

Attention: The Betriebsmittelkennung property is limited to 256 characters in the zenon Editor.

Noch in diesem Kapitel

Alarm Analysis

Custom Formula Analysis

Historian Analysis

Extended Historian Analysis

ISO 50001

Production Analysis Machine Based

OEE analysis

Target Actual Analysis

Hydroelectric Power Plant Analysis


Alarm Analysis

zenon Analyzer -> Supplied report templates -> Report templates -> Alarm Analysis

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports with this theme provide a range of report templates that assist in the evaluation of alarms:

  • Alarm Message List: creates a list of alarms in table form for a time range
  • First N alarms: gets a defined number (N) of alarms that occur most frequently or have been active the longest
  • Alarm aggregation: gets the sum of all alarms triggered in a time range and adds up the duration of the different alarms

Report template selection

To create a report based on this template:

  1. Select the New entry in the Report menu or click on the corresponding symbol in the tool bar
  2. The dialog for selecting a template is opened

    Screenshots - Expanding

  3. In the Theme drop-down list, select Alarm Analysis
  4. Select the template you want to use as a report template from the drop-down list

Metadata

Metadata used: General
 | used | If not used
Projects | + | mandatory.
Alarm/Event class | + | No filtering or prefiltering for alarm/event classes.
Alarm/Event groups | + | No filtering or prefiltering for alarm/event groups.
Users | + | Alarm List No display of the user who acknowledges the alarms.
Equipment modeling | + | No filtering for equipment groups (such as machines).
Archives | - |
Variables | + | mandatory.
Prices | - |
Norm values | - |
Metadata used: Time filter
Lots | + | No reports possible with lot filter.
Shifts | + | No reports possible with shift filter.

Noch in diesem Kapitel

Alarm list

Top N Alarms

Alarm Aggregation


Alarm list

zenon Analyzer -> Supplied report templates -> Report templates -> Alarm Analysis -> Alarm list

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are base on this template create an alarm list in table form for a time range. In doing so, alarm filtering is possible according to the following criteria:

  • Project only
  • Project and alarm class
  • Project and alarm group
  • Project and equipment group
  • Project and alarm comment

Application examples

For example, alarm list reports are suitable for:

Alarm analysis

Filter
  • A machine in a certain time period

Equipment groups
  • The most urgent alarms

Alarm Classes
  • Specific alarm groups, such as emergency stops, machine problems, external faults, etc.

Alarm groups
  • For a production lot

Lots
  • A shift

Shift
  • The alarms with specific alarm comments

Alarm comment

Create report

To create an alarm list report:

  1. In the Theme drop-down list, select Alarm Analysis
  2. from the drop-down list, select Alarm list as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter (dynamic)

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Alarm group prefilter (static)

Properties for prefiltering the alarm groups.

Enable alarm group prefiltering

Active: The list of the alarm group prefilters can be configured and used.

List of alarm group filters

Selection of the criteria for the prefiltering of the alarm groups. Click in the check box to select the alarm group. Clicking on the corresponding button selects or deselects all alarm groups.

For details, see the Alarm prefiltering chapter.

Alarm class prefilter (static)

Properties for prefiltering the alarm classes.

Enable alarm class prefiltering

Active: The list of the alarm group prefilters can be configured and used.

List of alarm class filters

Selection of the criteria for the prefiltering of the alarm classes. Click on the check box to select alarm classes. Click on the corresponding button to select or deselect all alarm classes.

For details, see the Alarm prefiltering chapter.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Alarm filter (dynamic)

Selection of alarm filtering:

  • Project only
  • Project and alarm class
  • Project and alarm group
  • Project and equipment group
  • Project and alarm comment

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Note: If the report is linked to a project via time filtering, the project selection is set to the linked project and a check is made to ensure that only archives from the project can be selected in both groupings.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for project selection (if not deactivated by time filtering)
  • 1 x multiple-selection drop-down list for alarm class filtering (if activated via alarm filtering in ZAMS)
  • 1 x multiple-selection drop-down list for alarm group filtering (if activated via alarm filtering in ZAMS)
  • 1 x multiple-selection drop-down list (tree) for equipment model selection (if activated via alarm filtering in ZAMS)
  • 1 x text input for alarm comment (if activated via alarm filtering in ZAMS)

Data display

The alarm data is always displayed as a table in this template.
The table has the following columns:

  • Variable name (can be sorted dynamically)
  • Description
  • Alarm group (can be sorted dynamically)
  • Alarm class (can be sorted dynamically)
  • Value of the variables.
  • Unit of the variable
  • Limit value index
  • Alarm text
  • Incoming time (can be sorted dynamically)
  • Outgoing time (can be sorted dynamically)
  • Acknowledgment time (can be sorted dynamically)
  • Reactivated time (can be sorted dynamically)
  • Number denoting how often the alarm was reactivated
  • Comment
  • Username

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListLots
  • ListShifts
  • ListAlarmClasses
  • ListAlarmGroups
  • ListEquipmentTree
  • Alarm_GetGroupReferenceList
  • Alarm_GetClassReferenceList
  • Alarm_List
  • Alarm_List_Equipment
  • Alarm_List_Comment


Top N Alarms

zenon Analyzer -> Supplied report templates -> Report templates -> Alarm Analysis -> Top N Alarms

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template get a defined number (N) of alarms that occur most frequently in a time range or have been active for the longest. In doing so, different types of alarm filtering are made possible. As an option, the calculation of the active time can also take planned downtime due to shift breaks and shift gaps (time between 2 shifts) into account. Alarm filtering is possible according to the following criteria:

  • Most frequent alarms per project
  • Most frequent alarms per project and alarm class
  • Most frequent alarms per project and alarm group
  • Most frequent alarms per project and equipment group
  • Longest alarm duration per project
  • Longest alarm duration per project and alarm class
  • Longest alarm duration per project and alarm group
  • Longest alarm duration per project and equipment group

Application examples

Top N alarm reports are also suitable for:

Alarm analysis

Filter
  • The most frequent alarms of a machine in a certain time period

Equipment groups
  • The most frequent urgent alarms

Alarm Classes
  • The most frequent alarms that have led to emergency stops, machine errors, etc.

Alarm groups
  • The most frequent alarms during a production lot

Lots
  • The most frequent alarms during a shift

Shift
  • The alarms for a machine that were active the longest in a certain time period

Equipment groups
  • The urgent alarms that were active the longest

Alarm Classes
  • The most alarms that were active the longest that have led to emergency stops, machine errors, etc.

Alarm groups
  • The alarms that were active the longest during a production lot

Lots
  • The alarms that were active the longest during a shift

Shift

Create report

To create a Top N alarms report:

  1. In the Theme drop-down list, select Alarm Analysis
  2. from the drop-down list, select Top N alarms as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter (dynamic)

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Alarm group prefilter (static)

Properties for prefiltering the alarm groups.

Enable alarm group prefiltering

Active: The list of the alarm group prefilters can be configured and used.

List of alarm group filters

Selection of the criteria for the prefiltering of the alarm groups. Click in the check box to select the alarm group. Clicking on the corresponding button selects or deselects all alarm groups.

For details, see the Alarm prefiltering chapter.

Alarm class prefilter (static)

Properties for prefiltering the alarm classes.

Enable alarm class prefiltering

Active: The list of the alarm group prefilters can be configured and used.

List of alarm class filters

Selection of the criteria for the prefiltering of the alarm classes. Click on the check box to select alarm classes. Click on the corresponding button to select or deselect all alarm classes.

For details, see the Alarm prefiltering chapter.

Alarm lookback time

Time range, which should be taken into account from the start of the time filter retrospectively.

For details, see the Alarm Lookback time chapter.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Net alarm time calculation

Properties to calculate the net time.

Consider shift breaks

Active: Shift breaks are taken into account.

Shift list linked to equipment group

Selection of an equipment group for the shift model from the drop-down list.

For details, see the Origin of shift data chapter.

Connector for shift data

Selection of a connector for the shift data from a drop-down list.

For details, see the Origin of shift data chapter.

Standard value for N

Definition of the standard value for N.

  • Minimum: 1
  • Maximum: 100
  • Default: 10

Input directly into the field in whole numbers between 1 and 100 or using the Spincontrol arrow (granularity= 1).

Top N calculation

Selection of the calculation method:

  • Most frequent alarms per project
  • Most frequent alarms per project and alarm class
  • Most frequent alarms per project and alarm group
  • Most frequent alarms per project and equipment model
  • Longest pending alarm per project
  • Longest active alarm per project and alarm class
  • Longest active alarm per project and alarm group
  • Longest active alarm per project and equipment model

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and table
  • Pie Chart and table
  • Column chart
  • Pie Chart
  • Table

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Note: If the report is linked to a project via time filtering, the project selection is set to the linked project and a check is made to ensure that only archives from the project can be selected in both groupings.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for project selection (if not deactivated by time filtering)
  • 1 x multiple-selection drop-down list for alarm class filtering (if activated via alarm filtering in ZAMS)
  • 1 x multiple-selection drop-down list for alarm group filtering (if activated via alarm filtering in ZAMS)
  • 1 x multiple-selection drop-down list (tree) for equipment model selection (if activated via alarm filtering in ZAMS)

Data display

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Column chart: Each alarm gets a column. Depending on the Top N calculation, either the number of times the alarm has occurred or active times of all instances of an alarm, summated and corrected for shift breaks and shift gaps, determines the height of the columns.
  • Pie chart: Each alarm has a sector in the diagram. The size of the sector is calculated on the same lines as the calculation of a column in the column diagram.
  • Data table:
    The data table contains the following columns:
    • Variable name (can be sorted dynamically)
    • Alarm text
    • Number denoting how often the alarm has occurred (can be sorted dynamically)
    • Total active duration of all instances of an alarm without shift data correction (gross time, can be sorted dynamically)
    • Total active duration of all instances of the alarm with shift data correction (net time, can be sorted dynamically)
    • Alarm group (can be sorted dynamically)
    • Alarm class (can be sorted dynamically)

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListLots
  • ListShifts
  • ListAlarmClasses
  • ListAlarmGroups
  • ListEquipmentTree
  • Alarm_GetGroupReferenceList
  • Alarm_GetClassReferenceList
  • Alarm_GetSecondsWithoutShift
  • Alarm_MostOften
  • Alarm_MostOften2
  • Alarm_MostOften_Equipment
  • Alarm_MostOften_Equipment2
  • Alarm_MostLong
  • Alarm_MostLong2
  • Alarm_MostLong_Equipment
  • Alarm_MostLong_Equipment2


Alarm Aggregation

zenon Analyzer -> Supplied report templates -> Report templates -> Alarm Analysis -> Alarm Aggregation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template obtain the sum of all alarms in a time range and add up the duration of the different alarms. In doing so, the duration of overlapping alarms is only calculated once (overlap adjustment). As an option, the pending time can also take into account planned down times that occur due to shift breaks and gaps between shifts. In addition, alarm filtering is possible according to the following criteria:

  • Project only
  • Project and alarm class
  • Project and alarm group
  • Project and equipment group
  • Project and alarm comment

Application examples

For example, alarm list reports are suitable for:

Alarm analysis

Filter
  • The complete duration of a machine fault during a shift

Shift and equipment groups
  • The complete duration of a machine fault during a production lot

Lot and equipment groups
  • The complete down times of an item of equipment in a time period

Equipment groups
  • The complete duration of an emergency stop, machine fault, external fault, etc. in a time period

Alarm groups

Create report

To create an Alarm Aggregation report:

  1. In the Theme drop-down list, select Alarm Analysis
  2. from the drop-down list, select Alarm Aggregation as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter (dynamic)

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Alarm group prefilter (static)

Properties for prefiltering the alarm groups.

Prefiltering

Active: The list of the alarm group prefilters can be configured and used.

List of alarm group filters

Selection of the criteria for the prefiltering of the alarm groups. Click in the check box to select the alarm group. Clicking on the corresponding button selects or deselects all alarm groups.

For details, see the Alarm prefiltering chapter.

Alarm class prefilter (static)

Properties for prefiltering the alarm classes.

Enable alarm class prefiltering

Active: The list of the alarm group prefilters can be configured and used.

List of alarm class filters

Selection of the criteria for the prefiltering of the alarm classes. Click on the check box to select alarm classes. Click on the corresponding button to select or deselect all alarm classes.

For details, see the Alarm prefiltering chapter.

Alarm lookback time

Time range, which should be taken into account from the start of the time filter retrospectively.

For details, see the Alarm Lookback time chapter.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Net alarm time calculation

Properties to calculate the net time.

Consider shift breaks

Active: Shift breaks are taken into account.

Shift list linked to equipment group

Selection of an equipment group for the shift model from the drop-down list.

For details, see the Origin of shift data chapter.

Connector for shift data

Selection of a connector for the shift data from a drop-down list.

For details, see the Origin of shift data chapter.

Alarm filter (dynamic)

Selection of alarm filtering:

  • Project only
  • Project and alarm class
  • Project and alarm group
  • Project and equipment group
  • Project and alarm comment

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and table
  • Pie Chart and table
  • Column chart
  • Pie Chart
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Note: If the report is linked to a project via time filtering, the project selection is set to the linked project and a check is made to ensure that only archives from the project can be selected in both groupings.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for project selection (if not deactivated by time filtering)
  • 1 x multiple-selection drop-down list for alarm class filtering (if activated via alarm filtering in ZAMS)
  • 1 x multiple-selection drop-down list for alarm group filtering (if activated via alarm filtering in ZAMS)
  • 1 x multiple-selection drop-down list (tree) for equipment model selection (if activated via alarm filtering in ZAMS)
  • 1 x text input for alarm comment (if activated via alarm filtering in ZAMS)

Data display

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Column chart: Each aggregation object (project, combination of project and alarm class, combination of project and alarm groups, combination of project and equipment model, combination of project and comment) has a column. The active duration of all instances of an alarm, summated and corrected for shift breaks and shift gaps determines the height of the column.
  • Pie chart: Each aggregation object has a sector in the diagram. The size of the sector is calculated on the same lines as the calculation of a column in the column diagram.
  • Data table:
    The data table contains the following columns:
    • Name of the aggregation object (can be expanded)
    • Variable name
    • Alarm text
    • Alarm group (not present if contained in the aggregation)
    • Alarm class (not present if contained in the aggregation)
    • Equipment model (not present if contained in the aggregation)
    • Alarm comment (not present if contained in the aggregation)
    • Incoming time
    • Outgoing time
    • Active duration without correction (gross time, sum per aggregation object)
    • Active duration with correction (net time, sum per aggregation object)

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjectsWithShift
  • ListLots
  • ListShifts
  • ListAlarmClasses
  • ListAlarmGroups
  • ListEquipmentTree
  • Alarm_GetGroupReferenceList
  • Alarm_GetClassReferenceList
  • Alarm_GetSecondsWithoutShift
  • Alarm_Aggregate_Project
  • Alarm_Aggregate_Project2
  • Alarm_Aggregate_Class
  • Alarm_Aggregate_Class2
  • Alarm_Aggregate_Group
  • Alarm_Aggregate_Group2
  • Alarm_Aggregate_Equipment
  • Alarm_Aggregate_Equipment2
  • Alarm_Aggregate_Comment
  • Alarm_Aggregate_Comment2


Custom Formula Analysis

zenon Analyzer -> Supplied report templates -> Report templates -> Custom Formula Analysis

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports for this theme provide report templates for user-defined formulas:

  • Custom Formula Trend: Trend display of user-defined formulas for a time range.
  • Custom Formula Trend Comparison: Trend display of user-defined formulas for two time ranges.
  • Custom Formula Aggregated Trend: Trend display of aggregated user-defined formulas for a time range.
  • Custom Formula Aggregated Trend Comparison: Trend display of aggregated user-defined formulas for two time ranges.
  • Custom Formula Aggregation: Trend display of aggregated, user-defined formulas for a time range.
  • Custom Formula Aggregation Comparison: Trend display of aggregated, user-defined formulas for two time ranges.

Report template selection

To create a report based on this template:

  1. Select the New entry in the Report menu or click on the corresponding symbol in the tool bar
  2. The dialog for selecting a template is opened

    Screenshots - Expanding

  3. In the Theme drop-down list, select Custom Formula Analysis
  4. Select the template you want to use as a report template from the drop-down list

Configuring user-defined formulas in the ZAMS

To configure user-defined formulas in a report of this topic in the ZAMS:

  1. Open a report template
  2. Configure the report as usual
  3. Open the Configure custom formulas dialog
  4. Filter the desired variables
  5. Add the fields and set the parameters for these
  6. Set the parameters for the cost fields
  7. Add the constants as required
  8. Create the basic data formulas
  9. For reports with archive aggregation:
    1. Configure the aggregations
  10. For reports with archive aggregation, trend archiving and variants thereof with a comparison:
    1. Set the parameters for the aggregation formulas
  11. Confirm the configuration by clicking on OK.
  12. Open the Arrange and colorize formula results dialog
  13. Sort the formulas
  14. Define, if desired, individual colors
  15. Confirm the configuration by clicking on OK.

Noch in diesem Kapitel

Custom Formula Trend

Custom Formula Trend Comparison

Custom Formula Aggregated Trend

Custom Formula Aggregated Trend Comparison

Custom Formula Aggregation

Custom Formula Aggregation Comparison

Example for configuration in the ZAMS


Custom Formula Trend

zenon Analyzer -> Supplied report templates -> Report templates -> Custom Formula Analysis -> Custom Formula Trend

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template create a trend display of user-defined formulas for a time range. The data can be displayed in graphics and tables.

Create report

To create a Custom Formula Trend report:

  1. In the Theme drop-down list, select Custom Formula Analysis
  2. from the drop-down list, select Custom Formula Trend as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter (dynamic)

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Custom formulas

List and buttons to display and configure user-defined formulas.

Configure custom formulas

Opens the dialog to configure user-defined formulas.

The dialog is different for:

  • Reports without aggregation over the time range
  • Reports with aggregation over the time range

Arrange and colorize formula results

Opens the dialog to sort and color user-defined formulas.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Line chart and table
  • Column chart and table
  • Line chart and pivot table
  • Column chart and pivot table
  • Line chart
  • Column chart
  • Table
  • Pivot table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values.
  • Line chart (optional): Trend of the detail values with one line per variable.
  • Bar diagram (optional): Trend of the detail values with a set of columns per variable.
  • Data as a table (optional) with the columns:
    • Indicator color (no text; if a color is set, this is used as a background color)
    • Indicator name
    • Timestamp
    • Value (with unit of measurement)
  • Data as a pivot table (optional):
    • 1. Column: Timestamp
    • After this, a column per indicator with:
      Indicator names as a heading (if a color is set, this is used as a background color) and
      value (with unit of measurement) as content

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • CustomIndicators_Trend


Custom Formula Trend Comparison

zenon Analyzer -> Supplied report templates -> Report templates -> Custom Formula Analysis -> Custom Formula Trend Comparison

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template create a trend display of user-defined formulas for two time ranges. The data can be displayed in graphics and tables.

Create report

To create a Custom Formula Trend Comparison report:

  1. In the Theme drop-down list, select Custom Formula Analysis
  2. from the drop-down list, select Custom Formula Trend Comparison as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter (dynamic)

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Custom formulas

List and buttons to display and configure user-defined formulas.

Configure custom formulas

Opens the dialog to configure user-defined formulas.

The dialog is different for:

  • Reports without aggregation over the time range
  • Reports with aggregation over the time range

Arrange and colorize formula results

Opens the dialog to sort and color user-defined formulas.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Line chart and table
  • Column chart and table
  • Line chart and pivot table
  • Column chart and pivot table
  • Line chart
  • Column chart
  • Table
  • Pivot table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values.
  • Line chart (optional): Trend of the detail values with one line per variable.
  • Bar diagram (optional): Trend of the detail values with a set of columns per variable.
  • Data as a table (optional) with the columns:
    • Indicator color (no text; if a color is set, this is used as a background color)
    • Indicator name
    • Timestamp
    • Value (with unit of measurement)
  • Data as a pivot table (optional):
    • 1. Column: Timestamp
    • After this, a column per indicator with:
      Indicator names as a heading (if a color is set, this is used as a background color) and
      value (with unit of measurement) as content

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • CustomIndicators_Trend


Custom Formula Aggregated Trend

zenon Analyzer -> Supplied report templates -> Report templates -> Custom Formula Analysis -> Custom Formula Aggregated Trend

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template create a trend display of aggregated user-defined formulas for a time range. The values are aggregated in intervals within the time range. This aggregated data is displayed in the trend as graphics and tables.

Create report

To create a Custom Formula Aggregated Trend report:

  1. In the Theme drop-down list, select Custom Formula Analysis
  2. from the drop-down list, select Custom Formula Aggregated Trend as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter (dynamic)

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Custom formulas

List and buttons to display and configure user-defined formulas.

Configure custom formulas

Opens the dialog to configure user-defined formulas.

The dialog is different for:

  • Reports without aggregation over the time range
  • Reports with aggregation over the time range

Arrange and colorize formula results

Opens the dialog to sort and color user-defined formulas.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Line chart and table
  • Column chart and table
  • Line chart and pivot table
  • Column chart and pivot table
  • Line chart
  • Column chart
  • Table
  • Pivot table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single-selection drop-down list for the selection of the interval size in the time range

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values.
  • Line chart (optional): Trend of the aggregated values with a line per variable.
  • Bar diagram (optional): Trend of the aggregated values with a set of columns per variable.
  • Data as a table (optional) with the columns:
    • Indicator color (no text; if a color is set, this is used as a background color)
    • Indicator name
    • Time stamp - interval start
    • Time stamp - interval end
    • Value (with unit of measurement)
  • Data as a pivot table (optional):
    • 1. Column: Time stamp - interval start
    • 2. Column: Time stamp - interval end
    • After this, a column per indicator with:
      Indicator names as a heading (if a color is set, this is used as a background color) and
      value (with unit of measurement) as content

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • CustomIndicators_AggregatedTrend


Custom Formula Aggregated Trend Comparison

zenon Analyzer -> Supplied report templates -> Report templates -> Custom Formula Analysis -> Custom Formula Aggregated Trend Comparison

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template create a trend display of aggregated user-defined formulas for two time ranges. The values are aggregated in intervals within the time range. This aggregated data is displayed in the trend as graphics and tables.

Create report

To create an archive aggregation trend comparison with user-defined formulas report:

  1. In the Theme drop-down list, select Custom Formula Analysis
  2. Select, as a report template, Archive aggregation trend comparison with user-defined formulas from the drop-down list

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter (dynamic)

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Custom formulas

List and buttons to display and configure user-defined formulas.

Configure custom formulas

Opens the dialog to configure user-defined formulas.

The dialog is different for:

  • Reports without aggregation over the time range
  • Reports with aggregation over the time range

Arrange and colorize formula results

Opens the dialog to sort and color user-defined formulas.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Line chart and table
  • Column chart and table
  • Line chart and pivot table
  • Column chart and pivot table
  • Line chart
  • Column chart
  • Table
  • Pivot table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single-selection drop-down list for the selection of the interval size in the time range

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values.
  • Line chart (optional): Trend of the aggregated values with a line per variable.
  • Bar diagram (optional): Trend of the aggregated values with a set of columns per variable.
  • Data as a table (optional) with the columns:
    • Indicator color (no text; if a color is set, this is used as a background color)
    • Indicator name
    • Time stamp - interval start
    • Time stamp - interval end
    • Value (with unit of measurement)
  • Data as a pivot table (optional):
    • 1. Column: Time stamp - interval start
    • 2. Column: Time stamp - interval end
    • After this, a column per indicator with:
      Indicator names as a heading (if a color is set, this is used as a background color) and
      value (with unit of measurement) as content

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • CustomIndicators_AggregatedTrend


Custom Formula Aggregation

zenon Analyzer -> Supplied report templates -> Report templates -> Custom Formula Analysis -> Custom Formula Aggregation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template create a trend display of aggregated, user-defined formulas for a time range. The following aggregation functions are available:

  • Sum
  • Average
  • Minimum
  • Maximum

Each formula can be aggregated with all functions. Each combination of a formula and an aggregation function is treated as a separate field. The data can be displayed as graphics and an optional table.

Create report

To create an Custom Formula Aggregation report:

  1. In the Theme drop-down list, select Custom Formula Analysis
  2. Select Custom Formula Aggregation from the drop-down list as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter (dynamic)

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Custom formulas

List and buttons to display and configure user-defined formulas.

Configure custom formulas

Opens the dialog to configure user-defined formulas.

The dialog is different for:

  • Reports without aggregation over the time range
  • Reports with aggregation over the time range

Arrange and colorize formula results

Opens the dialog to sort and color user-defined formulas.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and table
  • Pie Chart and table
  • Column chart
  • Pie Chart
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single-selection drop-down list for the selection of the interval size in the time range

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values.
  • Bar diagram (optional): Display of the aggregation values in a column diagram.
  • Pie chart (optional): Display of the aggregation values in a pie chart.
  • Data as a table (optional) with the columns:
    • Indicator color (no text; if a color is set, this is used as a background color)
    • Indicator name
    • Value (with unit of measurement)

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • CustomIndicators_Aggregation


Custom Formula Aggregation Comparison

zenon Analyzer -> Supplied report templates -> Report templates -> Custom Formula Analysis -> Custom Formula Aggregation Comparison

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template create a trend display of aggregated, user-defined formulas for two time ranges. The following aggregation functions are available:

  • Sum
  • Average
  • Minimum
  • Maximum

Each formula can be aggregated with all functions. Each combination of a formula and an aggregation function is treated as a separate field. The data can be displayed as graphics and an optional table.

Create report

To create a Custom Formula Aggregation Comparison report:

  1. In the Theme drop-down list, select Custom Formula Analysis
  2. from the drop-down list, select Custom Formula Aggregation Comparison as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter (dynamic)

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Custom formulas

List and buttons to display and configure user-defined formulas.

Configure custom formulas

Opens the dialog to configure user-defined formulas.

The dialog is different for:

  • Reports without aggregation over the time range
  • Reports with aggregation over the time range

Arrange and colorize formula results

Opens the dialog to sort and color user-defined formulas.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and table
  • Pie Chart and table
  • Column chart
  • Pie Chart
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single-selection drop-down list for the selection of the interval size in the time range

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values.
  • Bar diagram (optional): Display of the aggregation values in a column diagram.
  • Pie chart (optional): Display of the aggregation values in a pie chart.
  • Data as a table (optional) with the columns:
    • Indicator color (no text; if a color is set, this is used as a background color)
    • Indicator name
    • Value (with unit of measurement)

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • CustomIndicators_Aggregation


Example for configuration in the ZAMS

zenon Analyzer -> Supplied report templates -> Report templates -> Custom Formula Analysis -> Example for configuration in the ZAMS

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

In a report:

  • The average water costs per 1000 bottles are to be displayed
  • A performance indicator value per report period is calculated and displayed as a bar chart and in a table
  • The average costs in relation to the good units is to be colored green
  • The average costs in relation to the total amount are to be colored yellow

The data for this example comes from the Analyzer 2.0 demo project ZAD_GBL.

To create this report:

  1. Create a report based on the Archive aggregation with user-defined formulas report template.

    Screenshots - Expanding

  2. In the report, click on the 'Configure user-defined formulas' button.

    Screenshots - Expanding

  3. Configure the water meter:
    1. These are logged in an archive called WATER CYCLIC DATA. Set a filter for the archive name accordingly.
    2. Click on Add all.
    3. Assign a suitable name

    Screenshots - Expanding

  4. Carry out the same step for the production counters from the PRODUCTION CYCLIC DATA archive:

    Screenshots - Expanding

  5. Configure the Cost calculation for both water meters:

    Screenshots - Expanding

  6. Switch to the Constant fields tab and create a row by clicking on New:

    Screenshots - Expanding

  7. Set the parameters for the constants:

    Screenshots - Expanding

  8. Configure the aggregation fields: Activate the checkboxes for:
    1. Sum of Water M4
    2. Sum of Good Units
    3. Sum of Total Units
    4. Sum of WaterCostsM2
    5. And for the constant value 1000_

    Screenshots - Expanding

  9. Switch to the tab of calculated fields after aggregation:
    1. click on the button New.

      Screenshots - Expanding

    2. The formula editor is opened.
  10. Calculate the water costs:

    Screenshots - Expanding

  11. These are then used to calculate the first desired formula for the water costs for a total amount of 100 bottles in a new calculated field:

    Screenshots - Expanding

  12. With the calculation of the two formulas and the configuration of visibility and units of measurement, editing in the formula editor is concluded.

    Screenshots - Expanding

  13. In the ZAMS, click on the Arrange and color formula results button.

    The dialog to configure sorting and coloring of the formula results is started:

    Screenshots - Expanding

  14. Define the coloring. To do this:
    1. Set the checkboxes in front of Standard coloring to inactive.
    2. The color preview and the button for the color configuration are displayed.
    3. Click on Color.
    4. Select the desired color

    Screenshots - Expanding

Result in the Analyzer Manager:

Screenshots - Expanding


Historian Analysis

zenon Analyzer -> Supplied report templates -> Report templates -> Historian Analysis

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports of this theme provide report templates that aid the evaluation and direct or aggregated display of archive data:

  • Historian Trend: gets archive data for a time range and displays this without aggregation in a trend
  • Historian trend comparison: gets archive data for two time ranges and provides this without aggregation of each trend for comparison.
  • Historian Aggregated Trend: gets archive data for a time range, aggregates this in intervals in the time range and displays it as a trend.
  • Historian Aggregated Trend Comparison: gets archive data for two time ranges, aggregates this in intervals in the time range and displays it as a trend for comparison.
  • Hisotrian Aggregated Trend with online variable selection: gets archive data for a time range, aggregates this in intervals in the time range and displays these aggregations as a trend for comparison.
  • Historian Aggregated Trend Comparison with online variable selection: gets archive data for two time ranges, aggregates these in intervals in the time range and provides these aggregations each in a separate trend per time range.
  • Historian Aggregation: gets archive data for a time range, aggregates this and displays each of the aggregation results separately
  • Historian Aggregation Comparison: gets archive data for two time ranges, aggregates this and displays each of the aggregation results for both time ranges separately
  • Historian Distribution: gets archive data for a variable, rounds this up to a configurable rounding factor and displays the distribution of the values. In addition, the types of aggregation are calculated and displayed with markers.
  • Historian Distribution Comparison: gets archive data for a variable from two time ranges, rounds this up to a configurable rounding factor and displays the distribution of the values. In addition, the types of aggregation are calculated and displayed with markers.

Report template selection

To create a report based on this template:

  1. Select the New entry in the Report menu or click on the corresponding symbol in the tool bar
  2. The dialog for selecting a template is opened

    Screenshots - Expanding

  3. In the Theme drop-down list, select Historian Analysis
  4. Select the template you want to use as a report template from the drop-down list

Metadata

Metadata used: General
 | used | If not used
Projects | + | mandatory.
Alarm/Event class | - |
Alarm/Event groups | - |
Users | - |
Equipment modeling | - |
Archives | + | mandatory.
Variables | + | mandatory.
Prices | - |
Norm values | - |
Metadata used: Time filter
Lots | + | No reports possible with lot filter.
Shifts | + | No reports possible with shift filter.

Noch in diesem Kapitel

Historian Trend

Historian Trend Comparison

Historian Aggregated Trend

Historian Aggregated Trend Comparison

Historian Aggregated Trend with online variable selection

Historian Aggregated Trend Comparison with online variable selection

Historian Aggregation

Archive aggregation comparison

Historian Distribution

Archive distribution comparison


Historian Trend

zenon Analyzer -> Supplied report templates -> Report templates -> Historian Analysis -> Historian Trend

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template get archive data for a time range and display this without aggregation in a trend.

Application examples

Historian Trend reports are suitable for the display of the course of all types of measurement values (such as pressures, temperatures etc.) within a freely-selectable time period, lot or shift.

Create report

To create a Historian Trend report:

  1. In the Theme drop-down list, select Historian Analysis
  2. from the drop-down list, select Historian Trend as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Archive compression selection

The following types of archive aggregation are available:

  • Raw data (Basis archive)
  • added up data (aggregated archive)
  • average data (aggregated archive)
  • minimum data (aggregated archive)
  • maximum data (aggregated archive)
  • Select from drop-down list.

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Line chart and table
  • Column chart and table
  • Line chart and pivot table
  • Column chart and pivot table
  • Line chart
  • Column chart
  • Table
  • Pivot table

Report actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for selection of the projects (if not prescribed by the time filter)
  • 1 x multiple-selection drop-down list for selection of the archives
  • 1 x multiple-selection drop-down list for selection of the variables

Data display

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Line chart: A trend line covering the curve is shown for each variable
  • Column chart: The trend is constructed as a column diagram over the time period. In doing so, each variable gets a column for each time stamp.
  • Archive data table:
    Table with the following columns:
    • Variable name (can be sorted dynamically)
    • Time stamp (can be sorted dynamically)
    • Value
    • Text value
  • Pivot table: A table with a column for the time stamp and a column each for the value of each variable.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • ListLots
  • ListShifts
  • Archive_GetPlainTrendData


Historian Trend Comparison

zenon Analyzer -> Supplied report templates -> Report templates -> Historian Analysis -> Historian Trend Comparison

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template get archive data for two time ranges and display this without aggregation in a trend as a comparison.

Application examples

Historian Trend Comparison reports are suitable for the comparison of the development of all types of measured values (such as pressures, temperatures, etc.) over two time periods, lots or shifts.

Create report

To create a Historian Trend Comparison report:

  1. In the Theme drop-down list, select Historian Analysis
  2. from the drop-down list, select Historian Trend Comparison as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Archive compression selection

The following types of archive aggregation are available:

  • Raw data (Basis archive)
  • added up data (aggregated archive)
  • average data (aggregated archive)
  • minimum data (aggregated archive)
  • maximum data (aggregated archive)

Select from drop-down list.

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Line chart and table
  • Column chart and table
  • Line chart and pivot table
  • Column chart and pivot table
  • Line chart
  • Column chart
  • Table
  • Pivot table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 4 x date and time selection ("from" and "to" for two time ranges)
  • 2 x time range selection
  • 2 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 2 x lot selection with 1 x time range selection for prefiltering of the lots
  • 2 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 2 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for selection of the projects (if not prescribed by the time filter)
  • 1 x multiple-selection drop-down list for selection of the archives
  • 1 x multiple-selection drop-down list for selection of the variables

Data display

  • The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:
  • Line chart: A trend line covering the curve is shown for each variable
  • Column chart: The trend is created as a group of columns or bars over the time period. In doing so, each variable gets a column for each time stamp.
  • Archive data table:
    Table with the following columns:
    • Variable name (can be sorted dynamically)
    • Time stamp (can be sorted dynamically)
    • Value
    • Text value
  • Pivot table: A table with a column for the time stamp and a column each for the value of each variable.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • ListLots
  • ListShifts
  • Archive_GetPlainTrendData


Historian Aggregated Trend

zenon Analyzer -> Supplied report templates -> Report templates -> Historian Analysis -> Historian Aggregated Trend

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template get archive data for a time range, aggregate this into intervals in the time range and display it as a trend.

Create report

Reports that are based on this template get archive data for a time range, aggregate this into intervals in the time range and display it as a trend.

To create a Historian Aggregated Trend report:

  1. In the Theme drop-down list, select Historian Analysis
  2. from the drop-down list, select Historian Aggregated Trend as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Archive aggregation configuration

Archive aggregation configuration

Aggregation function

The following are available for aggregation:

  • Summation
  • Calculate average values
  • Determine minimum values
  • Determine maximum values

Select from drop-down list.

Archive configuration

Display of the archive variables in a tree structure. This structure is constructed as follows:

  • Project name
  • Archive name
  • Variable name
  • Aggregation type of the variables in the archive

Selection by clicking on the desired object.

If the report is linked to a project via the parameters of the time filter, a check is made to ensure that only archives and variables from the project to which the report is linked are used.

Archive aggregation variable configuration

Clicking on the button opens the dialog to select the archives and variables. For details, see the Configure archives section.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Line chart and pivot table
  • Column chart and pivot table
  • Line chart
  • Column chart
  • Pivot table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for selection of the aggregation interval

Data display

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Line chart: A trend curve over the time period is shown for each variable
  • Column chart: The trend is constructed as a column diagram over the time period. In doing so, each variable gets a column for each time stamp.
  • Pivot table: A table with a column for the time stamp and a column each for the value of each variable.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • Archive_ConvertToOneSecondCycle (UDF)
  • ListLots
  • ListShifts
  • Archive_GetAggregatedTrendData


Historian Aggregated Trend Comparison

zenon Analyzer -> Supplied report templates -> Report templates -> Historian Analysis -> Historian Aggregated Trend Comparison

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template get archive data for two time ranges, aggregate this into intervals in the time range and display these as a trend for comparison.

Create report

To create a Historian Aggregated Trend report:

  1. In the Theme drop-down list, select Historian Analysis
  2. from the drop-down list, select Historian Aggregated Trend as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Archive aggregation configuration

Archive aggregation configuration

Aggregation function

The following are available for aggregation:

  • Summation
  • Calculate average values
  • Determine minimum values
  • Determine maximum values

Select from drop-down list.

Archive configuration

Display of the archive variables in a tree structure. This structure is constructed as follows:

  • Project name
  • Archive name
  • Variable name
  • Aggregation type of the variables in the archive

Selection by clicking on the desired object.

If the report is linked to a project via the parameters of the time filter, a check is made to ensure that only archives and variables from the project to which the report is linked are used.

Archive aggregation variable configuration

Clicking on the button opens the dialog to select the archives and variables. For details, see the Configure archives section.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Line chart and pivot table
  • Column chart and pivot table
  • Line chart
  • Column chart
  • Pivot table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 4 x date and time selection ("from" and "to" for two time ranges)
  • 2 x time range selection
  • 2 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 2 x lot selection with 1 x time range selection for prefiltering of the lots
  • 2 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 2 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single-selection drop-down list for selection of the aggregation interval

Data display

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Line chart: A trend curve over the time period is shown for each variable
  • Column chart: The trend is constructed as a column diagram over the time period. In doing so, each variable gets a column for each time stamp.
  • Pivot table: A table with a column for the time stamp and a column each for the value of each variable.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • Archive_ConvertToOneSecondCycle (UDF)
  • ListLots
  • ListShifts
  • Archive_GetAggregatedTrendData


Historian Aggregated Trend with online variable selection

zenon Analyzer -> Supplied report templates -> Report templates -> Historian Analysis -> Historian Aggregated Trend with online variable selection

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template:

  • Gets archive data for a time range
  • Aggregates this in intervals in the time range
  • Displays these aggregations in a trend

Difference to Historian Aggregated Trend: All reports with this template use a common main stored procedure and the variables are selected in the Analyzer Manager.

Create report

To create an Hisotrian Aggregated Trend with online variable selection report:

  1. In the Theme drop-down list, select Historian Analysis
  2. from the drop-down list, select Hisotrian Aggregated Trend with online variable selection as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Archive compression selection

The following types of archive aggregation are available:

  • Raw data (Basis archive)
  • added up data (aggregated archive)
  • average data (aggregated archive)
  • minimum data (aggregated archive)
  • maximum data (aggregated archive)

Select from drop-down list.

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Line chart and table
  • Column chart and table
  • Line chart and pivot table
  • Column chart and pivot table
  • Line chart
  • Column chart
  • Table
  • Pivot table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for selection of the projects (if not prescribed by the time filter)
  • 1 x multiple-selection drop-down list for selection of the archives
  • 1 x multiple-selection drop-down list for selection of the variables
  • 1 x single-selection drop-down list to select the aggregation function (sum, average value, minimum, maximum)
  • 1 x single-selection drop-down list to select the aggregation interval (1 minute, 15 minutes, 30 minutes, 1 hour, 2 hours, 6 hours, 12 hours, 1 day, 1 week, 1 month, 1 quarter, 1 year)

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Line chart: A trend curve over the time period is shown for each variable
  • Column chart: The trend is constructed as a column diagram over the time period. Each variable gets a column for each time stamp.
  • Archive data table: A table with the following columns:
    • Variable name (can be sorted dynamically)
    • Time stamp from the start of the aggregation interval (can be sorted dynamically)
    • Time stamp from the end of the aggregation interval (can be sorted dynamically)
    • Numerical value with unit or text value (is decided on the basis of the data type)
  • Pivot table: A table with a column each for:
    • Time stamp from the start and end of the aggregation interval
    • Numerical value with unit or text value (decided on the basis of the data type)

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • Archive_GetDynamicAggregatedTrendData
  • ListLots
  • ListShifts


Historian Aggregated Trend Comparison with online variable selection

zenon Analyzer -> Supplied report templates -> Report templates -> Historian Analysis -> Historian Aggregated Trend Comparison with online variable selection

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template:

  • Get archive data for two time ranges
  • Aggregates this in intervals in the time range
  • Display these aggregations in a separate trend per time range

The difference to Historian Aggregated Trend Comparison: All reports with this template use a common main stored procedure and the variables are selected in the Analyzer Manager.

Create report

To create an Historian Aggregated Trend Comparison with online variable selection report:

  1. In the Theme drop-down list, select Historian Analysis
  2. from the drop-down list, select Historian Aggregated Trend Comparison with online variable selection as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Archive compression selection

The following types of archive aggregation are available:

  • Raw data (Basis archive)
  • added up data (aggregated archive)
  • average data (aggregated archive)
  • minimum data (aggregated archive)
  • maximum data (aggregated archive)

Select from drop-down list.

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Line chart and table
  • Column chart and table
  • Line chart and pivot table
  • Column chart and pivot table
  • Line chart
  • Column chart
  • Table
  • Pivot table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 4 x date and time selection ("from" and "to" for two time ranges)
  • 2 x time range selection
  • 2 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 2 x lot selection with 1 x time range selection for prefiltering of the lots
  • 2 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 2 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for selection of the projects (if not prescribed by the time filter)
  • 1 x multiple-selection drop-down list for selection of the archives
  • 1 x multiple-selection drop-down list for selection of the variables
  • 1 x single-selection drop-down list to select the aggregation function (sum, average value, minimum, maximum)
  • 1 x single-selection drop-down list to select the aggregation interval (1 minute, 15 minutes, 30 minutes, 1 hour, 2 hours, 6 hours, 12 hours, 1 day, 1 week, 1 month, 1 quarter, 1 year)

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Line chart: A trend curve over the time period is shown for each variable
  • Column chart: The trend is constructed as a column diagram over the time period. Each variable gets a column for each time stamp.
  • Archive data table: A table with the following columns:
    • Variable name (can be sorted dynamically)
    • Time stamp from the start of the aggregation interval (can be sorted dynamically)
    • Time stamp from the end of the aggregation interval (can be sorted dynamically)
    • Numerical value with unit or text value (is decided on the basis of the data type)
  • Pivot table: A table with a column each for:
    • Time stamp from the start and end of the aggregation interval
    • Numerical value with unit or text value (decided on the basis of the data type)

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • Archive_GetDynamicAggregatedTrendData
  • ListLots
  • ListShifts


Historian Aggregation

zenon Analyzer -> Supplied report templates -> Report templates -> Historian Analysis -> Historian Aggregation

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template get archive data for a time range, aggregate this and display each of the following aggregation types separately:

  • Sum
  • Average
  • Minimum
  • Maximum

Create report

To create a Historian Aggregation report:

  1. In the Theme drop-down list, select Historian Analysis
  2. from the drop-down list, select Historian Aggregation as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Archive compression selection

The following types of archive aggregation are available:

  • Raw data (Basis archive)
  • added up data (aggregated archive)
  • average data (aggregated archive)
  • minimum data (aggregated archive)
  • maximum data (aggregated archive)

Select from drop-down list.

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and table
  • Pie Chart and table
  • Column chart
  • Pie Chart
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for selection of the projects (if not prescribed by the time filter)
  • 1 x multiple-selection drop-down list for selection of the archives
  • 1 x multiple-selection drop-down list for selection of the variables

Data display

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Column chart: A column chart is drawn for each aggregation function. The respective aggregation result of each variable contains a column
  • Pie chart: A pie chart is drawn for each aggregation function. The respective aggregation result of each variable contains a sector.
  • Table: A table with the following columns:
    • Variable name (can be sorted dynamically)
    • Sum (can be sorted dynamically)
    • Minimum (can be sorted dynamically)
    • Average (can be sorted dynamically)
    • Maximum (can be sorted dynamically)

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • Archive_GetAggregatedData
  • ListLots
  • ListShifts


Archive aggregation comparison

zenon Analyzer -> Supplied report templates -> Report templates -> Historian Analysis -> Archive aggregation comparison

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template get archive data for two time ranges and display each of the following aggregation types for both time ranges separately:

  • Sum
  • Average
  • Minimum
  • Maximum

Create report

To create a Historian Aggregation report:

  1. In the Theme drop-down list, select Historian Analysis
  2. from the drop-down list, select Historian Aggregation as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Archive compression selection

The following types of archive aggregation are available:

  • Raw data (Basis archive)
  • added up data (aggregated archive)
  • average data (aggregated archive)
  • minimum data (aggregated archive)
  • maximum data (aggregated archive)

Select from drop-down list.

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and table
  • Pie Chart and table
  • Column chart
  • Pie Chart
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 4 x date and time selection ("from" and "to" for two time ranges)
  • 2 x time range selection
  • 2 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 2 x lot selection with 1 x time range selection for prefiltering of the lots
  • 2 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 2 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for selection of the projects (if not prescribed by the time filter)
  • 1 x multiple-selection drop-down list for selection of the archives
  • 1 x multiple-selection drop-down list for selection of the variables

Data display

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Column chart: A column chart is drawn for each aggregation The respective aggregation of each variable contains a column
  • Pie chart: A pie chart is drawn for each aggregation. The respective aggregation of each variable contains a sector.
  • Table: A table with the following columns:
    • Variable name (can be sorted dynamically)
    • Sum (can be sorted dynamically)
    • Minimum (can be sorted dynamically)
    • Average (can be sorted dynamically)
    • Maximum (can be sorted dynamically)

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • Archive_GetAggregatedData
  • ListLots
  • ListShifts


Historian Distribution

zenon Analyzer -> Supplied report templates -> Report templates -> Historian Analysis -> Historian Distribution

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template get archive data for a variable, round this up to a configurable rounding factor and display the distribution of the values. In addition, the following types of aggregation are calculated and displayed with markers:

  • Minimum
  • Average
  • Maximum

Application examples

Historian Trend reports are suitable for the graphic display of distributions of measured values. This can establish how many production items are within the permitted tolerances. In addition, it is possible to assess whether the measured values tend to deviate upwards or downwards.

Create report

To create a Historian Distribution report:

  1. In the Theme drop-down list, select Historian Analysis
  2. from the drop-down list, select Historian Distribution as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Archive compression selection

The following types of archive aggregation are available:

  • Raw data (Basis archive)
  • added up data (aggregated archive)
  • average data (aggregated archive)
  • minimum data (aggregated archive)
  • maximum data (aggregated archive)

Select from drop-down list.

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and table
  • Column chart
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single-selection drop-down list for selection of the projects (if not prescribed by the time filter)
  • 1 x single-selection drop-down list for selection of the archive
  • 1 x single-selection drop-down list for selection of the variables
  • 1 x single-selection drop-down list for selection of the rounding intervals

Data display

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Column chart: For the distribution, a trend is drawn using the X axis. Each variable value has a column. The height of this shows how often the value has occurred. Markers for minimum, average and maximum are drawn
  • Table: There are 2 tables.

    Columns table 1:

    • Minimum
    • Average
    • Maximum

    Columns table 2:

    • Variable value
    • Number denoting how often the value occurred.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • Archive_GetAggregatedData
  • Archive_GetDistributionData
  • ListLots
  • ListShifts


Archive distribution comparison

zenon Analyzer -> Supplied report templates -> Report templates -> Historian Analysis -> Archive distribution comparison

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template get archive data for a variable from two time ranges, round this up to a configurable rounding factor and display the distribution of the values as a comparison. In addition, the following types of aggregation are calculated and displayed with markers:

  • Minimum
  • Average
  • Maximum

Application examples

Historian Trend reports are suitable for the graphic display of the distribution of measured values between two lots.

Create report

To create a Historian Distribution Comparison report:

  1. In the Theme drop-down list, select Historian Analysis
  2. from the drop-down list, select Historian Distribution Comparison as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Archive compression selection

The following types of archive aggregation are available:

  • Raw data (Basis archive)
  • added up data (aggregated archive)
  • average data (aggregated archive)
  • minimum data (aggregated archive)
  • maximum data (aggregated archive)

Select from drop-down list.

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and table
  • Column chart
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 4 x date and time selection ("from" and "to" for two time ranges)
  • 2 x time range selection
  • 2 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 2 x lot selection with 1 x time range selection for prefiltering of the lots
  • 2 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 2 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single-selection drop-down list for selection of the projects (if not prescribed by the time filter)
  • 1 x single-selection drop-down list for selection of the archive
  • 1 x single-selection drop-down list for selection of the variables
  • 1 x single-selection drop-down list for selection of the rounding intervals

Data display

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Column chart: For the distribution, a trend is drawn using the X axis. Each variable value has a column. The height of this shows how often the value has occurred. Markers for minimum, average and maximum are drawn.
  • Table: There are 2 tables.

    Columns table 1:

    • Minimum
    • Average
    • Maximum

    Columns table 2:

    • Variable value
    • Number denoting how often the value occurred.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • Archive_GetAggregatedData
  • Archive_GetDistributionData
  • ListLots
  • ListShifts


Extended Historian Analysis

zenon Analyzer -> Supplied report templates -> Report templates -> Extended Historian Analysis

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports with this theme provide report templates for archive aggregation or archive distribution, taking prices, norm values and production counters into account. The use of equipment modeling is obligatory for these reports.

The following are available for the evaluation of archive aggregation or archive distribution:

  • Trend per Variable: Creates an aggregated trend analysis for a time period with a trend for each variable.
  • Trend per Variable Comparison: Creates an aggregated trend analysis for two time periods with a trend for each variable.
  • Trend per Equipment Model: Creates an aggregated trend analysis for a time period with a trend for each equipment model.
  • Trend per Equipment Model Comparison: Creates an aggregated trend analysis for two time periods with a trend for each equipment model.
  • Relative Trend per Variable: Creates a relative aggregated trend analysis for a time period with a trend for each variable.
  • Relative Trend per Variable Comparison: Creates a relative aggregated trend analysis for two time periods with a trend for each variable.
  • Relative Trend to Standard: Creates a relative aggregated trend analysis for a time period for a variable with a comparison with standard values.
  • Relative Trend to Standard Comparison: Creates a relative aggregated trend analysis for two time periods for a variable with a comparison with standard values.
  • Distribution per Variable: Calculates the aggregated cost distributions for a time period that is based on variables.
  • Distribution per Variable Comparison: Calculates the aggregated cost distributions for two time periods that are based on variables.
  • Cost Distribution per Variable: Calculates the aggregated cost distributions for a time period that is based on variables.
  • Cost Distribution per Variable Comparison: Calculates the aggregated cost distributions for two time periods that are based on variables.
  • Cost Distribution per Equipment Model: Calculates the aggregated cost distributions for a time period that is based on equipment models.
  • Cost Distribution per Equipment Model Comparison: Calculates the aggregated cost distributions for two time periods that are based on equipment models.

Report template selection

To create a report based on this template:

  1. Select the New entry in the Report menu or click on the corresponding symbol in the tool bar
  2. The dialog for selecting a template is opened

    Screenshots - Expanding

  3. In the Theme drop-down list, select Extended Historian Analysis
  4. Select the template you want to use as a report template from the drop-down list

Metadata

Metadata used: General
 | used | If not used
Projects | + | mandatory.
Alarm/Event class | - |
Alarm/Event groups | - |
Users | - |
Equipment modeling | + | mandatory.
Archives | + | mandatory.
Variables | + | mandatory.
Prices | + |
Norm values | + |
Metadata used: Time filter
Lots | + | No reports possible with lot filter.
Shifts | + | No reports possible with shift filter.

Noch in diesem Kapitel

Trend per Variable

Trend per Variable Comparison

Trend per Equipment Group

Trend per Equipment Group Comparison

Relative Trend per Variable

Relative Trend per Variable Comparison

Relative Trend to Standard

Relative Trend to Standard Comparison

Distribution per Variable

Distribution per Variable Comparison

Cost Distribution per Variable

Cost Distribution per Variable Comparison

Cost Distribution per Equipment Model

Cost Distribution per Equipment Model Comparison


Trend per Variable

zenon Analyzer -> Supplied report templates -> Report templates -> Extended Historian Analysis -> Trend per Variable

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template get consumption data for variables over a time range, add this up into intervals within the time range and display the data as a trend and in a table.

Create report

To create a Trend per Variable report:

  1. In the Theme drop-down list, select Extended Historian Analysis
  2. from the drop-down list, select Trend per Variable as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Select archives and variables

Display of the archive variables in a tree structure. This structure is constructed as follows:

  • Project name
  • Archive name
  • Variable name with aggregation type

Selection by clicking on the desired object.

If the report is linked to a project via the parameters of the time filter, a check is made to ensure that only archives and variables from the project to which the report is linked are used.

Archive aggregation variable configuration

Click on button opens dialog for configuring the archives and variables. For details, see the chapter on archive variable configuration

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Line chart and table
  • Column chart and table
  • Line chart
  • Column chart
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for selection of the projects
  • 1 x multiple-selection tree display for selection of the active equipment models
  • 1 x multiple-selection drop-down list for selection of the variables
  • 1 x single-selection drop-down list for the selection of the interval size in the time range

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values
  • Interval amounts (optional):
    • Trend with a line per variable
    • Trend with a set of columns per variable
  • Data as a table (optional) with the columns:
    • Variable name (can be expanded)
    • Interval Start
    • Interval End
    • Consumption
    • Unit

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedTrendData


Trend per Variable Comparison

zenon Analyzer -> Supplied report templates -> Report templates -> Extended Historian Analysis -> Trend per Variable Comparison

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template get consumption data for variables over two time ranges, add this up into intervals within the time range and display the data as a trend and in a table. Both time ranges are displayed separately.

Create report

To create a Trend per Variable Comparsion report:

  1. In the Theme drop-down list, select Extended Historian Analysis
  2. from the drop-down list, select Trend per Variable Comparison as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Select archives and variables

Display of the archive variables in a tree structure. This structure is constructed as follows:

  • Project name
  • Archive name
  • Variable name with aggregation type

Selection by clicking on the desired object.

If the report is linked to a project via the parameters of the time filter, a check is made to ensure that only archives and variables from the project to which the report is linked are used.

Archive aggregation variable configuration

Click on button opens dialog for configuring the archives and variables. For details, see the chapter on archive variable configuration

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Line chart and table
  • Column chart and table
  • Line chart
  • Column chart
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 4 x date and time selection ("from" and "to" for one time range)
  • 2 x time range selection
  • 2 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 2 x lot selection with 1 x time range selection for prefiltering of the lots
  • 2 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 2 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for selection of the projects
  • 1 x multiple-selection tree display for selection of the active equipment models
  • 1 x multiple-selection drop-down list for selection of the variables
  • 1 x single-selection drop-down list for the selection of the interval size in the time range

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values
  • Interval amounts (optional):
    • Trend with a line per variable
    • Trend with a set of columns per variable
  • Data as a table (optional) with the columns:
    • Variable name (can be expanded)
    • Interval Start
    • Interval End
    • Consumption
    • Unit

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedTrendData


Trend per Equipment Group

zenon Analyzer -> Supplied report templates -> Report templates -> Extended Historian Analysis -> Trend per Equipment Group

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template get consumption data for all variables from the selected equipment groups over a time range, add this up into intervals within the time range and display the data as a trend and in a table.

Create report

To create a Trend per Equipment Group report:

  1. In the Theme drop-down list, select Extended Historian Analysis
  2. from the drop-down list, select Trend per Equipment Group as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Archive variables configuration

Display of the archive variables in a tree structure. This structure is constructed as follows:

  • Project name
  • Archive name
  • Variable name with aggregation type

Selection by clicking on the desired object.

If the report is linked to a project via the parameters of the time filter, a check is made to ensure that only archives and variables from the project to which the report is linked are used.

Archive aggregation variable configuration

Click on button opens dialog for configuring the archives and variables. For details, see the chapter on archive variable configuration

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Line chart and table
  • Column chart and table
  • Line chart
  • Column chart
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for selection of the projects
  • 1 x multiple-selection tree display for selection of the active equipment models
  • 1 x multiple-selection drop-down list for selection of the variables
  • 1 x single-selection drop-down list for the selection of the interval size in the time range

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values
  • Interval amounts (optional):
    • Trend with a line per variable
    • Trend with a set of columns per variable
  • Data as a table (optional) with the columns:
    • Variable name (can be expanded)
    • Interval Start
    • Interval End
    • Consumption
    • Unit

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedTrendData


Trend per Equipment Group Comparison

zenon Analyzer -> Supplied report templates -> Report templates -> Extended Historian Analysis -> Trend per Equipment Group Comparison

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template get consumption data for variables over two time ranges, add this up into intervals within the time range and display the data as a trend and in a table. Both time ranges are displayed separately.

Create report

To create a Trend per Equipment Group Comparison report:

  1. In the Theme drop-down list, select Extended Historian Analysis
  2. from the drop-down list, select Trend per Equipment Group Comparison as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Select archives and variables

Display of the archive variables in a tree structure. This structure is constructed as follows:

  • Project name
  • Archive name
  • Variable name with aggregation type

Selection by clicking on the desired object.

If the report is linked to a project via the parameters of the time filter, a check is made to ensure that only archives and variables from the project to which the report is linked are used.

Archive aggregation variable configuration

Click on button opens dialog for configuring the archives and variables. For details, see the chapter on archive variable configuration

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Line chart and table
  • Column chart and table
  • Line chart
  • Column chart
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 4 x date and time selection ("from" and "to" for one time range)
  • 2 x time range selection
  • 2 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 2 x lot selection with 1 x time range selection for prefiltering of the lots
  • 2 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 2 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for selection of the projects
  • 1 x multiple-selection tree display for selection of the active equipment models
  • 1 x multiple-selection drop-down list for selection of the variables
  • 1 x single-selection drop-down list for the selection of the interval size in the time range

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values
  • Interval amounts (optional):
    • Trend with a line per variable
    • Trend with a set of columns per variable
  • Data as a table (optional) with the columns:
    • Variable name (can be expanded)
    • Interval Start
    • Interval End
    • Consumption
    • Unit

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedTrendData


Relative Trend per Variable

zenon Analyzer -> Supplied report templates -> Report templates -> Extended Historian Analysis -> Relative Trend per Variable

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template:

  • Get consumption data for variables over a time range,
  • add these up in intervals within the time range,
  • divide the interval amounts by the production in the interval (if this is not 0) and
  • display the data as a trend and as a table.

Create report

To create a Relative Trend per Variable report:

  1. In the Theme drop-down list, select Extended Historian Analysis
  2. from the drop-down list, select Relative Trend per Variable as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Production counter configuration

Display of the configuration of the production counter.

Configure production counter

Opens the dialog for configuring the production counter.

Archive variables configuration

Display of the archive variables in a tree structure. This structure is constructed as follows:

  • Project name
  • Archive name
  • Variable name with aggregation type

Selection by clicking on the desired object.

If the report is linked to a project via the parameters of the time filter, a check is made to ensure that only archives and variables from the project to which the report is linked are used.

Archive aggregation variable configuration

Click on button opens dialog for configuring the archives and variables. For details, see the chapter on archive variable configuration

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Line chart and table
  • Column chart and table
  • Line chart
  • Column chart
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection tree display for selection of the active equipment models
  • 1 x multiple-selection drop-down list for selection of the variables
  • 1 x single-selection drop-down list for the selection of the interval size in the time range

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values
  • Interval amounts (optional):
    • Trend with a line per variable
    • Trend with a set of columns per variable
  • Data as a table (optional) with the columns:
    • Variable name (can be expanded)
    • Interval Start
    • Interval End
    • Relative consumption
    • Unit
    • Production counter

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedTrendProductionData


Relative Trend per Variable Comparison

zenon Analyzer -> Supplied report templates -> Report templates -> Extended Historian Analysis -> Relative Trend per Variable Comparison

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template:

  • Get consumption data for variables over two time ranges,
  • add these up in intervals within the time range,
  • divide the interval amounts by the production in the interval (if this is not 0) and
  • display the data as a trend and as a table.

Both time ranges are displayed separately.

Create report

To create a Relative Trend per Variable Comparison report:

  1. In the Theme drop-down list, select Extended Historian Analysis
  2. from the drop-down list, select Relative Trend per Variable Comparison as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Production counter configuration

Display of the configuration of the production counter.

Configure production counter

Opens the dialog for configuring the production counter.

Archive variables configuration

Display of the archive variables in a tree structure. This structure is constructed as follows:

  • Project name
  • Archive name
  • Variable name with aggregation type

Selection by clicking on the desired object.

If the report is linked to a project via the parameters of the time filter, a check is made to ensure that only archives and variables from the project to which the report is linked are used.

Archive aggregation variable configuration

Click on button opens dialog for configuring the archives and variables. For details, see the chapter on archive variable configuration

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Line chart and table
  • Column chart and table
  • Line chart
  • Column chart
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 4 x date and time selection ("from" and "to" for one time range)
  • 2 x time range selection
  • 2 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 2 x lot selection with 1 x time range selection for prefiltering of the lots
  • 2 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 2 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection tree display for selection of the active equipment models
  • 1 x multiple-selection drop-down list for selection of the variables
  • 1 x single-selection drop-down list for the selection of the interval size in the time range

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values
  • Interval amounts (optional):
    • Trend with a line per variable
    • Trend with a set of columns per variable
  • Data as a table (optional) with the columns:
    • Variable name (can be expanded)
    • Interval Start
    • Interval End
    • Relative consumption
    • Unit
    • Production counter

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedTrendProductionData


Relative Trend to Standard

zenon Analyzer -> Supplied report templates -> Report templates -> Extended Historian Analysis -> Relative Trend to Standard

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template:

  • Get consumption data for a variable over a time range,
  • add these up in intervals within the time range,
  • divide the interval amounts by the production in the interval (if this is not 0),
  • display the data as a trend and as a table and
  • get a norm value for comparison purposes for the value from the NORM table and include this in the display of data.

Create report

To create a Relative Trend to Standard report:

  1. In the Theme drop-down list, select Extended Historian Analysis
  2. from the drop-down list, select Relative Trend to Standard as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Production counter configuration

Display of the configuration of the production counter.

Configure production counter

Opens the dialog for configuring the production counter.

Archive variables configuration

Display of the archive variables in a tree structure. This structure is constructed as follows:

  • Project name
  • Archive name
  • Variable name with aggregation type

Selection by clicking on the desired object.

If the report is linked to a project via the parameters of the time filter, a check is made to ensure that only archives and variables from the project to which the report is linked are used.

Archive aggregation variable configuration

Click on button opens dialog for configuring the archives and variables. For details, see the chapter on archive variable configuration

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and table
  • Column chart
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single-selection tree display for selection of the active equipment model
  • 1 x single-selection drop-down list for selection of the variables
  • 1 x single-selection drop-down list for the selection of the interval size in the time range

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values
  • Relative consumption (optional): Trend with a set of columns per variable and a line for the norm value
  • Data as a table (optional) with the columns:
    • Variable name (can be expanded)
    • Interval Start
    • Interval End
    • Relative consumption
    • Norm value
    • Unit
    • Production counter

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedTrendProductionNormData


Relative Trend to Standard Comparison

zenon Analyzer -> Supplied report templates -> Report templates -> Extended Historian Analysis -> Relative Trend to Standard Comparison

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template:

  • Get consumption data for a variable over two time ranges,
  • add these up in intervals within the time range,
  • divide the interval amounts by the production in the interval (if this is not 0),
  • display the data as a trend and as a table and
  • get a norm value for comparison purposes for the value from the NORM table and include this in the display of data.

Both time ranges are displayed separately.

Create report

To create a Relative Trend to Standard Comparison report:

  1. In the Theme drop-down list, select Extended Historian Analysis
  2. from the drop-down list, select Relative Trend to Standard Comparsion as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Production counter configuration

Display of the configuration of the production counter.

Configure production counter

Opens the dialog for configuring the production counter.

Archive variables configuration

Display of the archive variables in a tree structure. This structure is constructed as follows:

  • Project name
  • Archive name
  • Variable name with aggregation type

Selection by clicking on the desired object.

If the report is linked to a project via the parameters of the time filter, a check is made to ensure that only archives and variables from the project to which the report is linked are used.

Archive aggregation variable configuration

Click on button opens dialog for configuring the archives and variables. For details, see the chapter on archive variable configuration

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and table
  • Column chart
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 4 x date and time selection ("from" and "to" for one time range)
  • 2 x time range selection
  • 2 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 2 x lot selection with 1 x time range selection for prefiltering of the lots
  • 2 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 2 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection tree display for selection of the active equipment models
  • 1 x multiple-selection drop-down list for selection of the variables
  • 1 x single-selection drop-down list for the selection of the interval size in the time range

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values
  • Relative consumption (optional, 1 x per time range): Trend with a set of columns per variable and a line for the norm value
  • Data as a table (optional) with the columns:
    • Variable name (can be expanded)
    • Interval Start
    • Interval End
    • Relative consumption
    • Norm value
    • Unit
    • Production counter

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedTrendProductionNormData


Distribution per Variable

zenon Analyzer -> Supplied report templates -> Report templates -> Extended Historian Analysis -> Distribution per Variable

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template get consumption data for variables over a time range, add this up and display the consumption amounts graphically and in a table for comparison.

Application examples

Trend per variable reports are suited, for example, to the comparison of the deviation of the measured value distribution between two lots.

Create report

To create a Trend per Variable report:

  1. In the Theme drop-down list, select Extended Historian Analysis
  2. from the drop-down list, select Trend per Variable as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Select archives and variables

Display of the archive variables in a tree structure. This structure is constructed as follows:

  • Project name
  • Archive name
  • Variable name with aggregation type

Selection by clicking on the desired object.

If the report is linked to a project via the parameters of the time filter, a check is made to ensure that only archives and variables from the project to which the report is linked are used.

Archive aggregation variable configuration

Click on button opens dialog for configuring the archives and variables. For details, see the chapter on archive variable configuration

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and table
  • Pie Chart and table
  • Column chart
  • Pie Chart
  • Table

Chart data selection

Selection of the value type to be displayed from drop-down list:

  • Absolute values
  • Relative values

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for selection of the active projects
  • 1 x single-selection tree display for selection of the active equipment model
  • 1 x multiple-selection drop-down list for selection of the variables

Data display

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values
  • Data (optional):
    • Pie chart with the absolute or relative overall consumption in a segment for each variable
    • Bar chart with the absolute or relative overall consumption in a segment for each variable
  • Data as a table (optional) with the columns:
    • Variable name
    • Total consumption
    • Unit
    • Relative consumption

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedData


Distribution per Variable Comparison

zenon Analyzer -> Supplied report templates -> Report templates -> Extended Historian Analysis -> Distribution per Variable Comparison

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template get consumption data for variables over two time periods, add this up and display the consumption amounts graphically and in a table for comparison. Both time ranges are displayed separately.

Application examples

Trend per variable reports are suited, for example, to the comparison of the deviation of the measured value distribution between two lots.

Create report

To create a Trend per Variable report:

  1. In the Theme drop-down list, select Extended Historian Analysis
  2. from the drop-down list, select Trend per Variable as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Archive variables configuration

Display of the archive variables in a tree structure. This structure is constructed as follows:

  • Project name
  • Archive name
  • Variable name with aggregation type

Selection by clicking on the desired object.

If the report is linked to a project via the parameters of the time filter, a check is made to ensure that only archives and variables from the project to which the report is linked are used.

Archive aggregation variable configuration

Click on button opens dialog for configuring the archives and variables. For details, see the chapter on archive variable configuration

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and table
  • Pie Chart and table
  • Column chart
  • Pie Chart
  • Table

Display of value in the diagram

Selection of the value type to be displayed from drop-down list:

  • Absolute values
  • Relative values

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 4 x date and time selection ("from" and "to" for one time range)
  • 2 x time range selection
  • 2 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 2 x lot selection with 1 x time range selection for prefiltering of the lots
  • 2 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 2 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for selection of the active projects
  • 1 x single-selection tree display for selection of the active equipment model
  • 1 x multiple-selection drop-down list for selection of the variables

Data display

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values
  • Data (optional):
    • Pie chart with the absolute or relative overall consumption in a segment for each variable; 1x per time range
    • Bar chart with the absolute or relative overall consumption in a segment for each variable; 1x per time range
  • Data as a table (optional) with the columns:
    • Variable name
    • Total consumption
    • Unit
    • Relative consumption

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedData


Cost Distribution per Variable

zenon Analyzer -> Supplied report templates -> Report templates -> Extended Historian Analysis -> Cost Distribution per Variable

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template:

  • Get consumption data for variables over a time range,
  • link the consumption values with the respective applicable prices from the Price table, in order to get the costs,
  • add up the costs and
  • display the cost sums graphically and in a table for comparison.

Create report

To create a Cost Distribution per Variable report:

  1. In the Theme drop-down list, select Extended Historian Analysis
  2. from the drop-down list, select Cost Distribution per Variable as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Archive variables configuration

Display of the archive variables in a tree structure. This structure is constructed as follows:

  • Project name
  • Archive name
  • Variable name with aggregation type

Selection by clicking on the desired object.

If the report is linked to a project via the parameters of the time filter, a check is made to ensure that only archives and variables from the project to which the report is linked are used.

Archive aggregation variable configuration

Click on button opens dialog for configuring the archives and variables. For details, see the chapter on archive variable configuration

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and table
  • Pie Chart and table
  • Column chart
  • Pie Chart
  • Table

Chart data selection

Selection of the value type to be displayed from drop-down list:

  • Absolute values
  • Relative values

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for selection of the active projects
  • 1 x multiple-selection tree display list for selection of the active equipment models
  • 1 x multiple-selection drop-down list for selection of the variables

Data display

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values
  • Data (optional):
    • Pie chart with the absolute or relative overall consumption in a segment for each variable
    • Bar chart with the absolute or relative overall consumption in a segment for each variable
  • Data as a table (optional) with the columns:
    • Variable name
    • Total costs, absolute
    • Total costs, relative

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedCostData


Cost Distribution per Variable Comparison

zenon Analyzer -> Supplied report templates -> Report templates -> Extended Historian Analysis -> Cost Distribution per Variable Comparison

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template:

  • Get consumption data for variables over two time ranges,
  • link the consumption values with the respective applicable prices from the Price table, in order to get the costs,
  • add up the costs and
  • display the cost sums graphically and in a table for comparison.

Both time ranges are displayed separately.

Create report

To create a Cost Distribution per Variable Comparison report:

  1. In the Theme drop-down list, select Extended Historian Analysis
  2. from the drop-down list, select Cost Distribution per Variable Comparison as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Select archives and variables

Display of the archive variables in a tree structure. This structure is constructed as follows:

  • Project name
  • Archive name
  • Variable name with aggregation type

Selection by clicking on the desired object.

If the report is linked to a project via the parameters of the time filter, a check is made to ensure that only archives and variables from the project to which the report is linked are used.

Archive aggregation variable configuration

Click on button opens dialog for configuring the archives and variables. For details, see the chapter on archive variable configuration

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and table
  • Pie Chart and table
  • Column chart
  • Pie Chart
  • Table

Chart data selection

Selection of the value type to be displayed from drop-down list:

  • Absolute values
  • Relative values

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 4 x date and time selection ("from" and "to" for one time range)
  • 2 x time range selection
  • 2 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 2 x lot selection with 1 x time range selection for prefiltering of the lots
  • 2 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 2 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for selection of the active projects
  • 1 x multiple-selection tree display list for selection of the active equipment models
  • 1 x multiple-selection drop-down list for selection of the variables

Data display

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values
  • Data (optional):
    • Pie chart with the absolute or relative overall consumption in a segment for each variable; 1 x per time range
    • Bar chart with the absolute or relative overall consumption in a segment for each variable; 1 x per time range
  • Data as a table (optional) with the columns:
    • Variable name
    • Total costs, absolute
    • Total costs, relative

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedCostData


Cost Distribution per Equipment Model

zenon Analyzer -> Supplied report templates -> Report templates -> Extended Historian Analysis -> Cost Distribution per Equipment Model

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template:

  • Get consumption data for all variables of the selected equipment models over a time range,
  • link the consumption values with the respective applicable prices from the Price table, in order to get the costs,
  • add up the costs per equipment model and
  • display the cost sums graphically and in a table for comparison.

Create report

To create a Cost Distribution per Equipment Model report:

  1. In the Theme drop-down list, select Extended Historian Analysis
  2. from the drop-down list, select Cost Distribution per Equipment Model as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Archive variables configuration

Display of the archive variables in a tree structure. This structure is constructed as follows:

  • Project name
  • Archive name
  • Variable name with aggregation type

Selection by clicking on the desired object.

If the report is linked to a project via the parameters of the time filter, a check is made to ensure that only archives and variables from the project to which the report is linked are used.

Archive aggregation variable configuration

Click on button opens dialog for configuring the archives and variables. For details, see the chapter on archive variable configuration

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and table
  • Pie Chart and table
  • Column chart
  • Pie Chart
  • Table

Chart data selection

Selection of the value type to be displayed from drop-down list:

  • Absolute values
  • Relative values

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for selection of the active projects
  • 1 x multiple-selection tree display list for selection of the active equipment models

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values
  • Data (optional):
    • Pie chart with the absolute or relative overall consumption in a segment for each variable
    • Bar chart with the absolute or relative overall consumption in a segment for each variable
  • Data as a table (optional) with the columns:
    • Equipment name
    • Total costs, absolute
    • Total costs, relative

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedEquipmentCostData


Cost Distribution per Equipment Model Comparison

zenon Analyzer -> Supplied report templates -> Report templates -> Extended Historian Analysis -> Cost Distribution per Equipment Model Comparison

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template:

  • Get consumption data for all variables of the selected equipment models over a two time ranges,
  • link the consumption values with the respective applicable prices from the Price table, in order to get the costs,
  • add up the costs per equipment model and
  • display the cost sums graphically and in a table for comparison.

Both time ranges are displayed separately.

Create report

To create a Cost Distribution per Equipment Model Comparison report:

  1. In the Theme drop-down list, select Extended Historian Analysis
  2. from the drop-down list, select Cost Distribution per Equipment Model Comparison as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Archive variables configuration

Display of the archive variables in a tree structure. This structure is constructed as follows:

  • Project name
  • Archive name
  • Variable name with aggregation type

Selection by clicking on the desired object.

If the report is linked to a project via the parameters of the time filter, a check is made to ensure that only archives and variables from the project to which the report is linked are used.

Archive aggregation variable configuration

Click on button opens dialog for configuring the archives and variables. For details, see the chapter on archive variable configuration

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and table
  • Pie Chart and table
  • Column chart
  • Pie Chart
  • Table

Chart data selection

Selection of the value type to be displayed from drop-down list:

  • Absolute values
  • Relative values

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 4 x date and time selection ("from" and "to" for one time range)
  • 2 x time range selection
  • 2 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 2 x lot selection with 1 x time range selection for prefiltering of the lots
  • 2 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 2 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x multiple-selection drop-down list for selection of the active projects
  • 1 x multiple-selection tree display list for selection of the active equipment models

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Parameter area: Is always present and shows the report parameter values
  • Data (optional):
    • Pie chart with the absolute or relative overall consumption in a segment for each variable, 1 x per time range
    • Bar chart with the absolute or relative overall consumption in a segment for each variable, 1 x per time range
  • Data as a table (optional) with the columns:
    • Equipment name
    • Total costs, absolute
    • Total costs, relative

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedEquipmentCostData


ISO 50001

zenon Analyzer -> Supplied report templates -> Report templates -> ISO 50001

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports with this theme provide report templates from the Extended Historian Analysis and Custom Formula Analysis themes:

  • Trend per Variable: Creates an aggregated trend analysis for a time period with a trend for each variable.
  • Trend per Variable Comparison: Creates an aggregated trend analysis for two time periods with a trend for each variable.
  • Trend per Equipment Model: Creates an aggregated trend analysis for a time period with a trend for each equipment model.
  • Trend per Equipment Model Comparison: Creates an aggregated trend analysis for two time periods with a trend for each equipment model.
  • Relative Trend per Variable: Creates a relative aggregated trend analysis for a time period with a trend for each variable.
  • Relative Trend per Variable Comparison: Creates a relative aggregated trend analysis for two time periods with a trend for each variable.
  • Relative Trend to Standard: Creates a relative aggregated trend analysis for a time period for a variable with a comparison with standard values.
  • Relative Trend to Standard Comparison: Creates a relative aggregated trend analysis for two time periods for a variable with a comparison with standard values.
  • Distribution per Variable: Calculates the aggregated cost distributions for a time period that is based on variables.
  • Distribution per Variable Comparison: Calculates the aggregated cost distributions for two time periods that are based on variables.
  • Cost Distribution per Variable: Calculates the aggregated cost distributions for a time period that is based on variables.
  • Cost Distribution per Variable Comparison: Calculates the aggregated cost distributions for two time periods that are based on variables.
  • Cost Distribution per Equipment Model: Calculates the aggregated cost distributions for a time period that is based on equipment models.
  • Cost Distribution per Equipment Model Comparison: Calculates the aggregated cost distributions for two time periods that are based on equipment models.
  • Custom Formula Trend: Trend display of user-defined formulas for a time range.
  • Custom Formula Trend Comparison: Trend display of user-defined formulas for two time ranges.
  • Custom Formula Aggregated Trend: Trend display of aggregated user-defined formulas for a time range.
  • Custom Formula Aggregated Trend Comparison: Trend display of aggregated user-defined formulas for two time ranges.
  • Custom Formula Aggregation: Trend display of aggregated, user-defined formulas for a time range.
  • Custom Formula Aggregation Comparison: Trend display of aggregated, user-defined formulas for two time ranges.

Report template selection

To create a report based on this template:

  1. Select the New entry in the Report menu or click on the corresponding symbol in the tool bar
  2. The dialog for selecting a template is opened

    Screenshots - Expanding

  3. In the Theme drop-down list, select ISO 50001
  4. Select the template you want to use as a report template from the drop-down list

Configuration of the reports:

You can find the description of the configuration for the individual report templates in the documentation on the topics:

  • Custom Formula Analysis
  • Extended Historian Analysis.


Production Analysis Machine Based

zenon Analyzer -> Supplied report templates -> Report templates -> Production Analysis Machine Based

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports with this theme provide report templates for the analysis of loss times and productivity, based on standards such as DIN 8782, DIN 8743, Weihenstephan Standards and the best practices of some manufacturing companies:

  • Losses Analysis: Analyze archive data and calculate aggregated loss times for a time period, based on an equipment group and a waterfall model.
  • Productivity Indicators Analysis: Analyze archive data and calculate aggregated productivity indicators for a time period, based on an equipment group.
  • Comprehensive Productivity Analysis: Combines the Losses Analysis and Produktivity indicators Analysis report templates.
  • Losses Lot History: Analyze archive data and calculate aggregated loss times for each lot, based on an equipment group.
  • Productivity Indicators Lot History: Analyze archive data and calculate aggregated production indicators for each lot in a time period, based on an equipment group.
  • Comprehensive Productivity Lot History: Combines the Losses Lot History and Productivity Indicators Lot History templates.

All report templates in this theme allow the filtering of archived production data according to pallet type, crate type, bottle type and number of the filling tank. These four optional data filters can also be used for other filters. In this case, it is recommended that the parameters concerned are changed after the report has been provided in ZAMS.

Recommendation: Each waterfall model should have a unique name.

The report templates are in ZAMS in the Production Analysis Machine Based theme.

Report template selection

To create a report based on this template:

  1. Select the New entry in the Report menu or click on the corresponding symbol in the tool bar
  2. The dialog for selecting a template is opened

    Screenshots - Expanding

  3. In the Theme drop-down list, select Production Analysis Machine Based
  4. Select the template you want to use as a report template from the drop-down list

Noch in diesem Kapitel

Losses Analysis

Productivity Indicators Analysis

Comprehensive Productivity Analysis

Losses Lot History

Productivity Indicators Lot History

Comprehensive Productivity Lot History

Configuration of the reports for machine-based production analysis in zenon


Losses Analysis

zenon Analyzer -> Supplied report templates -> Report templates -> Production Analysis Machine Based -> Losses Analysis

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template analyze archive data and calculate aggregated loss times for a time period, based on an equipment group and a waterfall model. The results can be displayed as a waterfall diagram, Pareto diagram or as a table.

Create report

To create a Losses Analysis report:

  1. Select Production Analysis Machine Based in the drop-down list in the dialog to create new reports as a theme
  2. from the drop-down list, select Losses Analysis as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Production data filters

Configuration and display of the production data filter.

Project

Selection of the project that is to be linked to a project from a drop-down list.

Data Filter configuration

Table with the current settings for data filtering.

Configure data filters

Clicking on the button opens the dialog for configuring the data filters.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Waterfal diagram type selection

Selection of the waterfall diagram from the drop-down list:

  • Horizontal compact absolute
  • Horizontal compact relative
  • Horizontal detailed absolute
  • Horizontal detailed relative
  • Vertical compact absolute
  • Vertical compact relative
  • Vertical detailed absolute
  • Vertical detailed relative
  • No waterfall diagram

Loss times data representation

Selection of the display type for the time distribution from the drop-down list.

  • Pareto diagram (absolute) and all times table
  • Pareto diagram (relative) and all times table
  • Pareto diagram (absolute) and loss times table
  • Pareto diagram (relative) and loss times table
  • Pareto diagram (absolute)
  • Pareto diagram (relative)
  • All times table
  • Table with the loss times

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single selection from the equipment model
  • 1 x single-selection from pre-defined values for waterfall model name
  • Optional:
    • 1 x multiple selection from pre-defined values for pallet type filter (if activated)
    • 1 x multiple selection from pre-defined values for crate type filter (if activated)
    • 1 x multiple selection from pre-defined values for bottle type filter (if activated)
    • 1 x multiple selection from pre-defined values for tank number type filter (if activated)

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • One of the eight waterfall diagrams (optional):
    • Horizontal compact absolute
    • Horizontal compact relative
    • Horizontal detailed absolute
    • Horizontal detailed relative
    • Vertical compact absolute
    • Vertical compact relative
    • Vertical detailed absolute
    • Vertical detailed relative
  • Absolute or relative Pareto diagram (optional). If no table is used, a Pareto diagram must be used.
  • Table with all rows or table with the loss times (optional). If no Pareto diagram is used, a table must be used.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListLots
  • ListShifts
  • ListFilterValueForEquipment
  • ListWaterfallModelsForEquipment
  • FNB_GetMetaDataEntries
  • FNB_WaterfallData


Productivity Indicators Analysis

zenon Analyzer -> Supplied report templates -> Report templates -> Production Analysis Machine Based -> Productivity Indicators Analysis

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template analyze archive data and calculate aggregated productivity indicators for a time period, based on an equipment group. The four central OEE indicators can be displayed as a bar chart or in four measurement devices. The additional optional indicators are displayed in a table.

Create report

To create a Productivity Indicators Analysis report:

  1. Select Production Analysis Machine Based in the drop-down list in the dialog to create new reports as a theme
  2. from the drop-down list, select Productivity Indicators Analysis as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Production data filters

Configuration and display of the production data filter.

Project

Selection of the project that is to be linked to a project from a drop-down list.

Data Filter configuration

Table with the current settings for data filtering.

Configure data filters

Clicking on the button opens the dialog for configuring the data filters.

Production indicators

Configuration and display of the production indicators.

Project

Selection of the project that is to be linked to a project from a drop-down list.

If a project is selected, this project is forwarded to all other groupings in the report that offer project selection.
If this grouping receives a message about a linked project from another grouping, this project is set in the drop-down list and the drop-down list is deactivated.

Optional indicators

Table with the current settings for the optional indicators.

Assigned meanings

Table with the configuration of the field meanings for the calculation of the indicators.

Configure indicators

Clicking on the button opens the dialog for configuring the indicators.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Indicator data representation

Selection of the display type for the indicators from the drop-down list:

  • Bar chart and table
  • Measuring devices and table
  • Table

Availability gauge ranges

Availability color ranges.

Configuration of the color ranges:

  • Low range
  • Medium range
  • High range

The upper limit of the low range is the lower value of the high range. The lower limit of the high range is the upper value of the low range. Both limits are inclusive limits. Both elements can be set to the same value. In this case, there is no medium range. The lower limit for the low range and the upper limit for the high range come from the report template.

Low range goes until

Defines the limit between the low (red) and medium (yellow) range in the measuring device.

High range starts at

Defines the limit between the medium (yellow) and high (green) range in the measuring device.

Display of ranges

Preview of the configured color ranges.

Performance gauge ranges

Performance color ranges

Configuration similar to Availability gauge ranges.

Quality gauge ranges

Quality color ranges

Configuration similar to Availability gauge ranges.

OEE gauge ranges

OEE color ranges

Configuration similar to Availability gauge ranges.

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single selection from the equipment model
  • Optional:
    • 1 x multiple selection from pre-defined values for pallet type filter (if activated)
    • 1 x multiple selection from pre-defined values for crate type filter (if activated)
    • 1 x multiple selection from pre-defined values for bottle type filter (if activated)
    • 1 x multiple selection from pre-defined values for tank number type filter (if activated)

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Bar chart or four measurement devices for the main indicators (optional).
  • Table with all indicators Cells for indicators that are not calculated remain empty.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListLots
  • ListShifts
  • ListFilterValueForEquipment
  • FNB_GetMetaDataEntries
  • FNB_OeeData


Comprehensive Productivity Analysis

zenon Analyzer -> Supplied report templates -> Report templates -> Production Analysis Machine Based -> Comprehensive Productivity Analysis

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

This template combines the Losses Analysis and Productivity Indicators Analysis report templates.

Reports that are based on this template analyze archive data and calculate aggregated loss times and aggregated productivity indicators for a time period, based on an equipment group and a waterfall model. The four central OEE indicators can be displayed as a bar chart or in four measurement devices. The additional optional indicators are displayed in a table. The loss times can be displayed as a waterfall diagram, Pareto diagram or as a table.

Create report

To create a Comprehensive Productivity Analysis report:

  1. Select Production Analysis Machine Based in the drop-down list in the dialog to create new reports as a theme
  2. from the drop-down list, select Comprehensive Productivity Analysis as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Production data filters

Configuration and display of the production data filter.

Project

Selection of the project that is to be linked to a project from a drop-down list.

Data Filter configuration

Table with the current settings for data filtering.

Configure data filters

Clicking on the button opens the dialog for configuring the data filters.

Production indicators

Configuration and display of the production indicators.

Project

Selection of the project that is to be linked to a project from a drop-down list.

If a project is selected, this project is forwarded to all other groupings in the report that offer project selection.
If this grouping receives a message about a linked project from another grouping, this project is set in the drop-down list and the drop-down list is deactivated.

Optional indicators

Table with the current settings for the optional indicators.

Assigned meanings

Table with the configuration of the field meanings for the calculation of the indicators.

Configure indicators

Clicking on the button opens the dialog for configuring the indicators.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Indicator data representation

Selection of the display type for the indicators from the drop-down list:

  • Bar chart and table
  • Measuring devices and table
  • Table

Waterfal diagram type selection

Selection of the waterfall diagram from the drop-down list:

  • Horizontal compact absolute
  • Horizontal compact relative
  • Horizontal detailed absolute
  • Horizontal detailed relative
  • Vertical compact absolute
  • Vertical compact relative
  • Vertical detailed absolute
  • Vertical detailed relative
  • No waterfall diagram

Loss times data representation

Selection of the display type for the time distribution from the drop-down list.

  • Pareto diagram (absolute) and all times table
  • Pareto diagram (relative) and all times table
  • Pareto diagram (absolute) and loss times table
  • Pareto diagram (relative) and loss times table
  • Pareto diagram (absolute)
  • Pareto diagram (relative)
  • All times table
  • Table with the loss times

Availability gauge ranges

Availability color ranges.

Configuration of the color ranges:

  • Low range
  • Medium range
  • High range

The upper limit of the low range is the lower value of the high range. The lower limit of the high range is the upper value of the low range. Both limits are inclusive limits. Both elements can be set to the same value. In this case, there is no medium range. The lower limit for the low range and the upper limit for the high range come from the report template.

Low range goes until

Defines the limit between the low (red) and medium (yellow) range in the measuring device.

High range starts at

Defines the limit between the medium (yellow) and high (green) range in the measuring device.

Display of ranges

Preview of the configured color ranges.

Performance gauge ranges

Performance color ranges

Configuration similar to Availability gauge ranges.

Quality gauge ranges

Quality color ranges

Configuration similar to Availability gauge ranges.

OEE gauge ranges

OEE color ranges

Configuration similar to Availability gauge ranges.

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single selection from the equipment model
  • 1 x single-selection from pre-defined values for waterfall model name
  • Optional:
    • 1 x multiple selection from pre-defined values for pallet type filter (if activated)
    • 1 x multiple selection from pre-defined values for crate type filter (if activated)
    • 1 x multiple selection from pre-defined values for bottle type filter (if activated)
    • 1 x multiple selection from pre-defined values for tank number type filter (if activated)

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Bar chart or four measurement devices for the main indicators (optional).
  • Table with all indicators Cells for indicators that are not calculated remain empty.
  • One of the eight waterfall diagrams (optional):
    • Horizontal compact absolute
    • Horizontal compact relative
    • Horizontal detailed absolute
    • Horizontal detailed relative
    • Vertical compact absolute
    • Vertical compact relative
    • Vertical detailed absolute
    • Vertical detailed relative
  • Absolute or relative Pareto diagram (optional). If no table is used, a Pareto diagram must be used.
  • Table with all rows or table with the loss times (optional). If no Pareto diagram is used, a table must be used.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListLots
  • ListShifts
  • ListFilterValueForEquipment
  • ListWaterfallModelsForEquipment
  • FNB_GetMetaDataEntries
  • FNB_WaterfallData
  • FNB_OeeData


Losses Lot History

zenon Analyzer -> Supplied report templates -> Report templates -> Production Analysis Machine Based -> Losses Lot History

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The reports that are based on this template analyze archive data and calculate aggregated loss times and productivity indicators for each lot in a time period, based on an equipment group. The results can be displayed as a bar chart or as a table.

Create report

To create a Losses Lot History report:

  1. Select Production Analysis Machine Based in the drop-down list in the dialog to create new reports as a theme
  2. from the drop-down list, select Losses Lot History as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Production data filters

Configuration and display of the production data filter.

Project

Selection of the project that is to be linked to a project from a drop-down list.

Data Filter configuration

Table with the current settings for data filtering.

Configure data filters

Clicking on the button opens the dialog for configuring the data filters.

Production loss time visualization

Configuration and display of the meanings for the loss times.

Project

Selection of the project that is to be linked to a project from a drop-down list.

If a project is selected, this project is forwarded to all other groupings in the report that offer project selection.
If this grouping receives a message about a linked project from another grouping, this project is set in the drop-down list and the drop-down list is deactivated.

Loss time visualization configuration

Table with the current settings for the meanings for the loss times.

Loss time visualization configuration

Clicking on the button opens the dialog to configure the visualization of the loss times.

Lot archive selection

Configuration of the lot archive.

Project

Selection of the project that is to be linked to a project from a drop-down list.

If a project is selected, this project is forwarded to all other groupings in the report that offer project selection.
If this grouping receives a message about a linked project from another grouping, this project is set in the drop-down list and the drop-down list is deactivated.

Lot archive

Selection of a lot archive for the selected project from the drop-down list.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Loss times data representation

Selection of the display type for the time distribution from the drop-down list.

  • Pareto diagram (absolute) and all times table
  • Pareto diagram (relative) and all times table
  • Pareto diagram (absolute) and loss times table
  • Pareto diagram (relative) and loss times table
  • Pareto diagram (absolute)
  • Pareto diagram (relative)
  • All times table
  • Table with the loss times

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single selection from the equipment model
  • Optional:
    • 1 x multiple selection from pre-defined values for pallet type filter (if activated)
    • 1 x multiple selection from pre-defined values for crate type filter (if activated)
    • 1 x multiple selection from pre-defined values for bottle type filter (if activated)
    • 1 x multiple selection from pre-defined values for tank number type filter (if activated)

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Bar charts with relative and absolute display of the configured losses (optional). If no table is used, a bar chart must be used.
  • Table with the configured loss times (optional). If no bar chart is used, a table must be used.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListLots
  • ListShifts
  • ListFilterValueForEquipment
  • FNB_GetMetaDataEntries
  • FNB_LossTimesLotHistory


Productivity Indicators Lot History

zenon Analyzer -> Supplied report templates -> Report templates -> Production Analysis Machine Based -> Productivity Indicators Lot History

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The reports that are based on this template analyze archive data and calculate aggregated loss times and productivity indicators for each lot in a time period, based on an equipment group. The results can be displayed as a bar chart or as a line chart. The additional optional indicators are displayed in a table.

Create report

To create a Productivity Indicators Lot History report:

  1. Select Production Analysis Machine Based in the drop-down list in the dialog to create new reports as a theme
  2. from the drop-down list, select Productivity Indicators Lot History as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Production data filters

Configuration and display of the production data filter.

Project

Selection of the project that is to be linked to a project from a drop-down list.

Data Filter configuration

Table with the current settings for data filtering.

Configure data filters

Clicking on the button opens the dialog for configuring the data filters.

Production indicators

Configuration and display of the production indicators.

Project

Selection of the project that is to be linked to a project from a drop-down list.

If a project is selected, this project is forwarded to all other groupings in the report that offer project selection.
If this grouping receives a message about a linked project from another grouping, this project is set in the drop-down list and the drop-down list is deactivated.

Optional indicators

Table with the current settings for the optional indicators.

Assigned meanings

Table with the configuration of the field meanings for the calculation of the indicators.

Configure indicators

Clicking on the button opens the dialog for configuring the indicators.

Lot archive selection

Configuration of the lot archive.

Project

Selection of the project that is to be linked to a project from a drop-down list.

If a project is selected, this project is forwarded to all other groupings in the report that offer project selection.
If this grouping receives a message about a linked project from another grouping, this project is set in the drop-down list and the drop-down list is deactivated.

Lot archive

Selection of a lot archive for the selected project from the drop-down list.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Indicator data representation

Selection of the display type for the indicators from the drop-down list:

  • Bar chart and table
  • Measuring devices and table
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single selection from the equipment model
  • Optional:
    • 1 x multiple selection from pre-defined values for pallet type filter (if activated)
    • 1 x multiple selection from pre-defined values for crate type filter (if activated)
    • 1 x multiple selection from pre-defined values for bottle type filter (if activated)
    • 1 x multiple selection from pre-defined values for tank number type filter (if activated)

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Bar chart or line chart for the main indicators (optional).
  • Table with all indicators Cells for indicators that are not calculated remain empty.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListLots
  • ListShifts
  • ListFilterValueForEquipment
  • FNB_GetMetaDataEntries
  • FNB_OeeLotHistory


Comprehensive Productivity Lot History

zenon Analyzer -> Supplied report templates -> Report templates -> Production Analysis Machine Based -> Comprehensive Productivity Lot History

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

The report template combines the templates Losses Lot history and Productivity Indicators Lot History.

The reports that are based on this template analyze archive data and calculate compressed loss times and productivity indicators for each lot in a time period, based on an equipment group. The four central OEE indicators can be displayed as a bar chart or as a line chart. The additional optional indicators are displayed in a table. The losses can be displayed as a bar chart or as a table.

Create report

To create a Comprehensive Productivity Lot History report:

  1. Select Production Analysis Machine Based in the drop-down list in the dialog to create new reports as a theme
  2. from the drop-down list, select Comprehensive Productivity Lot History as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Production data filters

Configuration and display of the production data filter.

Project

Selection of the project that is to be linked to a project from a drop-down list.

Data Filter configuration

Table with the current settings for data filtering.

Configure data filters

Clicking on the button opens the dialog for configuring the data filters.

Production loss time visualization

Configuration and display of the meanings for the loss times.

Project

Selection of the project that is to be linked to a project from a drop-down list.

If a project is selected, this project is forwarded to all other groupings in the report that offer project selection.
If this grouping receives a message about a linked project from another grouping, this project is set in the drop-down list and the drop-down list is deactivated.

Loss time visualization configuration

Table with the current settings for the meanings for the loss times.

Configure loss times visualization

Clicking on the button opens the dialog to configure the visualization of the loss times.

Production indicators

Configuration and display of the production indicators.

Project

Selection of the project that is to be linked to a project from a drop-down list.

If a project is selected, this project is forwarded to all other groupings in the report that offer project selection.
If this grouping receives a message about a linked project from another grouping, this project is set in the drop-down list and the drop-down list is deactivated.

Optional indicators

Table with the current settings for the optional indicators.

Assigned meanings

Table with the configuration of the field meanings for the calculation of the indicators.

Configure indicators

Clicking on the button opens the dialog for configuring the indicators.

Lot archive selection

Configuration of the lot archive.

Project

Selection of the project that is to be linked to a project from a drop-down list.

If a project is selected, this project is forwarded to all other groupings in the report that offer project selection.
If this grouping receives a message about a linked project from another grouping, this project is set in the drop-down list and the drop-down list is deactivated.

Lot archive

Selection of a lot archive for the selected project from the drop-down list.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Indicator data representation

Selection of the display type for the indicators from the drop-down list:

  • Bar chart and table
  • Measuring devices and table
  • Table

Loss times data representation

Selection of the display type for the time distribution from the drop-down list.

  • Pareto diagram (absolute) and all times table
  • Pareto diagram (relative) and all times table
  • Pareto diagram (absolute) and loss times table
  • Pareto diagram (relative) and loss times table
  • Pareto diagram (absolute)
  • Pareto diagram (relative)
  • All times table
  • Table with the loss times

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single selection from the equipment model
  • Optional:
    • 1 x multiple selection from pre-defined values for pallet type filter (if activated)
    • 1 x multiple selection from pre-defined values for crate type filter (if activated)
    • 1 x multiple selection from pre-defined values for bottle type filter (if activated)
    • 1 x multiple selection from pre-defined values for tank number type filter (if activated)

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Bar chart or line chart for the main indicators (optional).
  • Table with all indicators Cells for indicators that are not calculated remain empty.
  • Bar charts with relative and absolute display of the configured losses (optional). If no table is used, a bar chart must be used.
  • Table with the configured loss times (optional). If no bar chart is used, a table must be used.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListLots
  • ListShifts
  • ListFilterValueForEquipment
  • FNB_GetMetaDataEntries
  • FNB_LossTimesLotHistory
  • FNB_OeeLotHistory


Configuration of the reports for machine-based production analysis in zenon

zenon Analyzer -> Supplied report templates -> Report templates -> Production Analysis Machine Based -> Configuration of the reports for machine-based production analysis in zenon

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

You can find notes on configuration of the data basis in zenon for Production Analysis Machine Based reports.

The project and/or the metadata must provide the following data:

  • Variables for filter
  • Variables for the OEE calculation
  • Variables for the calculation of performance indicators
  • Variables for waterfall and loss time diagram
  • Archives

Variables for filter:

General Analyzer Schema Graphics Template

Each variable must be assigned to a reaction matrix that contains the available filter details. For this, the following applies:

  • Only numerical reaction matrices are permitted.
  • The assignment must be made with =. The characters > and < are not permitted.
  • The default setting of the reaction matrix is ignored.
  • If the same assignment exists more than once (for example: xy = 3), only the one that is found first is used. All others are ignored.
  • The name displayed in the filter is the limit value text. The language of this cannot be switched; existing control characters are cut off (@).

The use of individual variables is optional. Only the variables that are needed for the filter need to be configured.

Variables for the OEE calculation

General Analyzer Schema Graphics Template

Hints:

  • * Variables must, for each equipment group for which an evaluation is possible, be created and linked to the equipment model. The same variables are, labeled otherwise (with WF=), also used for the waterfall diagram.
  • These variables must be defined in zenon in the Betriebsmittelkennung with ME=… (for example: ME=OperatingTime, …).

Variables for the calculation of performance indicators

General Analyzer Schema Graphics Template

Hints:

  • * Variables must, for each equipment group for which an evaluation is possible, be created and linked to the equipment model.
  • These variables must be defined in zenon in the resource label with ME=… (for example: ME=MTBS_TimeCounter, …).

Variables for waterfall and loss time diagram

General Analyzer Schema Graphics Template

Hints:

  • * Proposed name in zenon. Not relevant to zenon Analyzer.
  • ** Identical names identify related variables for the waterfall display.
    This also applies to the loss time diagram.
  • *** [Index] provides the position for the display in the waterfall diagram as a row number or column number.
  • These variables must be defined in zenon in the resource label with WF=… (for example: WF=01,01,#FFAD5B; …).

Archives

General Analyzer Schema Graphics Template

Note: * Archive is linked to the equipment group.


OEE analysis

zenon Analyzer -> Supplied report templates -> Report templates -> OEE analysis

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports with this theme provide report templates that calculate and display OEE indicators:

  • OEE Indicator: Calculates the OEE performance figures for a selected equipment model in a time period and displays the performance figures in graphic form
  • OEE Indicator Lot History: calculates the OEE indicators for a selected equipment model for each lot in a period of time and displays the performance figures in graphic form and table form

Report template selection

To create a report based on this template:

  1. Select the New entry in the Report menu or click on the corresponding symbol in the tool bar
  2. The dialog for selecting a template is opened

    Screenshots - Expanding

  3. In the Theme drop-down list, select OEE Analysis
  4. Select the template you want to use as a report template from the drop-down list

Metadata

Metadata used: General
 | used | If not used
Projects | + | mandatory.
Alarm/Event class | - |
Alarm/Event groups | - |
Users | - |
Equipment modeling | + | mandatory.
Archives | + | mandatory.
Variables | + | mandatory.
Prices | - |
Norm values | - |
Metadata used: Time filter
Lots | + | No reports possible with lot filter.
Shifts | + | No reports possible with shift filter.

Noch in diesem Kapitel

OEE Indicator

OEE Indicator Lot History

Configuration of the OEE reports in zenon


OEE Indicator

zenon Analyzer -> Supplied report templates -> Report templates -> OEE analysis -> OEE Indicator

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template calculate the OEE indicators of an equipment group and display the performance figures in graphic form. These reports are always linked to a certain project.

Application examples

Alarm list reports are suited, for example, to determining the quality indicators in a shift, lot or certain time period for:

  • A critical machine in the production process
  • A production line
  • A complete factory

Create report

To create an OEE performance figure report:

  1. In the Theme drop-down list, select OEE Analysis
  2. from the drop-down list, select OEE performance figures as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Variable assignment for OEE calculation

Assignment of the project, the archive and the variables.

Field shows the current configuration.

Configure assignments

Clicking on the button opens the dialog for configuring the assignments.

Data collection iteration configuration

Configuration for iteration interval and cancel time.

Iteration interval

Configuration of the iteration interval in:

  • Minutes
  • Hours
  • Days

Minimum: 1

Maximum: 1000

Default: 1 day

Abort time stamp

Timestamp cancel with

  • Date
  • Time
  • Default: 01.01.2013 00:00:00

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and pointer instruments
  • Column chart
  • Gauge controls

Availability gauge ranges

Color range availability.

Configuration of the color ranges:

  • Low range
  • Medium range
  • High range

The upper limit of the low range is the lower value of the high range. The lower limit of the high range is the upper value of the low range. Both limits are inclusive limits. Both elements can be set to the same value. In this case, there is no medium range. The lower limit for the low range and the upper limit for the high range come from the report template.

Low range goes until

Defines the limit between the low (red) and medium (yellow) range in the measuring device.

High range starts at

Defines the limit between the medium (yellow) and high (green) range in the measuring device.

Display of ranges

Preview of the configured color ranges.

Performance gauge ranges

Power color range.

Configuration similar to Availability gauge ranges.

Quality gauge ranges

Quality color range.

Configuration similar to Availability gauge ranges.

OEE gauge ranges

OEE color range.

Configuration similar to Availability gauge ranges.

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Note: If the report is linked to a project via time filtering, the project selection is set to the linked project and a check is made to ensure that only archives from the project can be selected in both groupings.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single-selection drop-down list with the equipment models for which the OEE performance figures can be calculated. Each equipment model contains the complete hierarchy path in its name.

Data display

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Column chart: Each indicator (OEE, availability, performance, quality) has a column with data annotation.
  • Measurement devices: Each indicator has a measurement device.
    These have the following ranges:
    • OEE:
      Red from 0% to 65%,
      Yellow from 65% to 85%,
      Green from 85% to 100%
    • Availability, Performance and Quality:
      Red from 0% to 85 %,
      Yellow from 85 % to 95 %,
      Green from 95 % to 100%

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListEquipments_OEE
  • OEE_GetCounters
  • OEE_GetStates
  • OEE_Indicators
  • ListLots
  • ListShifts


OEE Indicator Lot History

zenon Analyzer -> Supplied report templates -> Report templates -> OEE analysis -> OEE Indicator Lot History

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports with this template calculate the OEE indicators of lots of an equipment group in a time period and display the performance figures graphically and in tables. In doing so, the performance figures are calculated separately for each lot. These reports are always linked to a certain project.

Application examples

Alarm list reports are suited, for example, to checking the development of performance indicators during a shift or in a certain time period for:

  • A critical machine
  • A production line
  • A complete factory

Create report

To create an OEE performance figure lot archive report:

  1. In the Theme drop-down list, select OEE Analysis
  2. from the drop-down list, select OEE performance figure lot archive as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Variable assignment for OEE calculation

Assignment of the project, the archive and the variables.

Field shows the current configuration.

Configure assignments

Clicking on the button opens the dialog for configuring the assignments.

Lot archive selection

Selection of a lot archive from a drop-down list if required by the report template.

The following must be the case in order for this input to be displayed:

  • A project must be selected
  • This project must have one or more lot archives in the metadata

Data collection iteration configuration

Configuration for iteration interval and cancel time.

Iteration interval

Configuration of the iteration interval in:

  • Minutes
  • Hours
  • Days

Minimum: 1

Maximum: 1000

Default: 1 day

Abort time stamp

Timestamp cancel with

  • Date
  • Time

Default: 01.01.2013 00:00:00

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10
  • If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and table
  • Line chart and table
  • Column chart
  • Line chart
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Note: If the report is linked to a project via time filtering, the project selection is set to the linked project and a check is made to ensure that only archives from the project can be selected in both groupings.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single-selection drop-down list with the equipment models for which the OEE performance figures can be calculated. Each equipment model contains the complete hierarchy path in its name.

Data display

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Column chart: A column chart for the time period is drawn. For each lot, a column is drawn for each indicator at the start time.
  • Line chart: A trend line is drawn for each indicator. The times are the lot start times.
  • Table: a table with the following columns:
    • Lot name (can be sorted dynamically)
    • Start time (can be sorted dynamically)
    • End time stamp (can be sorted dynamically)
    • OEE in %
    • Availability in %
    • Performance in %
    • Quality in %
    • Total production quantity in units
    • Good production quantity in units
    • Actual operating time in minutes
    • Planned operating time in minutes
    • Number of units that were possible with the planned equipment speed in the actual operating time

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListEquipments_OEE
  • OEE_GetCounters
  • OEE_GetStates
  • OEE_Indicators_LotHistory
  • ListLots
  • ListShifts


Configuration of the OEE reports in zenon

zenon Analyzer -> Supplied report templates -> Report templates -> OEE analysis -> Configuration of the OEE reports in zenon

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

For the calculation of the OEE performance indicators, certain metadata must be provided and configured in zenon.

OEE performance indicator in accordance with Weihenstephan standard

The project and/or the metadata must provide the following data:

  • Variables for filter
  • Variables for OEE calculation
  • Variables for calculation of performance indicators
  • Variables for relative loss times
  • Variables for absolute loss times
  • Archives

Variables for filter:

General Analyzer Schema Graphics Template

Each variable must be assigned to a reaction matrix that contains the available filter details. For this, the following applies:

  • Only numerical reaction matrices are permitted.
  • The assignment must be made with =. The characters > and < are not permitted.
  • The default setting of the reaction matrix is ignored.
  • If the same assignment exists more than once (for example: xy = 3), only the one that is found first is used. All others are ignored.
  • The name displayed in the filter is the limit value text. The language of this cannot be switched; existing control characters are cut off (@).
  • The use of individual variables is optional. Only the variables that are needed for the filter need to be configured.

Variables for OEE calculation:

General Analyzer Schema Graphics Template

Hints:

  • * Variables must, for each equipment group for which an evaluation is possible, be created and linked to the equipment model. The same variables are, labeled otherwise (with WF=), also used for the waterfall diagram.
  • These variables must be defined in zenon in the Betriebsmittelkennung with ME=… (for example: ME=OperatingTime, …).

Variables for performance figure calculation:

General Analyzer Schema Graphics Template

Hints:

  • * Variables must, for each equipment group for which an evaluation is possible, be created and linked to the equipment model.
  • These variables must be defined in zenon in the resource label with ME=… (for example: ME=MTBS_TimeCounter, …).

Variables for relative loss times

General Analyzer Schema Graphics Template

Hints:

  • * Proposed name in zenon. Not relevant to zenon Analyzer.
  • These variables must be defined in zenon in the Betriebsmittelkennung with ME=RelativeTimeLosses

Variables for absolute loss times

General Analyzer Schema Graphics Template

Hints:

  • * Proposed name in zenon. Not relevant to zenon Analyzer.
  • These variables must be defined in zenon in the Betriebsmittelkennung with ME=AbsoluteTimeLosses

Archives:

General Analyzer Schema Graphics Template

Note: * Archive is linked to the equipment group.

OEE_Indicator Standard

The project and/or the metadata must contain the following data:

Variables

Variable name | Assignment (meaning) | Data type | Archive | Connector
Freely selectable*. | Freely selectable. Default: Operating Time | BOOL** | Freely selectable. Identical for all three variables. Default: S1 | SQL/zenonV6
Freely selectable*. | Freely selectable. Default: EffectiveWorkingTime | BOOL** |  | SQL/zenonV6
Freely selectable*. | Freely selectable. Default: DesignedSpeed | REAL |  | SQL/zenonV6
Freely selectable*. | Freely selectable. Default: GoodUnits | UDINT | Freely selectable. Identical for both variables. Default: C1 | SQL/zenonV6
Freely selectable*. | Freely selectable. Default: TotalUnits | UDINT |  | SQL/zenonV6
  • * All variables are assigned to the same equipment group that is offered in the report as a filter. For each equipment group for which OEE evaluations are possible, variables with this meaning are created and linked to the equipment group.
  • ** The times are calculated in the report and provide the time in which the variable was in the Period under review = 1.

Archives

Archive short description | Archive name | Recording type | Connector
Freely selectable. e.g.: S1 | Freely selectable. | On-change. | SQL/zenonV6
Freely selectable. e.g.: C1 | Freely selectable. | Cyclical or event-controlled*. | SQL/zenonV6
  • * The counters must be set to 0 after successful archiving.

OEE_Indicator per Batch

This report calculates the OEE performance indicators for each lot of an equipment group in a time period and provides these figures graphically and in a table.

Variables

Variable name | Assignment (meaning) | Data type | Archive | Connector
Freely selectable*. | Freely selectable. Default: Operating Time | BOOL** | Freely selectable. Identical for all three variables. Default: S1 | SQL/zenonV6
Freely selectable*. | Freely selectable. Default: EffectiveWorkingTime | BOOL** |  | SQL/zenonV6
Freely selectable*. | Freely selectable. Default: DesignedSpeed | REAL |  | SQL/zenonV6
Freely selectable*. | Freely selectable. Default: GoodUnits | UDINT | Freely selectable. Identical for both variables. Default: C1 | SQL/zenonV6
Freely selectable*. | Freely selectable. Default: TotalUnits | UDINT |  | SQL/zenonV6
For batch names, freely selectable. | - | STRING | Freely selectable. Default: OE | SQL/zenonV6
  • * All variables are assigned to the same equipment group that is offered in the report as a filter. For each equipment group for which OEE evaluations are possible, variables with this meaning are created and linked to the equipment group.
  • ** The times are calculated in the report and provide the time in which the variable was in the Period under review = 1.

Archives

Archive | Archive name | Recording type | Connector
S1 | Freely selectable. | On-change. | SQL/zenonV6
C1 | Freely selectable. | Cyclical or event-controlled*. | SQL/zenonV6
OE* | Freely selectable. | Event-triggered. | SQL/zenonV6
  • * The batch archive OE must be started and stopped using zenon functions. In the event of a stop, the value of the batch variable in the archive is saved as a batch name with start and stop time.


Target Actual Analysis

zenon Analyzer -> Supplied report templates -> Report templates -> Target Actual Analysis

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports with this theme provide report templates that allow the comparison of nay desired machine-related measured sizes with prescribed values. In doing so, the actual values always come from an archive. The target values can come from an archive. If these are not archived, the target values are, if possible, extracted from the NORM table. The variables are addressed using equipment groups and meanings.

The following report templates are available:

  • Target Actual Aggregated Trend (absolute): Gets the target and actual values for the set meanings and the selected equipment group and calculates absolute counters from this.
  • Target Actual Aggregated Trend (relative): Gets the target and actual values for the set meanings and the selected equipment group and calculates relative counters from this.

Report template selection

To create a report based on this template:

  1. Select the New entry in the Report menu or click on the corresponding symbol in the tool bar
  2. The dialog for selecting a template is opened

    Screenshots - Expanding

  3. In the Theme drop-down list, select OEE Analysis
  4. Select the template you want to use as a report template from the drop-down list

Noch in diesem Kapitel

Target Actual Aggregated Trend (absolute)

Target Actual Aggregated Trend (relative)

Example


Target Actual Aggregated Trend (absolute)

zenon Analyzer -> Supplied report templates -> Report templates -> Target Actual Analysis -> Target Actual Aggregated Trend (absolute)

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template get the set values and actual values for the set meanings and the selected equipment group. The absolute counters are calculated and displayed from this.

Create report

To create a Target Actual Aggregated Trend (absolute) report:

  1. In the Theme drop-down list, select Target Actual Analysis
  2. from the drop-down list, select Target Actual Aggregated Trend (absolute) as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Target and actual value meanings

Display and configuration of the meanings for set points and actual values.

List of configured meanings for set values and actual values

Table with the current settings for the meanings for the set points and actual values.

Configure target and actual value meanings

Clicking on the button opens the dialog for configuring the meanings.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Line chart and table
  • Column chart and table
  • Line chart
  • Column chart
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single selection from the equipment model.
  • 1 x single selection of the aggregation interval. The following values are available:
    • 1 minute
    • 15 minutes
    • 30 minutes
    • 1 hour
    • 2 hours
    • 6 hours
    • 12 hours
    • 1 day
    • 1 week
    • 1 month
    • 1 quarter
    • 1 year

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Line chart with the data
  • Bar chart with the data
  • Table with the following columns:
    • Interval Start
    • Interval End
    • Set value (heading: Variable name)
    • Actual value (heading: Variable name)

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListLots
  • ListShifts
  • TargetActualComparison_Absolute


Target Actual Aggregated Trend (relative)

zenon Analyzer -> Supplied report templates -> Report templates -> Target Actual Analysis -> Target Actual Aggregated Trend (relative)

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template get the set values and actual values for the set meanings and the selected equipment group. The relative counters are calculated and displayed from this.

Create report

To create a Target Actual Aggregated Trend (relative) report:

  1. In the Theme drop-down list, select Target Actual Analysis
  2. from the drop-down list, select Target Actual Aggregated Trend (relative) as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Target and actual value meanings

Display and configuration of the meanings for set points and actual values.

List of configured meanings for set values and actual values

Table with the current settings for the meanings for the set points and actual values.

Configure target and actual value meanings

Clicking on the button opens the dialog for configuring the meanings.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Line chart and table
  • Column chart and table
  • Line chart
  • Column chart
  • Table

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single selection from the equipment model.
  • 1 x single selection of the aggregation interval. The following values are available:
    • 1 minute
    • 15 minutes
    • 30 minutes
    • 1 hour
    • 2 hours
    • 6 hours
    • 12 hours
    • 1 day
    • 1 week
    • 1 month
    • 1 quarter
    • 1 year

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Line chart with the data
  • Bar chart with the data
  • Table with the following columns:
    • Interval Start
    • Interval End
    • Set value (heading: Variable name)
    • Actual value (heading: Variable name)

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListLots
  • ListShifts
  • TargetActualComparison_Relative


Example

zenon Analyzer -> Supplied report templates -> Report templates -> Target Actual Analysis -> Example

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Objective

An analysis is to take place for five machines, using a comparison of target and actual values with absolute counters:

  • Production quantity
  • Electricity consumption
  • Operating temperature

Preparation

  • A separate report is configured for each statistic.
  • Each report works with different meanings.
  • In zenon, archived variables are present for the desired statistics.
  • The meanings are set as follows for all machines:
Variable | Meaning
Production quantity – target | ProdTarget
Production quantity – actual | ProdActual
Electricity consumption – target | PowerTarget
Electricity consumption – actual | PowerActual
Operating temperature – target | TempTarget
Operating temperature – actual | TempActual

Report

In the next step, three reports are created on the basis of the report template TargetActualComparison_Absolute:

Report name

Meanings

Report provides:

Target Actual Analysis – Production
  • ProdTarget
  • ProdActual

Target-actual comparison for production quantity for all five machines.

Target Actual Analysis – Power
  • PowerTarget
  • PowerActual

Target-actual comparison for electricity consumption for all five machines.

Target Actual Analysis – Temperature
  • TempTarget
  • TempActual

Target-actual comparison for operating temperature for all five machines.


Hydroelectric Power Plant Analysis

zenon Analyzer -> Supplied report templates -> Report templates -> Hydroelectric Power Plant Analysis

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports with this theme provide report templates that determine and display various counters for hydraulic power plants.

The following report templates are available:

  • Operating Time per Operation Mode and Machine Component: Calculates operating times for the individual operating modes of a machine and machine components.
  • Operating Time per Power Range: Calculates operating times for a machine per power range.
  • Circuit Breaker Switching Cycles: Calculates switching cycles for circuit breakers.
  • Active and Reactive Power Counters: Calculates counter values for active and reactive power.
  • Power Line Frequency: Calculates time counters for different frequency bands of the network frequency of a machine.
  • Machine Event Counters: Calculates counters for different events that may occur for a machine.

Report template selection

To create a report based on this template:

  1. Select the New entry in the Report menu or click on the corresponding symbol in the tool bar
  2. The dialog for selecting a template is opened

    Screenshots - Expanding

  3. In the Theme drop-down list, select Hydroelectric Power Plant Analysis
  4. Select the template you want to use as a report template from the drop-down list

Noch in diesem Kapitel

Operating Time per Operation Mode and Machine Component

Operating Time per Power Range

Circuit Breaker Switching Cycles

Active and Reactive Power Counters

Power Line Frequency

Machine Event Counters


Operating Time per Operation Mode and Machine Component

zenon Analyzer -> Supplied report templates -> Report templates -> Hydroelectric Power Plant Analysis -> Operating Time per Operation Mode and Machine Component

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template calculate operating times for the individual operating modes of a machine. In addition, the operating times per machine component since the last inspection of the components are calculated.

The display is a data table that contains all time counters. In addition, the time counters for the operating modes can be displayed graphically as a sum or aggregation trend.

Create report

To create an Operating Time per Operation Mode and Machine Component report:

  1. In the Theme drop-down list, select Hydroelectric Power Plant Analysis
  2. from the drop-down list, select Operating Time per Operation Mode and Machine Component as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Assignments for power station operating times

Display and configuration of the assignments for power station operating times per machine component and operating mode.

Configure assignments

Clicking on the button opens the dialog for configuring the archives.

Data collection iteration configuration

Configuration for iteration interval and cancel time.

Iteration interval

Configuration of the iteration interval in:

  • Minutes
  • Hours
  • Days

Minimum: 1

Maximum: 1000

Default: 1 day

Abort time stamp

Timestamp cancel with

  • Date
  • Time

Default: 01.01.2013 00:00:00

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • aggregated column chart and table
  • aggregated pie chart and table
  • Aggregated trend bar chart and table
  • Aggregated trend line chart and table
  • Table

Operation mode labels

Selection of the marking for operating modes from drop-down list:

  • Variable visual name
  • Descriptive text for the variables

Element sort order

Selection of the sorting criteria from the drop-down list:

  • Element ID ascending (same order as metadata table)
  • Element ID descending (inverse order as metadata table)
  • Element label alphabetically ascending
  • Element label alphabetically descending

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single selection from the equipment model.
  • 1 x single selection of the aggregation interval. The following values are available:
    • 1 minute
    • 15 minutes
    • 30 minutes
    • 1 hour
    • 2 hours
    • 6 hours
    • 12 hours
    • 1 day
    • 1 week
    • 1 month
    • 1 quarter
    • 1 year

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Bar chart with the sums of the relative counters for operating modes.
  • Pie chart with the sums of the relative counters for operating modes.
  • Bar chart with the aggregation trends of the relative counters for operating modes.
  • Line chart with the aggregation trends of the relative counters for operating modes.
  • Table with the following structure:

    Detail cells: Always contain the counter value for the column group in the interval.

    Sum row: Has the sum for relative counters and the last value for absolute counters.

    Row groups: Time intervals within the report period under review.

    There are the following column groupings:

    • Absolute and relative counter for machine operating time.
    • Relative counter for operation modes.
      The sorting configuration takes effect within this group.
    • Components that do not use a component name (such as a running wheel) and do not have a superordinate component.
      The sorting configuration takes effect within this group.
    • Components that use a component name (such as a running wheel) but do not have a superordinate component.
      The sorting configuration takes effect within this group.
    • Components that do not use a component name (such as a running wheel) but do have a superordinate component.
      The sorting configuration takes effect within this group.
    • Components that use a component name (such as a running wheel) and have a superordinate component.
      The sorting configuration takes effect within this group.

attention Attention

If several elements in the table have the same name and one of the marking-based sorting variants (alphabetical) was selected, then these fields overlap and their values are combined.

If a sorting variant based on the ID is selected, this effect does not occur. In this case, there are several columns with the same marking in the table.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListLots
  • ListShifts
  • GetEquipmentTreeForGroup
  • ListEquipmentTree_Meanings
  • ListHppStructureNames
  • GetChildEquipments
  • HppOperatingHours


Operating Time per Power Range

zenon Analyzer -> Supplied report templates -> Report templates -> Hydroelectric Power Plant Analysis -> Operating Time per Power Range

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template calculate operating times for a machine per power range.

The display is a data table that contains all time counters. In addition, the time counters for the power ranges can be displayed graphically as a sum or aggregation trend.

Create report

To create an Operating Time per Power Range report:

  1. In the Theme drop-down list, select Hydroelectric Power Plant Analysis
  2. from the drop-down list, select Operating Time per Power Range as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Assignments for power station operating time per power range

Display and configuration of the assignments for power station operating times per load area.

Configure assignments

Clicking on the button opens the dialog for configuring the archives.

Data collection iteration configuration

Configuration for iteration interval and cancel time.

Iteration interval

Configuration of the iteration interval in:

  • Minutes
  • Hours
  • Days

Minimum: 1

Maximum: 1000

Default: 1 day

Abort time stamp

Timestamp cancel with

  • Date
  • Time

Default: 01.01.2013 00:00:00

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • aggregated column chart and table
  • aggregated pie chart and table
  • Aggregated trend bar chart and table
  • Aggregated trend line chart and table
  • Table

Operation mode labels

Selection of the marking for operating modes from drop-down list:

  • Variable visual name
  • Descriptive text for the variables

Element sort order

Selection of the sorting criteria from the drop-down list:

  • Element ID ascending (same order as metadata table)
  • Element ID descending (inverse order as metadata table)
  • Element label alphabetically ascending
  • Element label alphabetically descending

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single selection from the equipment model.
  • 1 x single selection of the aggregation interval. The following values are available:
    • 1 minute
    • 15 minutes
    • 30 minutes
    • 1 hour
    • 2 hours
    • 6 hours
    • 12 hours
    • 1 day
    • 1 week
    • 1 month
    • 1 quarter
    • 1 year

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Bar chart with the sums of the relative counters for power range operating time.
  • Pie chart with the sums of the relative counters for power range operating time.
  • Bar chart with the aggregation trends of the relative counters for power range operating time.
  • Line chart with the aggregation trends of the relative counters for power range operating time.
  • Table with the following structure:

    Detail cells: Always contain the counter value for the column group in the interval.

    Sum row: Has the sum for relative counters and the last value for absolute counters.

    Row groups: Time intervals within the report period under review.

    There are the following column groupings:

    • Active power generator range.
      The sorting configuration takes effect within this group.
    • Active power generator maximum.
    • Active power generator minimum.
    • Active power pump range.
      The sorting configuration takes effect within this group.
    • Active power pump maximum.
    • Active power pump minimum.
    • Reactive power generator range.
      The sorting configuration takes effect within this group.
    • Reactive power generator maximum.
    • Reactive power generator minimum.
    • Reactive power pump range.
      The sorting configuration takes effect within this group.
    • Reactive power pump maximum.
    • Reactive power pump minimum.

attention Attention

If several elements in the table have the same name and one of the marking-based sorting variants (alphabetical) was selected, then these fields overlap and their values are combined.

If a sorting variant based on the ID is selected, this effect does not occur. In this case, there are several columns with the same marking in the table.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListLots
  • ListShifts
  • GetEquipmentTreeForGroup
  • ListEquipmentTree_Meanings
  • ListHppStructureNames
  • HppPowerHours


Circuit Breaker Switching Cycles

zenon Analyzer -> Supplied report templates -> Report templates -> Hydroelectric Power Plant Analysis -> Circuit Breaker Switching Cycles

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template calculate switching cycles for circuit breakers. Based on a relative switching cycle counter, absolute switching cycle counters for a circuit breaker are calculated. These absolute counters are reset if the circuit breaker is inspected or replaced.

The display is a data table that contains all data. In addition, the most recent absolute counters can be displayed in a bar chart.

Create report

To create a Circuit Breaker Switching Cycles report:

  1. In the Theme drop-down list, select Hydroelectric Power Plant Analysis
  2. Select Circuit Breaker Switching Cycles from the drop-down list as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Assignments for

Display and configuration of the assignment for power switching cycles.

Configure assignments

Clicking on the button opens the dialog for configuring the archives.

Data collection iteration configuration

Configuration for iteration interval and cancel time.

Iteration interval

Configuration of the iteration interval in:

  • Minutes
  • Hours
  • Days

Minimum: 1

Maximum: 1000

Default: 1 day

Abort time stamp

Timestamp cancel with

  • Date
  • Time

Default: 01.01.2013 00:00:00

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Column chart and table
  • Table

Operation mode labels

Selection of the marking for operating modes from drop-down list:

  • Variable visual name
  • Descriptive text for the variables

Element sort order

Selection of the sorting criteria from the drop-down list:

  • Element ID ascending (same order as metadata table)
  • Element ID descending (inverse order as metadata table)
  • Element label alphabetically ascending
  • Element label alphabetically descending

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single selection from the equipment model.
  • 1 x single selection of the aggregation interval. The following values are available:
    • 1 minute
    • 15 minutes
    • 30 minutes
    • 1 hour
    • 2 hours
    • 6 hours
    • 12 hours
    • 1 day
    • 1 week
    • 1 month
    • 1 quarter
    • 1 year

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Bar charts with the last values of the absolute counter since inspection or replacement.
  • Table with the following structure:

    Detail cells: Always contain the counter value for the column group in the interval.

    Sum row: Has the sum for relative counters and the last value for absolute counters.

    Row groups: Time intervals within the report period under review.

    The column grouping is primarily based on the name of the counter (origin can be controlled in ZAMS). In doing so, the defined sorting sequence is used. Within these groups:

    • First there is the relative counter,
    • then the absolute counter since inspection and
    • then the absolute counter since replacement

attention Attention

If several elements in the table have the same name and one of the marking-based sorting variants (alphabetical) was selected, then these fields overlap and their values are combined.

If a sorting variant based on the ID is selected, this effect does not occur. In this case, there are several columns with the same marking in the table.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListLots
  • ListShifts
  • GetEquipmentTreeForGroup
  • ListEquipmentTree_Meanings
  • ListHppStructureNames
  • GetChildEquipments
  • GetFullEquipmentGroupName
  • HppSwitchingCycles


Active and Reactive Power Counters

zenon Analyzer -> Supplied report templates -> Report templates -> Hydroelectric Power Plant Analysis -> Active and Reactive Power Counters

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template calculate counter values for active and reactive power.

The display is a data table that contains all data. In addition, the counter values can be displayed as an aggregation or aggregation trend in various diagrams.

Create report

To create an Active and Reactive Power Counters report:

  1. In the Theme drop-down list, select Hydroelectric Power Plant Analysis
  2. from the drop-down list, select Active and Reactive Power Counters as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Assignments for

Display and configuration of the assignments for power station real and wattless power.

Configure assignments

Clicking on the button opens the dialog for configuring the archives.

Data collection iteration configuration

Configuration for iteration interval and cancel time.

Iteration interval

Configuration of the iteration interval in:

  • Minutes
  • Hours
  • Days

Minimum: 1

Maximum: 1000

Default: 1 day

Abort time stamp

Timestamp cancel with

  • Date
  • Time

Default: 01.01.2013 00:00:00

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • aggregated column chart and table
  • aggregated pie chart and table
  • Aggregated trend bar chart and table
  • Aggregated trend line chart and table
  • Table

Operation mode labels

Selection of the marking for operating modes from drop-down list:

  • Variable visual name
  • Descriptive text for the variables

Element sort order

Selection of the sorting criteria from the drop-down list:

  • Element ID ascending (same order as metadata table)
  • Element ID descending (inverse order as metadata table)
  • Element label alphabetically ascending
  • Element label alphabetically descending

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single selection from the equipment model.
  • 1 x single selection of the aggregation interval. The following values are available:
    • 1 minute
    • 15 minutes
    • 30 minutes
    • 1 hour
    • 2 hours
    • 6 hours
    • 12 hours
    • 1 day
    • 1 week
    • 1 month
    • 1 quarter
    • 1 year

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Bar chart with the sums of the counters.
  • Pie chart with the sums of the counters.
  • Bar chart with the aggregation trends of the counters.
  • Line chart with the aggregation trends of the counters.
  • Table with the following structure:

    Detail cells: Always contain the counter value for the column group in the interval.

    First level of the column groupings: Is always the name of the machine.

    Second level of the column groupings: consists of these elements in this sequence:

    • Active power production
    • Active power consumption
    • Reactive power production
    • Reactive power consumption

attention Attention

If several elements in the table have the same name and one of the marking-based sorting variants (alphabetical) was selected, then these fields overlap and their values are combined.

If a sorting variant based on the ID is selected, this effect does not occur. In this case, there are several columns with the same marking in the table.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListLots
  • ListShifts
  • GetEquipmentTreeForGroup
  • ListEquipmentTree_ChildMeanings
  • ListHppStructureNames
  • GetChildEquipments
  • GetFullEquipmentGroupName
  • HppActiveReactiveCounters


Power Line Frequency

zenon Analyzer -> Supplied report templates -> Report templates -> Hydroelectric Power Plant Analysis -> Power Line Frequency

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template calculate time counters for different frequency bands of the network frequency of a machine.

The display is:

  • Aggregation trend of the network frequency with minimum, maximum and average network frequency
  • Data table with the time counters of all frequency counters
  • Diagrams with the configured time counters for frequency counters

Create report

To create a Power Line Frequency report:

  1. In the Theme drop-down list, select Hydroelectric Power Plant Analysis
  2. from the drop-down list, select Power Line Frequency as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Assignments for

Display and configuration of the assignment for power line frequency.

Configure assignments

Clicking on the button opens the dialog for configuring the archives.

Data collection iteration configuration

Configuration for iteration interval and cancel time.

Iteration interval

Configuration of the iteration interval in:

  • Minutes
  • Hours
  • Days

Minimum: 1

Maximum: 1000

Default: 1 day

Abort time stamp

Timestamp cancel with

  • Date
  • Time

Default: 01.01.2013 00:00:00

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Data display

Configuration of the data display. Select from drop-down list. Possible settings:

  • Aggregated bar chart for frequency band time counter
  • Aggregated pie chart for frequency band time counter
  • Aggregated trend - bar chart for frequency band time counter
  • Aggregated trend - line chart for frequency band time counter
  • Power line frequency trend line chart and table

Operation mode labels

Selection of the marking for operating modes from drop-down list:

  • Variable visual name
  • Descriptive text for the variables

Element sort order

Selection of the sorting criteria from the drop-down list:

  • Element ID ascending (same order as metadata table)
  • Element ID descending (inverse order as metadata table)
  • Element label alphabetically ascending
  • Element label alphabetically descending

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single selection from the equipment model.
  • 1 x single selection of the aggregation interval. The following values are available:
    • 1 minute
    • 15 minutes
    • 30 minutes
    • 1 hour
    • 2 hours
    • 6 hours
    • 12 hours
    • 1 day
    • 1 week
    • 1 month
    • 1 quarter
    • 1 year

Data representation

The display of data after report creation depends on the setting in ZAMS. The following elements are available for the display:

  • Bar chart sorted according to frequency bands with the sums of the relative counters for frequency bands.
  • Bar chart sorted according to counter values with the sums of the relative counters for frequency bands.
  • Pie chart with the sums of the relative counters for frequency bands.
  • Bar chart with the aggregation trends of the relative counters for frequency bands.
  • Line chart with the aggregation trends of the relative counters for frequency bands.
  • Line chart with the aggregation trends for average, minimum and maximum of the network frequency.
  • Table with the following structure:
    • The time intervals within the report period under review always act as the row groups.
    • The frequency band variables always act as column groups.
    • The sorting is created on the basis of the SORT_ORDER column in the HppFrequencyCounters SP.

    Detail cells always contain the counter value for the column group in the interval.

    The sum row has the sum of the relative counters.

attention Attention

If several elements in the table have the same name and one of the marking-based sorting variants (alphabetical) was selected, then these fields overlap and their values are combined.

If a sorting variant based on the ID is selected, this effect does not occur. In this case, there are several columns with the same marking in the table.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListLots
  • ListShifts
  • GetEquipmentTreeForGroup
  • ListEquipmentTree_MeaningsWithPrefix
  • ListHppStructureNamesWithFrequency
  • HppFrequencyTrend
  • HppFrequencyCounters


Machine Event Counters

zenon Analyzer -> Supplied report templates -> Report templates -> Hydroelectric Power Plant Analysis -> Machine Event Counters

Previous chapter Next chapter Display all Display all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. For any questions regarding the documentation please contact: documentation@copadata.com

Reports that are based on this template calculate counters for different events that can occur on a machine. Counters can be calculated for the following events:

  • Switching the machine on and off
  • Changes to the target value for the machine
  • Changes to nozzle mode
  • Load shedding events in configurable active power ranges and turbine speed ranges

All counters are displayed in a table.

Create report

To create a Machine Event Counters report:

  1. In the Theme drop-down list, select Hydroelectric Power Plant Analysis
  2. from the drop-down list, select Machine Event Counters as a report template

    Screenshots - Expanding

  3. Click on the OK button
  4. The report template is opened
  5. Save the report with the desired name
  6. Configure the report

Configuring the report

You can also find details on the control elements in the report window in the Elements in the report area chapter.

Screenshots - Expanding

Parameters

Description

File storage

Name and path of the report on the Analyzer server.

Report file name

Name of the report file on the server.

Report file path

Current path of the report file. Display only.

Choose report file path

Opens dialog to select a folder on the Analyzer server or the RDL file. New folders can also be created.

For details, see the Path to RDL file section.

All report deployment paths

List of the language-dependent paths defined in the options for distribution of the reports.

Information on the report template

Information on the report template, consisting of:

  • Theme: selected superordinate theme of the report template
  • Report template: selected report template

For further details see chapter Report templates

Theme

Selected theme for report templates.

Display only.

Report template

Selected report template.

Only display.

Time filter (dynamic)

Setting the parameters for the time filters.

Time filter settings

Display of details on the current configuration of the time filter. The list can contain the following information, depending on the configuration:

  • Type of the time filtering
  • Project from which the lot or shift data comes, if lot selection or shift selection is active. This is also the project to which the report is linked.
  • Lot archive from which the lot data comes, if lot selection is active.
  • Equipment model from which the shift data is to be read is shift selection is active.

If information is only displayed in part due to its length, move the mouse over the corresponding element. The complete information is then displayed in a tooltip.

Time filter configuration

Clicking on the button opens the dialog to configure the time filter.

For details, see the Configuring the time filter section.

Default time range

Requirements for standard value of the report time range. Consists of numerical input field and drop-down list to define the granularity.

Numerical input field:

  • Minimum: 1
  • Maximum: 1000

Drop-down list for selection of the granularity:

  • Minutes
  • Hour
  • Days
  • Months
  • Years

Equipment model selection

Selection of a equipment model from the drop-down list.

Assignments for

Display and configuration of the assignment for power station event counters.

Configure assignments

Clicking on the button opens the dialog for configuring the archives.

Data collection iteration configuration

Configuration for iteration interval and cancel time.

Iteration interval

Configuration of the iteration interval in:

  • Minutes
  • Hours
  • Days

Minimum: 1

Maximum: 1000

Default: 1 day

Abort time stamp

Timestamp cancel with

  • Date
  • Time

Default: 01.01.2013 00:00:00

Load shedding: Active power lookback seconds

Display and configuration of the assignment for power station event counters.

Load shedding: Turbine speed lookfront seconds

Clicking on the button opens the dialog for configuring the archives.

Connector selection

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Decimal places

Selection of the decimal places to be displayed. Selection by means of cursor keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

If the maximum is exceeded using the cursor keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Operation mode labels

Selection of the marking for operating modes from drop-down list:

  • Variable visual name
  • Descriptive text for the variables

Element sort order

Selection of the sorting criteria from the drop-down list:

  • Element ID ascending (same order as metadata table)
  • Element ID descending (inverse order as metadata table)
  • Element label alphabetically ascending
  • Element label alphabetically descending

Actions

Possible actions for the report:

  • Save report definition: Opens dialog for saving reports. If there is already a report with this name, you are asked to confirm that you wish to overwrite this.
  • Deploy report: Instigates preparation of the report. If existing elements are overwritten in the process, you will be asked to confirm this.
  • Open report in Microsoft Report Builder: Opens the report in Microsoft Report Builder.
  • Open report in Analyzer Manager: opens the report in the web browser with the Analyzer Manager
  • Close report: Closes the report.

Select by clicking on the respective button.

Appearance in the Analyzer Manager

Time filtering

One of the following report parameter groups is available in the Analyzer Manager, depending on the parameters set up in ZAMS:

  • 2 x date and time selection ("from" and "to" for one time range)
  • 1 x time range selection
  • 1 x lot selection with 2 x date and time selection for prefiltering of the lots
  • 1 x lot selection with 1 x time range selection for prefiltering of the lots
  • 1 x shift selection with 2 x data and time selection for prefilitering of the shifts
  • 1 x shift selection with 1 x time range selection for prefiltering of the shifts

Other parameters

  • 1 x single selection from the equipment model.
  • 1 x single selection of the aggregation interval. The following values are available:
    • 1 minute
    • 15 minutes
    • 30 minutes
    • 1 hour
    • 2 hours
    • 6 hours
    • 12 hours
    • 1 day
    • 1 week
    • 1 month
    • 1 quarter
    • 1 year

Data representation

The data is always displayed using a data table once it has been created. The table has the following structure:

  • The time intervals within the report period under review always act as the row groups.
  • There are the following column groupings:
    • Switch-on and switch-off events.
    • Overall changes to target values (always first) and per operating mode (sorting can be configured).
    • Change to nozzle mode (counter states how often a change to this mode has been made, sorting can be configured).
    • Active power when load is switched off (same sequence as in the configuration dialog).
    • Turbine speed when load is switched off (same sequence as in the configuration dialog).

    Detailed cells always contain the counter value for the column group in the interval, sum row has the sum.

attention Attention

If several elements in the table have the same name and one of the marking-based sorting variants (alphabetical) was selected, then these fields overlap and their values are combined.

If a sorting variant based on the ID is selected, this effect does not occur. In this case, there are several columns with the same marking in the table.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • ListLots
  • ListShifts
  • GetEquipmentTreeForGroup
  • ListEquipmentTree_MeaningsAndChildMeanings
  • ListHppStructureNamesWithNominalPowerAndRpm
  • GetChildEquipments
  • HppEventCounters


Example zenon

zenon Analyzer -> Example zenon

On the installation medium you can find a zenon example project and reports which are used by this project as data source.

To get to know the zenon Analyzer we recommend that you open the workspace of the example project in zenon and you try out the interaction with the reports.

  • start the Runtime
  • in the start screen you can see a F&B bottle filling line

Screenshots - Expanding

  • switch to the Line Overview via
    • Online status
    • Graphic analysis
    • Counter

Screenshots - Expanding

The data from screen Counter are directly processed in the reports.

Example consumption of a medium in time comparison

Screenshots - Expanding

Topic alarming

  • Entries in Alarm Message List

Screenshots - Expanding

  • are the basis for a report for displaying interruptions

Screenshots - Expanding

You can adapt the project and the reports according to your needs and set the reports to your own data sources.